/// <reference types="node" />
import { DocumentNode } from 'graphql';
export type Maybe<T> = T | undefined;
export type InputMaybe<T> = T | undefined;
export type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export type MakeEmpty<T extends {
    [key: string]: unknown;
}, K extends keyof T> = {
    [_ in K]?: never;
};
export type Incremental<T> = T | {
    [P in keyof T]?: P extends ' $fragmentName' | '__typename' ? T[P] : never;
};
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
    ID: {
        input: string;
        output: string;
    };
    String: {
        input: string;
        output: string;
    };
    Boolean: {
        input: boolean;
        output: boolean;
    };
    Int: {
        input: number;
        output: number;
    };
    Float: {
        input: number;
        output: number;
    };
    ISO8601Date: {
        input: string | Date;
        output: string;
    };
    ISO8601DateTime: {
        input: string | Date;
        output: string;
    };
    JSON: {
        input: any;
        output: any;
    };
    Upload: {
        input: {
            buffer: Buffer;
            filename: string;
            contentType: string;
        };
        output: {
            buffer: Buffer;
            filename: string;
            contentType: string;
        };
    };
};
export type ActivityNotification = {
    __typename?: 'ActivityNotification';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    key?: Maybe<Scalars['String']['output']>;
    notifiableId: Scalars['ID']['output'];
    notifiableType?: Maybe<NotifiableTypeEnum>;
    openedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    parameters?: Maybe<Scalars['JSON']['output']>;
    target: User;
    targetId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type ActivityNotificationFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    key?: InputMaybe<FilterTextInput>;
    notifiableId?: InputMaybe<FilterIdInput>;
    notifiableType?: InputMaybe<NotifiableTypeEnum>;
    openedAt?: InputMaybe<FilterDateInput>;
    targetId?: InputMaybe<FilterIdInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type ActivityNotificationResolver = {
    __typename?: 'ActivityNotificationResolver';
    activityNotifications: Array<ActivityNotification>;
    total: Scalars['Int']['output'];
};
export type ActivityNotificationSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    key?: InputMaybe<SortEnum>;
    notifiableId?: InputMaybe<SortEnum>;
    notifiableType?: InputMaybe<SortEnum>;
    openedAt?: InputMaybe<SortEnum>;
    targetId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type ActivityPoint = {
    __typename?: 'ActivityPoint';
    activityType?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    points?: Maybe<Scalars['Int']['output']>;
    tokensSpent?: Maybe<Scalars['Int']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type ActivityPointFilterInput = {
    activityType?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    points?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    tokensSpent?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
};
export type ActivityPointHighscore = {
    __typename?: 'ActivityPointHighscore';
    payable?: Maybe<Scalars['Boolean']['output']>;
    payout?: Maybe<Scalars['Float']['output']>;
    points?: Maybe<Scalars['Int']['output']>;
    user: User;
};
export type ActivityPointHighscoreResolver = {
    __typename?: 'ActivityPointHighscoreResolver';
    highscore: Array<ActivityPointHighscore>;
    total: Scalars['Int']['output'];
};
export type ActivityPointInput = {
    activityType?: InputMaybe<Scalars['String']['input']>;
    points?: InputMaybe<Scalars['Int']['input']>;
    tokensSpent?: InputMaybe<Scalars['Int']['input']>;
    userId?: InputMaybe<Scalars['ID']['input']>;
};
export type ActivityPointResolver = {
    __typename?: 'ActivityPointResolver';
    activityPoints: Array<ActivityPoint>;
    total: Scalars['Int']['output'];
};
export type ActivityPointSortInput = {
    activityType?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    points?: InputMaybe<SortEnum>;
    tokensSpent?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
/** Autogenerated input type of AddActivityPointMutation */
export type AddActivityPointMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ActivityPointInput;
};
/** Autogenerated return type of AddActivityPointMutation */
export type AddActivityPointMutationPayload = {
    __typename?: 'AddActivityPointMutationPayload';
    activityPoint: ActivityPoint;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of AddAdminUserMutation */
export type AddAdminUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: AdminUserInput;
};
/** Autogenerated return type of AddAdminUserMutation */
export type AddAdminUserMutationPayload = {
    __typename?: 'AddAdminUserMutationPayload';
    adminUser: AdminUser;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of AddAmaSessionMutation */
export type AddAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: AmaSessionInput;
};
/** Autogenerated return type of AddAmaSessionMutation */
export type AddAmaSessionMutationPayload = {
    __typename?: 'AddAmaSessionMutationPayload';
    amaSession: AmaSession;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of AddAnnouncementMutation */
export type AddAnnouncementMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: AnnouncementInput;
};
/** Autogenerated return type of AddAnnouncementMutation */
export type AddAnnouncementMutationPayload = {
    __typename?: 'AddAnnouncementMutationPayload';
    announcement: Announcement;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of AddContentCategoryMutation */
export type AddContentCategoryMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ContentCategoryInput;
};
/** Autogenerated return type of AddContentCategoryMutation */
export type AddContentCategoryMutationPayload = {
    __typename?: 'AddContentCategoryMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    contentCategory: ContentCategory;
};
/** Autogenerated input type of AddContentMediumMutation */
export type AddContentMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ContentMediumInput;
};
/** Autogenerated return type of AddContentMediumMutation */
export type AddContentMediumMutationPayload = {
    __typename?: 'AddContentMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    contentMedium: ContentMedium;
};
/** Autogenerated input type of AddContentMutation */
export type AddContentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ContentInput;
};
/** Autogenerated return type of AddContentMutation */
export type AddContentMutationPayload = {
    __typename?: 'AddContentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of AddCustomNotificationMutation */
export type AddCustomNotificationMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: CustomNotificationInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of AddCustomNotificationMutation */
export type AddCustomNotificationMutationPayload = {
    __typename?: 'AddCustomNotificationMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    customNotification: CustomNotification;
};
/** Autogenerated input type of AddEventMutation */
export type AddEventMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: EventInput;
};
/** Autogenerated return type of AddEventMutation */
export type AddEventMutationPayload = {
    __typename?: 'AddEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    event: Event;
};
/** Autogenerated input type of AddFreeTokenTriggerMutation */
export type AddFreeTokenTriggerMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: FreeTokenTriggerInput;
};
/** Autogenerated return type of AddFreeTokenTriggerMutation */
export type AddFreeTokenTriggerMutationPayload = {
    __typename?: 'AddFreeTokenTriggerMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    freeTokenTrigger: FreeTokenTrigger;
};
/** Autogenerated input type of AddGiveawayMutation */
export type AddGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: GiveawayInput;
};
/** Autogenerated return type of AddGiveawayMutation */
export type AddGiveawayMutationPayload = {
    __typename?: 'AddGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
/** Autogenerated input type of AddIdeationMissionMutation */
export type AddIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: IdeationMissionInput;
};
/** Autogenerated return type of AddIdeationMissionMutation */
export type AddIdeationMissionMutationPayload = {
    __typename?: 'AddIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ideationMission: IdeationMission;
};
/** Autogenerated input type of AddMenuItemMutation */
export type AddMenuItemMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: MenuItemInput;
};
/** Autogenerated return type of AddMenuItemMutation */
export type AddMenuItemMutationPayload = {
    __typename?: 'AddMenuItemMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    menuItem: MenuItem;
};
/** Autogenerated input type of AddNftCollectionDeploymentMutation */
export type AddNftCollectionDeploymentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftCollectionDeploymentInput;
};
/** Autogenerated return type of AddNftCollectionDeploymentMutation */
export type AddNftCollectionDeploymentMutationPayload = {
    __typename?: 'AddNftCollectionDeploymentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollectionDeployment: NftCollectionDeployment;
};
/** Autogenerated input type of AddNftCollectionMutation */
export type AddNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftCollectionInput;
};
/** Autogenerated return type of AddNftCollectionMutation */
export type AddNftCollectionMutationPayload = {
    __typename?: 'AddNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of AddNftGiveawayMutation */
export type AddNftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftGiveawayInput;
};
/** Autogenerated return type of AddNftGiveawayMutation */
export type AddNftGiveawayMutationPayload = {
    __typename?: 'AddNftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftGiveaway: NftGiveaway;
};
/** Autogenerated input type of AddNftHandoutMutation */
export type AddNftHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of AddNftHandoutMutation */
export type AddNftHandoutMutationPayload = {
    __typename?: 'AddNftHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftHandout: NftHandout;
};
/** Autogenerated input type of AddNftMediumMutation */
export type AddNftMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftMediumInput;
};
/** Autogenerated return type of AddNftMediumMutation */
export type AddNftMediumMutationPayload = {
    __typename?: 'AddNftMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftMedium: NftMedium;
};
/** Autogenerated input type of AddNftMutation */
export type AddNftMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftInput;
};
/** Autogenerated return type of AddNftMutation */
export type AddNftMutationPayload = {
    __typename?: 'AddNftMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nft: Nft;
};
/** Autogenerated input type of AddNftTransferNetworkMutation */
export type AddNftTransferNetworkMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: NftTransferNetworkInput;
};
/** Autogenerated return type of AddNftTransferNetworkMutation */
export type AddNftTransferNetworkMutationPayload = {
    __typename?: 'AddNftTransferNetworkMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftTransferNetwork: NftTransferNetwork;
};
/** Autogenerated input type of AddNftsToCollectionMutation */
export type AddNftsToCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    collectionId: Scalars['ID']['input'];
    nftFilter?: InputMaybe<Array<NftFilterInput>>;
};
/** Autogenerated return type of AddNftsToCollectionMutation */
export type AddNftsToCollectionMutationPayload = {
    __typename?: 'AddNftsToCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of AddProfileFieldMutation */
export type AddProfileFieldMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ProfileFieldInput;
};
/** Autogenerated return type of AddProfileFieldMutation */
export type AddProfileFieldMutationPayload = {
    __typename?: 'AddProfileFieldMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileField: ProfileField;
};
/** Autogenerated input type of AddShopProductMutation */
export type AddShopProductMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ShopProductInput;
};
/** Autogenerated return type of AddShopProductMutation */
export type AddShopProductMutationPayload = {
    __typename?: 'AddShopProductMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    shopProduct: ShopProduct;
};
/** Autogenerated input type of AddShopProductTierMutation */
export type AddShopProductTierMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: ShopProductTierInput;
};
/** Autogenerated return type of AddShopProductTierMutation */
export type AddShopProductTierMutationPayload = {
    __typename?: 'AddShopProductTierMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    shopProductTier: ShopProductTier;
};
/** Autogenerated input type of AddSponsorMediumMutation */
export type AddSponsorMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: SponsorMediumInput;
};
/** Autogenerated return type of AddSponsorMediumMutation */
export type AddSponsorMediumMutationPayload = {
    __typename?: 'AddSponsorMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    sponsorMedium: SponsorMedium;
};
/** Autogenerated input type of AddSponsorMutation */
export type AddSponsorMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: SponsorInput;
};
/** Autogenerated return type of AddSponsorMutation */
export type AddSponsorMutationPayload = {
    __typename?: 'AddSponsorMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    sponsor: Sponsor;
};
/** Autogenerated input type of AddStaticPageMutation */
export type AddStaticPageMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: StaticPageInput;
};
/** Autogenerated return type of AddStaticPageMutation */
export type AddStaticPageMutationPayload = {
    __typename?: 'AddStaticPageMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    staticPage: StaticPage;
};
/** Autogenerated input type of AddSystemSettingMutation */
export type AddSystemSettingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: SystemSettingInput;
};
/** Autogenerated return type of AddSystemSettingMutation */
export type AddSystemSettingMutationPayload = {
    __typename?: 'AddSystemSettingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    systemSetting: SystemSetting;
};
/** Autogenerated input type of AddTokenHandoutMutation */
export type AddTokenHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: TokenHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of AddTokenHandoutMutation */
export type AddTokenHandoutMutationPayload = {
    __typename?: 'AddTokenHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    tokenHandout: TokenHandout;
};
/** Autogenerated input type of AddUgcReportMutation */
export type AddUgcReportMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: UgcReportInput;
};
/** Autogenerated return type of AddUgcReportMutation */
export type AddUgcReportMutationPayload = {
    __typename?: 'AddUgcReportMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ugcReport: UgcReport;
};
/** Autogenerated input type of AddUgcReportTypeMutation */
export type AddUgcReportTypeMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: UgcReportTypeInput;
};
/** Autogenerated return type of AddUgcReportTypeMutation */
export type AddUgcReportTypeMutationPayload = {
    __typename?: 'AddUgcReportTypeMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ugcReportType: UgcReportTyp;
};
/** Autogenerated input type of AddUserOrderMutation */
export type AddUserOrderMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: UserOrderInput;
};
/** Autogenerated return type of AddUserOrderMutation */
export type AddUserOrderMutationPayload = {
    __typename?: 'AddUserOrderMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    userOrder: UserOrder;
};
/** Autogenerated input type of AddVotingMutation */
export type AddVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: VotingInput;
};
/** Autogenerated return type of AddVotingMutation */
export type AddVotingMutationPayload = {
    __typename?: 'AddVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    voting: Voting;
};
export type AdminProfileInput = {
    email?: InputMaybe<Scalars['String']['input']>;
    otpRequiredForLogin?: InputMaybe<Scalars['Boolean']['input']>;
    password?: InputMaybe<Scalars['String']['input']>;
    passwordConfirmation?: InputMaybe<Scalars['String']['input']>;
    receiveDailySummary?: InputMaybe<Scalars['Boolean']['input']>;
    useAbsoluteDates?: InputMaybe<Scalars['Boolean']['input']>;
};
export type AdminUser = {
    __typename?: 'AdminUser';
    authorizations: Scalars['JSON']['output'];
    confirmationSentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    confirmationToken?: Maybe<Scalars['String']['output']>;
    confirmedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    email: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    otpRequiredForLogin?: Maybe<Scalars['Boolean']['output']>;
    provider?: Maybe<Scalars['String']['output']>;
    receiveDailySummary: Scalars['Boolean']['output'];
    rememberCreatedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    resetPasswordSentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    resetPasswordToken?: Maybe<Scalars['String']['output']>;
    role?: Maybe<AdminUserRoleEnum>;
    serviceToken?: Maybe<Scalars['String']['output']>;
    tokens: Scalars['String']['output'];
    uid?: Maybe<Scalars['String']['output']>;
    unconfirmedEmail?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    useAbsoluteDates: Scalars['Boolean']['output'];
};
export type AdminUserFilterInput = {
    confirmationSentAt?: InputMaybe<FilterDateInput>;
    confirmedAt?: InputMaybe<FilterDateInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    email?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    otpRequiredForLogin?: InputMaybe<FilterNumberInput>;
    provider?: InputMaybe<FilterTextInput>;
    resetPasswordSentAt?: InputMaybe<FilterDateInput>;
    role?: InputMaybe<AdminUserRoleEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    uid?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type AdminUserInput = {
    email?: InputMaybe<Scalars['String']['input']>;
    otpRequiredForLogin?: InputMaybe<Scalars['Boolean']['input']>;
    password?: InputMaybe<Scalars['String']['input']>;
    passwordConfirmation?: InputMaybe<Scalars['String']['input']>;
    provider?: InputMaybe<Scalars['String']['input']>;
    receiveDailySummary?: InputMaybe<Scalars['Boolean']['input']>;
    role?: InputMaybe<AdminUserRoleEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    uid?: InputMaybe<Scalars['String']['input']>;
    useAbsoluteDates?: InputMaybe<Scalars['Boolean']['input']>;
};
/** Autogenerated return type of AdminUserLogin */
export type AdminUserLoginPayload = {
    __typename?: 'AdminUserLoginPayload';
    authenticatable: AdminUser;
    credentials: Credential;
};
export type AdminUserResolver = {
    __typename?: 'AdminUserResolver';
    adminUsers: Array<AdminUser>;
    total: Scalars['Int']['output'];
};
export declare enum AdminUserRoleEnum {
    Editor = "editor",
    Finance = "finance",
    Ltid = "ltid",
    SuperAdmin = "super_admin",
    Support = "support",
    SystemAdmin = "system_admin",
    Writer = "writer"
}
export type AdminUserSortInput = {
    confirmationSentAt?: InputMaybe<SortEnum>;
    confirmationToken?: InputMaybe<SortEnum>;
    confirmedAt?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    email?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    otpRequiredForLogin?: InputMaybe<SortEnum>;
    provider?: InputMaybe<SortEnum>;
    rememberCreatedAt?: InputMaybe<SortEnum>;
    resetPasswordSentAt?: InputMaybe<SortEnum>;
    resetPasswordToken?: InputMaybe<SortEnum>;
    role?: InputMaybe<SortEnum>;
    uid?: InputMaybe<SortEnum>;
    unconfirmedEmail?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type AmaQuestion = {
    __typename?: 'AmaQuestion';
    amaSession: AmaSession;
    amaSessionId: Scalars['ID']['output'];
    audits: Array<Audit>;
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    content?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    customTag1?: Maybe<Scalars['Boolean']['output']>;
    customTag2?: Maybe<Scalars['Boolean']['output']>;
    customTag3?: Maybe<Scalars['Boolean']['output']>;
    customTag4?: Maybe<Scalars['Boolean']['output']>;
    customTag5?: Maybe<Scalars['Boolean']['output']>;
    id: Scalars['ID']['output'];
    isAnswered?: Maybe<Scalars['Boolean']['output']>;
    likesCount?: Maybe<Scalars['Int']['output']>;
    nfts: Array<Nft>;
    pageViews: Scalars['Int']['output'];
    previewUrl?: Maybe<Scalars['String']['output']>;
    removed: Scalars['Boolean']['output'];
    reportStatus: ReportableStatusEnum;
    title: Scalars['String']['output'];
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userMedia: Array<UserMedium>;
};
export type AmaQuestionFilterInput = {
    amaSessionId?: InputMaybe<FilterNumberInput>;
    boostsAmountCache?: InputMaybe<FilterNumberInput>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    customTag1?: InputMaybe<Scalars['Boolean']['input']>;
    customTag2?: InputMaybe<Scalars['Boolean']['input']>;
    customTag3?: InputMaybe<Scalars['Boolean']['input']>;
    customTag4?: InputMaybe<Scalars['Boolean']['input']>;
    customTag5?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<FilterIdInput>;
    isAnswered?: InputMaybe<Scalars['Boolean']['input']>;
    likesCount?: InputMaybe<FilterNumberInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    removed?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<FilterTextInput>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
};
export type AmaQuestionInput = {
    customTag1?: InputMaybe<Scalars['Boolean']['input']>;
    customTag2?: InputMaybe<Scalars['Boolean']['input']>;
    customTag3?: InputMaybe<Scalars['Boolean']['input']>;
    customTag4?: InputMaybe<Scalars['Boolean']['input']>;
    customTag5?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    isAnswered?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export type AmaQuestionResolver = {
    __typename?: 'AmaQuestionResolver';
    amaQuestions: Array<AmaQuestion>;
    total: Scalars['Int']['output'];
};
export type AmaQuestionSortInput = {
    boostsAmountCache?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    customTag1?: InputMaybe<SortEnum>;
    customTag2?: InputMaybe<SortEnum>;
    customTag3?: InputMaybe<SortEnum>;
    customTag4?: InputMaybe<SortEnum>;
    customTag5?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    isAnswered?: InputMaybe<SortEnum>;
    likesCount?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    removed?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<SortEnum>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type AmaSession = {
    __typename?: 'AmaSession';
    amaQuestions: Array<AmaQuestion>;
    amaQuestionsCount?: Maybe<Scalars['Int']['output']>;
    announcements: Array<Announcement>;
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    distributedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    endsAt: Scalars['ISO8601DateTime']['output'];
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: AmaSessionStatusEnum;
    translations: Array<AmaSessionTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type AmaSessionFilterInput = {
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    contentCategory?: InputMaybe<FilterIdInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    distributedAt?: InputMaybe<FilterDateInput>;
    endsAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    preview?: InputMaybe<FilterTextInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    questionsCount?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<AmaSessionStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type AmaSessionInput = {
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    endsAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<AmaSessionTranslationInput>>;
};
export type AmaSessionResolver = {
    __typename?: 'AmaSessionResolver';
    amaSessions: Array<AmaSession>;
    total: Scalars['Int']['output'];
};
export type AmaSessionSortInput = {
    availabilityType?: InputMaybe<SortEnum>;
    contentCategory?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    distributedAt?: InputMaybe<SortEnum>;
    endsAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    preview?: InputMaybe<LocalizedSorterInput>;
    publishedAt?: InputMaybe<SortEnum>;
    questionsCount?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum AmaSessionStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type AmaSessionTranslation = {
    __typename?: 'AmaSessionTranslation';
    description: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    preview?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type AmaSessionTranslationInput = {
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    preview?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type Announcement = {
    __typename?: 'Announcement';
    announceableId: Scalars['ID']['output'];
    announceableType?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    translations: Array<AnnouncementTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type AnnouncementFilterInput = {
    announceableId?: InputMaybe<FilterNumberInput>;
    announceableType?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type AnnouncementInput = {
    announceableId?: InputMaybe<Scalars['ID']['input']>;
    announceableType?: InputMaybe<Scalars['String']['input']>;
    translations?: InputMaybe<Array<AnnouncementTranslationInput>>;
};
export type AnnouncementResolver = {
    __typename?: 'AnnouncementResolver';
    announcements: Array<Announcement>;
    total: Scalars['Int']['output'];
};
export type AnnouncementSortInput = {
    announceableId?: InputMaybe<SortEnum>;
    announceableType?: InputMaybe<SortEnum>;
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type AnnouncementTranslation = {
    __typename?: 'AnnouncementTranslation';
    content: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type AnnouncementTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated input type of ArchiveAmaSessionMutation */
export type ArchiveAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveAmaSessionMutation */
export type ArchiveAmaSessionMutationPayload = {
    __typename?: 'ArchiveAmaSessionMutationPayload';
    amaSession: AmaSession;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of ArchiveContentMutation */
export type ArchiveContentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveContentMutation */
export type ArchiveContentMutationPayload = {
    __typename?: 'ArchiveContentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of ArchiveEventMutation */
export type ArchiveEventMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveEventMutation */
export type ArchiveEventMutationPayload = {
    __typename?: 'ArchiveEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    event: Event;
};
/** Autogenerated input type of ArchiveFreeTokenTriggerMutation */
export type ArchiveFreeTokenTriggerMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveFreeTokenTriggerMutation */
export type ArchiveFreeTokenTriggerMutationPayload = {
    __typename?: 'ArchiveFreeTokenTriggerMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    freeTokenTrigger: FreeTokenTrigger;
};
/** Autogenerated input type of ArchiveGiveawayMutation */
export type ArchiveGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveGiveawayMutation */
export type ArchiveGiveawayMutationPayload = {
    __typename?: 'ArchiveGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
/** Autogenerated input type of ArchiveIdeationMissionMutation */
export type ArchiveIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveIdeationMissionMutation */
export type ArchiveIdeationMissionMutationPayload = {
    __typename?: 'ArchiveIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ideationMission: IdeationMission;
};
/** Autogenerated input type of ArchiveNftCollectionMutation */
export type ArchiveNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveNftCollectionMutation */
export type ArchiveNftCollectionMutationPayload = {
    __typename?: 'ArchiveNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of ArchiveNftGiveawayMutation */
export type ArchiveNftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveNftGiveawayMutation */
export type ArchiveNftGiveawayMutationPayload = {
    __typename?: 'ArchiveNftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftGiveaway: NftGiveaway;
};
/** Autogenerated input type of ArchiveProfileFieldMutation */
export type ArchiveProfileFieldMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveProfileFieldMutation */
export type ArchiveProfileFieldMutationPayload = {
    __typename?: 'ArchiveProfileFieldMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileField: ProfileField;
};
/** Autogenerated input type of ArchiveStaticPageMutation */
export type ArchiveStaticPageMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveStaticPageMutation */
export type ArchiveStaticPageMutationPayload = {
    __typename?: 'ArchiveStaticPageMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    staticPage: StaticPage;
};
/** Autogenerated input type of ArchiveVotingMutation */
export type ArchiveVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of ArchiveVotingMutation */
export type ArchiveVotingMutationPayload = {
    __typename?: 'ArchiveVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    voting: Voting;
};
export type Audit = {
    __typename?: 'Audit';
    auditableId: Scalars['ID']['output'];
    auditableType?: Maybe<Scalars['String']['output']>;
    auditedChanges: Scalars['JSON']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    userId?: Maybe<Scalars['ID']['output']>;
    userType?: Maybe<Scalars['String']['output']>;
    version?: Maybe<Scalars['Int']['output']>;
};
export type AvailabilitiesResource = {
    __typename?: 'AvailabilitiesResource';
    availabilityId: Scalars['ID']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft?: Maybe<Nft>;
    nftId?: Maybe<Scalars['ID']['output']>;
    shopProduct?: Maybe<ShopProduct>;
    shopProductId?: Maybe<Scalars['ID']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type AvailabilitiesResourceInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
    shopProductId?: InputMaybe<Scalars['ID']['input']>;
};
export type Availability = {
    __typename?: 'Availability';
    availabilitiesResources?: Maybe<Array<AvailabilitiesResource>>;
    availableFor: AvailabilityAvailableForEnum;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    resourceId: Scalars['ID']['output'];
    resourceType: Scalars['String']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export declare enum AvailabilityAvailableForEnum {
    Buyer = "buyer",
    NftHolder = "nft_holder",
    Subscriber = "subscriber"
}
export type AvailabilityInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    availabilitiesResources?: InputMaybe<Array<AvailabilitiesResourceInput>>;
    availableFor?: InputMaybe<AvailabilityAvailableForEnum>;
    id?: InputMaybe<Scalars['ID']['input']>;
};
export declare enum AvailabilityTypeEnum {
    CombinableAvailabilities = "combinable_availabilities",
    LoggedIn = "logged_in",
    LoggedOut = "logged_out",
    TokenHolder = "token_holder"
}
export type Balance = {
    __typename?: 'Balance';
    currency: Scalars['String']['output'];
    value: Scalars['String']['output'];
    var: Scalars['String']['output'];
};
export type BoosterDistribution = {
    __typename?: 'BoosterDistribution';
    boosterAddress: Scalars['String']['output'];
    boosterBalance?: Maybe<Scalars['Float']['output']>;
    boosterType: BoosterTypeEnum;
    createdAt: Scalars['ISO8601DateTime']['output'];
    firstDayOfPeriod?: Maybe<Scalars['ISO8601Date']['output']>;
    id: Scalars['ID']['output'];
    lastDayOfPeriod?: Maybe<Scalars['ISO8601Date']['output']>;
    paidToUsers?: Maybe<Scalars['Float']['output']>;
    transactions: Array<Transaction>;
    transferToVaultHash?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type BoosterDistributionFilterInput = {
    boosterAddress?: InputMaybe<FilterTextInput>;
    boosterBalance?: InputMaybe<FilterNumberInput>;
    boosterType?: InputMaybe<BoosterTypeEnum>;
    createdAt?: InputMaybe<FilterDateInput>;
    firstDayOfPeriod?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    lastDayOfPeriod?: InputMaybe<FilterDateInput>;
    paidToUsers?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    transferToVaultHash?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type BoosterDistributionResolver = {
    __typename?: 'BoosterDistributionResolver';
    boosterDistributions: Array<BoosterDistribution>;
    total: Scalars['Int']['output'];
};
export type BoosterDistributionSortInput = {
    boosterAddress?: InputMaybe<SortEnum>;
    boosterBalance?: InputMaybe<SortEnum>;
    boosterType?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    firstDayOfPeriod?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    lastDayOfPeriod?: InputMaybe<SortEnum>;
    paidToUsers?: InputMaybe<SortEnum>;
    transferToVaultHash?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum BoosterTypeEnum {
    AmaSessionBooster = "ama_session_booster",
    CommentBooster = "comment_booster",
    ContentBooster = "content_booster",
    ContentUnlocker = "content_unlocker",
    GroupPostBooster = "group_post_booster",
    IdeationBooster = "ideation_booster",
    ProposalBooster = "proposal_booster",
    VotingBooster = "voting_booster"
}
export type Comment = {
    __typename?: 'Comment';
    audits: Array<Audit>;
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    commentableId: Scalars['ID']['output'];
    commentableTitle?: Maybe<Scalars['String']['output']>;
    commentableType?: Maybe<CommentableTypeEnum>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    content?: Maybe<Scalars['String']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    disabled?: Maybe<Scalars['Boolean']['output']>;
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    id: Scalars['ID']['output'];
    likesCount?: Maybe<Scalars['Int']['output']>;
    muted?: Maybe<Scalars['Boolean']['output']>;
    nfts: Array<Nft>;
    operatorAddress?: Maybe<Scalars['String']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    previewUrl?: Maybe<Scalars['String']['output']>;
    removed?: Maybe<Scalars['Boolean']['output']>;
    reportStatus: ReportableStatusEnum;
    title?: Maybe<Scalars['String']['output']>;
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userMedia: Array<UserMedium>;
};
export type CommentFilterInput = {
    boostsAmountCache?: InputMaybe<FilterNumberInput>;
    commentableId?: InputMaybe<FilterNumberInput>;
    commentableType?: InputMaybe<CommentableTypeEnum>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    disabled?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<FilterIdInput>;
    likesCount?: InputMaybe<FilterNumberInput>;
    muted?: InputMaybe<Scalars['Boolean']['input']>;
    operatorAddress?: InputMaybe<FilterTextInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    removed?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
};
export type CommentInput = {
    disabled?: InputMaybe<Scalars['Boolean']['input']>;
    muted?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export type CommentResolver = {
    __typename?: 'CommentResolver';
    comments: Array<Comment>;
    total: Scalars['Int']['output'];
};
export type CommentSortInput = {
    boostsAmountCache?: InputMaybe<SortEnum>;
    commentableId?: InputMaybe<SortEnum>;
    commentableType?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    disabled?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    likesCount?: InputMaybe<SortEnum>;
    muted?: InputMaybe<SortEnum>;
    operatorAddress?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    removed?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum CommentableTypeEnum {
    AmaQuestion = "AmaQuestion",
    Comment = "Comment",
    Content = "Content",
    Event = "Event",
    GroupPost = "GroupPost",
    Idea = "Idea",
    StaticPage = "StaticPage",
    Voting = "Voting"
}
export type Content = {
    __typename?: 'Content';
    author?: Maybe<Scalars['String']['output']>;
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    contentType?: Maybe<ContentTypeEnum>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    depositShare?: Maybe<Scalars['Int']['output']>;
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    labels: Array<ContentLabel>;
    likesCount?: Maybe<Scalars['Int']['output']>;
    notifyOnPublished?: Maybe<Scalars['Boolean']['output']>;
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: ContentStatusEnum;
    translations: Array<ContentTranslation>;
    unlockPrice?: Maybe<Scalars['Int']['output']>;
    unlockerAddress?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type ContentCategory = {
    __typename?: 'ContentCategory';
    amaSessionsCount: Scalars['Int']['output'];
    contentsCount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    eventsCount: Scalars['Int']['output'];
    id: Scalars['ID']['output'];
    ideationMissionsCount: Scalars['Int']['output'];
    nftCollectionsCount: Scalars['Int']['output'];
    resourcesCount: Scalars['Int']['output'];
    translations: Array<ContentCategoryTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    votingsCount: Scalars['Int']['output'];
};
export type ContentCategoryFilterInput = {
    search?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<FilterTextInput>;
};
export type ContentCategoryInput = {
    translations?: InputMaybe<Array<ContentCategoryTranslationInput>>;
};
export type ContentCategoryResolver = {
    __typename?: 'ContentCategoryResolver';
    contentCategories: Array<ContentCategory>;
    total: Scalars['Int']['output'];
};
export type ContentCategorySortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type ContentCategoryTranslation = {
    __typename?: 'ContentCategoryTranslation';
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type ContentCategoryTranslationInput = {
    locale: Scalars['String']['input'];
    title: Scalars['String']['input'];
};
export type ContentFilterInput = {
    author?: InputMaybe<FilterTextInput>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    boostsAmountCache?: InputMaybe<FilterNumberInput>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    contentCategory?: InputMaybe<FilterIdInput>;
    contentType?: InputMaybe<ContentTypeEnum>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    labels?: InputMaybe<Array<ContentLabelInput>>;
    likesCount?: InputMaybe<FilterNumberInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    preview?: InputMaybe<FilterTextInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<ContentStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    unlockPrice?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type ContentInput = {
    author?: InputMaybe<Scalars['String']['input']>;
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    contentType?: InputMaybe<ContentTypeEnum>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    labels?: InputMaybe<Array<ContentLabelInput>>;
    notifyOnPublished?: InputMaybe<Scalars['Boolean']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<ContentTranslationInput>>;
    unlockPrice?: InputMaybe<Scalars['Int']['input']>;
};
export type ContentLabel = {
    __typename?: 'ContentLabel';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    key: Scalars['String']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    value: Scalars['String']['output'];
};
export type ContentLabelInput = {
    id?: InputMaybe<Scalars['ID']['input']>;
    key: Scalars['String']['input'];
    value: Scalars['String']['input'];
};
export type ContentMediaOembedData = OembedLink | OembedPhoto | OembedRich | OembedVideo;
export declare enum ContentMediaTypeEnum {
    Audio = "audio",
    ExternalMedia = "external_media",
    Image = "image",
    Video = "video"
}
export type ContentMedium = {
    __typename?: 'ContentMedium';
    amaSessionsCount: Scalars['Int']['output'];
    aspectRatio: MediaAspectRatioEnum;
    byteSize?: Maybe<Scalars['Int']['output']>;
    contentsCount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    customNotificationsCount: Scalars['Int']['output'];
    dimensions?: Maybe<Scalars['JSON']['output']>;
    eventsCount: Scalars['Int']['output'];
    externalSrc?: Maybe<Scalars['String']['output']>;
    freeTokenTriggersCount: Scalars['Int']['output'];
    id: Scalars['ID']['output'];
    ideationMissionsCount: Scalars['Int']['output'];
    image?: Maybe<Scalars['String']['output']>;
    mediaSrc?: Maybe<Scalars['String']['output']>;
    mediaType: ContentMediaTypeEnum;
    menuItemsCount: Scalars['Int']['output'];
    nftCollectionsCount: Scalars['Int']['output'];
    oembedData?: Maybe<ContentMediaOembedData>;
    original?: Maybe<Scalars['String']['output']>;
    resourcesCount: Scalars['Int']['output'];
    shopProductsCount: Scalars['Int']['output'];
    threeqDimensions?: Maybe<Scalars['JSON']['output']>;
    thumbnail?: Maybe<Scalars['String']['output']>;
    tokenHandoutsCount: Scalars['Int']['output'];
    translations: Array<ContentMediumTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    votingsCount: Scalars['Int']['output'];
};
export type ContentMediumFilterInput = {
    aspectRatio?: InputMaybe<MediaAspectRatioEnum>;
    externalSrc?: InputMaybe<FilterTextInput>;
    mediaType?: InputMaybe<ContentMediaTypeEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    subtitle?: InputMaybe<FilterTextInput>;
    title?: InputMaybe<FilterTextInput>;
};
/** Input attributes for content medium */
export type ContentMediumInput = {
    aspectRatio?: InputMaybe<MediaAspectRatioEnum>;
    externalSrc?: InputMaybe<Scalars['String']['input']>;
    file?: InputMaybe<Scalars['Upload']['input']>;
    mediaSrc?: InputMaybe<Scalars['String']['input']>;
    mediaType?: InputMaybe<ContentMediaTypeEnum>;
    translations?: InputMaybe<Array<ContentMediumTranslationInput>>;
};
export type ContentMediumResolver = {
    __typename?: 'ContentMediumResolver';
    contentMedia: Array<ContentMedium>;
    total: Scalars['Int']['output'];
};
export type ContentMediumSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    subtitle?: InputMaybe<LocalizedSorterInput>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type ContentMediumTranslation = {
    __typename?: 'ContentMediumTranslation';
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    subtitle?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type ContentMediumTranslationInput = {
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    subtitle?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type ContentResolver = {
    __typename?: 'ContentResolver';
    contents: Array<Content>;
    total: Scalars['Int']['output'];
};
export type ContentSortInput = {
    author?: InputMaybe<SortEnum>;
    availabilityType?: InputMaybe<SortEnum>;
    boostsAmountCache?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<LocalizedSorterInput>;
    contentCategory?: InputMaybe<SortEnum>;
    contentType?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    likesCount?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    preview?: InputMaybe<LocalizedSorterInput>;
    publishedAt?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    unlockPrice?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum ContentStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type ContentTranslation = {
    __typename?: 'ContentTranslation';
    content?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    metaCanonicalUrl?: Maybe<Scalars['String']['output']>;
    metaDescription?: Maybe<Scalars['String']['output']>;
    metaNofollow?: Maybe<Scalars['Boolean']['output']>;
    metaNoindex?: Maybe<Scalars['Boolean']['output']>;
    metaTitle?: Maybe<Scalars['String']['output']>;
    preview?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title?: Maybe<Scalars['String']['output']>;
};
export type ContentTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    metaCanonicalUrl?: InputMaybe<Scalars['String']['input']>;
    metaDescription?: InputMaybe<Scalars['String']['input']>;
    metaNofollow?: InputMaybe<Scalars['Boolean']['input']>;
    metaNoindex?: InputMaybe<Scalars['Boolean']['input']>;
    metaTitle?: InputMaybe<Scalars['String']['input']>;
    preview?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum ContentTypeEnum {
    Article = "article",
    Audio = "audio",
    Image = "image",
    Video = "video"
}
export type Credential = {
    __typename?: 'Credential';
    accessToken: Scalars['String']['output'];
    client: Scalars['String']['output'];
    expiry: Scalars['Int']['output'];
    tokenType: Scalars['String']['output'];
    uid: Scalars['String']['output'];
};
export type CustomNotification = {
    __typename?: 'CustomNotification';
    createdAt: Scalars['ISO8601DateTime']['output'];
    delayedPublicationId?: Maybe<Scalars['ID']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    notificationLink?: Maybe<Scalars['String']['output']>;
    notificationsCount: Scalars['Int']['output'];
    promptDialog?: Maybe<Scalars['Boolean']['output']>;
    sentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: CustomNotificationStatusEnum;
    translations: Array<CustomNotificationTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userFilter?: Maybe<Array<UserFilter>>;
    users: Array<User>;
};
export type CustomNotificationFilterInput = {
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    delayedPublicationId?: InputMaybe<FilterIdInput>;
    externalLink?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    message?: InputMaybe<FilterTextInput>;
    notificationsCount?: InputMaybe<FilterNumberInput>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sentAt?: InputMaybe<FilterDateInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<CustomNotificationStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type CustomNotificationInput = {
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    notificationLink?: InputMaybe<Scalars['String']['input']>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    sentAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<CustomNotificationTranslationInput>>;
};
export type CustomNotificationResolver = {
    __typename?: 'CustomNotificationResolver';
    customNotifications: Array<CustomNotification>;
    total: Scalars['Int']['output'];
};
export type CustomNotificationSortInput = {
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    delayedPublicationId?: InputMaybe<SortEnum>;
    externalLink?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    message?: InputMaybe<LocalizedSorterInput>;
    notificationsCount?: InputMaybe<SortEnum>;
    promptDialog?: InputMaybe<SortEnum>;
    sentAt?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum CustomNotificationStatusEnum {
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type CustomNotificationTranslation = {
    __typename?: 'CustomNotificationTranslation';
    content?: Maybe<Scalars['String']['output']>;
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    message?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type CustomNotificationTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    message?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type DelayedJob = {
    __typename?: 'DelayedJob';
    attempts: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    cron?: Maybe<Scalars['String']['output']>;
    failedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    handler?: Maybe<Scalars['String']['output']>;
    handlerClassName?: Maybe<Scalars['String']['output']>;
    handlerMethodName?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    lastError?: Maybe<Scalars['String']['output']>;
    lockedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    lockedBy?: Maybe<Scalars['String']['output']>;
    priority: Scalars['Int']['output'];
    queue?: Maybe<Scalars['String']['output']>;
    runAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type DelayedJobFilterInput = {
    attempts?: InputMaybe<FilterNumberInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    cron?: InputMaybe<FilterTextInput>;
    failedAt?: InputMaybe<FilterDateInput>;
    handler?: InputMaybe<FilterTextInput>;
    handlerClassName?: InputMaybe<Scalars['String']['input']>;
    handlerMethodName?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<FilterIdInput>;
    lastError?: InputMaybe<FilterTextInput>;
    lockedAt?: InputMaybe<FilterDateInput>;
    lockedBy?: InputMaybe<FilterTextInput>;
    priority?: InputMaybe<FilterNumberInput>;
    queue?: InputMaybe<FilterTextInput>;
    runAt?: InputMaybe<FilterDateInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type DelayedJobResolver = {
    __typename?: 'DelayedJobResolver';
    delayedJobs: Array<DelayedJob>;
    total: Scalars['Int']['output'];
};
export type DelayedJobSortInput = {
    attempts?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    cron?: InputMaybe<SortEnum>;
    failedAt?: InputMaybe<SortEnum>;
    handler?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    lastError?: InputMaybe<SortEnum>;
    lockedAt?: InputMaybe<SortEnum>;
    lockedBy?: InputMaybe<SortEnum>;
    priority?: InputMaybe<SortEnum>;
    queue?: InputMaybe<SortEnum>;
    runAt?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
/** Autogenerated input type of DeleteActivityPointsMutation */
export type DeleteActivityPointsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteActivityPointsMutation */
export type DeleteActivityPointsMutationPayload = {
    __typename?: 'DeleteActivityPointsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteAdminUserMutation */
export type DeleteAdminUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DeleteAdminUserMutation */
export type DeleteAdminUserMutationPayload = {
    __typename?: 'DeleteAdminUserMutationPayload';
    adminUser: AdminUser;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of DeleteAmaSessionsMutation */
export type DeleteAmaSessionsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteAmaSessionsMutation */
export type DeleteAmaSessionsMutationPayload = {
    __typename?: 'DeleteAmaSessionsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteAnnouncementsMutation */
export type DeleteAnnouncementsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteAnnouncementsMutation */
export type DeleteAnnouncementsMutationPayload = {
    __typename?: 'DeleteAnnouncementsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteContentCategoriesMutation */
export type DeleteContentCategoriesMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteContentCategoriesMutation */
export type DeleteContentCategoriesMutationPayload = {
    __typename?: 'DeleteContentCategoriesMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteContentMediaMutation */
export type DeleteContentMediaMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteContentMediaMutation */
export type DeleteContentMediaMutationPayload = {
    __typename?: 'DeleteContentMediaMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteContentsMutation */
export type DeleteContentsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteContentsMutation */
export type DeleteContentsMutationPayload = {
    __typename?: 'DeleteContentsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteCustomNotificationsMutation */
export type DeleteCustomNotificationsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteCustomNotificationsMutation */
export type DeleteCustomNotificationsMutationPayload = {
    __typename?: 'DeleteCustomNotificationsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteEventsMutation */
export type DeleteEventsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteEventsMutation */
export type DeleteEventsMutationPayload = {
    __typename?: 'DeleteEventsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteFreeTokenTriggersMutation */
export type DeleteFreeTokenTriggersMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteFreeTokenTriggersMutation */
export type DeleteFreeTokenTriggersMutationPayload = {
    __typename?: 'DeleteFreeTokenTriggersMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteGiveawaysMutation */
export type DeleteGiveawaysMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteGiveawaysMutation */
export type DeleteGiveawaysMutationPayload = {
    __typename?: 'DeleteGiveawaysMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteIdeationMissionsMutation */
export type DeleteIdeationMissionsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteIdeationMissionsMutation */
export type DeleteIdeationMissionsMutationPayload = {
    __typename?: 'DeleteIdeationMissionsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteMenuItemsMutation */
export type DeleteMenuItemsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteMenuItemsMutation */
export type DeleteMenuItemsMutationPayload = {
    __typename?: 'DeleteMenuItemsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteNftCollectionsMutation */
export type DeleteNftCollectionsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteNftCollectionsMutation */
export type DeleteNftCollectionsMutationPayload = {
    __typename?: 'DeleteNftCollectionsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteNftGiveawaysMutation */
export type DeleteNftGiveawaysMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteNftGiveawaysMutation */
export type DeleteNftGiveawaysMutationPayload = {
    __typename?: 'DeleteNftGiveawaysMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteNftHandoutsMutation */
export type DeleteNftHandoutsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteNftHandoutsMutation */
export type DeleteNftHandoutsMutationPayload = {
    __typename?: 'DeleteNftHandoutsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteNftMediaMutation */
export type DeleteNftMediaMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteNftMediaMutation */
export type DeleteNftMediaMutationPayload = {
    __typename?: 'DeleteNftMediaMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteNftsMutation */
export type DeleteNftsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteNftsMutation */
export type DeleteNftsMutationPayload = {
    __typename?: 'DeleteNftsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteProfileFieldsMutation */
export type DeleteProfileFieldsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteProfileFieldsMutation */
export type DeleteProfileFieldsMutationPayload = {
    __typename?: 'DeleteProfileFieldsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteShopProductTiersMutation */
export type DeleteShopProductTiersMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteShopProductTiersMutation */
export type DeleteShopProductTiersMutationPayload = {
    __typename?: 'DeleteShopProductTiersMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteShopProductsMutation */
export type DeleteShopProductsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteShopProductsMutation */
export type DeleteShopProductsMutationPayload = {
    __typename?: 'DeleteShopProductsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteSponsorMediaMutation */
export type DeleteSponsorMediaMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteSponsorMediaMutation */
export type DeleteSponsorMediaMutationPayload = {
    __typename?: 'DeleteSponsorMediaMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteSponsorsMutation */
export type DeleteSponsorsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteSponsorsMutation */
export type DeleteSponsorsMutationPayload = {
    __typename?: 'DeleteSponsorsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteStaticPagesMutation */
export type DeleteStaticPagesMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteStaticPagesMutation */
export type DeleteStaticPagesMutationPayload = {
    __typename?: 'DeleteStaticPagesMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteSystemSettingsMutation */
export type DeleteSystemSettingsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteSystemSettingsMutation */
export type DeleteSystemSettingsMutationPayload = {
    __typename?: 'DeleteSystemSettingsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteTokenHandoutsMutation */
export type DeleteTokenHandoutsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteTokenHandoutsMutation */
export type DeleteTokenHandoutsMutationPayload = {
    __typename?: 'DeleteTokenHandoutsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteUgcReportTypesMutation */
export type DeleteUgcReportTypesMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteUgcReportTypesMutation */
export type DeleteUgcReportTypesMutationPayload = {
    __typename?: 'DeleteUgcReportTypesMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteUgcReportsMutation */
export type DeleteUgcReportsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteUgcReportsMutation */
export type DeleteUgcReportsMutationPayload = {
    __typename?: 'DeleteUgcReportsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteUserMutation */
export type DeleteUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DeleteUserMutation */
export type DeleteUserMutationPayload = {
    __typename?: 'DeleteUserMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    user: User;
};
/** Autogenerated input type of DeleteUserOrdersMutation */
export type DeleteUserOrdersMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteUserOrdersMutation */
export type DeleteUserOrdersMutationPayload = {
    __typename?: 'DeleteUserOrdersMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DeleteVotingsMutation */
export type DeleteVotingsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    ids: Array<Scalars['ID']['input']>;
};
/** Autogenerated return type of DeleteVotingsMutation */
export type DeleteVotingsMutationPayload = {
    __typename?: 'DeleteVotingsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    deletedIds: Array<Scalars['ID']['output']>;
    status: Scalars['Int']['output'];
};
/** Autogenerated return type of DeployCommentBoosterMutation */
export type DeployCommentBoosterMutationPayload = {
    __typename?: 'DeployCommentBoosterMutationPayload';
    systemSetting: SystemSetting;
};
/** Autogenerated return type of DeployContentBoosterMutation */
export type DeployContentBoosterMutationPayload = {
    __typename?: 'DeployContentBoosterMutationPayload';
    systemSetting: SystemSetting;
};
/** Autogenerated return type of DeployContentUnlockerMutation */
export type DeployContentUnlockerMutationPayload = {
    __typename?: 'DeployContentUnlockerMutationPayload';
    systemSetting: SystemSetting;
};
/** Autogenerated return type of DeployTokenContractMutation */
export type DeployTokenContractMutationPayload = {
    __typename?: 'DeployTokenContractMutationPayload';
    systemSetting: SystemSetting;
};
/** Autogenerated input type of DistributeAmaSessionMutation */
export type DistributeAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DistributeAmaSessionMutation */
export type DistributeAmaSessionMutationPayload = {
    __typename?: 'DistributeAmaSessionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated return type of DistributeCommentBoosterMutation */
export type DistributeCommentBoosterMutationPayload = {
    __typename?: 'DistributeCommentBoosterMutationPayload';
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated return type of DistributeContentBoosterMutation */
export type DistributeContentBoosterMutationPayload = {
    __typename?: 'DistributeContentBoosterMutationPayload';
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated return type of DistributeContentUnlockerMutation */
export type DistributeContentUnlockerMutationPayload = {
    __typename?: 'DistributeContentUnlockerMutationPayload';
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DistributeIdeationMissionMutation */
export type DistributeIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DistributeIdeationMissionMutation */
export type DistributeIdeationMissionMutationPayload = {
    __typename?: 'DistributeIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DistributeVotingMutation */
export type DistributeVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DistributeVotingMutation */
export type DistributeVotingMutationPayload = {
    __typename?: 'DistributeVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of DraftAmaSessionMutation */
export type DraftAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftAmaSessionMutation */
export type DraftAmaSessionMutationPayload = {
    __typename?: 'DraftAmaSessionMutationPayload';
    amaSession: AmaSession;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of DraftContentMutation */
export type DraftContentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftContentMutation */
export type DraftContentMutationPayload = {
    __typename?: 'DraftContentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of DraftCustomNotificationMutation */
export type DraftCustomNotificationMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftCustomNotificationMutation */
export type DraftCustomNotificationMutationPayload = {
    __typename?: 'DraftCustomNotificationMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    customNotification: CustomNotification;
};
/** Autogenerated input type of DraftEventMutation */
export type DraftEventMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftEventMutation */
export type DraftEventMutationPayload = {
    __typename?: 'DraftEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    event: Event;
};
/** Autogenerated input type of DraftFreeTokenTriggerMutation */
export type DraftFreeTokenTriggerMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftFreeTokenTriggerMutation */
export type DraftFreeTokenTriggerMutationPayload = {
    __typename?: 'DraftFreeTokenTriggerMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    freeTokenTrigger: FreeTokenTrigger;
};
/** Autogenerated input type of DraftGiveawayMutation */
export type DraftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftGiveawayMutation */
export type DraftGiveawayMutationPayload = {
    __typename?: 'DraftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
/** Autogenerated input type of DraftIdeationMissionMutation */
export type DraftIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftIdeationMissionMutation */
export type DraftIdeationMissionMutationPayload = {
    __typename?: 'DraftIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ideationMission: IdeationMission;
};
/** Autogenerated input type of DraftNftCollectionMutation */
export type DraftNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftNftCollectionMutation */
export type DraftNftCollectionMutationPayload = {
    __typename?: 'DraftNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of DraftNftGiveawayMutation */
export type DraftNftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftNftGiveawayMutation */
export type DraftNftGiveawayMutationPayload = {
    __typename?: 'DraftNftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftGiveaway: NftGiveaway;
};
/** Autogenerated input type of DraftNftHandoutMutation */
export type DraftNftHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftNftHandoutMutation */
export type DraftNftHandoutMutationPayload = {
    __typename?: 'DraftNftHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftHandout: NftHandout;
};
/** Autogenerated input type of DraftProfileFieldMutation */
export type DraftProfileFieldMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftProfileFieldMutation */
export type DraftProfileFieldMutationPayload = {
    __typename?: 'DraftProfileFieldMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileField: ProfileField;
};
/** Autogenerated input type of DraftTokenHandoutMutation */
export type DraftTokenHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftTokenHandoutMutation */
export type DraftTokenHandoutMutationPayload = {
    __typename?: 'DraftTokenHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    tokenHandout: TokenHandout;
};
/** Autogenerated input type of DraftVotingMutation */
export type DraftVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of DraftVotingMutation */
export type DraftVotingMutationPayload = {
    __typename?: 'DraftVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    voting: Voting;
};
export type Event = {
    __typename?: 'Event';
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    endsAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    eventRegistrations?: Maybe<Array<EventRegistration>>;
    heroMedium: ContentMedium;
    heroMediumId: Scalars['ID']['output'];
    id: Scalars['ID']['output'];
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    registrationsCount?: Maybe<Scalars['Int']['output']>;
    registrationsLimit?: Maybe<Scalars['Int']['output']>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    startsAt: Scalars['ISO8601DateTime']['output'];
    status: EventStatusEnum;
    translations: Array<EventTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type EventFilterInput = {
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    contentCategory?: InputMaybe<FilterIdInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    delayedPublicationId?: InputMaybe<FilterIdInput>;
    description?: InputMaybe<FilterTextInput>;
    endsAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    locationAddress?: InputMaybe<FilterTextInput>;
    locationName?: InputMaybe<FilterTextInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    registrationsLimit?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    startsAt?: InputMaybe<FilterDateInput>;
    status?: InputMaybe<EventStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    url?: InputMaybe<FilterTextInput>;
};
export type EventInput = {
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    endsAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    registrationsLimit?: InputMaybe<Scalars['Int']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    startsAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    translations?: InputMaybe<Array<EventTranslationInput>>;
};
export type EventRegistration = {
    __typename?: 'EventRegistration';
    createdAt: Scalars['ISO8601DateTime']['output'];
    event: Event;
    eventId: Scalars['ID']['output'];
    id: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type EventRegistrationFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    eventId?: InputMaybe<FilterIdInput>;
    id?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type EventRegistrationResolver = {
    __typename?: 'EventRegistrationResolver';
    eventRegistrations: Array<EventRegistration>;
    total: Scalars['Int']['output'];
};
export type EventRegistrationSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    eventId?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type EventResolver = {
    __typename?: 'EventResolver';
    events: Array<Event>;
    total: Scalars['Int']['output'];
};
export type EventSortInput = {
    availabilityType?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    contentCategory?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    endsAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    publishedAt?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    startsAt?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum EventStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type EventTranslation = {
    __typename?: 'EventTranslation';
    description: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    locationAddress?: Maybe<Scalars['String']['output']>;
    locationName?: Maybe<Scalars['String']['output']>;
    metaCanonicalUrl?: Maybe<Scalars['String']['output']>;
    metaDescription?: Maybe<Scalars['String']['output']>;
    metaNofollow?: Maybe<Scalars['Boolean']['output']>;
    metaNoindex?: Maybe<Scalars['Boolean']['output']>;
    metaTitle?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title: Scalars['String']['output'];
    url?: Maybe<Scalars['String']['output']>;
};
export type EventTranslationInput = {
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    locationAddress?: InputMaybe<Scalars['String']['input']>;
    locationName?: InputMaybe<Scalars['String']['input']>;
    metaCanonicalUrl?: InputMaybe<Scalars['String']['input']>;
    metaDescription?: InputMaybe<Scalars['String']['input']>;
    metaNofollow?: InputMaybe<Scalars['Boolean']['input']>;
    metaNoindex?: InputMaybe<Scalars['Boolean']['input']>;
    metaTitle?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
    url?: InputMaybe<Scalars['String']['input']>;
};
export type FanGroup = {
    __typename?: 'FanGroup';
    acceptanceStatus: FanGroupAcceptanceStatusEnum;
    accessType: FanGroupAccessTypeEnum;
    activeFanGroupUsersCount: Scalars['Int']['output'];
    archived?: Maybe<Scalars['Boolean']['output']>;
    audits: Array<Audit>;
    city?: Maybe<Scalars['String']['output']>;
    country?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    description?: Maybe<Scalars['String']['output']>;
    fanGroupUsers: Array<FanGroupUser>;
    fanGroupUsersCount: Scalars['Int']['output'];
    groupAdmin: User;
    groupAdminId: Scalars['ID']['output'];
    groupPosts: Array<GroupPost>;
    groupProfileMedium?: Maybe<UserMedium>;
    groupProfileMediumId?: Maybe<Scalars['ID']['output']>;
    groupPurpose?: Maybe<Scalars['String']['output']>;
    heroMedium?: Maybe<UserMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    invitationType: FanGroupInvitationTypeEnum;
    isVerified?: Maybe<Scalars['Boolean']['output']>;
    name: Scalars['String']['output'];
    pageViews: Scalars['Int']['output'];
    pendingFanGroupUsersCount: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
    previewUrl: Scalars['String']['output'];
    reportStatus: ReportableStatusEnum;
    showInFeed: Scalars['Boolean']['output'];
    shownInFeedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    state?: Maybe<Scalars['String']['output']>;
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    visibilityType: FanGroupVisibilityTypeEnum;
    willBePinned: Scalars['Boolean']['output'];
};
export declare enum FanGroupAcceptanceStatusEnum {
    Accepted = "accepted",
    Rejected = "rejected",
    Submitted = "submitted"
}
export declare enum FanGroupAccessTypeEnum {
    PrivatelyAccessible = "privately_accessible",
    PubliclyAccessible = "publicly_accessible"
}
export type FanGroupFilterInput = {
    acceptanceStatus?: InputMaybe<FanGroupAcceptanceStatusEnum>;
    accessType?: InputMaybe<FanGroupAccessTypeEnum>;
    activeFanGroupUsersCount?: InputMaybe<FilterNumberInput>;
    archived?: InputMaybe<Scalars['Boolean']['input']>;
    city?: InputMaybe<FilterTextInput>;
    country?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    fanGroupUsersCount?: InputMaybe<FilterNumberInput>;
    groupAdminId?: InputMaybe<FilterNumberInput>;
    groupPurpose?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    invitationType?: InputMaybe<FanGroupInvitationTypeEnum>;
    isVerified?: InputMaybe<Scalars['Boolean']['input']>;
    name?: InputMaybe<FilterTextInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    pendingFanGroupUsersCount?: InputMaybe<FilterNumberInput>;
    postsVisibilityType?: InputMaybe<FanGroupPostsVisibilityTypeEnum>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    state?: InputMaybe<FilterTextInput>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    visibilityType?: InputMaybe<FanGroupVisibilityTypeEnum>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
    withReportStatusOrSubmitted?: InputMaybe<Scalars['Boolean']['input']>;
};
export type FanGroupInput = {
    acceptanceStatus?: InputMaybe<FanGroupAcceptanceStatusEnum>;
    archived?: InputMaybe<Scalars['Boolean']['input']>;
    isVerified?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    showInFeed?: InputMaybe<Scalars['Boolean']['input']>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export declare enum FanGroupInvitationTypeEnum {
    FromAdmin = "from_admin",
    FromMember = "from_member",
    FromOwner = "from_owner"
}
export declare enum FanGroupPostsVisibilityTypeEnum {
    AllUsers = "all_users",
    OnlyMembers = "only_members"
}
export type FanGroupResolver = {
    __typename?: 'FanGroupResolver';
    fanGroups: Array<FanGroup>;
    total: Scalars['Int']['output'];
};
export type FanGroupSortInput = {
    acceptanceStatus?: InputMaybe<SortEnum>;
    activeFanGroupUsersCount?: InputMaybe<SortEnum>;
    archived?: InputMaybe<SortEnum>;
    city?: InputMaybe<SortEnum>;
    country?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    fanGroupUsersCount?: InputMaybe<SortEnum>;
    groupAdminId?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    isVerified?: InputMaybe<SortEnum>;
    name?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    pendingFanGroupUsersCount?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    state?: InputMaybe<SortEnum>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type FanGroupUser = {
    __typename?: 'FanGroupUser';
    activatedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    blockedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    canceledAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    fanGroup: FanGroup;
    fanGroupId: Scalars['ID']['output'];
    id: Scalars['ID']['output'];
    joinMessage?: Maybe<Scalars['String']['output']>;
    leftAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    rejectedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    role: FanGroupUserRoleEnum;
    status: FanGroupUserStatusEnum;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type FanGroupUserFilterInput = {
    activatedAt?: InputMaybe<FilterDateInput>;
    blockedAt?: InputMaybe<FilterDateInput>;
    canceledAt?: InputMaybe<FilterDateInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    displayName?: InputMaybe<FilterTextInput>;
    fanGroupId?: InputMaybe<FilterIdInput>;
    id?: InputMaybe<FilterIdInput>;
    leftAt?: InputMaybe<FilterDateInput>;
    rejectedAt?: InputMaybe<FilterDateInput>;
    role?: InputMaybe<FanGroupUserRoleEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<FanGroupUserStatusEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type FanGroupUserResolver = {
    __typename?: 'FanGroupUserResolver';
    fanGroupUsers: Array<FanGroupUser>;
    total: Scalars['Int']['output'];
};
export declare enum FanGroupUserRoleEnum {
    Admin = "admin",
    Member = "member",
    Owner = "owner"
}
export type FanGroupUserSortInput = {
    activatedAt?: InputMaybe<SortEnum>;
    blockedAt?: InputMaybe<SortEnum>;
    canceledAt?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    fanGroupId?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    leftAt?: InputMaybe<SortEnum>;
    rejectedAt?: InputMaybe<SortEnum>;
    role?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum FanGroupUserStatusEnum {
    Active = "active",
    Blocked = "blocked",
    Canceled = "canceled",
    Left = "left",
    Pending = "pending",
    Rejected = "rejected"
}
export declare enum FanGroupVisibilityTypeEnum {
    PrivatelyVisible = "privately_visible",
    PubliclyVisible = "publicly_visible"
}
export type FanVaultDistribution = {
    __typename?: 'FanVaultDistribution';
    createdAt: Scalars['ISO8601DateTime']['output'];
    firstDayOfPeriod: Scalars['ISO8601Date']['output'];
    id: Scalars['ID']['output'];
    lastDayOfPeriod: Scalars['ISO8601Date']['output'];
    paidToUsers: Scalars['Float']['output'];
    sharesToUsers: Scalars['Int']['output'];
    transactions: Array<Transaction>;
    transferToNextVaultHash?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    vaultAddress: Scalars['String']['output'];
    vaultBalance?: Maybe<Scalars['Float']['output']>;
    vaultType: VaultTypeEnum;
};
export type FanVaultDistributionFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    firstDayOfPeriod?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    lastDayOfPeriod?: InputMaybe<FilterDateInput>;
    paidToUsers?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sharesToUsers?: InputMaybe<FilterNumberInput>;
    transferToNextVaultHash?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    vaultAddress?: InputMaybe<FilterTextInput>;
    vaultBalance?: InputMaybe<FilterNumberInput>;
    vaultType?: InputMaybe<VaultTypeEnum>;
};
export type FanVaultDistributionResolver = {
    __typename?: 'FanVaultDistributionResolver';
    fanVaultDistributions: Array<FanVaultDistribution>;
    total: Scalars['Int']['output'];
};
export type FanVaultDistributionSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    firstDayOfPeriod?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    lastDayOfPeriod?: InputMaybe<SortEnum>;
    paidToUsers?: InputMaybe<SortEnum>;
    sharesToUsers?: InputMaybe<SortEnum>;
    transferToNextVaultHash?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    vaultAddress?: InputMaybe<SortEnum>;
    vaultBalance?: InputMaybe<SortEnum>;
    vaultType?: InputMaybe<SortEnum>;
};
export declare enum FanVaultEnum {
    Monthly = "monthly",
    Weekly = "weekly",
    Yearly = "yearly"
}
export declare enum FanVaultTypeEnum {
    Monthly = "monthly",
    Weekly = "weekly",
    Yearly = "yearly"
}
export type FeedPin = {
    __typename?: 'FeedPin';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    isActive?: Maybe<Scalars['Boolean']['output']>;
    pinnableId: Scalars['ID']['output'];
    pinnableTitle: Scalars['String']['output'];
    pinnableType: PinnableTypeEnum;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type FilterDate = {
    __typename?: 'FilterDate';
    from?: Maybe<Scalars['String']['output']>;
    isNotNull?: Maybe<Scalars['Boolean']['output']>;
    isNull?: Maybe<Scalars['Boolean']['output']>;
    until?: Maybe<Scalars['String']['output']>;
};
export type FilterDateInput = {
    /** date from */
    from?: InputMaybe<Scalars['String']['input']>;
    /** is not null */
    isNotNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** is null */
    isNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** date until */
    until?: InputMaybe<Scalars['String']['input']>;
};
export type FilterForeignKeyInput = {
    /** equals */
    eq?: InputMaybe<Scalars['Int']['input']>;
    /** is not null */
    isNotNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** is null */
    isNull?: InputMaybe<Scalars['Boolean']['input']>;
};
export type FilterId = {
    __typename?: 'FilterId';
    eq?: Maybe<Scalars['ID']['output']>;
    gt?: Maybe<Scalars['ID']['output']>;
    in?: Maybe<Array<Scalars['ID']['output']>>;
    isNotNull?: Maybe<Scalars['Boolean']['output']>;
    isNull?: Maybe<Scalars['Boolean']['output']>;
    lt?: Maybe<Scalars['ID']['output']>;
    notEq?: Maybe<Scalars['ID']['output']>;
    notIn?: Maybe<Array<Scalars['ID']['output']>>;
};
export type FilterIdInput = {
    /** equals */
    eq?: InputMaybe<Scalars['ID']['input']>;
    /** grater than */
    gt?: InputMaybe<Scalars['ID']['input']>;
    /** is in array */
    in?: InputMaybe<Array<Scalars['ID']['input']>>;
    /** is not null */
    isNotNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** is null */
    isNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** lower than */
    lt?: InputMaybe<Scalars['ID']['input']>;
    /** not equals */
    notEq?: InputMaybe<Scalars['ID']['input']>;
    /** is not in array */
    notIn?: InputMaybe<Array<Scalars['ID']['input']>>;
};
export type FilterNumber = {
    __typename?: 'FilterNumber';
    eq?: Maybe<Scalars['Int']['output']>;
    gt?: Maybe<Scalars['Int']['output']>;
    in?: Maybe<Array<Scalars['ID']['output']>>;
    isNotNull?: Maybe<Scalars['Boolean']['output']>;
    isNull?: Maybe<Scalars['Boolean']['output']>;
    lt?: Maybe<Scalars['Int']['output']>;
    notEq?: Maybe<Scalars['Int']['output']>;
    notIn?: Maybe<Array<Scalars['ID']['output']>>;
};
export type FilterNumberInput = {
    /** equals */
    eq?: InputMaybe<Scalars['Int']['input']>;
    /** grater than */
    gt?: InputMaybe<Scalars['Int']['input']>;
    /** is in array */
    in?: InputMaybe<Array<Scalars['Int']['input']>>;
    /** is not null */
    isNotNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** is null */
    isNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** lower than */
    lt?: InputMaybe<Scalars['Int']['input']>;
    /** not equals */
    notEq?: InputMaybe<Scalars['Int']['input']>;
    /** is not in array */
    notIn?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export type FilterText = {
    __typename?: 'FilterText';
    eq?: Maybe<Scalars['String']['output']>;
    ilike?: Maybe<Scalars['String']['output']>;
    isNotNull?: Maybe<Scalars['Boolean']['output']>;
    isNull?: Maybe<Scalars['Boolean']['output']>;
    like?: Maybe<Scalars['String']['output']>;
    notIlike?: Maybe<Scalars['String']['output']>;
    notLike?: Maybe<Scalars['String']['output']>;
};
export type FilterTextInput = {
    /** equals */
    eq?: InputMaybe<Scalars['String']['input']>;
    /** ilike */
    ilike?: InputMaybe<Scalars['String']['input']>;
    /** in */
    in?: InputMaybe<Array<Scalars['String']['input']>>;
    /** is not null */
    isNotNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** is null */
    isNull?: InputMaybe<Scalars['Boolean']['input']>;
    /** like */
    like?: InputMaybe<Scalars['String']['input']>;
    /** not ilike */
    notIlike?: InputMaybe<Scalars['String']['input']>;
    /** not like */
    notLike?: InputMaybe<Scalars['String']['input']>;
};
export type FreeTokenTrigger = {
    __typename?: 'FreeTokenTrigger';
    activeFrom: Scalars['ISO8601DateTime']['output'];
    activeUntil?: Maybe<Scalars['ISO8601DateTime']['output']>;
    allowNonSponsoredDialog?: Maybe<Scalars['Boolean']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    event?: Maybe<Scalars['String']['output']>;
    expires?: Maybe<Scalars['Boolean']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    mandatory?: Maybe<Scalars['Boolean']['output']>;
    maxTimesTriggered?: Maybe<Scalars['Int']['output']>;
    maxTokenAmount?: Maybe<Scalars['Int']['output']>;
    promptDialog?: Maybe<Scalars['Boolean']['output']>;
    spentTokensThreshold?: Maybe<Scalars['Int']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    statistics?: Maybe<FreeTokenTriggerStats>;
    status: FreeTokenTriggerStatusEnum;
    tokenAmount?: Maybe<Scalars['Int']['output']>;
    translations: Array<FreeTokenTriggerTranslation>;
    triggerableIds?: Maybe<Array<Scalars['ID']['output']>>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userLimitNumber?: Maybe<Scalars['Int']['output']>;
    userLimitPeriod: FreeTokenTriggerUserLimitPeriodEnum;
};
export type FreeTokenTriggerFilterInput = {
    activeFrom?: InputMaybe<FilterDateInput>;
    activeUntil?: InputMaybe<FilterDateInput>;
    allowNonSponsoredDialog?: InputMaybe<Scalars['Boolean']['input']>;
    createdAt?: InputMaybe<FilterDateInput>;
    event?: InputMaybe<Scalars['String']['input']>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    externalLink?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    mandatory?: InputMaybe<Scalars['Boolean']['input']>;
    maxTimesTriggered?: InputMaybe<FilterNumberInput>;
    maxTokenAmount?: InputMaybe<FilterNumberInput>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    spentTokensThreshold?: InputMaybe<FilterNumberInput>;
    sponsorDialog?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterNumberInput>;
    sponsorMessage?: InputMaybe<FilterTextInput>;
    sponsorTitle?: InputMaybe<FilterTextInput>;
    status?: InputMaybe<FreeTokenTriggerStatusEnum>;
    tokenAmount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type FreeTokenTriggerInput = {
    activeFrom?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    activeUntil?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    allowNonSponsoredDialog?: InputMaybe<Scalars['Boolean']['input']>;
    event?: InputMaybe<Scalars['String']['input']>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    mandatory?: InputMaybe<Scalars['Boolean']['input']>;
    maxTimesTriggered?: InputMaybe<Scalars['Int']['input']>;
    maxTokenAmount?: InputMaybe<Scalars['Int']['input']>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    spentTokensThreshold?: InputMaybe<Scalars['Int']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    tokenAmount?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<FreeTokenTriggerTranslationInput>>;
    triggerableIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    userLimitNumber?: InputMaybe<Scalars['Int']['input']>;
    userLimitPeriod?: InputMaybe<FreeTokenTriggerUserLimitPeriodEnum>;
};
export type FreeTokenTriggerResolver = {
    __typename?: 'FreeTokenTriggerResolver';
    freeTokenTriggers: Array<FreeTokenTrigger>;
    total: Scalars['Int']['output'];
};
export type FreeTokenTriggerSortInput = {
    activeFrom?: InputMaybe<SortEnum>;
    activeUntil?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    event?: InputMaybe<SortEnum>;
    expires?: InputMaybe<SortEnum>;
    externalLink?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    promptDialog?: InputMaybe<SortEnum>;
    sponsorDialog?: InputMaybe<LocalizedSorterInput>;
    sponsorMessage?: InputMaybe<LocalizedSorterInput>;
    sponsorTitle?: InputMaybe<LocalizedSorterInput>;
    status?: InputMaybe<SortEnum>;
    tokenAmount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type FreeTokenTriggerStats = {
    __typename?: 'FreeTokenTriggerStats';
    active?: Maybe<Scalars['Boolean']['output']>;
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    event?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    times?: Maybe<Scalars['Int']['output']>;
    userIds?: Maybe<Array<Scalars['Int']['output']>>;
};
export declare enum FreeTokenTriggerStatusEnum {
    Archived = "archived",
    Draft = "draft",
    Published = "published"
}
export type FreeTokenTriggerTranslation = {
    __typename?: 'FreeTokenTriggerTranslation';
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    sponsorDialog?: Maybe<Scalars['String']['output']>;
    sponsorMessage?: Maybe<Scalars['String']['output']>;
    sponsorTitle: Scalars['String']['output'];
};
export type FreeTokenTriggerTranslationInput = {
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    sponsorDialog?: InputMaybe<Scalars['String']['input']>;
    sponsorMessage?: InputMaybe<Scalars['String']['input']>;
    sponsorTitle?: InputMaybe<Scalars['String']['input']>;
};
export declare enum FreeTokenTriggerUserLimitPeriodEnum {
    ByDay = "by_day",
    ByHour = "by_hour",
    ByLifeTime = "by_life_time",
    ByMonth = "by_month",
    NoLimit = "no_limit"
}
/** Autogenerated input type of FundFanVaultsMutation */
export type FundFanVaultsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    fanVault: FanVaultTypeEnum;
};
/** Autogenerated return type of FundFanVaultsMutation */
export type FundFanVaultsMutationPayload = {
    __typename?: 'FundFanVaultsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
/** Autogenerated input type of GetMediaUploadUrlMutation */
export type GetMediaUploadUrlMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    fileExt: Scalars['String']['input'];
    fileName: Scalars['String']['input'];
    mediumId?: InputMaybe<Scalars['ID']['input']>;
};
/** Autogenerated return type of GetMediaUploadUrlMutation */
export type GetMediaUploadUrlMutationPayload = {
    __typename?: 'GetMediaUploadUrlMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    url: Scalars['String']['output'];
};
export type Giveaway = {
    __typename?: 'Giveaway';
    active?: Maybe<Scalars['Boolean']['output']>;
    activeAndPublishedNft: Scalars['Boolean']['output'];
    activeFrom: Scalars['ISO8601DateTime']['output'];
    activeUntil?: Maybe<Scalars['ISO8601DateTime']['output']>;
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    dropRate?: Maybe<Scalars['Float']['output']>;
    events?: Maybe<Array<Scalars['String']['output']>>;
    expires?: Maybe<Scalars['Boolean']['output']>;
    forceGiveaway?: Maybe<Scalars['Boolean']['output']>;
    giveawayEventIds: Array<Scalars['ID']['output']>;
    giveawayEvents: Array<GiveawayEvent>;
    giveawayType: GiveawayTypeEnum;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    intervalOptions?: Maybe<GiveawayIntervalOptions>;
    intervalType: GiveawayIntervalTypeEnum;
    mandatory?: Maybe<Scalars['Boolean']['output']>;
    maxTimesTriggered?: Maybe<Scalars['Int']['output']>;
    maxTokenAmount?: Maybe<Scalars['Int']['output']>;
    nftIds: Array<Scalars['ID']['output']>;
    nftStatistics?: Maybe<GiveawayStats>;
    nfts: Array<Nft>;
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    promptDialog?: Maybe<Scalars['Boolean']['output']>;
    skipNotification?: Maybe<Scalars['Boolean']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    statistics?: Maybe<GiveawayStats>;
    status: GiveawayStatusEnum;
    times?: Maybe<Scalars['Int']['output']>;
    tokenAmount?: Maybe<Scalars['Int']['output']>;
    tokenStatistics?: Maybe<GiveawayStats>;
    translations: Array<GiveawayTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userIds: Array<Scalars['ID']['output']>;
    userLimitNumber?: Maybe<Scalars['Int']['output']>;
    userLimitPeriod?: Maybe<GiveawayUserLimitPeriodEnum>;
    users: Array<User>;
    wasActive?: Maybe<Scalars['Boolean']['output']>;
};
export type GiveawayEvent = {
    __typename?: 'GiveawayEvent';
    apiUuid?: Maybe<Scalars['String']['output']>;
    availableFor: GiveawayEventAvailableForEnum;
    createdAt: Scalars['ISO8601DateTime']['output'];
    eventType: TriggerEventTypeEnum;
    giveaway?: Maybe<Giveaway>;
    giveawayEventResources: Array<GiveawayEventResource>;
    giveawayId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    isActive?: Maybe<Scalars['Boolean']['output']>;
    nfcUuid?: Maybe<Scalars['String']['output']>;
    qrCodeUuid?: Maybe<Scalars['String']['output']>;
    spentTokensThreshold?: Maybe<Scalars['Int']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export declare enum GiveawayEventAvailableForEnum {
    AllResources = "all_resources",
    SelectedResources = "selected_resources"
}
export type GiveawayEventInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    eventType?: InputMaybe<TriggerEventTypeEnum>;
    giveawayEventResources?: InputMaybe<Array<GiveawayEventResourceInput>>;
    id?: InputMaybe<Scalars['ID']['input']>;
    isActive?: InputMaybe<Scalars['Boolean']['input']>;
    spentTokensThreshold?: InputMaybe<Scalars['Int']['input']>;
};
export type GiveawayEventResource = {
    __typename?: 'GiveawayEventResource';
    createdAt: Scalars['ISO8601DateTime']['output'];
    giveawayEventId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    triggerableId: Scalars['ID']['output'];
    triggerableType: GiveawayEventResourceTypeEnum;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type GiveawayEventResourceInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    triggerableId?: InputMaybe<Scalars['ID']['input']>;
    triggerableType?: InputMaybe<GiveawayEventResourceTypeEnum>;
};
export declare enum GiveawayEventResourceTypeEnum {
    AmaSession = "AmaSession",
    Comment = "Comment",
    Content = "Content",
    Event = "Event",
    FanGroup = "FanGroup",
    IdeationMission = "IdeationMission",
    Nft = "Nft",
    NftCollection = "NftCollection",
    ShopProduct = "ShopProduct",
    Voting = "Voting"
}
export type GiveawayFilterInput = {
    activeFrom?: InputMaybe<FilterDateInput>;
    activeUntil?: InputMaybe<FilterDateInput>;
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    dropRate?: InputMaybe<FilterNumberInput>;
    events?: InputMaybe<Scalars['String']['input']>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    forceGiveaway?: InputMaybe<Scalars['Boolean']['input']>;
    giveawayType?: InputMaybe<GiveawayTypeEnum>;
    id?: InputMaybe<FilterIdInput>;
    intervalType?: InputMaybe<GiveawayIntervalTypeEnum>;
    mandatory?: InputMaybe<Scalars['Boolean']['input']>;
    maxTimesTriggered?: InputMaybe<FilterNumberInput>;
    maxTokenAmount?: InputMaybe<FilterNumberInput>;
    message?: InputMaybe<FilterTextInput>;
    onlyActiveAndPublishedNft?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<GiveawayStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    tokenAmount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type GiveawayInput = {
    activeFrom?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    activeUntil?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    dropRate?: InputMaybe<Scalars['Float']['input']>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    forceGiveaway?: InputMaybe<Scalars['Boolean']['input']>;
    giveawayEvents?: InputMaybe<Array<GiveawayEventInput>>;
    giveawayType?: InputMaybe<GiveawayTypeEnum>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    intervalOptions?: InputMaybe<GiveawayIntervalOptionsInput>;
    intervalType?: InputMaybe<GiveawayIntervalTypeEnum>;
    maxTimesTriggered?: InputMaybe<Scalars['Int']['input']>;
    maxTokenAmount?: InputMaybe<Scalars['Int']['input']>;
    nftIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    skipNotification?: InputMaybe<Scalars['Boolean']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    tokenAmount?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<GiveawayTranslationInput>>;
    userLimitNumber?: InputMaybe<Scalars['Int']['input']>;
    userLimitPeriod?: InputMaybe<GiveawayUserLimitPeriodEnum>;
};
export type GiveawayIntervalOptions = {
    __typename?: 'GiveawayIntervalOptions';
    monthly?: Maybe<GiveawayMonthlyInterval>;
    weekly?: Maybe<GiveawayWeeklyInterval>;
};
export type GiveawayIntervalOptionsInput = {
    monthly?: InputMaybe<GiveawayMonthlyIntervalInput>;
    weekly?: InputMaybe<GiveawayWeeklyIntervalInput>;
};
export declare enum GiveawayIntervalTypeEnum {
    Monthly = "monthly",
    NoInterval = "no_interval",
    Weekly = "weekly"
}
export type GiveawayMonthlyInterval = {
    __typename?: 'GiveawayMonthlyInterval';
    april?: Maybe<Scalars['Boolean']['output']>;
    august?: Maybe<Scalars['Boolean']['output']>;
    december?: Maybe<Scalars['Boolean']['output']>;
    february?: Maybe<Scalars['Boolean']['output']>;
    january?: Maybe<Scalars['Boolean']['output']>;
    july?: Maybe<Scalars['Boolean']['output']>;
    june?: Maybe<Scalars['Boolean']['output']>;
    march?: Maybe<Scalars['Boolean']['output']>;
    may?: Maybe<Scalars['Boolean']['output']>;
    november?: Maybe<Scalars['Boolean']['output']>;
    october?: Maybe<Scalars['Boolean']['output']>;
    september?: Maybe<Scalars['Boolean']['output']>;
};
export type GiveawayMonthlyIntervalInput = {
    april?: InputMaybe<Scalars['Boolean']['input']>;
    august?: InputMaybe<Scalars['Boolean']['input']>;
    december?: InputMaybe<Scalars['Boolean']['input']>;
    february?: InputMaybe<Scalars['Boolean']['input']>;
    january?: InputMaybe<Scalars['Boolean']['input']>;
    july?: InputMaybe<Scalars['Boolean']['input']>;
    june?: InputMaybe<Scalars['Boolean']['input']>;
    march?: InputMaybe<Scalars['Boolean']['input']>;
    may?: InputMaybe<Scalars['Boolean']['input']>;
    november?: InputMaybe<Scalars['Boolean']['input']>;
    october?: InputMaybe<Scalars['Boolean']['input']>;
    september?: InputMaybe<Scalars['Boolean']['input']>;
};
export type GiveawayResolver = {
    __typename?: 'GiveawayResolver';
    giveaways: Array<Giveaway>;
    total: Scalars['Int']['output'];
};
export type GiveawaySortInput = {
    activeFrom?: InputMaybe<SortEnum>;
    activeUntil?: InputMaybe<SortEnum>;
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    dropRate?: InputMaybe<SortEnum>;
    expires?: InputMaybe<SortEnum>;
    giveawayType?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    intervalType?: InputMaybe<SortEnumWithDefault>;
    message?: InputMaybe<LocalizedSorterInput>;
    promptDialog?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type GiveawayStats = {
    __typename?: 'GiveawayStats';
    active?: Maybe<Scalars['Boolean']['output']>;
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    events?: Maybe<Array<Scalars['String']['output']>>;
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    times?: Maybe<Scalars['Int']['output']>;
    wasActive?: Maybe<Scalars['Boolean']['output']>;
};
export declare enum GiveawayStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Expired = "expired",
    Paused = "paused",
    Published = "published",
    Scheduled = "scheduled"
}
export type GiveawayTranslation = {
    __typename?: 'GiveawayTranslation';
    content?: Maybe<Scalars['String']['output']>;
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    message: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type GiveawayTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    message?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum GiveawayTypeEnum {
    Nft = "nft",
    Token = "token"
}
export declare enum GiveawayUserLimitPeriodEnum {
    ByDay = "by_day",
    ByHour = "by_hour",
    ByLifeTime = "by_life_time",
    ByMonth = "by_month",
    NoLimit = "no_limit"
}
export type GiveawayWeeklyInterval = {
    __typename?: 'GiveawayWeeklyInterval';
    friday?: Maybe<Scalars['Boolean']['output']>;
    monday?: Maybe<Scalars['Boolean']['output']>;
    saturday?: Maybe<Scalars['Boolean']['output']>;
    sunday?: Maybe<Scalars['Boolean']['output']>;
    thursday?: Maybe<Scalars['Boolean']['output']>;
    tuesday?: Maybe<Scalars['Boolean']['output']>;
    wednesday?: Maybe<Scalars['Boolean']['output']>;
};
export type GiveawayWeeklyIntervalInput = {
    friday?: InputMaybe<Scalars['Boolean']['input']>;
    monday?: InputMaybe<Scalars['Boolean']['input']>;
    saturday?: InputMaybe<Scalars['Boolean']['input']>;
    sunday?: InputMaybe<Scalars['Boolean']['input']>;
    thursday?: InputMaybe<Scalars['Boolean']['input']>;
    tuesday?: InputMaybe<Scalars['Boolean']['input']>;
    wednesday?: InputMaybe<Scalars['Boolean']['input']>;
};
export type GroupPost = {
    __typename?: 'GroupPost';
    audits: Array<Audit>;
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    content?: Maybe<Scalars['String']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    fanGroup: FanGroup;
    fanGroupId: Scalars['ID']['output'];
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    id: Scalars['ID']['output'];
    likesCount?: Maybe<Scalars['Int']['output']>;
    nfts: Array<Nft>;
    operatorAddress?: Maybe<Scalars['String']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    previewUrl?: Maybe<Scalars['String']['output']>;
    removed: Scalars['Boolean']['output'];
    reportStatus: ReportableStatusEnum;
    title: Scalars['String']['output'];
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userMedia: Array<UserMedium>;
};
export type GroupPostFilterInput = {
    boostsAmountCache?: InputMaybe<FilterNumberInput>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    fanGroupId?: InputMaybe<FilterIdInput>;
    id?: InputMaybe<FilterIdInput>;
    likesCount?: InputMaybe<FilterNumberInput>;
    operatorAddress?: InputMaybe<FilterTextInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    removed?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<FilterTextInput>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
};
export type GroupPostInput = {
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export type GroupPostResolver = {
    __typename?: 'GroupPostResolver';
    groupPosts: Array<GroupPost>;
    total: Scalars['Int']['output'];
};
export type GroupPostSortInput = {
    boostsAmountCache?: InputMaybe<SortEnum>;
    clubAcceptanceStatus?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    fanGroupId?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    likesCount?: InputMaybe<SortEnum>;
    operatorAddress?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    removed?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<SortEnum>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type Idea = {
    __typename?: 'Idea';
    audits: Array<Audit>;
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    content?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    customTag1?: Maybe<Scalars['Boolean']['output']>;
    customTag2?: Maybe<Scalars['Boolean']['output']>;
    customTag3?: Maybe<Scalars['Boolean']['output']>;
    customTag4?: Maybe<Scalars['Boolean']['output']>;
    customTag5?: Maybe<Scalars['Boolean']['output']>;
    id: Scalars['ID']['output'];
    ideationMission: IdeationMission;
    ideationMissionId: Scalars['ID']['output'];
    isClubFav?: Maybe<Scalars['Boolean']['output']>;
    isImplemented?: Maybe<Scalars['Boolean']['output']>;
    isSelected?: Maybe<Scalars['Boolean']['output']>;
    likesCount?: Maybe<Scalars['Int']['output']>;
    nfts: Array<Nft>;
    pageViews: Scalars['Int']['output'];
    previewUrl?: Maybe<Scalars['String']['output']>;
    removed: Scalars['Boolean']['output'];
    reportStatus: ReportableStatusEnum;
    title: Scalars['String']['output'];
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userMedia: Array<UserMedium>;
};
export type IdeaFilterInput = {
    boostsAmountCache?: InputMaybe<FilterNumberInput>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    customTag1?: InputMaybe<Scalars['Boolean']['input']>;
    customTag2?: InputMaybe<Scalars['Boolean']['input']>;
    customTag3?: InputMaybe<Scalars['Boolean']['input']>;
    customTag4?: InputMaybe<Scalars['Boolean']['input']>;
    customTag5?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<FilterIdInput>;
    ideationMissionId?: InputMaybe<FilterNumberInput>;
    isClubFav?: InputMaybe<Scalars['Boolean']['input']>;
    isImplemented?: InputMaybe<Scalars['Boolean']['input']>;
    isSelected?: InputMaybe<Scalars['Boolean']['input']>;
    likesCount?: InputMaybe<FilterNumberInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    removed?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<FilterTextInput>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
};
export type IdeaInput = {
    customTag1?: InputMaybe<Scalars['Boolean']['input']>;
    customTag2?: InputMaybe<Scalars['Boolean']['input']>;
    customTag3?: InputMaybe<Scalars['Boolean']['input']>;
    customTag4?: InputMaybe<Scalars['Boolean']['input']>;
    customTag5?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    isClubFav?: InputMaybe<Scalars['Boolean']['input']>;
    isImplemented?: InputMaybe<Scalars['Boolean']['input']>;
    isSelected?: InputMaybe<Scalars['Boolean']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
};
export type IdeaResolver = {
    __typename?: 'IdeaResolver';
    ideas: Array<Idea>;
    total: Scalars['Int']['output'];
};
export type IdeaSortInput = {
    boostsAmountCache?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    customTag1?: InputMaybe<SortEnum>;
    customTag2?: InputMaybe<SortEnum>;
    customTag3?: InputMaybe<SortEnum>;
    customTag4?: InputMaybe<SortEnum>;
    customTag5?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    isClubFav?: InputMaybe<SortEnum>;
    isImplemented?: InputMaybe<SortEnum>;
    isSelected?: InputMaybe<SortEnum>;
    likesCount?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    removed?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<SortEnum>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type IdeationMission = {
    __typename?: 'IdeationMission';
    announcements: Array<Announcement>;
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    distributedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    endsAt: Scalars['ISO8601DateTime']['output'];
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    ideas: Array<Idea>;
    ideasCount?: Maybe<Scalars['Int']['output']>;
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: IdeationMissionStatusEnum;
    translations: Array<IdeationMissionTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type IdeationMissionFilterInput = {
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    contentCategory?: InputMaybe<FilterIdInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    distributedAt?: InputMaybe<FilterDateInput>;
    endsAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    ideasCount?: InputMaybe<FilterNumberInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    preview?: InputMaybe<FilterTextInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<IdeationMissionStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type IdeationMissionInput = {
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    endsAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<IdeationMissionTranslationInput>>;
};
export type IdeationMissionResolver = {
    __typename?: 'IdeationMissionResolver';
    ideationMissions: Array<IdeationMission>;
    total: Scalars['Int']['output'];
};
export type IdeationMissionSortInput = {
    availabilityType?: InputMaybe<SortEnum>;
    contentCategory?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    distributedAt?: InputMaybe<SortEnum>;
    endsAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    ideasCount?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    preview?: InputMaybe<LocalizedSorterInput>;
    publishedAt?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum IdeationMissionStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type IdeationMissionTranslation = {
    __typename?: 'IdeationMissionTranslation';
    description: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    preview?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type IdeationMissionTranslationInput = {
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    preview?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated input type of InviteUserMutation */
export type InviteUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    emailAddress: Scalars['String']['input'];
    inviterId: Scalars['ID']['input'];
};
/** Autogenerated return type of InviteUserMutation */
export type InviteUserMutationPayload = {
    __typename?: 'InviteUserMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ok: Scalars['Boolean']['output'];
};
export type LocalizedSorterInput = {
    locale: Scalars['String']['input'];
    order: SortEnum;
};
export declare enum MediaAspectRatioEnum {
    FourThree = "four_three",
    NineSixteen = "nine_sixteen",
    NoRatio = "no_ratio",
    OneOne = "one_one",
    SixteenNine = "sixteen_nine"
}
export type MenuItem = {
    __typename?: 'MenuItem';
    appName?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    iconUrl?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    menuItem?: Maybe<MenuItem>;
    menuItemId?: Maybe<Scalars['ID']['output']>;
    menuItems?: Maybe<Array<MenuItem>>;
    menuPosition: MenuPositionMenuTypeEnum;
    menuResource?: Maybe<MenuItemMenuResourceEnum>;
    menuType: MenuItemMenuTypeEnum;
    order: Scalars['Int']['output'];
    staticPage?: Maybe<StaticPage>;
    staticPageId?: Maybe<Scalars['ID']['output']>;
    translations: Array<MenuItemTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type MenuItemFilterInput = {
    appName?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    externalUrl?: InputMaybe<FilterTextInput>;
    headerTitle?: InputMaybe<FilterTextInput>;
    heroMediumId?: InputMaybe<FilterNumberInput>;
    iconUrl?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<FilterIdInput>;
    menuItemId?: InputMaybe<FilterNumberInput>;
    menuPosition?: InputMaybe<MenuPositionMenuTypeEnum>;
    menuResource?: InputMaybe<MenuItemMenuResourceEnum>;
    menuType?: InputMaybe<MenuItemMenuTypeEnum>;
    navbarTitle?: InputMaybe<FilterTextInput>;
    order?: InputMaybe<Scalars['Int']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    staticPageId?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type MenuItemInput = {
    appName?: InputMaybe<Scalars['String']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    iconUrl?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    menuItemId?: InputMaybe<Scalars['ID']['input']>;
    menuPosition?: InputMaybe<MenuPositionMenuTypeEnum>;
    menuResource?: InputMaybe<MenuItemMenuResourceEnum>;
    menuType?: InputMaybe<MenuItemMenuTypeEnum>;
    order?: InputMaybe<Scalars['Int']['input']>;
    staticPageId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<MenuItemTranslationInput>>;
};
export declare enum MenuItemMenuResourceEnum {
    Events = "events",
    Home = "home",
    News = "news",
    Nfts = "nfts",
    Notifications = "notifications",
    Participate = "participate",
    Shop = "shop",
    Spaces = "spaces",
    Wallet = "wallet"
}
export declare enum MenuItemMenuTypeEnum {
    AppIntegration = "app_integration",
    Collection = "collection",
    Iframe = "iframe",
    Link = "link",
    Resource = "resource",
    SinglePage = "single_page"
}
export type MenuItemResolver = {
    __typename?: 'MenuItemResolver';
    menuItems: Array<MenuItem>;
    total: Scalars['Int']['output'];
};
export type MenuItemTranslation = {
    __typename?: 'MenuItemTranslation';
    externalUrl?: Maybe<Scalars['String']['output']>;
    headerTitle?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    navbarTitle?: Maybe<Scalars['String']['output']>;
    slug?: Maybe<Scalars['String']['output']>;
};
export type MenuItemTranslationInput = {
    externalUrl?: InputMaybe<Scalars['String']['input']>;
    headerTitle?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    navbarTitle?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
};
export declare enum MenuPositionMenuTypeEnum {
    BottomBar = "bottom_bar",
    MobileBar = "mobile_bar",
    Sidebar = "sidebar"
}
/** Autogenerated input type of MintNftCollectionMutation */
export type MintNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of MintNftCollectionMutation */
export type MintNftCollectionMutationPayload = {
    __typename?: 'MintNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of MintNftMutation */
export type MintNftMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of MintNftMutation */
export type MintNftMutationPayload = {
    __typename?: 'MintNftMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nft: Nft;
};
export type Mutation = {
    __typename?: 'Mutation';
    addNftsToCollection?: Maybe<AddNftsToCollectionMutationPayload>;
    adminUserLogin?: Maybe<AdminUserLoginPayload>;
    archiveAmaSession?: Maybe<ArchiveAmaSessionMutationPayload>;
    archiveContent?: Maybe<ArchiveContentMutationPayload>;
    archiveEvent?: Maybe<ArchiveEventMutationPayload>;
    archiveFreeTokenTrigger?: Maybe<ArchiveFreeTokenTriggerMutationPayload>;
    archiveGiveaway?: Maybe<ArchiveGiveawayMutationPayload>;
    archiveIdeationMission?: Maybe<ArchiveIdeationMissionMutationPayload>;
    archiveNftCollection?: Maybe<ArchiveNftCollectionMutationPayload>;
    archiveNftGiveaway?: Maybe<ArchiveNftGiveawayMutationPayload>;
    archiveProfileField?: Maybe<ArchiveProfileFieldMutationPayload>;
    archiveStaticPage?: Maybe<ArchiveStaticPageMutationPayload>;
    archiveVoting?: Maybe<ArchiveVotingMutationPayload>;
    createActivityPoint?: Maybe<AddActivityPointMutationPayload>;
    createAdminUser?: Maybe<AddAdminUserMutationPayload>;
    createAmaSession?: Maybe<AddAmaSessionMutationPayload>;
    createAnnouncement?: Maybe<AddAnnouncementMutationPayload>;
    createContent?: Maybe<AddContentMutationPayload>;
    createContentCategory?: Maybe<AddContentCategoryMutationPayload>;
    createContentMedium?: Maybe<AddContentMediumMutationPayload>;
    createCustomNotification?: Maybe<AddCustomNotificationMutationPayload>;
    createEvent?: Maybe<AddEventMutationPayload>;
    createFreeTokenTrigger?: Maybe<AddFreeTokenTriggerMutationPayload>;
    createGiveaway?: Maybe<AddGiveawayMutationPayload>;
    createIdeationMission?: Maybe<AddIdeationMissionMutationPayload>;
    createMenuItem?: Maybe<AddMenuItemMutationPayload>;
    createNft?: Maybe<AddNftMutationPayload>;
    createNftCollection?: Maybe<AddNftCollectionMutationPayload>;
    createNftCollectionDeployment?: Maybe<AddNftCollectionDeploymentMutationPayload>;
    createNftGiveaway?: Maybe<AddNftGiveawayMutationPayload>;
    createNftHandout?: Maybe<AddNftHandoutMutationPayload>;
    createNftMedium?: Maybe<AddNftMediumMutationPayload>;
    createNftTransferNetwork?: Maybe<AddNftTransferNetworkMutationPayload>;
    createProfileField?: Maybe<AddProfileFieldMutationPayload>;
    createShopProduct?: Maybe<AddShopProductMutationPayload>;
    createShopProductTier?: Maybe<AddShopProductTierMutationPayload>;
    createSponsor?: Maybe<AddSponsorMutationPayload>;
    createSponsorMedium?: Maybe<AddSponsorMediumMutationPayload>;
    createStaticPage?: Maybe<AddStaticPageMutationPayload>;
    createSystemSetting?: Maybe<AddSystemSettingMutationPayload>;
    createTokenHandout?: Maybe<AddTokenHandoutMutationPayload>;
    createUgcReport?: Maybe<AddUgcReportMutationPayload>;
    createUgcReportType?: Maybe<AddUgcReportTypeMutationPayload>;
    createUserOrder?: Maybe<AddUserOrderMutationPayload>;
    createVoting?: Maybe<AddVotingMutationPayload>;
    deleteActivityPoints?: Maybe<DeleteActivityPointsMutationPayload>;
    deleteAdminUser?: Maybe<DeleteAdminUserMutationPayload>;
    deleteAmaSessions?: Maybe<DeleteAmaSessionsMutationPayload>;
    deleteAnnouncements?: Maybe<DeleteAnnouncementsMutationPayload>;
    deleteContentCategories?: Maybe<DeleteContentCategoriesMutationPayload>;
    deleteContentMedia?: Maybe<DeleteContentMediaMutationPayload>;
    deleteContents?: Maybe<DeleteContentsMutationPayload>;
    deleteCustomNotifications?: Maybe<DeleteCustomNotificationsMutationPayload>;
    deleteEvents?: Maybe<DeleteEventsMutationPayload>;
    deleteFreeTokenTriggers?: Maybe<DeleteFreeTokenTriggersMutationPayload>;
    deleteGiveaways?: Maybe<DeleteGiveawaysMutationPayload>;
    deleteIdeationMissions?: Maybe<DeleteIdeationMissionsMutationPayload>;
    deleteMenuItems?: Maybe<DeleteMenuItemsMutationPayload>;
    deleteNftCollections?: Maybe<DeleteNftCollectionsMutationPayload>;
    deleteNftGiveaways?: Maybe<DeleteNftGiveawaysMutationPayload>;
    deleteNftHandouts?: Maybe<DeleteNftHandoutsMutationPayload>;
    deleteNftMedia?: Maybe<DeleteNftMediaMutationPayload>;
    deleteNfts?: Maybe<DeleteNftsMutationPayload>;
    deleteProfileFields?: Maybe<DeleteProfileFieldsMutationPayload>;
    deleteShopProductTiers?: Maybe<DeleteShopProductTiersMutationPayload>;
    deleteShopProducts?: Maybe<DeleteShopProductsMutationPayload>;
    deleteSponsorMedia?: Maybe<DeleteSponsorMediaMutationPayload>;
    deleteSponsors?: Maybe<DeleteSponsorsMutationPayload>;
    deleteStaticPages?: Maybe<DeleteStaticPagesMutationPayload>;
    deleteSystemSettings?: Maybe<DeleteSystemSettingsMutationPayload>;
    deleteTokenHandouts?: Maybe<DeleteTokenHandoutsMutationPayload>;
    deleteUgcReportTypes?: Maybe<DeleteUgcReportTypesMutationPayload>;
    deleteUgcReports?: Maybe<DeleteUgcReportsMutationPayload>;
    deleteUser?: Maybe<DeleteUserMutationPayload>;
    deleteUserOrders?: Maybe<DeleteUserOrdersMutationPayload>;
    deleteVotings?: Maybe<DeleteVotingsMutationPayload>;
    deployCommentBoosterContract?: Maybe<DeployCommentBoosterMutationPayload>;
    deployContentBoosterContract?: Maybe<DeployContentBoosterMutationPayload>;
    deployContentUnlockerContract?: Maybe<DeployContentUnlockerMutationPayload>;
    deployTokenContractMutation?: Maybe<DeployTokenContractMutationPayload>;
    distributeAmaSession?: Maybe<DistributeAmaSessionMutationPayload>;
    distributeCommentBoosterContract?: Maybe<DistributeCommentBoosterMutationPayload>;
    distributeContentBoosterContract?: Maybe<DistributeContentBoosterMutationPayload>;
    distributeContentUnlockerContract?: Maybe<DistributeContentUnlockerMutationPayload>;
    distributeIdeationMission?: Maybe<DistributeIdeationMissionMutationPayload>;
    distributeVoting?: Maybe<DistributeVotingMutationPayload>;
    draftAmaSession?: Maybe<DraftAmaSessionMutationPayload>;
    draftContent?: Maybe<DraftContentMutationPayload>;
    draftCustomNotification?: Maybe<DraftCustomNotificationMutationPayload>;
    draftEvent?: Maybe<DraftEventMutationPayload>;
    draftFreeTokenTrigger?: Maybe<DraftFreeTokenTriggerMutationPayload>;
    draftGiveaway?: Maybe<DraftGiveawayMutationPayload>;
    draftIdeationMission?: Maybe<DraftIdeationMissionMutationPayload>;
    draftNftCollection?: Maybe<DraftNftCollectionMutationPayload>;
    draftNftGiveaway?: Maybe<DraftNftGiveawayMutationPayload>;
    draftNftHandout?: Maybe<DraftNftHandoutMutationPayload>;
    draftProfileField?: Maybe<DraftProfileFieldMutationPayload>;
    draftTokenHandout?: Maybe<DraftTokenHandoutMutationPayload>;
    draftVoting?: Maybe<DraftVotingMutationPayload>;
    fundFanVaults?: Maybe<FundFanVaultsMutationPayload>;
    getMediaUploadUrl?: Maybe<GetMediaUploadUrlMutationPayload>;
    inviteUser?: Maybe<InviteUserMutationPayload>;
    mintNft?: Maybe<MintNftMutationPayload>;
    mintNftCollection?: Maybe<MintNftCollectionMutationPayload>;
    publishAmaSession?: Maybe<PublishAmaSessionMutationPayload>;
    publishContent?: Maybe<PublishContentMutationPayload>;
    publishCustomNotification?: Maybe<PublishCustomNotificationMutationPayload>;
    publishEvent?: Maybe<PublishEventMutationPayload>;
    publishFreeTokenTrigger?: Maybe<PublishFreeTokenTriggerMutationPayload>;
    publishGiveaway?: Maybe<PublishGiveawayMutationPayload>;
    publishIdeationMission?: Maybe<PublishIdeationMissionMutationPayload>;
    publishNftCollection?: Maybe<PublishNftCollectionMutationPayload>;
    publishNftGiveaway?: Maybe<PublishNftGiveawayMutationPayload>;
    publishNftHandout?: Maybe<PublishNftHandoutMutationPayload>;
    publishProfileField?: Maybe<PublishProfileFieldMutationPayload>;
    publishStaticPage?: Maybe<PublishStaticPageMutationPayload>;
    publishTokenHandout?: Maybe<PublishTokenHandoutMutationPayload>;
    publishVoting?: Maybe<PublishVotingMutationPayload>;
    refreshOembedData?: Maybe<RefreshOembedDataMutationPayload>;
    refundVoting?: Maybe<RefundVotingMutationPayload>;
    requestNftCollectionMetadataUri?: Maybe<RequestNftCollectionMetadataUriMutationPayload>;
    transferNft?: Maybe<TransferNftMutationPayload>;
    triggerGiveawayEvent?: Maybe<TriggerGiveawayEventMutationPayload>;
    updateActivityPoint?: Maybe<UpdateActivityPointMutationPayload>;
    updateAdminProfile?: Maybe<UpdateAdminProfileMutationPayload>;
    updateAdminUser?: Maybe<UpdateAdminUserMutationPayload>;
    updateAmaQuestion?: Maybe<UpdateAmaQuestionMutationPayload>;
    updateAmaSession?: Maybe<UpdateAmaSessionMutationPayload>;
    updateAnnouncement?: Maybe<UpdateAnnouncementMutationPayload>;
    updateComment?: Maybe<UpdateCommentMutationPayload>;
    updateContent?: Maybe<UpdateContentMutationPayload>;
    updateContentCategory?: Maybe<UpdateContentCategoryMutationPayload>;
    updateContentMedium?: Maybe<UpdateContentMediumMutationPayload>;
    updateContentTranslation?: Maybe<UpdateContentTranslationMutationPayload>;
    updateCustomNotification?: Maybe<UpdateCustomNotificationMutationPayload>;
    updateEvent?: Maybe<UpdateEventMutationPayload>;
    updateFanGroup?: Maybe<UpdateFanGroupMutationPayload>;
    updateFreeTokenTrigger?: Maybe<UpdateFreeTokenTriggerMutationPayload>;
    updateGiveaway?: Maybe<UpdateGiveawayMutationPayload>;
    updateGroupPost?: Maybe<UpdateGroupPostMutationPayload>;
    updateIdea?: Maybe<UpdateIdeaMutationPayload>;
    updateIdeationMission?: Maybe<UpdateIdeationMissionMutationPayload>;
    updateMenuItem?: Maybe<UpdateMenuItemMutationPayload>;
    updateMenuItems?: Maybe<UpdateMenuItemsMutationPayload>;
    updateNft?: Maybe<UpdateNftMutationPayload>;
    updateNftCollection?: Maybe<UpdateNftCollectionMutationPayload>;
    updateNftCollectionDeployment?: Maybe<UpdateNftCollectionDeploymentMutationPayload>;
    updateNftGiveaway?: Maybe<UpdateNftGiveawayMutationPayload>;
    updateNftHandout?: Maybe<UpdateNftHandoutMutationPayload>;
    updateNftMedium?: Maybe<UpdateNftMediumMutationPayload>;
    updateNftTransferNetwork?: Maybe<UpdateNftTransferNetworkMutationPayload>;
    updateNftsVisibility?: Maybe<UpdateNftsVisibilityMutationPayload>;
    updateProfileField?: Maybe<UpdateProfileFieldMutationPayload>;
    updateProfileFields?: Maybe<UpdateProfileFieldsMutationPayload>;
    updateShopProduct?: Maybe<UpdateShopProductMutationPayload>;
    updateShopProductTier?: Maybe<UpdateShopProductTierMutationPayload>;
    updateSponsor?: Maybe<UpdateSponsorMutationPayload>;
    updateSponsorMedium?: Maybe<UpdateSponsorMediumMutationPayload>;
    updateStaticPage?: Maybe<UpdateStaticPageMutationPayload>;
    updateTokenHandout?: Maybe<UpdateTokenHandoutMutationPayload>;
    updateUgcReport?: Maybe<UpdateUgcReportMutationPayload>;
    updateUgcReportType?: Maybe<UpdateUgcReportTypeMutationPayload>;
    updateUser?: Maybe<UpdateUserMutationPayload>;
    updateUserFromLtid?: Maybe<UpdateUserFromLtidMutationPayload>;
    updateVoting?: Maybe<UpdateVotingMutationPayload>;
    upsertSystemSettings?: Maybe<UpsertSystemSettingsMutationPayload>;
};
export type MutationAddNftsToCollectionArgs = {
    input: AddNftsToCollectionMutationInput;
};
export type MutationAdminUserLoginArgs = {
    email: Scalars['String']['input'];
    password: Scalars['String']['input'];
};
export type MutationArchiveAmaSessionArgs = {
    input: ArchiveAmaSessionMutationInput;
};
export type MutationArchiveContentArgs = {
    input: ArchiveContentMutationInput;
};
export type MutationArchiveEventArgs = {
    input: ArchiveEventMutationInput;
};
export type MutationArchiveFreeTokenTriggerArgs = {
    input: ArchiveFreeTokenTriggerMutationInput;
};
export type MutationArchiveGiveawayArgs = {
    input: ArchiveGiveawayMutationInput;
};
export type MutationArchiveIdeationMissionArgs = {
    input: ArchiveIdeationMissionMutationInput;
};
export type MutationArchiveNftCollectionArgs = {
    input: ArchiveNftCollectionMutationInput;
};
export type MutationArchiveNftGiveawayArgs = {
    input: ArchiveNftGiveawayMutationInput;
};
export type MutationArchiveProfileFieldArgs = {
    input: ArchiveProfileFieldMutationInput;
};
export type MutationArchiveStaticPageArgs = {
    input: ArchiveStaticPageMutationInput;
};
export type MutationArchiveVotingArgs = {
    input: ArchiveVotingMutationInput;
};
export type MutationCreateActivityPointArgs = {
    input: AddActivityPointMutationInput;
};
export type MutationCreateAdminUserArgs = {
    input: AddAdminUserMutationInput;
};
export type MutationCreateAmaSessionArgs = {
    input: AddAmaSessionMutationInput;
};
export type MutationCreateAnnouncementArgs = {
    input: AddAnnouncementMutationInput;
};
export type MutationCreateContentArgs = {
    input: AddContentMutationInput;
};
export type MutationCreateContentCategoryArgs = {
    input: AddContentCategoryMutationInput;
};
export type MutationCreateContentMediumArgs = {
    input: AddContentMediumMutationInput;
};
export type MutationCreateCustomNotificationArgs = {
    input: AddCustomNotificationMutationInput;
};
export type MutationCreateEventArgs = {
    input: AddEventMutationInput;
};
export type MutationCreateFreeTokenTriggerArgs = {
    input: AddFreeTokenTriggerMutationInput;
};
export type MutationCreateGiveawayArgs = {
    input: AddGiveawayMutationInput;
};
export type MutationCreateIdeationMissionArgs = {
    input: AddIdeationMissionMutationInput;
};
export type MutationCreateMenuItemArgs = {
    input: AddMenuItemMutationInput;
};
export type MutationCreateNftArgs = {
    input: AddNftMutationInput;
};
export type MutationCreateNftCollectionArgs = {
    input: AddNftCollectionMutationInput;
};
export type MutationCreateNftCollectionDeploymentArgs = {
    input: AddNftCollectionDeploymentMutationInput;
};
export type MutationCreateNftGiveawayArgs = {
    input: AddNftGiveawayMutationInput;
};
export type MutationCreateNftHandoutArgs = {
    input: AddNftHandoutMutationInput;
};
export type MutationCreateNftMediumArgs = {
    input: AddNftMediumMutationInput;
};
export type MutationCreateNftTransferNetworkArgs = {
    input: AddNftTransferNetworkMutationInput;
};
export type MutationCreateProfileFieldArgs = {
    input: AddProfileFieldMutationInput;
};
export type MutationCreateShopProductArgs = {
    input: AddShopProductMutationInput;
};
export type MutationCreateShopProductTierArgs = {
    input: AddShopProductTierMutationInput;
};
export type MutationCreateSponsorArgs = {
    input: AddSponsorMutationInput;
};
export type MutationCreateSponsorMediumArgs = {
    input: AddSponsorMediumMutationInput;
};
export type MutationCreateStaticPageArgs = {
    input: AddStaticPageMutationInput;
};
export type MutationCreateSystemSettingArgs = {
    input: AddSystemSettingMutationInput;
};
export type MutationCreateTokenHandoutArgs = {
    input: AddTokenHandoutMutationInput;
};
export type MutationCreateUgcReportArgs = {
    input: AddUgcReportMutationInput;
};
export type MutationCreateUgcReportTypeArgs = {
    input: AddUgcReportTypeMutationInput;
};
export type MutationCreateUserOrderArgs = {
    input: AddUserOrderMutationInput;
};
export type MutationCreateVotingArgs = {
    input: AddVotingMutationInput;
};
export type MutationDeleteActivityPointsArgs = {
    input: DeleteActivityPointsMutationInput;
};
export type MutationDeleteAdminUserArgs = {
    input: DeleteAdminUserMutationInput;
};
export type MutationDeleteAmaSessionsArgs = {
    input: DeleteAmaSessionsMutationInput;
};
export type MutationDeleteAnnouncementsArgs = {
    input: DeleteAnnouncementsMutationInput;
};
export type MutationDeleteContentCategoriesArgs = {
    input: DeleteContentCategoriesMutationInput;
};
export type MutationDeleteContentMediaArgs = {
    input: DeleteContentMediaMutationInput;
};
export type MutationDeleteContentsArgs = {
    input: DeleteContentsMutationInput;
};
export type MutationDeleteCustomNotificationsArgs = {
    input: DeleteCustomNotificationsMutationInput;
};
export type MutationDeleteEventsArgs = {
    input: DeleteEventsMutationInput;
};
export type MutationDeleteFreeTokenTriggersArgs = {
    input: DeleteFreeTokenTriggersMutationInput;
};
export type MutationDeleteGiveawaysArgs = {
    input: DeleteGiveawaysMutationInput;
};
export type MutationDeleteIdeationMissionsArgs = {
    input: DeleteIdeationMissionsMutationInput;
};
export type MutationDeleteMenuItemsArgs = {
    input: DeleteMenuItemsMutationInput;
};
export type MutationDeleteNftCollectionsArgs = {
    input: DeleteNftCollectionsMutationInput;
};
export type MutationDeleteNftGiveawaysArgs = {
    input: DeleteNftGiveawaysMutationInput;
};
export type MutationDeleteNftHandoutsArgs = {
    input: DeleteNftHandoutsMutationInput;
};
export type MutationDeleteNftMediaArgs = {
    input: DeleteNftMediaMutationInput;
};
export type MutationDeleteNftsArgs = {
    input: DeleteNftsMutationInput;
};
export type MutationDeleteProfileFieldsArgs = {
    input: DeleteProfileFieldsMutationInput;
};
export type MutationDeleteShopProductTiersArgs = {
    input: DeleteShopProductTiersMutationInput;
};
export type MutationDeleteShopProductsArgs = {
    input: DeleteShopProductsMutationInput;
};
export type MutationDeleteSponsorMediaArgs = {
    input: DeleteSponsorMediaMutationInput;
};
export type MutationDeleteSponsorsArgs = {
    input: DeleteSponsorsMutationInput;
};
export type MutationDeleteStaticPagesArgs = {
    input: DeleteStaticPagesMutationInput;
};
export type MutationDeleteSystemSettingsArgs = {
    input: DeleteSystemSettingsMutationInput;
};
export type MutationDeleteTokenHandoutsArgs = {
    input: DeleteTokenHandoutsMutationInput;
};
export type MutationDeleteUgcReportTypesArgs = {
    input: DeleteUgcReportTypesMutationInput;
};
export type MutationDeleteUgcReportsArgs = {
    input: DeleteUgcReportsMutationInput;
};
export type MutationDeleteUserArgs = {
    input: DeleteUserMutationInput;
};
export type MutationDeleteUserOrdersArgs = {
    input: DeleteUserOrdersMutationInput;
};
export type MutationDeleteVotingsArgs = {
    input: DeleteVotingsMutationInput;
};
export type MutationDistributeAmaSessionArgs = {
    input: DistributeAmaSessionMutationInput;
};
export type MutationDistributeIdeationMissionArgs = {
    input: DistributeIdeationMissionMutationInput;
};
export type MutationDistributeVotingArgs = {
    input: DistributeVotingMutationInput;
};
export type MutationDraftAmaSessionArgs = {
    input: DraftAmaSessionMutationInput;
};
export type MutationDraftContentArgs = {
    input: DraftContentMutationInput;
};
export type MutationDraftCustomNotificationArgs = {
    input: DraftCustomNotificationMutationInput;
};
export type MutationDraftEventArgs = {
    input: DraftEventMutationInput;
};
export type MutationDraftFreeTokenTriggerArgs = {
    input: DraftFreeTokenTriggerMutationInput;
};
export type MutationDraftGiveawayArgs = {
    input: DraftGiveawayMutationInput;
};
export type MutationDraftIdeationMissionArgs = {
    input: DraftIdeationMissionMutationInput;
};
export type MutationDraftNftCollectionArgs = {
    input: DraftNftCollectionMutationInput;
};
export type MutationDraftNftGiveawayArgs = {
    input: DraftNftGiveawayMutationInput;
};
export type MutationDraftNftHandoutArgs = {
    input: DraftNftHandoutMutationInput;
};
export type MutationDraftProfileFieldArgs = {
    input: DraftProfileFieldMutationInput;
};
export type MutationDraftTokenHandoutArgs = {
    input: DraftTokenHandoutMutationInput;
};
export type MutationDraftVotingArgs = {
    input: DraftVotingMutationInput;
};
export type MutationFundFanVaultsArgs = {
    input: FundFanVaultsMutationInput;
};
export type MutationGetMediaUploadUrlArgs = {
    input: GetMediaUploadUrlMutationInput;
};
export type MutationInviteUserArgs = {
    input: InviteUserMutationInput;
};
export type MutationMintNftArgs = {
    input: MintNftMutationInput;
};
export type MutationMintNftCollectionArgs = {
    input: MintNftCollectionMutationInput;
};
export type MutationPublishAmaSessionArgs = {
    input: PublishAmaSessionMutationInput;
};
export type MutationPublishContentArgs = {
    input: PublishContentMutationInput;
};
export type MutationPublishCustomNotificationArgs = {
    input: PublishCustomNotificationMutationInput;
};
export type MutationPublishEventArgs = {
    input: PublishEventMutationInput;
};
export type MutationPublishFreeTokenTriggerArgs = {
    input: PublishFreeTokenTriggerMutationInput;
};
export type MutationPublishGiveawayArgs = {
    input: PublishGiveawayMutationInput;
};
export type MutationPublishIdeationMissionArgs = {
    input: PublishIdeationMissionMutationInput;
};
export type MutationPublishNftCollectionArgs = {
    input: PublishNftCollectionMutationInput;
};
export type MutationPublishNftGiveawayArgs = {
    input: PublishNftGiveawayMutationInput;
};
export type MutationPublishNftHandoutArgs = {
    input: PublishNftHandoutMutationInput;
};
export type MutationPublishProfileFieldArgs = {
    input: PublishProfileFieldMutationInput;
};
export type MutationPublishStaticPageArgs = {
    input: PublishStaticPageMutationInput;
};
export type MutationPublishTokenHandoutArgs = {
    input: PublishTokenHandoutMutationInput;
};
export type MutationPublishVotingArgs = {
    input: PublishVotingMutationInput;
};
export type MutationRefreshOembedDataArgs = {
    input: RefreshOembedDataMutationInput;
};
export type MutationRefundVotingArgs = {
    input: RefundVotingMutationInput;
};
export type MutationRequestNftCollectionMetadataUriArgs = {
    input: RequestNftCollectionMetadataUriMutationInput;
};
export type MutationTransferNftArgs = {
    input: TransferNftMutationInput;
};
export type MutationTriggerGiveawayEventArgs = {
    input: TriggerGiveawayEventMutationInput;
};
export type MutationUpdateActivityPointArgs = {
    input: UpdateActivityPointMutationInput;
};
export type MutationUpdateAdminProfileArgs = {
    input: UpdateAdminProfileMutationInput;
};
export type MutationUpdateAdminUserArgs = {
    input: UpdateAdminUserMutationInput;
};
export type MutationUpdateAmaQuestionArgs = {
    input: UpdateAmaQuestionMutationInput;
};
export type MutationUpdateAmaSessionArgs = {
    input: UpdateAmaSessionMutationInput;
};
export type MutationUpdateAnnouncementArgs = {
    input: UpdateAnnouncementMutationInput;
};
export type MutationUpdateCommentArgs = {
    input: UpdateCommentMutationInput;
};
export type MutationUpdateContentArgs = {
    input: UpdateContentMutationInput;
};
export type MutationUpdateContentCategoryArgs = {
    input: UpdateContentCategoryMutationInput;
};
export type MutationUpdateContentMediumArgs = {
    input: UpdateContentMediumMutationInput;
};
export type MutationUpdateContentTranslationArgs = {
    input: UpdateContentTranslationMutationInput;
};
export type MutationUpdateCustomNotificationArgs = {
    input: UpdateCustomNotificationMutationInput;
};
export type MutationUpdateEventArgs = {
    input: UpdateEventMutationInput;
};
export type MutationUpdateFanGroupArgs = {
    input: UpdateFanGroupMutationInput;
};
export type MutationUpdateFreeTokenTriggerArgs = {
    input: UpdateFreeTokenTriggerMutationInput;
};
export type MutationUpdateGiveawayArgs = {
    input: UpdateGiveawayMutationInput;
};
export type MutationUpdateGroupPostArgs = {
    input: UpdateGroupPostMutationInput;
};
export type MutationUpdateIdeaArgs = {
    input: UpdateIdeaMutationInput;
};
export type MutationUpdateIdeationMissionArgs = {
    input: UpdateIdeationMissionMutationInput;
};
export type MutationUpdateMenuItemArgs = {
    input: UpdateMenuItemMutationInput;
};
export type MutationUpdateMenuItemsArgs = {
    input: UpdateMenuItemsMutationInput;
};
export type MutationUpdateNftArgs = {
    input: UpdateNftMutationInput;
};
export type MutationUpdateNftCollectionArgs = {
    input: UpdateNftCollectionMutationInput;
};
export type MutationUpdateNftCollectionDeploymentArgs = {
    input: UpdateNftCollectionDeploymentMutationInput;
};
export type MutationUpdateNftGiveawayArgs = {
    input: UpdateNftGiveawayMutationInput;
};
export type MutationUpdateNftHandoutArgs = {
    input: UpdateNftHandoutMutationInput;
};
export type MutationUpdateNftMediumArgs = {
    input: UpdateNftMediumMutationInput;
};
export type MutationUpdateNftTransferNetworkArgs = {
    input: UpdateNftTransferNetworkMutationInput;
};
export type MutationUpdateNftsVisibilityArgs = {
    input: UpdateNftsVisibilityMutationInput;
};
export type MutationUpdateProfileFieldArgs = {
    input: UpdateProfileFieldMutationInput;
};
export type MutationUpdateProfileFieldsArgs = {
    input: UpdateProfileFieldsMutationInput;
};
export type MutationUpdateShopProductArgs = {
    input: UpdateShopProductMutationInput;
};
export type MutationUpdateShopProductTierArgs = {
    input: UpdateShopProductTierMutationInput;
};
export type MutationUpdateSponsorArgs = {
    input: UpdateSponsorMutationInput;
};
export type MutationUpdateSponsorMediumArgs = {
    input: UpdateSponsorMediumMutationInput;
};
export type MutationUpdateStaticPageArgs = {
    input: UpdateStaticPageMutationInput;
};
export type MutationUpdateTokenHandoutArgs = {
    input: UpdateTokenHandoutMutationInput;
};
export type MutationUpdateUgcReportArgs = {
    input: UpdateUgcReportMutationInput;
};
export type MutationUpdateUgcReportTypeArgs = {
    input: UpdateUgcReportTypeMutationInput;
};
export type MutationUpdateUserArgs = {
    input: UpdateUserMutationInput;
};
export type MutationUpdateUserFromLtidArgs = {
    input: UpdateUserFromLtidMutationInput;
};
export type MutationUpdateVotingArgs = {
    input: UpdateVotingMutationInput;
};
export type MutationUpsertSystemSettingsArgs = {
    input: UpsertSystemSettingsMutationInput;
};
export type Nft = {
    __typename?: 'Nft';
    amount: Scalars['Int']['output'];
    amountLeft?: Maybe<Scalars['Int']['output']>;
    collectionSponsor?: Maybe<Sponsor>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    description: Scalars['String']['output'];
    giveaways: Array<Giveaway>;
    id: Scalars['ID']['output'];
    mintedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    name: Scalars['String']['output'];
    nftBenefits: Array<NftBenefit>;
    nftBuckets: Array<NftBucket>;
    nftCollection?: Maybe<NftCollection>;
    nftCollectionId?: Maybe<Scalars['ID']['output']>;
    nftCollectionOrder?: Maybe<Scalars['Int']['output']>;
    nftFixedPriceShopProducts: Array<ShopProduct>;
    nftMedium: NftMedium;
    nftMediumId: Scalars['ID']['output'];
    nftUsers: Array<NftUser>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    rarity: NftRarityEnum;
    showInFeed: Scalars['Boolean']['output'];
    shownInFeedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    translations: Array<NftTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    users: Array<User>;
    videoAutoplay: Scalars['Boolean']['output'];
    videoLoop: Scalars['Boolean']['output'];
    videoShowControls: Scalars['Boolean']['output'];
    visibleInShowroom: Scalars['Boolean']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type NftBenefit = {
    __typename?: 'NftBenefit';
    allowedRedemptionsAmount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftBenefitRedemptions: Array<NftBenefitRedemption>;
    nftId: Scalars['ID']['output'];
    timeOutMinutes: Scalars['Int']['output'];
    translations: Array<NftBenefitTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type NftBenefitFilterInput = {
    allowedRedemptionsAmount?: InputMaybe<FilterNumberInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    nftId?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    successMessage?: InputMaybe<FilterTextInput>;
    timeOutMinutes?: InputMaybe<FilterNumberInput>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type NftBenefitInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    allowedRedemptionsAmount?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
    timeOutMinutes?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<NftBenefitTranslationInput>>;
};
export type NftBenefitRedemption = {
    __typename?: 'NftBenefitRedemption';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nftBenefit: NftBenefit;
    nftBenefitId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type NftBenefitRedemptionFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    nftBenefitId?: InputMaybe<FilterIdInput>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type NftBenefitRedemptionResolver = {
    __typename?: 'NftBenefitRedemptionResolver';
    nftBenefitRedemptions: Array<NftBenefitRedemption>;
    total: Scalars['Int']['output'];
};
export type NftBenefitRedemptionSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    nftBenefitId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type NftBenefitResolver = {
    __typename?: 'NftBenefitResolver';
    nftBenefits: Array<NftBenefit>;
    total: Scalars['Int']['output'];
};
export type NftBenefitSortInput = {
    allowedRedemptionsAmount?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    nftId?: InputMaybe<SortEnum>;
    successMessage?: InputMaybe<LocalizedSorterInput>;
    timeOutMinutes?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type NftBenefitTranslation = {
    __typename?: 'NftBenefitTranslation';
    description?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    successMessage?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type NftBenefitTranslationInput = {
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    successMessage?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type NftBucket = {
    __typename?: 'NftBucket';
    amount: Scalars['Int']['output'];
    bucketCapacity: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    name?: Maybe<Scalars['String']['output']>;
    nftBucketHandouts: Array<NftBucketHandout>;
    nftBucketNfts: Array<NftBucketNft>;
    nftIds: Array<Scalars['ID']['output']>;
    nfts: Array<Nft>;
    shopProduct: ShopProduct;
    shopProductId?: Maybe<Scalars['ID']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type NftBucketCapacity = {
    __typename?: 'NftBucketCapacity';
    capacity: Scalars['Int']['output'];
    id: Scalars['ID']['output'];
};
export type NftBucketHandout = {
    __typename?: 'NftBucketHandout';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftBucket: NftBucket;
    nftBucketId?: Maybe<Scalars['ID']['output']>;
    nftId?: Maybe<Scalars['ID']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId?: Maybe<Scalars['ID']['output']>;
};
export type NftBucketInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    amount?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    nftBucketNfts?: InputMaybe<Array<NftBucketNftInput>>;
};
export type NftBucketNft = {
    __typename?: 'NftBucketNft';
    amountLimit?: Maybe<Scalars['Int']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftBucket: NftBucket;
    nftBucketId: Scalars['ID']['output'];
    nftId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type NftBucketNftInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    amountLimit?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    nftBucketId?: InputMaybe<Scalars['ID']['input']>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
};
export type NftCollection = {
    __typename?: 'NftCollection';
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    deployments: Array<NftCollectionDeployment>;
    feeRecipient?: Maybe<Scalars['String']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    nftIds: Array<Scalars['ID']['output']>;
    nfts: Array<Nft>;
    nftsCount?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    sellerFeeBasisPoints?: Maybe<Scalars['Int']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: NftCollectionStatusEnum;
    tokenBaseUri?: Maybe<Scalars['String']['output']>;
    translations: Array<NftCollectionTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    willBePinned: Scalars['Boolean']['output'];
};
export type NftCollectionDeployment = {
    __typename?: 'NftCollectionDeployment';
    active: Scalars['Boolean']['output'];
    contractAddress: Scalars['String']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    deployed: Scalars['Boolean']['output'];
    id: Scalars['ID']['output'];
    nftCollection: NftCollection;
    nftCollectionId: Scalars['ID']['output'];
    nftTransferNetwork: NftTransferNetwork;
    nftTransferNetworkId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type NftCollectionDeploymentInput = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    contractAddress?: InputMaybe<Scalars['String']['input']>;
    deployed?: InputMaybe<Scalars['Boolean']['input']>;
    nftCollectionId?: InputMaybe<Scalars['ID']['input']>;
    nftTransferNetworkId?: InputMaybe<Scalars['ID']['input']>;
};
export type NftCollectionFilterInput = {
    contentCategory?: InputMaybe<FilterIdInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    nftsCount?: InputMaybe<FilterNumberInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    preview?: InputMaybe<FilterTextInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<NftCollectionStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type NftCollectionInput = {
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    feeRecipient?: InputMaybe<Scalars['String']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    nftIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    sellerFeeBasisPoints?: InputMaybe<Scalars['Int']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<NftCollectionTranslationInput>>;
};
export type NftCollectionResolver = {
    __typename?: 'NftCollectionResolver';
    nftCollections: Array<NftCollection>;
    total: Scalars['Int']['output'];
};
export type NftCollectionSortInput = {
    contentCategory?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    nftsCount?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    preview?: InputMaybe<LocalizedSorterInput>;
    publishedAt?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum NftCollectionStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type NftCollectionTranslation = {
    __typename?: 'NftCollectionTranslation';
    description: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    preview?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type NftCollectionTranslationInput = {
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    preview?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type NftFilterInput = {
    amount?: InputMaybe<FilterNumberInput>;
    amountLeft?: InputMaybe<FilterNumberInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    mintedAt?: InputMaybe<FilterDateInput>;
    name?: InputMaybe<FilterTextInput>;
    nftCollectionId?: InputMaybe<FilterNumberInput>;
    nftCollectionOrder?: InputMaybe<FilterNumberInput>;
    pageViews?: InputMaybe<FilterNumberInput>;
    rarity?: InputMaybe<NftRarityEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterIdInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    visibleInShowroom?: InputMaybe<Scalars['Boolean']['input']>;
};
export type NftGiveaway = {
    __typename?: 'NftGiveaway';
    activeAndPublished: Scalars['Boolean']['output'];
    activeFrom: Scalars['ISO8601DateTime']['output'];
    activeUntil?: Maybe<Scalars['ISO8601DateTime']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    dropRate?: Maybe<Scalars['Float']['output']>;
    events?: Maybe<Array<Scalars['String']['output']>>;
    expires?: Maybe<Scalars['Boolean']['output']>;
    giveawayChance?: Maybe<Scalars['Int']['output']>;
    id: Scalars['ID']['output'];
    nftIds: Array<Scalars['ID']['output']>;
    nfts: Array<Nft>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    statistics?: Maybe<NftGiveawayStats>;
    status: NftGiveawayStatusEnum;
    translations: Array<NftGiveawayTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userLimitNumber?: Maybe<Scalars['Int']['output']>;
    userLimitPeriod?: Maybe<NftGiveawayUserLimitPeriodEnum>;
};
export type NftGiveawayFilterInput = {
    activeFrom?: InputMaybe<FilterDateInput>;
    activeUntil?: InputMaybe<FilterDateInput>;
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    dropRate?: InputMaybe<FilterNumberInput>;
    events?: InputMaybe<Scalars['String']['input']>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    giveawayChance?: InputMaybe<FilterNumberInput>;
    id?: InputMaybe<FilterIdInput>;
    message?: InputMaybe<FilterTextInput>;
    onlyActiveAndPublished?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterNumberInput>;
    status?: InputMaybe<NftGiveawayStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type NftGiveawayInput = {
    activeFrom?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    activeUntil?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    dropRate?: InputMaybe<Scalars['Float']['input']>;
    events?: InputMaybe<Array<Scalars['String']['input']>>;
    expires?: InputMaybe<Scalars['Boolean']['input']>;
    giveawayChance?: InputMaybe<Scalars['Int']['input']>;
    nftIds?: InputMaybe<Array<Scalars['ID']['input']>>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<NftGiveawayTranslationInput>>;
    userLimitNumber?: InputMaybe<Scalars['Int']['input']>;
    userLimitPeriod?: InputMaybe<NftGiveawayUserLimitPeriodEnum>;
};
export type NftGiveawayResolver = {
    __typename?: 'NftGiveawayResolver';
    nftGiveaways: Array<NftGiveaway>;
    total: Scalars['Int']['output'];
};
export type NftGiveawaySortInput = {
    activeFrom?: InputMaybe<SortEnum>;
    activeUntil?: InputMaybe<SortEnum>;
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    dropRate?: InputMaybe<SortEnum>;
    events?: InputMaybe<SortEnum>;
    expires?: InputMaybe<SortEnum>;
    giveawayChance?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    message?: InputMaybe<LocalizedSorterInput>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnumWithDefault>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type NftGiveawayStats = {
    __typename?: 'NftGiveawayStats';
    active?: Maybe<Scalars['Boolean']['output']>;
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    events?: Maybe<Array<Scalars['String']['output']>>;
    id: Scalars['ID']['output'];
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    times?: Maybe<Scalars['Int']['output']>;
    wasActive?: Maybe<Scalars['Boolean']['output']>;
};
export declare enum NftGiveawayStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Paused = "paused",
    Published = "published",
    Scheduled = "scheduled"
}
export type NftGiveawayTranslation = {
    __typename?: 'NftGiveawayTranslation';
    content: Scalars['String']['output'];
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    message: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type NftGiveawayTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    message?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum NftGiveawayUserLimitPeriodEnum {
    ByDay = "by_day",
    ByHour = "by_hour",
    ByLifeTime = "by_life_time",
    ByMonth = "by_month",
    NoLimit = "no_limit"
}
export type NftHandout = {
    __typename?: 'NftHandout';
    createdAt: Scalars['ISO8601DateTime']['output'];
    delayedPublicationJobId?: Maybe<Scalars['ID']['output']>;
    handoutAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    id: Scalars['ID']['output'];
    nft: Nft;
    nftHandoutUsers: Array<NftHandoutUser>;
    nftHandoutUsersCount: Scalars['Int']['output'];
    nftId: Scalars['ID']['output'];
    promptDialog?: Maybe<Scalars['Boolean']['output']>;
    skipNotification?: Maybe<Scalars['Boolean']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    statistics?: Maybe<NftHandoutStats>;
    status: NftHandoutStatusEnum;
    translations: Array<NftHandoutTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userFilter?: Maybe<Array<UserFilter>>;
};
export type NftHandoutFilterInput = {
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    delayedPublicationJobId?: InputMaybe<FilterIdInput>;
    externalLink?: InputMaybe<FilterTextInput>;
    handoutAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    message?: InputMaybe<FilterTextInput>;
    nftHandoutUsersCount?: InputMaybe<FilterNumberInput>;
    nftId?: InputMaybe<FilterIdInput>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<NftHandoutStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type NftHandoutInput = {
    handoutAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    skipNotification?: InputMaybe<Scalars['Boolean']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<NftHandoutTranslationInput>>;
};
export type NftHandoutResolver = {
    __typename?: 'NftHandoutResolver';
    nftHandouts: Array<NftHandout>;
    total: Scalars['Int']['output'];
};
export type NftHandoutSortInput = {
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    delayedPublicationJobId?: InputMaybe<SortEnum>;
    externalLink?: InputMaybe<LocalizedSorterInput>;
    handoutAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    message?: InputMaybe<LocalizedSorterInput>;
    nftHandoutUsersCount?: InputMaybe<SortEnum>;
    nftId?: InputMaybe<SortEnum>;
    promptDialog?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type NftHandoutStats = {
    __typename?: 'NftHandoutStats';
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    id: Scalars['ID']['output'];
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    times?: Maybe<Scalars['Int']['output']>;
    userIds?: Maybe<Array<Scalars['ID']['output']>>;
};
export declare enum NftHandoutStatusEnum {
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type NftHandoutTranslation = {
    __typename?: 'NftHandoutTranslation';
    content?: Maybe<Scalars['String']['output']>;
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    message?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type NftHandoutTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    message?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type NftHandoutUser = {
    __typename?: 'NftHandoutUser';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nftHandout: NftHandout;
    nftHandoutId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type NftHandoutUserFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    nftHandoutId?: InputMaybe<FilterIdInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type NftHandoutUserResolver = {
    __typename?: 'NftHandoutUserResolver';
    nftHandoutUsers: Array<NftHandoutUser>;
    total: Scalars['Int']['output'];
};
export type NftHandoutUserSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    nftHandoutId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type NftInput = {
    amount?: InputMaybe<Scalars['Int']['input']>;
    description?: InputMaybe<Scalars['String']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    nftBenefits?: InputMaybe<Array<NftBenefitInput>>;
    nftCollectionId?: InputMaybe<Scalars['ID']['input']>;
    nftCollectionOrder?: InputMaybe<Scalars['Int']['input']>;
    nftMediumId?: InputMaybe<Scalars['ID']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    rarity?: InputMaybe<NftRarityEnum>;
    showInFeed?: InputMaybe<Scalars['Boolean']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<NftTranslationInput>>;
    videoAutoplay?: InputMaybe<Scalars['Boolean']['input']>;
    videoLoop?: InputMaybe<Scalars['Boolean']['input']>;
    videoShowControls?: InputMaybe<Scalars['Boolean']['input']>;
    visibleInShowroom?: InputMaybe<Scalars['Boolean']['input']>;
};
export declare enum NftMediaTypeEnum {
    Image = "image",
    Video = "video"
}
export type NftMedium = {
    __typename?: 'NftMedium';
    aspectRatio: MediaAspectRatioEnum;
    createdAt: Scalars['ISO8601DateTime']['output'];
    dimensions?: Maybe<Scalars['JSON']['output']>;
    fileName: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    image?: Maybe<Scalars['String']['output']>;
    mediaSrc?: Maybe<Scalars['String']['output']>;
    mediaType: NftMediaTypeEnum;
    nftsCount: Scalars['Int']['output'];
    original?: Maybe<Scalars['String']['output']>;
    threeqDimensions?: Maybe<Scalars['JSON']['output']>;
    thumbnail?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type NftMediumFilterInput = {
    aspectRatio?: InputMaybe<MediaAspectRatioEnum>;
    fileName?: InputMaybe<FilterTextInput>;
    mediaType?: InputMaybe<NftMediaTypeEnum>;
    nftsCount?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
};
/** Input attributes for content medium */
export type NftMediumInput = {
    aspectRatio?: InputMaybe<MediaAspectRatioEnum>;
    file?: InputMaybe<Scalars['Upload']['input']>;
    fileName: Scalars['String']['input'];
    mediaSrc?: InputMaybe<Scalars['String']['input']>;
    mediaType?: InputMaybe<NftMediaTypeEnum>;
};
export type NftMediumResolver = {
    __typename?: 'NftMediumResolver';
    nftMedia: Array<NftMedium>;
    total: Scalars['Int']['output'];
};
export type NftMediumSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    fileName?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type NftRarity = {
    __typename?: 'NftRarity';
    maxAmount: Scalars['Int']['output'];
    minAmount: Scalars['Int']['output'];
    rarity: NftRarityEnum;
    rarityFactor: Scalars['Float']['output'];
};
export declare enum NftRarityEnum {
    Common = "common",
    Rare = "rare",
    Special = "special",
    SuperRare = "super_rare",
    Unique = "unique"
}
export type NftResolver = {
    __typename?: 'NftResolver';
    nfts: Array<Nft>;
    total: Scalars['Int']['output'];
};
export type NftSortInput = {
    amount?: InputMaybe<SortEnum>;
    amountLeft?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    mintedAt?: InputMaybe<SortEnum>;
    name?: InputMaybe<SortEnum>;
    nftCollectionOrder?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    rarity?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    visibleInShowroom?: InputMaybe<SortEnum>;
};
export type NftTransferNetwork = {
    __typename?: 'NftTransferNetwork';
    active: Scalars['Boolean']['output'];
    blockExplorerUrl?: Maybe<Scalars['String']['output']>;
    blockchainUrl: Scalars['String']['output'];
    chainId: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    name: Scalars['String']['output'];
    nativeCurrencyParams?: Maybe<Scalars['JSON']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    walletBlockchainUrl?: Maybe<Scalars['String']['output']>;
};
export type NftTransferNetworkFilterInput = {
    active?: InputMaybe<Scalars['Boolean']['input']>;
    chainId?: InputMaybe<FilterNumberInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    name?: InputMaybe<FilterTextInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
/** Input attributes for NftTransferNetwork */
export type NftTransferNetworkInput = {
    active: Scalars['Boolean']['input'];
    blockExplorerUrl?: InputMaybe<Scalars['String']['input']>;
    blockchainUrl: Scalars['String']['input'];
    chainId: Scalars['Int']['input'];
    name: Scalars['String']['input'];
    nativeCurrencyParams?: InputMaybe<Scalars['JSON']['input']>;
    walletBlockchainUrl?: InputMaybe<Scalars['String']['input']>;
};
export type NftTransferNetworkResolver = {
    __typename?: 'NftTransferNetworkResolver';
    nftTransferNetworks: Array<NftTransferNetwork>;
    total: Scalars['Int']['output'];
};
export type NftTransferNetworkSortInput = {
    chainId?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    name?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type NftTranslation = {
    __typename?: 'NftTranslation';
    ctaText?: Maybe<Scalars['String']['output']>;
    extendedInfo?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
};
export type NftTranslationInput = {
    ctaText?: InputMaybe<Scalars['String']['input']>;
    extendedInfo?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
};
export type NftUser = {
    __typename?: 'NftUser';
    amount: Scalars['Int']['output'];
    amountBurnt: Scalars['Int']['output'];
    amountFrozen: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftId: Scalars['ID']['output'];
    publiclyVisible?: Maybe<Scalars['Boolean']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type NftUserFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    nftId?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type NftUserResolver = {
    __typename?: 'NftUserResolver';
    nftUsers: Array<NftUser>;
    total: Scalars['Int']['output'];
};
export type NftUserSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    nftId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum NotifiableTypeEnum {
    CustomNotification = "CustomNotification"
}
export type OembedLink = {
    __typename?: 'OembedLink';
    authorName?: Maybe<Scalars['String']['output']>;
    authorUrl?: Maybe<Scalars['String']['output']>;
    providerName?: Maybe<Scalars['String']['output']>;
    providerUrl?: Maybe<Scalars['String']['output']>;
    thumbnailHeight?: Maybe<Scalars['String']['output']>;
    thumbnailUrl?: Maybe<Scalars['String']['output']>;
    thumbnailWidth?: Maybe<Scalars['String']['output']>;
    title?: Maybe<Scalars['String']['output']>;
    type: Scalars['String']['output'];
    version?: Maybe<Scalars['String']['output']>;
};
export type OembedPhoto = {
    __typename?: 'OembedPhoto';
    authorName?: Maybe<Scalars['String']['output']>;
    authorUrl?: Maybe<Scalars['String']['output']>;
    height?: Maybe<Scalars['Int']['output']>;
    providerName?: Maybe<Scalars['String']['output']>;
    providerUrl?: Maybe<Scalars['String']['output']>;
    thumbnailHeight?: Maybe<Scalars['String']['output']>;
    thumbnailUrl?: Maybe<Scalars['String']['output']>;
    thumbnailWidth?: Maybe<Scalars['String']['output']>;
    title?: Maybe<Scalars['String']['output']>;
    type: Scalars['String']['output'];
    url: Scalars['String']['output'];
    version?: Maybe<Scalars['String']['output']>;
    width?: Maybe<Scalars['Int']['output']>;
};
export type OembedRich = {
    __typename?: 'OembedRich';
    authorName?: Maybe<Scalars['String']['output']>;
    authorUrl?: Maybe<Scalars['String']['output']>;
    height?: Maybe<Scalars['Int']['output']>;
    html: Scalars['String']['output'];
    providerName?: Maybe<Scalars['String']['output']>;
    providerUrl?: Maybe<Scalars['String']['output']>;
    thumbnailHeight?: Maybe<Scalars['String']['output']>;
    thumbnailUrl?: Maybe<Scalars['String']['output']>;
    thumbnailWidth?: Maybe<Scalars['String']['output']>;
    title?: Maybe<Scalars['String']['output']>;
    type: Scalars['String']['output'];
    version?: Maybe<Scalars['String']['output']>;
    width?: Maybe<Scalars['Int']['output']>;
};
export type OembedVideo = {
    __typename?: 'OembedVideo';
    authorName?: Maybe<Scalars['String']['output']>;
    authorUrl?: Maybe<Scalars['String']['output']>;
    height?: Maybe<Scalars['Int']['output']>;
    html: Scalars['String']['output'];
    providerName?: Maybe<Scalars['String']['output']>;
    providerUrl?: Maybe<Scalars['String']['output']>;
    thumbnailHeight?: Maybe<Scalars['String']['output']>;
    thumbnailUrl?: Maybe<Scalars['String']['output']>;
    thumbnailWidth?: Maybe<Scalars['String']['output']>;
    title?: Maybe<Scalars['String']['output']>;
    type: Scalars['String']['output'];
    version?: Maybe<Scalars['String']['output']>;
    width?: Maybe<Scalars['Int']['output']>;
};
export type Payment = {
    __typename?: 'Payment';
    additionalData?: Maybe<Scalars['String']['output']>;
    amount?: Maybe<Scalars['Float']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    paymentData?: Maybe<Scalars['String']['output']>;
    provider?: Maybe<Scalars['String']['output']>;
    responseCode?: Maybe<Scalars['String']['output']>;
    status?: Maybe<Scalars['String']['output']>;
    transactionId?: Maybe<Scalars['ID']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userOrder: UserOrder;
    userOrderId: Scalars['ID']['output'];
};
export declare enum PinnableTypeEnum {
    AmaSession = "AmaSession",
    Content = "Content",
    Event = "Event",
    FanGroup = "FanGroup",
    IdeationMission = "IdeationMission",
    Nft = "Nft",
    NftCollection = "NftCollection",
    Voting = "Voting"
}
export type PreviewUrl = {
    __typename?: 'PreviewUrl';
    locale: Scalars['String']['output'];
    url: Scalars['String']['output'];
};
export type ProfileField = {
    __typename?: 'ProfileField';
    createdAt: Scalars['ISO8601DateTime']['output'];
    formKey: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    inputType: ProfileFieldInputTypeEnum;
    isMulti: Scalars['Boolean']['output'];
    order?: Maybe<Scalars['Int']['output']>;
    profileFieldOptions: Array<ProfileFieldOption>;
    publiclyVisible: Scalars['Boolean']['output'];
    status: ProfileFieldStatusEnum;
    translations: Array<ProfileFieldTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type ProfileFieldFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    formKey?: InputMaybe<Scalars['String']['input']>;
    hint?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    inputType?: InputMaybe<ProfileFieldInputTypeEnum>;
    isMulti?: InputMaybe<Scalars['Boolean']['input']>;
    name?: InputMaybe<FilterTextInput>;
    order?: InputMaybe<FilterNumberInput>;
    publiclyVisible?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<ProfileFieldStatusEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type ProfileFieldInput = {
    formKey?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    inputType?: InputMaybe<ProfileFieldInputTypeEnum>;
    isMulti?: InputMaybe<Scalars['Boolean']['input']>;
    order?: InputMaybe<Scalars['Int']['input']>;
    profileFieldOptions?: InputMaybe<Array<ProfileFieldOptionInput>>;
    publiclyVisible?: InputMaybe<Scalars['Boolean']['input']>;
    translations?: InputMaybe<Array<ProfileFieldTranslationInput>>;
};
export declare enum ProfileFieldInputTypeEnum {
    Checkbox = "checkbox",
    Date = "date",
    Number = "number",
    Radio = "radio",
    Selection = "selection",
    Switch = "switch",
    Text = "text",
    Url = "url"
}
export type ProfileFieldOption = {
    __typename?: 'ProfileFieldOption';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    order?: Maybe<Scalars['Int']['output']>;
    profileField: ProfileField;
    profileFieldId: Scalars['ID']['output'];
    translations: Array<ProfileFieldOptionTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    value?: Maybe<Scalars['String']['output']>;
};
export type ProfileFieldOptionFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    label?: InputMaybe<FilterTextInput>;
    order?: InputMaybe<FilterNumberInput>;
    profileFieldId?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
    value?: InputMaybe<Scalars['String']['input']>;
};
export type ProfileFieldOptionInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    order?: InputMaybe<Scalars['Int']['input']>;
    profileFieldId?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<ProfileFieldOptionTranslationInput>>;
    value?: InputMaybe<Scalars['String']['input']>;
};
export type ProfileFieldOptionResolver = {
    __typename?: 'ProfileFieldOptionResolver';
    profileFieldOptions: Array<ProfileFieldOption>;
    total: Scalars['Int']['output'];
};
export type ProfileFieldOptionSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    label?: InputMaybe<LocalizedSorterInput>;
    order?: InputMaybe<SortEnum>;
    profileFieldId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    value?: InputMaybe<SortEnum>;
};
export type ProfileFieldOptionTranslation = {
    __typename?: 'ProfileFieldOptionTranslation';
    id: Scalars['ID']['output'];
    label: Scalars['String']['output'];
    locale: Scalars['String']['output'];
};
export type ProfileFieldOptionTranslationInput = {
    id?: InputMaybe<Scalars['ID']['input']>;
    label?: InputMaybe<Scalars['String']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
};
export type ProfileFieldResolver = {
    __typename?: 'ProfileFieldResolver';
    profileFields: Array<ProfileField>;
    total: Scalars['Int']['output'];
};
export type ProfileFieldSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    formKey?: InputMaybe<SortEnum>;
    hint?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    inputType?: InputMaybe<SortEnum>;
    isMulti?: InputMaybe<SortEnum>;
    name?: InputMaybe<LocalizedSorterInput>;
    order?: InputMaybe<SortEnum>;
    publiclyVisible?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum ProfileFieldStatusEnum {
    Archived = "archived",
    Draft = "draft",
    Published = "published"
}
export type ProfileFieldTranslation = {
    __typename?: 'ProfileFieldTranslation';
    hint?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    name: Scalars['String']['output'];
};
export type ProfileFieldTranslationInput = {
    hint?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
};
/** Autogenerated input type of PublishAmaSessionMutation */
export type PublishAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishAmaSessionMutation */
export type PublishAmaSessionMutationPayload = {
    __typename?: 'PublishAmaSessionMutationPayload';
    amaSession: AmaSession;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of PublishContentMutation */
export type PublishContentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishContentMutation */
export type PublishContentMutationPayload = {
    __typename?: 'PublishContentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of PublishCustomNotificationMutation */
export type PublishCustomNotificationMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishCustomNotificationMutation */
export type PublishCustomNotificationMutationPayload = {
    __typename?: 'PublishCustomNotificationMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    customNotification: CustomNotification;
};
/** Autogenerated input type of PublishEventMutation */
export type PublishEventMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishEventMutation */
export type PublishEventMutationPayload = {
    __typename?: 'PublishEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    event: Event;
};
/** Autogenerated input type of PublishFreeTokenTriggerMutation */
export type PublishFreeTokenTriggerMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishFreeTokenTriggerMutation */
export type PublishFreeTokenTriggerMutationPayload = {
    __typename?: 'PublishFreeTokenTriggerMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    freeTokenTrigger: FreeTokenTrigger;
};
/** Autogenerated input type of PublishGiveawayMutation */
export type PublishGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishGiveawayMutation */
export type PublishGiveawayMutationPayload = {
    __typename?: 'PublishGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
/** Autogenerated input type of PublishIdeationMissionMutation */
export type PublishIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishIdeationMissionMutation */
export type PublishIdeationMissionMutationPayload = {
    __typename?: 'PublishIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ideationMission: IdeationMission;
};
/** Autogenerated input type of PublishNftCollectionMutation */
export type PublishNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishNftCollectionMutation */
export type PublishNftCollectionMutationPayload = {
    __typename?: 'PublishNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of PublishNftGiveawayMutation */
export type PublishNftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishNftGiveawayMutation */
export type PublishNftGiveawayMutationPayload = {
    __typename?: 'PublishNftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftGiveaway: NftGiveaway;
};
/** Autogenerated input type of PublishNftHandoutMutation */
export type PublishNftHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishNftHandoutMutation */
export type PublishNftHandoutMutationPayload = {
    __typename?: 'PublishNftHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftHandout: NftHandout;
};
/** Autogenerated input type of PublishProfileFieldMutation */
export type PublishProfileFieldMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishProfileFieldMutation */
export type PublishProfileFieldMutationPayload = {
    __typename?: 'PublishProfileFieldMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileField: ProfileField;
};
/** Autogenerated input type of PublishStaticPageMutation */
export type PublishStaticPageMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishStaticPageMutation */
export type PublishStaticPageMutationPayload = {
    __typename?: 'PublishStaticPageMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    staticPage: StaticPage;
};
/** Autogenerated input type of PublishTokenHandoutMutation */
export type PublishTokenHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishTokenHandoutMutation */
export type PublishTokenHandoutMutationPayload = {
    __typename?: 'PublishTokenHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    tokenHandout: TokenHandout;
};
/** Autogenerated input type of PublishVotingMutation */
export type PublishVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of PublishVotingMutation */
export type PublishVotingMutationPayload = {
    __typename?: 'PublishVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    voting: Voting;
};
export type Query = {
    __typename?: 'Query';
    /** Show activity_notification */
    activityNotification: ActivityNotification;
    /** List of all the activity_notifications */
    activityNotifications: ActivityNotificationResolver;
    /** Find a activity_point by ID */
    activityPoint: ActivityPoint;
    /** List of all the activity_points */
    activityPoints: ActivityPointResolver;
    /** List of activity_points highscores */
    activityPointsHighscore: ActivityPointHighscoreResolver;
    /** Show admin_user */
    adminUser: AdminUser;
    adminUserConfirmAccount: AdminUser;
    /** List of all the admin_users */
    adminUsers: AdminUserResolver;
    /** Show ama_question */
    amaQuestion: AmaQuestion;
    /** List of all the ama_questions */
    amaQuestions: AmaQuestionResolver;
    /** Show ama_session */
    amaSession: AmaSession;
    /** List of all the ama_sessions */
    amaSessions: AmaSessionResolver;
    /** Show announcement */
    announcement: Announcement;
    /** List of all the announcements */
    announcements: AnnouncementResolver;
    /** Show booster_distribution */
    boosterDistribution: BoosterDistribution;
    /** List of all the booster_distributions */
    boosterDistributions: BoosterDistributionResolver;
    /** Show comment */
    comment: Comment;
    /** List of all the comments */
    comments: CommentResolver;
    /** Show content */
    content: Content;
    /** List of all the content categories */
    contentCategories: ContentCategoryResolver;
    /** Show content_category */
    contentCategory: ContentCategory;
    /** List of all the content media */
    contentMedia: ContentMediumResolver;
    /** Show content_medium */
    contentMedium: ContentMedium;
    /** List of all the contents */
    contents: ContentResolver;
    /** Show custom_notification */
    customNotification: CustomNotification;
    /** List of all the custom_notifications */
    customNotifications: CustomNotificationResolver;
    /** Show delayed_job */
    delayedJob: DelayedJob;
    /** List of all the delayed_jobs */
    delayedJobs: DelayedJobResolver;
    /** Show event */
    event: Event;
    /** List of all the event_registrations */
    eventRegistrations: EventRegistrationResolver;
    /** List of all the events */
    events: EventResolver;
    /** Show fan_group */
    fanGroup: FanGroup;
    /** Show fan_group_user */
    fanGroupUser: FanGroupUser;
    /** List of all the fan_group_users */
    fanGroupUsers: FanGroupUserResolver;
    /** List of all the fan_groups */
    fanGroups: FanGroupResolver;
    /** Show fan_vault_distribution */
    fanVaultDistribution: FanVaultDistribution;
    /** List of all the fan_vault_distributions */
    fanVaultDistributions: FanVaultDistributionResolver;
    /** Show token_trigger */
    freeTokenTrigger: FreeTokenTrigger;
    /** List of available events for token triggers */
    freeTokenTriggerEvents: Array<TriggerEvent>;
    /** List of all the free_token_triggers */
    freeTokenTriggers: FreeTokenTriggerResolver;
    /** Show giveaway */
    giveaway: Giveaway;
    /** List of all the giveaways */
    giveaways: GiveawayResolver;
    /** Show group_post */
    groupPost: GroupPost;
    /** List of all the group_posts */
    groupPosts: GroupPostResolver;
    /** Show idea */
    idea: Idea;
    /** List of all the ideas */
    ideas: IdeaResolver;
    /** Show ideation_mission */
    ideationMission: IdeationMission;
    /** List of all the ideation_missions */
    ideationMissions: IdeationMissionResolver;
    /** Get current admin */
    me: AdminUser;
    /** Find a menu_item by ID */
    menuItem: MenuItem;
    /** List of all the menu_items */
    menuItems: MenuItemResolver;
    /** Show nft */
    nft: Nft;
    /** Show nft_benefit */
    nftBenefit: NftBenefit;
    /** List of all the nft_benefit_redemptions */
    nftBenefitRedemptions: NftBenefitRedemptionResolver;
    /** List of all the nft_benefits */
    nftBenefits: NftBenefitResolver;
    /** List of current rarities */
    nftCalculatedRarities: Array<NftRarity>;
    /** Show nft_collection */
    nftCollection: NftCollection;
    /** List of all the nft_collections */
    nftCollections: NftCollectionResolver;
    /** Show token_trigger */
    nftGiveaway: NftGiveaway;
    /** List of available events for nft giveaways */
    nftGiveawayEvents: Array<TriggerEvent>;
    /** List of all the nft_giveaways */
    nftGiveaways: NftGiveawayResolver;
    /** Show nft_handout */
    nftHandout: NftHandout;
    /** Show nft_handout_user */
    nftHandoutUser: NftHandoutUser;
    /** List of all the nft_handout_users */
    nftHandoutUsers: NftHandoutUserResolver;
    /** List of all the nft_handouts */
    nftHandouts: NftHandoutResolver;
    /** List of all the NFT media */
    nftMedia: NftMediumResolver;
    /** Show nft_medium */
    nftMedium: NftMedium;
    /** Show nft_transfer_network */
    nftTransferNetwork: NftTransferNetwork;
    /** List of all the nft_transfer_networks */
    nftTransferNetworks: NftTransferNetworkResolver;
    /** List of all the nft_users */
    nftUsers: NftUserResolver;
    /** List of all the nfts */
    nfts: NftResolver;
    /** Currently pinned item */
    pinnedItem?: Maybe<FeedPin>;
    /** Show profile field */
    profileField: ProfileField;
    /** Show profile field */
    profileFieldOption: ProfileFieldOption;
    /** List of all the profile_field_options */
    profileFieldOptions: ProfileFieldOptionResolver;
    /** List of all the profile_fields */
    profileFields: ProfileFieldResolver;
    /** Show Restrictions of this platform */
    restrictions: Restrictions;
    /** List of all the sales statitstics */
    salesStatistics: SalesStatisticResolver;
    /** Show shop_product */
    shopProduct: ShopProduct;
    /** Show shop_product_tier */
    shopProductTier: ShopProductTier;
    /** List of all the shop_product_tiers */
    shopProductTiers: ShopProductTierResolver;
    /** List of all the shop_products */
    shopProducts: ShopProductResolver;
    /** Show sponsor */
    sponsor: Sponsor;
    /** List of all the NFT media */
    sponsorMedia: SponsorMediumResolver;
    /** Show sponsor_medium */
    sponsorMedium: SponsorMedium;
    /** Show sponsor statistics */
    sponsorStatistics: SponsorStatsCollection;
    /** List of all the sponsors */
    sponsors: SponsorResolver;
    /** Show content */
    staticPage: StaticPage;
    /** List of all the static_pages */
    staticPages: StaticPageResolver;
    /** Show setting */
    systemSetting: SystemSetting;
    /** Get system settings */
    systemSettings: SystemSettingsResolver;
    /** Show token_handout */
    tokenHandout: TokenHandout;
    /** Show token_handout_user */
    tokenHandoutUser: TokenHandoutUser;
    /** List of all the token_handout_users */
    tokenHandoutUsers: TokenHandoutUserResolver;
    /** List of all the token_handouts */
    tokenHandouts: TokenHandoutResolver;
    /** List of all the token statitstics by month */
    tokenStatistics: Array<TokenStatistic>;
    /** Show transaction */
    transaction: Transaction;
    /** List of all the transactions */
    transactions: TransactionResolver;
    /** List of available events for giveaways */
    triggerEvents: Array<TriggerEvent>;
    /** Find a ugc_report by ID */
    ugcReport: UgcReport;
    /** Find a ugc_report_type by ID */
    ugcReportType: UgcReportTyp;
    /** List of all the ugc_report_types */
    ugcReportTypes: UgcReportTypeResolver;
    /** List of all the ugc_reports */
    ugcReports: UgcReportResolver;
    /** Show user */
    user: User;
    /** Show user by uid */
    userByUid: User;
    /** Returns user device type statistics */
    userDeviceStatistics: UserDeviceStatistics;
    /** List of all the user_giveaways */
    userGiveaways: UserGiveawayResolver;
    /** List of all the user categories */
    userMedia: UserMediumResolver;
    /** Show user_medium */
    userMedium: UserMedium;
    /** Show user_order */
    userOrder: UserOrder;
    /** List of all the user_orders */
    userOrders: UserOrderResolver;
    /** Show user_profile_field */
    userProfileField: UserProfileField;
    /** List of all the user_profile_fields */
    userProfileFields: UserProfileFieldResolver;
    /** List of all the users */
    users: UserResolver;
    /** Show voting */
    voting: Voting;
    /** List of all the votings */
    votings: VotingResolver;
};
export type QueryActivityNotificationArgs = {
    id: Scalars['ID']['input'];
};
export type QueryActivityNotificationsArgs = {
    filter?: InputMaybe<Array<ActivityNotificationFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ActivityNotificationSortInput>;
};
export type QueryActivityPointArgs = {
    id: Scalars['ID']['input'];
};
export type QueryActivityPointsArgs = {
    filter?: InputMaybe<Array<ActivityPointFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ActivityPointSortInput>;
};
export type QueryActivityPointsHighscoreArgs = {
    fanVault: FanVaultEnum;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryAdminUserArgs = {
    id: Scalars['ID']['input'];
};
export type QueryAdminUserConfirmAccountArgs = {
    confirmationToken: Scalars['String']['input'];
    redirectUrl: Scalars['String']['input'];
};
export type QueryAdminUsersArgs = {
    filter?: InputMaybe<Array<AdminUserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<AdminUserSortInput>;
};
export type QueryAmaQuestionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryAmaQuestionsArgs = {
    filter?: InputMaybe<Array<AmaQuestionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<AmaQuestionSortInput>;
};
export type QueryAmaSessionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryAmaSessionsArgs = {
    filter?: InputMaybe<Array<AmaSessionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<AmaSessionSortInput>;
};
export type QueryAnnouncementArgs = {
    id: Scalars['ID']['input'];
};
export type QueryAnnouncementsArgs = {
    filter?: InputMaybe<Array<AnnouncementFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<AnnouncementSortInput>;
};
export type QueryBoosterDistributionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryBoosterDistributionsArgs = {
    filter?: InputMaybe<Array<BoosterDistributionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<BoosterDistributionSortInput>;
};
export type QueryCommentArgs = {
    id: Scalars['ID']['input'];
};
export type QueryCommentsArgs = {
    filter?: InputMaybe<Array<CommentFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CommentSortInput>;
};
export type QueryContentArgs = {
    id: Scalars['ID']['input'];
};
export type QueryContentCategoriesArgs = {
    filter?: InputMaybe<Array<ContentCategoryFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ContentCategorySortInput>;
};
export type QueryContentCategoryArgs = {
    id: Scalars['ID']['input'];
};
export type QueryContentMediaArgs = {
    filter?: InputMaybe<Array<ContentMediumFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ContentMediumSortInput>;
};
export type QueryContentMediumArgs = {
    id: Scalars['ID']['input'];
};
export type QueryContentsArgs = {
    filter?: InputMaybe<Array<ContentFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ContentSortInput>;
};
export type QueryCustomNotificationArgs = {
    id: Scalars['ID']['input'];
};
export type QueryCustomNotificationsArgs = {
    filter?: InputMaybe<Array<CustomNotificationFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<CustomNotificationSortInput>;
};
export type QueryDelayedJobArgs = {
    id: Scalars['ID']['input'];
};
export type QueryDelayedJobsArgs = {
    filter?: InputMaybe<Array<DelayedJobFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<DelayedJobSortInput>;
};
export type QueryEventArgs = {
    id: Scalars['ID']['input'];
};
export type QueryEventRegistrationsArgs = {
    filter?: InputMaybe<Array<EventRegistrationFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<EventRegistrationSortInput>;
};
export type QueryEventsArgs = {
    filter?: InputMaybe<Array<EventFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<EventSortInput>;
};
export type QueryFanGroupArgs = {
    id: Scalars['ID']['input'];
};
export type QueryFanGroupUserArgs = {
    id: Scalars['ID']['input'];
};
export type QueryFanGroupUsersArgs = {
    filter?: InputMaybe<Array<FanGroupUserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<FanGroupUserSortInput>;
};
export type QueryFanGroupsArgs = {
    filter?: InputMaybe<Array<FanGroupFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<FanGroupSortInput>;
};
export type QueryFanVaultDistributionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryFanVaultDistributionsArgs = {
    filter?: InputMaybe<Array<FanVaultDistributionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<FanVaultDistributionSortInput>;
};
export type QueryFreeTokenTriggerArgs = {
    id: Scalars['ID']['input'];
};
export type QueryFreeTokenTriggersArgs = {
    filter?: InputMaybe<Array<FreeTokenTriggerFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<FreeTokenTriggerSortInput>;
};
export type QueryGiveawayArgs = {
    id: Scalars['ID']['input'];
};
export type QueryGiveawaysArgs = {
    filter?: InputMaybe<Array<GiveawayFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<GiveawaySortInput>;
};
export type QueryGroupPostArgs = {
    id: Scalars['ID']['input'];
};
export type QueryGroupPostsArgs = {
    filter?: InputMaybe<Array<GroupPostFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<GroupPostSortInput>;
};
export type QueryIdeaArgs = {
    id: Scalars['ID']['input'];
};
export type QueryIdeasArgs = {
    filter?: InputMaybe<Array<IdeaFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<IdeaSortInput>;
};
export type QueryIdeationMissionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryIdeationMissionsArgs = {
    filter?: InputMaybe<Array<IdeationMissionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<IdeationMissionSortInput>;
};
export type QueryMenuItemArgs = {
    id: Scalars['ID']['input'];
};
export type QueryMenuItemsArgs = {
    filter?: InputMaybe<Array<MenuItemFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
};
export type QueryNftArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftBenefitArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftBenefitRedemptionsArgs = {
    filter?: InputMaybe<Array<NftBenefitRedemptionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftBenefitRedemptionSortInput>;
};
export type QueryNftBenefitsArgs = {
    filter?: InputMaybe<Array<NftBenefitFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftBenefitSortInput>;
};
export type QueryNftCollectionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftCollectionsArgs = {
    filter?: InputMaybe<Array<NftCollectionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftCollectionSortInput>;
};
export type QueryNftGiveawayArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftGiveawaysArgs = {
    filter?: InputMaybe<Array<NftGiveawayFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftGiveawaySortInput>;
};
export type QueryNftHandoutArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftHandoutUserArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftHandoutUsersArgs = {
    filter?: InputMaybe<Array<NftHandoutUserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftHandoutUserSortInput>;
};
export type QueryNftHandoutsArgs = {
    filter?: InputMaybe<Array<NftHandoutFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftHandoutSortInput>;
};
export type QueryNftMediaArgs = {
    filter?: InputMaybe<Array<NftMediumFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftMediumSortInput>;
};
export type QueryNftMediumArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftTransferNetworkArgs = {
    id: Scalars['ID']['input'];
};
export type QueryNftTransferNetworksArgs = {
    filter?: InputMaybe<Array<NftTransferNetworkFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftTransferNetworkSortInput>;
};
export type QueryNftUsersArgs = {
    filter?: InputMaybe<Array<NftUserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftUserSortInput>;
};
export type QueryNftsArgs = {
    filter?: InputMaybe<Array<NftFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<NftSortInput>;
};
export type QueryProfileFieldArgs = {
    id: Scalars['ID']['input'];
};
export type QueryProfileFieldOptionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryProfileFieldOptionsArgs = {
    filter?: InputMaybe<Array<ProfileFieldOptionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProfileFieldOptionSortInput>;
};
export type QueryProfileFieldsArgs = {
    filter?: InputMaybe<Array<ProfileFieldFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ProfileFieldSortInput>;
};
export type QueryShopProductArgs = {
    id: Scalars['ID']['input'];
};
export type QueryShopProductTierArgs = {
    id: Scalars['ID']['input'];
};
export type QueryShopProductTiersArgs = {
    filter?: InputMaybe<Array<ShopProductTierFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ShopProductTierSortInput>;
};
export type QueryShopProductsArgs = {
    filter?: InputMaybe<Array<ShopProductFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<ShopProductSortInput>;
};
export type QuerySponsorArgs = {
    id: Scalars['ID']['input'];
};
export type QuerySponsorMediaArgs = {
    filter?: InputMaybe<Array<SponsorMediumFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<SponsorMediumSortInput>;
};
export type QuerySponsorMediumArgs = {
    id: Scalars['ID']['input'];
};
export type QuerySponsorStatisticsArgs = {
    filter?: InputMaybe<SponsorStatisticsFilterInput>;
    id: Scalars['ID']['input'];
};
export type QuerySponsorsArgs = {
    filter?: InputMaybe<Array<SponsorFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<SponsorSortInput>;
};
export type QueryStaticPageArgs = {
    id: Scalars['ID']['input'];
};
export type QueryStaticPagesArgs = {
    filter?: InputMaybe<Array<StaticPageFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<StaticPageSortInput>;
};
export type QuerySystemSettingArgs = {
    id: Scalars['ID']['input'];
};
export type QueryTokenHandoutArgs = {
    id: Scalars['ID']['input'];
};
export type QueryTokenHandoutUserArgs = {
    id: Scalars['ID']['input'];
};
export type QueryTokenHandoutUsersArgs = {
    filter?: InputMaybe<Array<TokenHandoutUserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<TokenHandoutUserSortInput>;
};
export type QueryTokenHandoutsArgs = {
    filter?: InputMaybe<Array<TokenHandoutFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<TokenHandoutSortInput>;
};
export type QueryTransactionArgs = {
    id: Scalars['ID']['input'];
};
export type QueryTransactionsArgs = {
    filter?: InputMaybe<Array<TransactionFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<TransactionSortInput>;
};
export type QueryUgcReportArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUgcReportTypeArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUgcReportTypesArgs = {
    filter?: InputMaybe<Array<UgcReportTypeFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UgcReportTypeSortInput>;
};
export type QueryUgcReportsArgs = {
    filter?: InputMaybe<Array<UgcReportFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UgcReportSortInput>;
};
export type QueryUserArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUserByUidArgs = {
    provider: Scalars['String']['input'];
    uid: Scalars['ID']['input'];
};
export type QueryUserGiveawaysArgs = {
    filter?: InputMaybe<Array<UserGiveawayFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UserGiveawaySortInput>;
};
export type QueryUserMediaArgs = {
    filter?: InputMaybe<Array<UserMediumFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UserMediumSortInput>;
};
export type QueryUserMediumArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUserOrderArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUserOrdersArgs = {
    filter?: InputMaybe<Array<UserOrderFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UserOrderSortInput>;
};
export type QueryUserProfileFieldArgs = {
    id: Scalars['ID']['input'];
};
export type QueryUserProfileFieldsArgs = {
    filter?: InputMaybe<Array<UserProfileFieldFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UserProfileFieldSortInput>;
};
export type QueryUsersArgs = {
    filter?: InputMaybe<Array<UserFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<UserSortInput>;
};
export type QueryVotingArgs = {
    id: Scalars['ID']['input'];
};
export type QueryVotingsArgs = {
    filter?: InputMaybe<Array<VotingFilterInput>>;
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    sort?: InputMaybe<VotingSortInput>;
};
/** Autogenerated input type of RefreshOembedDataMutation */
export type RefreshOembedDataMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of RefreshOembedDataMutation */
export type RefreshOembedDataMutationPayload = {
    __typename?: 'RefreshOembedDataMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    contentMedium: ContentMedium;
};
/** Autogenerated input type of RefundVotingMutation */
export type RefundVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of RefundVotingMutation */
export type RefundVotingMutationPayload = {
    __typename?: 'RefundVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    message: Scalars['String']['output'];
    status: Scalars['Int']['output'];
};
export declare enum ReportableStatusEnum {
    Cleared = "cleared",
    Hidden = "hidden",
    Reported = "reported",
    ReviewRequested = "review_requested",
    UnderReview = "under_review",
    Unreported = "unreported"
}
/** Autogenerated input type of RequestNftCollectionMetadataUriMutation */
export type RequestNftCollectionMetadataUriMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
};
/** Autogenerated return type of RequestNftCollectionMetadataUriMutation */
export type RequestNftCollectionMetadataUriMutationPayload = {
    __typename?: 'RequestNftCollectionMetadataUriMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    metadataUri: Scalars['String']['output'];
};
export type Restrictions = {
    __typename?: 'Restrictions';
    allowAppStore: Scalars['Boolean']['output'];
    allowBrandControl: Scalars['Boolean']['output'];
    allowConnectAnalytics: Scalars['Boolean']['output'];
    allowCustomDomain: Scalars['Boolean']['output'];
    allowMultiLanguage: Scalars['Boolean']['output'];
    allowNativeApp: Scalars['Boolean']['output'];
    allowPayments: Scalars['Boolean']['output'];
    allowRightsManagement: Scalars['Boolean']['output'];
    maxRegisteredUsers?: Maybe<Scalars['Int']['output']>;
};
export type SalesStatistic = {
    __typename?: 'SalesStatistic';
    orderedAfter: Scalars['ISO8601DateTime']['output'];
    orders: Array<UserOrder>;
    ordersNum: Scalars['Int']['output'];
    ordersValue: Scalars['Float']['output'];
};
export type SalesStatisticResolver = {
    __typename?: 'SalesStatisticResolver';
    monthly: SalesStatistic;
    mtd: SalesStatistic;
    weekly: SalesStatistic;
    wtd: SalesStatistic;
    yearly: SalesStatistic;
    ytd: SalesStatistic;
};
export type ShopProduct = {
    __typename?: 'ShopProduct';
    amountRefunded: Scalars['Int']['output'];
    amountSold: Scalars['Int']['output'];
    amountSoldInFiat: Scalars['Int']['output'];
    amountSoldInTokens: Scalars['Int']['output'];
    androidPrice?: Maybe<Scalars['Float']['output']>;
    androidPriceTier?: Maybe<ShopProductTier>;
    androidPriceTierId?: Maybe<Scalars['ID']['output']>;
    androidSku?: Maybe<Scalars['String']['output']>;
    androidTargetVisible?: Maybe<Scalars['Boolean']['output']>;
    bucketsCapacity: Array<NftBucketCapacity>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    iosPrice?: Maybe<Scalars['Float']['output']>;
    iosPriceTier?: Maybe<ShopProductTier>;
    iosPriceTierId?: Maybe<Scalars['ID']['output']>;
    iosSku?: Maybe<Scalars['String']['output']>;
    iosTargetVisible?: Maybe<Scalars['Boolean']['output']>;
    isAndroid: Scalars['Boolean']['output'];
    isIos: Scalars['Boolean']['output'];
    isWeb: Scalars['Boolean']['output'];
    maxPerDay?: Maybe<Scalars['Int']['output']>;
    maxPerDayReached: Scalars['Boolean']['output'];
    maxSellable?: Maybe<Scalars['Int']['output']>;
    nft?: Maybe<Nft>;
    nftBuckets: Array<NftBucket>;
    nftBucketsCount: Scalars['Int']['output'];
    nftId?: Maybe<Scalars['ID']['output']>;
    nftOutOfStock: Scalars['Boolean']['output'];
    pageViews: Scalars['Int']['output'];
    productMedium?: Maybe<ContentMedium>;
    productMediumId?: Maybe<Scalars['ID']['output']>;
    productType: ShopProductProductTypeEnum;
    tokenPrice?: Maybe<Scalars['Int']['output']>;
    tokens?: Maybe<Scalars['Int']['output']>;
    tokensBonus?: Maybe<Scalars['Int']['output']>;
    translations: Array<ShopProductTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userOrders: Array<UserOrder>;
    userOrdersCount: Scalars['Int']['output'];
    webPrice?: Maybe<Scalars['Float']['output']>;
    webPriceTier?: Maybe<ShopProductTier>;
    webPriceTierId?: Maybe<Scalars['ID']['output']>;
    webSku?: Maybe<Scalars['String']['output']>;
    webTargetVisible?: Maybe<Scalars['Boolean']['output']>;
};
export type ShopProductFilterInput = {
    androidPrice?: InputMaybe<FilterNumberInput>;
    androidPriceTierId?: InputMaybe<FilterIdInput>;
    androidSku?: InputMaybe<FilterTextInput>;
    androidTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
    createdAt?: InputMaybe<FilterDateInput>;
    description?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    iosPrice?: InputMaybe<FilterNumberInput>;
    iosPriceTierId?: InputMaybe<FilterIdInput>;
    iosSku?: InputMaybe<FilterTextInput>;
    iosTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
    maxSellable?: InputMaybe<FilterNumberInput>;
    nftBucketsCount?: InputMaybe<FilterNumberInput>;
    nftId?: InputMaybe<FilterNumberInput>;
    nftOutOfStock?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    productType?: InputMaybe<ShopProductProductTypeEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    targetShop?: InputMaybe<ShopProductTargetShopEnum>;
    tierId?: InputMaybe<Scalars['ID']['input']>;
    title?: InputMaybe<FilterTextInput>;
    tokenPrice?: InputMaybe<FilterNumberInput>;
    tokens?: InputMaybe<FilterNumberInput>;
    tokensBonus?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    visibleInAnyTarget?: InputMaybe<Scalars['Boolean']['input']>;
    webPrice?: InputMaybe<FilterNumberInput>;
    webPriceTierId?: InputMaybe<FilterIdInput>;
    webSku?: InputMaybe<FilterTextInput>;
    webTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
};
export type ShopProductInput = {
    androidPrice?: InputMaybe<Scalars['Float']['input']>;
    androidPriceTierId?: InputMaybe<Scalars['ID']['input']>;
    androidSku?: InputMaybe<Scalars['String']['input']>;
    androidTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
    iosPrice?: InputMaybe<Scalars['Float']['input']>;
    iosPriceTierId?: InputMaybe<Scalars['ID']['input']>;
    iosSku?: InputMaybe<Scalars['String']['input']>;
    iosTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
    maxPerDay?: InputMaybe<Scalars['Int']['input']>;
    maxSellable?: InputMaybe<Scalars['Int']['input']>;
    nftBuckets?: InputMaybe<Array<NftBucketInput>>;
    nftId?: InputMaybe<Scalars['ID']['input']>;
    productMediumId?: InputMaybe<Scalars['ID']['input']>;
    productType?: InputMaybe<ShopProductProductTypeEnum>;
    tokenPrice?: InputMaybe<Scalars['Int']['input']>;
    tokens?: InputMaybe<Scalars['Int']['input']>;
    tokensBonus?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<ShopProductTranslationInput>>;
    webPrice?: InputMaybe<Scalars['Float']['input']>;
    webPriceTierId?: InputMaybe<Scalars['ID']['input']>;
    webSku?: InputMaybe<Scalars['String']['input']>;
    webTargetVisible?: InputMaybe<Scalars['Boolean']['input']>;
};
export declare enum ShopProductProductTypeEnum {
    NftFixedPrice = "nft_fixed_price",
    NftPackage = "nft_package",
    SingleItem = "single_item",
    Subscription = "subscription"
}
export type ShopProductResolver = {
    __typename?: 'ShopProductResolver';
    shopProducts: Array<ShopProduct>;
    total: Scalars['Int']['output'];
};
export type ShopProductSortInput = {
    androidPrice?: InputMaybe<SortEnum>;
    androidPriceTierId?: InputMaybe<SortEnum>;
    androidSku?: InputMaybe<SortEnum>;
    androidTargetVisible?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    description?: InputMaybe<LocalizedSorterInput>;
    id?: InputMaybe<SortEnum>;
    iosPrice?: InputMaybe<SortEnum>;
    iosPriceTierId?: InputMaybe<SortEnum>;
    iosSku?: InputMaybe<SortEnum>;
    iosTargetVisible?: InputMaybe<SortEnum>;
    maxSellable?: InputMaybe<SortEnum>;
    nftId?: InputMaybe<SortEnum>;
    nftOutOfStock?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    productType?: InputMaybe<SortEnum>;
    targetShop?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    tokenPrice?: InputMaybe<SortEnum>;
    tokens?: InputMaybe<SortEnum>;
    tokensBonus?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userOrdersCount?: InputMaybe<SortEnum>;
    webPrice?: InputMaybe<SortEnum>;
    webPriceTierId?: InputMaybe<SortEnum>;
    webSku?: InputMaybe<SortEnum>;
    webTargetVisible?: InputMaybe<SortEnum>;
};
export declare enum ShopProductTargetShopEnum {
    Android = "android",
    Ios = "ios",
    Web = "web"
}
export type ShopProductTier = {
    __typename?: 'ShopProductTier';
    androidProductsCount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    iosProductsCount: Scalars['Int']['output'];
    name: Scalars['String']['output'];
    price: Scalars['Float']['output'];
    shopProductsCount: Scalars['Int']['output'];
    sku?: Maybe<Scalars['String']['output']>;
    targetShop?: Maybe<ShopProductTargetShopEnum>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    webProductsCount: Scalars['Int']['output'];
};
export type ShopProductTierFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    name?: InputMaybe<FilterTextInput>;
    price?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sku?: InputMaybe<FilterTextInput>;
    targetShop?: InputMaybe<ShopProductTargetShopEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type ShopProductTierInput = {
    name?: InputMaybe<Scalars['String']['input']>;
    price?: InputMaybe<Scalars['Float']['input']>;
    sku?: InputMaybe<Scalars['String']['input']>;
    targetShop?: InputMaybe<ShopProductTargetShopEnum>;
};
export type ShopProductTierResolver = {
    __typename?: 'ShopProductTierResolver';
    shopProductTiers: Array<ShopProductTier>;
    total: Scalars['Int']['output'];
};
export type ShopProductTierSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    name?: InputMaybe<SortEnum>;
    price?: InputMaybe<SortEnum>;
    sku?: InputMaybe<SortEnum>;
    targetShop?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type ShopProductTranslation = {
    __typename?: 'ShopProductTranslation';
    content?: Maybe<Scalars['String']['output']>;
    description?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    successMessage?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type ShopProductTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    description?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    successMessage?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum SortEnum {
    Asc = "asc",
    Desc = "desc"
}
export declare enum SortEnumWithDefault {
    Asc = "asc",
    Default = "default",
    Desc = "desc"
}
export type Sponsor = {
    __typename?: 'Sponsor';
    amaSessionsStatistics?: Maybe<SponsorStats>;
    bgColor?: Maybe<Scalars['String']['output']>;
    contentsStatistics?: Maybe<SponsorStats>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    customNotificationsStatistics?: Maybe<SponsorStats>;
    eventsStatistics?: Maybe<SponsorStats>;
    giveaways?: Maybe<Array<Giveaway>>;
    id: Scalars['ID']['output'];
    ideationMissionsStatistics?: Maybe<SponsorStats>;
    name: Scalars['String']['output'];
    nftCollectionsStatistics?: Maybe<SponsorStats>;
    nftGiveawaysStatistics?: Maybe<SponsorStats>;
    nftHandoutsStatistics?: Maybe<SponsorStats>;
    nftsStatistics?: Maybe<SponsorStats>;
    showBorder: Scalars['Boolean']['output'];
    sponsorMedium?: Maybe<SponsorMedium>;
    sponsorMediumId?: Maybe<Scalars['ID']['output']>;
    textColor?: Maybe<Scalars['String']['output']>;
    tokenGiveawaysStatistics?: Maybe<SponsorStats>;
    tokenHandoutsStatistics?: Maybe<SponsorStats>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    url?: Maybe<Scalars['String']['output']>;
    votingsStatistics?: Maybe<SponsorStats>;
};
export type SponsorFilterInput = {
    bgColor?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    name?: InputMaybe<FilterTextInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    showBorder?: InputMaybe<Scalars['Boolean']['input']>;
    textColor?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    url?: InputMaybe<FilterTextInput>;
};
export type SponsorInput = {
    bgColor?: InputMaybe<Scalars['String']['input']>;
    name?: InputMaybe<Scalars['String']['input']>;
    showBorder?: InputMaybe<Scalars['Boolean']['input']>;
    sponsorMediumId?: InputMaybe<Scalars['ID']['input']>;
    textColor?: InputMaybe<Scalars['String']['input']>;
    url?: InputMaybe<Scalars['String']['input']>;
};
export type SponsorMedium = {
    __typename?: 'SponsorMedium';
    createdAt: Scalars['ISO8601DateTime']['output'];
    dimensions?: Maybe<Scalars['JSON']['output']>;
    fileName: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    image?: Maybe<Scalars['String']['output']>;
    original?: Maybe<Scalars['String']['output']>;
    originalTiny?: Maybe<Scalars['String']['output']>;
    sponsorsCount: Scalars['Int']['output'];
    thumbnail?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type SponsorMediumFilterInput = {
    fileName?: InputMaybe<FilterTextInput>;
    sponsorsCount?: InputMaybe<FilterNumberInput>;
};
/** Input attributes for sponsor medium */
export type SponsorMediumInput = {
    file?: InputMaybe<Scalars['Upload']['input']>;
    fileName: Scalars['String']['input'];
};
export type SponsorMediumResolver = {
    __typename?: 'SponsorMediumResolver';
    sponsorMedia: Array<SponsorMedium>;
    total: Scalars['Int']['output'];
};
export type SponsorMediumSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    fileName?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type SponsorResolver = {
    __typename?: 'SponsorResolver';
    sponsors: Array<Sponsor>;
    total: Scalars['Int']['output'];
};
export type SponsorSortInput = {
    bgColor?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    name?: InputMaybe<SortEnum>;
    showBorder?: InputMaybe<SortEnum>;
    textColor?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    url?: InputMaybe<SortEnum>;
};
export type SponsorStatisticsFilterInput = {
    period?: InputMaybe<FilterDateInput>;
};
export type SponsorStats = {
    __typename?: 'SponsorStats';
    totalActive?: Maybe<Scalars['Int']['output']>;
    totalAmount: Scalars['Int']['output'];
    totalCount: Scalars['Int']['output'];
    totalTimes: Scalars['Int']['output'];
    uniqueSponsorUsers?: Maybe<Scalars['Int']['output']>;
};
export type SponsorStatsCollection = {
    __typename?: 'SponsorStatsCollection';
    amaSessionsStatistics: SponsorStats;
    contentsStatistics: SponsorStats;
    customNotificationsStatistics: SponsorStats;
    eventsStatistics: SponsorStats;
    ideationMissionsStatistics: SponsorStats;
    nftCollectionsStatistics?: Maybe<SponsorStats>;
    nftGiveawaysStatistics: SponsorStats;
    nftHandoutsStatistics: SponsorStats;
    nftsStatistics?: Maybe<SponsorStats>;
    tokenGiveawaysStatistics: SponsorStats;
    tokenHandoutsStatistics: SponsorStats;
    votingsStatistics: SponsorStats;
};
export type StaticPage = {
    __typename?: 'StaticPage';
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    isCommentable: Scalars['Boolean']['output'];
    lockedSlug: Scalars['Boolean']['output'];
    menuItemId?: Maybe<Scalars['ID']['output']>;
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    pageViews: Scalars['Int']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    status: StaticPageStatusEnum;
    translations: Array<StaticPageTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type StaticPageFilterInput = {
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    body?: InputMaybe<FilterTextInput>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    isCommentable?: InputMaybe<Scalars['Boolean']['input']>;
    menuItemId?: InputMaybe<FilterForeignKeyInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    status?: InputMaybe<StaticPageStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type StaticPageInput = {
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    isCommentable?: InputMaybe<Scalars['Boolean']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    translations?: InputMaybe<Array<StaticPageTranslationInput>>;
};
export type StaticPageResolver = {
    __typename?: 'StaticPageResolver';
    staticPages: Array<StaticPage>;
    total: Scalars['Int']['output'];
};
export type StaticPageSortInput = {
    availabilityType?: InputMaybe<SortEnum>;
    body?: InputMaybe<LocalizedSorterInput>;
    commentsCount?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    slug?: InputMaybe<LocalizedSorterInput>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export declare enum StaticPageStatusEnum {
    Archived = "archived",
    Draft = "draft",
    Published = "published"
}
export type StaticPageTranslation = {
    __typename?: 'StaticPageTranslation';
    body?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    metaDescription?: Maybe<Scalars['String']['output']>;
    metaTitle?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    title?: Maybe<Scalars['String']['output']>;
};
export type StaticPageTranslationInput = {
    body?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    metaDescription?: InputMaybe<Scalars['String']['input']>;
    metaTitle?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type SystemSetting = {
    __typename?: 'SystemSetting';
    value: Scalars['String']['output'];
    var: Scalars['String']['output'];
};
export type SystemSettingInput = {
    /** value */
    value?: InputMaybe<Scalars['String']['input']>;
    /** variable */
    var?: InputMaybe<Scalars['String']['input']>;
};
export type SystemSettingsGroup = {
    __typename?: 'SystemSettingsGroup';
    balances: Array<Balance>;
    settings: Array<SystemSetting>;
};
export type SystemSettingsResolver = {
    __typename?: 'SystemSettingsResolver';
    amaSessionSettings: SystemSettingsGroup;
    apDistributionSettings: SystemSettingsGroup;
    commentBoosterSettings: SystemSettingsGroup;
    contactAddressSettings: SystemSettingsGroup;
    contentBoosterSettings: SystemSettingsGroup;
    contentUnlockerSettings: SystemSettingsGroup;
    fanGroupSettings: SystemSettingsGroup;
    fanVaultSettings: SystemSettingsGroup;
    friendsInviteSettings: SystemSettingsGroup;
    generalSettings: SystemSettingsGroup;
    groupPostBoosterSettings: SystemSettingsGroup;
    ideationMissionSettings: SystemSettingsGroup;
    nfcSettings: SystemSettingsGroup;
    shopSettings: SystemSettingsGroup;
    tokenContractSettings: SystemSettingsGroup;
    votingBoosterSettings: SystemSettingsGroup;
};
export type TokenHandout = {
    __typename?: 'TokenHandout';
    attempts?: Maybe<Scalars['Int']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    delayedPublicationJobId?: Maybe<Scalars['ID']['output']>;
    handoutAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    promptDialog?: Maybe<Scalars['Boolean']['output']>;
    skipNotification?: Maybe<Scalars['Boolean']['output']>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    statistics?: Maybe<TokenHandoutStats>;
    status: TokenHandoutStatusEnum;
    tokenAmount?: Maybe<Scalars['Int']['output']>;
    tokenHandoutUsers: Array<TokenHandoutUser>;
    tokenHandoutUsersCount: Scalars['Int']['output'];
    transferStatus: TokenHandoutTransferStatusEnum;
    translations: Array<TokenHandoutTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userFilter?: Maybe<Array<UserFilter>>;
};
export type TokenHandoutFilterInput = {
    content?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    delayedPublicationJobId?: InputMaybe<FilterIdInput>;
    externalLink?: InputMaybe<FilterTextInput>;
    handoutAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    message?: InputMaybe<FilterTextInput>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<TokenHandoutStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    tokenAmount?: InputMaybe<FilterNumberInput>;
    tokenHandoutUsersCount?: InputMaybe<FilterNumberInput>;
    transferStatus?: InputMaybe<TokenHandoutTransferStatusEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type TokenHandoutInput = {
    handoutAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    promptDialog?: InputMaybe<Scalars['Boolean']['input']>;
    skipNotification?: InputMaybe<Scalars['Boolean']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    tokenAmount?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<TokenHandoutTranslationInput>>;
};
export type TokenHandoutResolver = {
    __typename?: 'TokenHandoutResolver';
    tokenHandouts: Array<TokenHandout>;
    total: Scalars['Int']['output'];
};
export type TokenHandoutSortInput = {
    content?: InputMaybe<LocalizedSorterInput>;
    createdAt?: InputMaybe<SortEnum>;
    delayedPublicationJobId?: InputMaybe<SortEnum>;
    externalLink?: InputMaybe<LocalizedSorterInput>;
    handoutAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    message?: InputMaybe<LocalizedSorterInput>;
    promptDialog?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    tokenAmount?: InputMaybe<SortEnum>;
    tokenHandoutUsersCount?: InputMaybe<SortEnum>;
    transferStatus?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type TokenHandoutStats = {
    __typename?: 'TokenHandoutStats';
    amount?: Maybe<Scalars['Int']['output']>;
    countTrigger?: Maybe<Scalars['Boolean']['output']>;
    id: Scalars['ID']['output'];
    numberOfUsers?: Maybe<Scalars['Int']['output']>;
    times?: Maybe<Scalars['Int']['output']>;
    userIds?: Maybe<Array<Scalars['ID']['output']>>;
};
export declare enum TokenHandoutStatusEnum {
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export declare enum TokenHandoutTransferStatusEnum {
    Complete = "complete",
    Failed = "failed",
    InProgress = "in_progress",
    InRecovery = "in_recovery",
    NotStarted = "not_started",
    Verified = "verified"
}
export type TokenHandoutTranslation = {
    __typename?: 'TokenHandoutTranslation';
    content?: Maybe<Scalars['String']['output']>;
    ctaText?: Maybe<Scalars['String']['output']>;
    externalLink?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    message?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type TokenHandoutTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    ctaText?: InputMaybe<Scalars['String']['input']>;
    externalLink?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    message?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type TokenHandoutUser = {
    __typename?: 'TokenHandoutUser';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    tokenHandout: TokenHandout;
    tokenHandoutId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type TokenHandoutUserFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    tokenHandoutId?: InputMaybe<FilterIdInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type TokenHandoutUserResolver = {
    __typename?: 'TokenHandoutUserResolver';
    tokenHandoutUsers: Array<TokenHandoutUser>;
    total: Scalars['Int']['output'];
};
export type TokenHandoutUserSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    tokenHandoutId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type TokenStatistic = {
    __typename?: 'TokenStatistic';
    month: Scalars['Int']['output'];
    tokenBalance: Scalars['Float']['output'];
    tokenIncluded: Scalars['Float']['output'];
    tokenUsed: Scalars['Float']['output'];
    transactionCount: Scalars['Int']['output'];
    year: Scalars['Int']['output'];
};
export type Transactable = AmaQuestion | AmaSession | Comment | Content | FanVaultDistribution | FreeTokenTrigger | Giveaway | GroupPost | Idea | IdeationMission | Nft | NftHandout | ShopProduct | TokenHandout | Voting | VotingOption;
export type Transaction = {
    __typename?: 'Transaction';
    amount?: Maybe<Scalars['Float']['output']>;
    blockNumber?: Maybe<Scalars['String']['output']>;
    contractName?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    eventName?: Maybe<Scalars['String']['output']>;
    from: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    info?: Maybe<Scalars['JSON']['output']>;
    nftCount: Scalars['Int']['output'];
    nfts: Array<Nft>;
    option?: Maybe<Scalars['Int']['output']>;
    to?: Maybe<Scalars['String']['output']>;
    tokenContract?: Maybe<Scalars['String']['output']>;
    transactable?: Maybe<Transactable>;
    transactableType?: Maybe<Scalars['String']['output']>;
    transactionNfts: Array<TransactionNft>;
    txHash?: Maybe<Scalars['String']['output']>;
    txStatus: TransactionStatusEnum;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type TransactionFilterInput = {
    amount?: InputMaybe<FilterNumberInput>;
    blockNumber?: InputMaybe<FilterTextInput>;
    contractName?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    eventName?: InputMaybe<FilterTextInput>;
    from?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    info?: InputMaybe<FilterTextInput>;
    option?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    to?: InputMaybe<FilterTextInput>;
    tokenContract?: InputMaybe<FilterTextInput>;
    transactableType?: InputMaybe<FilterTextInput>;
    txHash?: InputMaybe<FilterTextInput>;
    txStatus?: InputMaybe<TransactionStatusEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type TransactionNft = {
    __typename?: 'TransactionNft';
    amount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftId: Scalars['ID']['output'];
    txId?: Maybe<Scalars['ID']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type TransactionResolver = {
    __typename?: 'TransactionResolver';
    total: Scalars['Int']['output'];
    transactions: Array<Transaction>;
};
export type TransactionSortInput = {
    amount?: InputMaybe<SortEnum>;
    blockNumber?: InputMaybe<SortEnum>;
    contractName?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    eventName?: InputMaybe<SortEnum>;
    from?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    info?: InputMaybe<SortEnum>;
    option?: InputMaybe<SortEnum>;
    to?: InputMaybe<SortEnum>;
    tokenContract?: InputMaybe<SortEnum>;
    transactableType?: InputMaybe<SortEnum>;
    txHash?: InputMaybe<SortEnum>;
    txStatus?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum TransactionStatusEnum {
    Complete = "complete",
    Failed = "failed",
    Pending = "pending"
}
/** Autogenerated input type of TransferNftMutation */
export type TransferNftMutationInput = {
    amount: Scalars['Int']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    userId: Scalars['ID']['input'];
};
/** Autogenerated return type of TransferNftMutation */
export type TransferNftMutationPayload = {
    __typename?: 'TransferNftMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nft: Nft;
};
export type TriggerEvent = {
    __typename?: 'TriggerEvent';
    forResource?: Maybe<GiveawayEventResourceTypeEnum>;
    forceGiveaway?: Maybe<Scalars['Boolean']['output']>;
    name: TriggerEventTypeEnum;
    priority?: Maybe<Scalars['String']['output']>;
    supportsThreshold: Scalars['Boolean']['output'];
    supportsUserLimit: Scalars['Boolean']['output'];
};
export declare enum TriggerEventTypeEnum {
    AmaQuestionBoost = "ama_question_boost",
    AmaQuestionBoostReceived = "ama_question_boost_received",
    AmaQuestionCreated = "ama_question_created",
    AmaQuestionLike = "ama_question_like",
    AmaQuestionLikeReceived = "ama_question_like_received",
    AmaQuestionStatusAnswered = "ama_question_status_answered",
    ApiTriggered = "api_triggered",
    BaseProfileCompleted = "base_profile_completed",
    CommentBoost = "comment_boost",
    CommentBoostReceived = "comment_boost_received",
    CommentCreated = "comment_created",
    CommentLike = "comment_like",
    CommentLikeReceived = "comment_like_received",
    ContentBoost = "content_boost",
    ContentLike = "content_like",
    ContentUnlock = "content_unlock",
    CustomProfileCompleted = "custom_profile_completed",
    EventRegistered = "event_registered",
    GroupCreated = "group_created",
    GroupJoined = "group_joined",
    GroupPostBoost = "group_post_boost",
    GroupPostBoostReceived = "group_post_boost_received",
    GroupPostCreated = "group_post_created",
    GroupPostLike = "group_post_like",
    GroupPostLikeReceived = "group_post_like_received",
    IdeaBoost = "idea_boost",
    IdeaBoostReceived = "idea_boost_received",
    IdeaCreated = "idea_created",
    IdeaLike = "idea_like",
    IdeaLikeReceived = "idea_like_received",
    IdeaStatusClubFav = "idea_status_club_fav",
    IdeaStatusImplemented = "idea_status_implemented",
    IdeaStatusSelected = "idea_status_selected",
    NewUserWelcome = "new_user_welcome",
    NftCollectionCompleted = "nft_collection_completed",
    NftPackageBought = "nft_package_bought",
    NftPackageUnlocked = "nft_package_unlocked",
    NftProductBought = "nft_product_bought",
    NftProductUnlocked = "nft_product_unlocked",
    SubscriptionRenewed = "subscription_renewed",
    TokenPackageBought = "token_package_bought",
    UserInvites = "user_invites",
    UserIsInvited = "user_is_invited",
    UserOpensApp = "user_opens_app",
    UserScansNfc = "user_scans_nfc",
    UserScansQrCode = "user_scans_qr_code",
    VotingPublished = "voting_published",
    VotingTokenbasedFixed = "voting_tokenbased_fixed",
    VotingTokenbasedVariable = "voting_tokenbased_variable",
    VotingTokenless = "voting_tokenless"
}
/** Autogenerated input type of TriggerGiveawayEventMutation */
export type TriggerGiveawayEventMutationInput = {
    apiUuid: Scalars['ID']['input'];
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of TriggerGiveawayEventMutation */
export type TriggerGiveawayEventMutationPayload = {
    __typename?: 'TriggerGiveawayEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
export type UgcReport = {
    __typename?: 'UgcReport';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    reportableId: Scalars['ID']['output'];
    reportableTitle?: Maybe<Scalars['String']['output']>;
    reportableType?: Maybe<UgcReportableTypeEnum>;
    status: UgcReportStatusEnum;
    ugcReportTypes: Array<UgcReportTyp>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type UgcReportFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    reportableId?: InputMaybe<FilterNumberInput>;
    reportableType?: InputMaybe<UgcReportableTypeEnum>;
    search?: InputMaybe<Scalars['String']['input']>;
    status?: InputMaybe<UgcReportStatusEnum>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
};
export type UgcReportInput = {
    reportableId?: InputMaybe<Scalars['ID']['input']>;
    reportableType?: InputMaybe<UgcReportableTypeEnum>;
    status?: InputMaybe<UgcReportStatusEnum>;
    userId?: InputMaybe<Scalars['ID']['input']>;
};
export type UgcReportResolver = {
    __typename?: 'UgcReportResolver';
    total: Scalars['Int']['output'];
    ugcReports: Array<UgcReport>;
};
export type UgcReportSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    reportableId?: InputMaybe<SortEnum>;
    reportableType?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum UgcReportStatusEnum {
    Closed = "closed",
    Opened = "opened"
}
export type UgcReportTyp = {
    __typename?: 'UgcReportTyp';
    createdAt: Scalars['ISO8601DateTime']['output'];
    hidingTolerance?: Maybe<Scalars['Int']['output']>;
    id: Scalars['ID']['output'];
    order?: Maybe<Scalars['Int']['output']>;
    translations: Array<UgcReportTypeTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type UgcReportTypeFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    hidingTolerance?: InputMaybe<FilterNumberInput>;
    id?: InputMaybe<FilterIdInput>;
    text?: InputMaybe<FilterTextInput>;
    title?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
};
export type UgcReportTypeInput = {
    hidingTolerance?: InputMaybe<Scalars['Int']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    order?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<UgcReportTypeTranslationInput>>;
};
export type UgcReportTypeResolver = {
    __typename?: 'UgcReportTypeResolver';
    total: Scalars['Int']['output'];
    ugcReportTypes: Array<UgcReportTyp>;
};
export type UgcReportTypeSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    hidingTolerance?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    order?: InputMaybe<SortEnum>;
    text?: InputMaybe<LocalizedSorterInput>;
    title?: InputMaybe<LocalizedSorterInput>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type UgcReportTypeTranslation = {
    __typename?: 'UgcReportTypeTranslation';
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    text?: Maybe<Scalars['String']['output']>;
    title: Scalars['String']['output'];
};
export type UgcReportTypeTranslationInput = {
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    text?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum UgcReportableTypeEnum {
    AmaQuestion = "AmaQuestion",
    Comment = "Comment",
    FanGroup = "FanGroup",
    GroupPost = "GroupPost",
    Idea = "Idea",
    User = "User"
}
/** Autogenerated input type of UpdateActivityPointMutation */
export type UpdateActivityPointMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ActivityPointInput;
};
/** Autogenerated return type of UpdateActivityPointMutation */
export type UpdateActivityPointMutationPayload = {
    __typename?: 'UpdateActivityPointMutationPayload';
    activityPoint: ActivityPoint;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateAdminProfileMutation */
export type UpdateAdminProfileMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: AdminProfileInput;
};
/** Autogenerated return type of UpdateAdminProfileMutation */
export type UpdateAdminProfileMutationPayload = {
    __typename?: 'UpdateAdminProfileMutationPayload';
    adminUser: AdminUser;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateAdminUserMutation */
export type UpdateAdminUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: AdminUserInput;
};
/** Autogenerated return type of UpdateAdminUserMutation */
export type UpdateAdminUserMutationPayload = {
    __typename?: 'UpdateAdminUserMutationPayload';
    adminUser: AdminUser;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateAmaQuestionMutation */
export type UpdateAmaQuestionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: AmaQuestionInput;
};
/** Autogenerated return type of UpdateAmaQuestionMutation */
export type UpdateAmaQuestionMutationPayload = {
    __typename?: 'UpdateAmaQuestionMutationPayload';
    amaQuestion: AmaQuestion;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateAmaSessionMutation */
export type UpdateAmaSessionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: AmaSessionInput;
};
/** Autogenerated return type of UpdateAmaSessionMutation */
export type UpdateAmaSessionMutationPayload = {
    __typename?: 'UpdateAmaSessionMutationPayload';
    amaSession: AmaSession;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateAnnouncementMutation */
export type UpdateAnnouncementMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: AnnouncementInput;
};
/** Autogenerated return type of UpdateAnnouncementMutation */
export type UpdateAnnouncementMutationPayload = {
    __typename?: 'UpdateAnnouncementMutationPayload';
    announcement: Announcement;
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
};
/** Autogenerated input type of UpdateCommentMutation */
export type UpdateCommentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: CommentInput;
};
/** Autogenerated return type of UpdateCommentMutation */
export type UpdateCommentMutationPayload = {
    __typename?: 'UpdateCommentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    comment: Comment;
};
/** Autogenerated input type of UpdateContentCategoryMutation */
export type UpdateContentCategoryMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ContentCategoryInput;
};
/** Autogenerated return type of UpdateContentCategoryMutation */
export type UpdateContentCategoryMutationPayload = {
    __typename?: 'UpdateContentCategoryMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    contentCategory: ContentCategory;
};
/** Autogenerated input type of UpdateContentMediumMutation */
export type UpdateContentMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ContentMediumInput;
};
/** Autogenerated return type of UpdateContentMediumMutation */
export type UpdateContentMediumMutationPayload = {
    __typename?: 'UpdateContentMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    contentMedium: ContentMedium;
};
/** Autogenerated input type of UpdateContentMutation */
export type UpdateContentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ContentInput;
};
/** Autogenerated return type of UpdateContentMutation */
export type UpdateContentMutationPayload = {
    __typename?: 'UpdateContentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of UpdateContentTranslationMutation */
export type UpdateContentTranslationMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    locale: Scalars['String']['input'];
    params: ContentTranslationInput;
};
/** Autogenerated return type of UpdateContentTranslationMutation */
export type UpdateContentTranslationMutationPayload = {
    __typename?: 'UpdateContentTranslationMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    content: Content;
};
/** Autogenerated input type of UpdateCustomNotificationMutation */
export type UpdateCustomNotificationMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: CustomNotificationInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of UpdateCustomNotificationMutation */
export type UpdateCustomNotificationMutationPayload = {
    __typename?: 'UpdateCustomNotificationMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    customNotification: CustomNotification;
};
/** Autogenerated input type of UpdateEventMutation */
export type UpdateEventMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: EventInput;
};
/** Autogenerated return type of UpdateEventMutation */
export type UpdateEventMutationPayload = {
    __typename?: 'UpdateEventMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    event: Event;
};
/** Autogenerated input type of UpdateFanGroupMutation */
export type UpdateFanGroupMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: FanGroupInput;
};
/** Autogenerated return type of UpdateFanGroupMutation */
export type UpdateFanGroupMutationPayload = {
    __typename?: 'UpdateFanGroupMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    fanGroup: FanGroup;
};
/** Autogenerated input type of UpdateFreeTokenTriggerMutation */
export type UpdateFreeTokenTriggerMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: FreeTokenTriggerInput;
};
/** Autogenerated return type of UpdateFreeTokenTriggerMutation */
export type UpdateFreeTokenTriggerMutationPayload = {
    __typename?: 'UpdateFreeTokenTriggerMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    freeTokenTrigger: FreeTokenTrigger;
};
/** Autogenerated input type of UpdateGiveawayMutation */
export type UpdateGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: GiveawayInput;
};
/** Autogenerated return type of UpdateGiveawayMutation */
export type UpdateGiveawayMutationPayload = {
    __typename?: 'UpdateGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    giveaway: Giveaway;
};
/** Autogenerated input type of UpdateGroupPostMutation */
export type UpdateGroupPostMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: GroupPostInput;
};
/** Autogenerated return type of UpdateGroupPostMutation */
export type UpdateGroupPostMutationPayload = {
    __typename?: 'UpdateGroupPostMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    groupPost: GroupPost;
};
/** Autogenerated input type of UpdateIdeaMutation */
export type UpdateIdeaMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: IdeaInput;
};
/** Autogenerated return type of UpdateIdeaMutation */
export type UpdateIdeaMutationPayload = {
    __typename?: 'UpdateIdeaMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    idea: Idea;
};
/** Autogenerated input type of UpdateIdeationMissionMutation */
export type UpdateIdeationMissionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: IdeationMissionInput;
};
/** Autogenerated return type of UpdateIdeationMissionMutation */
export type UpdateIdeationMissionMutationPayload = {
    __typename?: 'UpdateIdeationMissionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ideationMission: IdeationMission;
};
/** Autogenerated input type of UpdateMenuItemMutation */
export type UpdateMenuItemMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: MenuItemInput;
};
/** Autogenerated return type of UpdateMenuItemMutation */
export type UpdateMenuItemMutationPayload = {
    __typename?: 'UpdateMenuItemMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    menuItem: MenuItem;
};
/** Autogenerated input type of UpdateMenuItemsMutation */
export type UpdateMenuItemsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: Array<MenuItemInput>;
};
/** Autogenerated return type of UpdateMenuItemsMutation */
export type UpdateMenuItemsMutationPayload = {
    __typename?: 'UpdateMenuItemsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    menuItems: Array<MenuItem>;
};
/** Autogenerated input type of UpdateNftCollectionDeploymentMutation */
export type UpdateNftCollectionDeploymentMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftCollectionDeploymentInput;
};
/** Autogenerated return type of UpdateNftCollectionDeploymentMutation */
export type UpdateNftCollectionDeploymentMutationPayload = {
    __typename?: 'UpdateNftCollectionDeploymentMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollectionDeployment: NftCollectionDeployment;
};
/** Autogenerated input type of UpdateNftCollectionMutation */
export type UpdateNftCollectionMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftCollectionInput;
};
/** Autogenerated return type of UpdateNftCollectionMutation */
export type UpdateNftCollectionMutationPayload = {
    __typename?: 'UpdateNftCollectionMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftCollection: NftCollection;
};
/** Autogenerated input type of UpdateNftGiveawayMutation */
export type UpdateNftGiveawayMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftGiveawayInput;
};
/** Autogenerated return type of UpdateNftGiveawayMutation */
export type UpdateNftGiveawayMutationPayload = {
    __typename?: 'UpdateNftGiveawayMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftGiveaway: NftGiveaway;
};
/** Autogenerated input type of UpdateNftHandoutMutation */
export type UpdateNftHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of UpdateNftHandoutMutation */
export type UpdateNftHandoutMutationPayload = {
    __typename?: 'UpdateNftHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftHandout: NftHandout;
};
/** Autogenerated input type of UpdateNftMediumMutation */
export type UpdateNftMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftMediumInput;
};
/** Autogenerated return type of UpdateNftMediumMutation */
export type UpdateNftMediumMutationPayload = {
    __typename?: 'UpdateNftMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftMedium: NftMedium;
};
/** Autogenerated input type of UpdateNftMutation */
export type UpdateNftMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftInput;
};
/** Autogenerated return type of UpdateNftMutation */
export type UpdateNftMutationPayload = {
    __typename?: 'UpdateNftMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nft: Nft;
};
/** Autogenerated input type of UpdateNftTransferNetworkMutation */
export type UpdateNftTransferNetworkMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: NftTransferNetworkInput;
};
/** Autogenerated return type of UpdateNftTransferNetworkMutation */
export type UpdateNftTransferNetworkMutationPayload = {
    __typename?: 'UpdateNftTransferNetworkMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    nftTransferNetwork: NftTransferNetwork;
};
/** Autogenerated input type of UpdateNftsVisibilityMutation */
export type UpdateNftsVisibilityMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    nftFilter?: InputMaybe<Array<NftFilterInput>>;
    visible: Scalars['Boolean']['input'];
};
/** Autogenerated return type of UpdateNftsVisibilityMutation */
export type UpdateNftsVisibilityMutationPayload = {
    __typename?: 'UpdateNftsVisibilityMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    status: Scalars['Int']['output'];
    updatedIds: Array<Scalars['ID']['output']>;
};
/** Autogenerated input type of UpdateProfileFieldMutation */
export type UpdateProfileFieldMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ProfileFieldInput;
};
/** Autogenerated return type of UpdateProfileFieldMutation */
export type UpdateProfileFieldMutationPayload = {
    __typename?: 'UpdateProfileFieldMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileField: ProfileField;
};
/** Autogenerated input type of UpdateProfileFieldsMutation */
export type UpdateProfileFieldsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: Array<ProfileFieldInput>;
};
/** Autogenerated return type of UpdateProfileFieldsMutation */
export type UpdateProfileFieldsMutationPayload = {
    __typename?: 'UpdateProfileFieldsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    profileFields: Array<ProfileField>;
};
/** Autogenerated input type of UpdateShopProductMutation */
export type UpdateShopProductMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ShopProductInput;
};
/** Autogenerated return type of UpdateShopProductMutation */
export type UpdateShopProductMutationPayload = {
    __typename?: 'UpdateShopProductMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    shopProduct: ShopProduct;
};
/** Autogenerated input type of UpdateShopProductTierMutation */
export type UpdateShopProductTierMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: ShopProductTierInput;
};
/** Autogenerated return type of UpdateShopProductTierMutation */
export type UpdateShopProductTierMutationPayload = {
    __typename?: 'UpdateShopProductTierMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    shopProductTier: ShopProductTier;
};
/** Autogenerated input type of UpdateSponsorMediumMutation */
export type UpdateSponsorMediumMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: SponsorMediumInput;
};
/** Autogenerated return type of UpdateSponsorMediumMutation */
export type UpdateSponsorMediumMutationPayload = {
    __typename?: 'UpdateSponsorMediumMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    sponsorMedium: SponsorMedium;
};
/** Autogenerated input type of UpdateSponsorMutation */
export type UpdateSponsorMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: SponsorInput;
};
/** Autogenerated return type of UpdateSponsorMutation */
export type UpdateSponsorMutationPayload = {
    __typename?: 'UpdateSponsorMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    sponsor: Sponsor;
};
/** Autogenerated input type of UpdateStaticPageMutation */
export type UpdateStaticPageMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: StaticPageInput;
};
/** Autogenerated return type of UpdateStaticPageMutation */
export type UpdateStaticPageMutationPayload = {
    __typename?: 'UpdateStaticPageMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    staticPage: StaticPage;
};
/** Autogenerated input type of UpdateTokenHandoutMutation */
export type UpdateTokenHandoutMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: TokenHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput>>;
};
/** Autogenerated return type of UpdateTokenHandoutMutation */
export type UpdateTokenHandoutMutationPayload = {
    __typename?: 'UpdateTokenHandoutMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    tokenHandout: TokenHandout;
};
/** Autogenerated input type of UpdateUgcReportMutation */
export type UpdateUgcReportMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: UgcReportInput;
};
/** Autogenerated return type of UpdateUgcReportMutation */
export type UpdateUgcReportMutationPayload = {
    __typename?: 'UpdateUgcReportMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ugcReport: UgcReport;
};
/** Autogenerated input type of UpdateUgcReportTypeMutation */
export type UpdateUgcReportTypeMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: UgcReportTypeInput;
};
/** Autogenerated return type of UpdateUgcReportTypeMutation */
export type UpdateUgcReportTypeMutationPayload = {
    __typename?: 'UpdateUgcReportTypeMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    ugcReportType: UgcReportTyp;
};
/** Autogenerated input type of UpdateUserFromLtidMutation */
export type UpdateUserFromLtidMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: UserFromLtidInput;
    uid: Scalars['ID']['input'];
};
/** Autogenerated return type of UpdateUserFromLtidMutation */
export type UpdateUserFromLtidMutationPayload = {
    __typename?: 'UpdateUserFromLtidMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    user?: Maybe<User>;
};
/** Autogenerated input type of UpdateUserMutation */
export type UpdateUserMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: UserInput;
};
/** Autogenerated return type of UpdateUserMutation */
export type UpdateUserMutationPayload = {
    __typename?: 'UpdateUserMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    user: User;
};
/** Autogenerated input type of UpdateVotingMutation */
export type UpdateVotingMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    id: Scalars['ID']['input'];
    params: VotingInput;
};
/** Autogenerated return type of UpdateVotingMutation */
export type UpdateVotingMutationPayload = {
    __typename?: 'UpdateVotingMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    voting: Voting;
};
/** Autogenerated input type of UpsertSystemSettingsMutation */
export type UpsertSystemSettingsMutationInput = {
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: InputMaybe<Scalars['String']['input']>;
    params: Array<SystemSettingInput>;
};
/** Autogenerated return type of UpsertSystemSettingsMutation */
export type UpsertSystemSettingsMutationPayload = {
    __typename?: 'UpsertSystemSettingsMutationPayload';
    /** A unique identifier for the client performing the mutation. */
    clientMutationId?: Maybe<Scalars['String']['output']>;
    systemSettings: Array<SystemSetting>;
};
export type User = {
    __typename?: 'User';
    allowPasswordChange?: Maybe<Scalars['Boolean']['output']>;
    audits: Array<Audit>;
    avatar?: Maybe<UserMedium>;
    avatarId?: Maybe<Scalars['ID']['output']>;
    biography?: Maybe<Scalars['String']['output']>;
    birthdate?: Maybe<Scalars['ISO8601Date']['output']>;
    blockedUsers: Array<User>;
    blockingUsers: Array<User>;
    city?: Maybe<Scalars['String']['output']>;
    confirmationSentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    confirmationToken?: Maybe<Scalars['String']['output']>;
    confirmedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    country?: Maybe<Scalars['String']['output']>;
    countryName?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    currentBalance: Balance;
    currentEthBalance: Balance;
    deviceTypes?: Maybe<Array<Scalars['String']['output']>>;
    displayName: Scalars['String']['output'];
    email: Scalars['String']['output'];
    fanGroupUsers: Array<FanGroupUser>;
    fastbillId?: Maybe<Scalars['String']['output']>;
    heroMedium?: Maybe<UserMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    initiallyFundedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    lastDayActive?: Maybe<Scalars['ISO8601Date']['output']>;
    locale: Scalars['String']['output'];
    nftBenefits: Array<NftBenefit>;
    nftUsers: Array<NftUser>;
    nfts: Array<Nft>;
    notificationToken?: Maybe<Scalars['String']['output']>;
    passedTutorials?: Maybe<Scalars['String']['output']>;
    phoneNumber?: Maybe<Scalars['String']['output']>;
    previewUrl: Scalars['String']['output'];
    provider: Scalars['String']['output'];
    rememberCreatedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    reportStatus: ReportableStatusEnum;
    resetPasswordSentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    resetPasswordToken?: Maybe<Scalars['String']['output']>;
    slug: Scalars['String']['output'];
    state?: Maybe<Scalars['String']['output']>;
    stateName?: Maybe<Scalars['String']['output']>;
    status: UserStatusEnum;
    subscriptionAutorenewalActive?: Maybe<Scalars['Boolean']['output']>;
    subscriptionCurrentUserOrder?: Maybe<UserOrder>;
    subscriptionCurrentUserOrderId?: Maybe<Scalars['ID']['output']>;
    subscriptionProduct?: Maybe<ShopProduct>;
    subscriptionProductId?: Maybe<Scalars['ID']['output']>;
    subscriptionValidUntil?: Maybe<Scalars['ISO8601DateTime']['output']>;
    timezone?: Maybe<Scalars['String']['output']>;
    tokens?: Maybe<Scalars['String']['output']>;
    ugcReportTypes?: Maybe<Array<UgcReportTyp>>;
    ugcReports: Array<UgcReport>;
    ugcReportsCount: Scalars['Int']['output'];
    uid: Scalars['String']['output'];
    unconfirmedEmail?: Maybe<Scalars['String']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userOrders?: Maybe<Array<UserOrder>>;
    userProfileFields: Array<UserProfileField>;
    usesHotwallet: Scalars['Boolean']['output'];
    verified: Scalars['Boolean']['output'];
    verifiedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    walletAddress?: Maybe<Scalars['String']['output']>;
    website?: Maybe<Scalars['String']['output']>;
    welcomedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
};
export type UserDeviceStatistics = {
    __typename?: 'UserDeviceStatistics';
    androidUsers: Scalars['Int']['output'];
    iosAndAndroidUsers: Scalars['Int']['output'];
    iosUsers: Scalars['Int']['output'];
    pwaOrWebUsers: Scalars['Int']['output'];
    total: Scalars['Int']['output'];
};
export type UserFilter = {
    __typename?: 'UserFilter';
    allowPasswordChange?: Maybe<FilterNumber>;
    biography?: Maybe<FilterText>;
    birthdate?: Maybe<FilterDate>;
    city?: Maybe<FilterText>;
    confirmationSentAt?: Maybe<FilterDate>;
    confirmationToken?: Maybe<FilterText>;
    confirmedAt?: Maybe<FilterDate>;
    country?: Maybe<FilterText>;
    createdAt?: Maybe<FilterDate>;
    displayName?: Maybe<FilterText>;
    email?: Maybe<FilterText>;
    fastbillId?: Maybe<FilterText>;
    id?: Maybe<FilterId>;
    initiallyFundedAt?: Maybe<FilterDate>;
    locale?: Maybe<Scalars['String']['output']>;
    nftId?: Maybe<FilterId>;
    notificationToken?: Maybe<FilterText>;
    rememberCreatedAt?: Maybe<FilterDate>;
    reportStatus?: Maybe<ReportableStatusEnum>;
    resetPasswordSentAt?: Maybe<FilterDate>;
    resetPasswordToken?: Maybe<FilterText>;
    search?: Maybe<Scalars['String']['output']>;
    slug?: Maybe<FilterText>;
    state?: Maybe<FilterText>;
    status?: Maybe<UserStatusEnum>;
    timezone?: Maybe<FilterText>;
    tokens?: Maybe<FilterText>;
    ugcReportsCount?: Maybe<FilterNumber>;
    uid?: Maybe<FilterText>;
    unconfirmedEmail?: Maybe<FilterText>;
    updatedAt?: Maybe<FilterDate>;
    usesHotwallet?: Maybe<Scalars['Boolean']['output']>;
    verified?: Maybe<Scalars['Boolean']['output']>;
    verifiedAt?: Maybe<FilterDate>;
    walletAddress?: Maybe<FilterText>;
    website?: Maybe<FilterText>;
    welcomedAt?: Maybe<FilterDate>;
    withReportStatus?: Maybe<Scalars['Boolean']['output']>;
};
export type UserFilterInput = {
    allowPasswordChange?: InputMaybe<FilterNumberInput>;
    biography?: InputMaybe<FilterTextInput>;
    birthdate?: InputMaybe<FilterDateInput>;
    city?: InputMaybe<FilterTextInput>;
    confirmationSentAt?: InputMaybe<FilterDateInput>;
    confirmationToken?: InputMaybe<FilterTextInput>;
    confirmedAt?: InputMaybe<FilterDateInput>;
    country?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    displayName?: InputMaybe<FilterTextInput>;
    email?: InputMaybe<FilterTextInput>;
    eventId?: InputMaybe<FilterIdInput>;
    fanGroupId?: InputMaybe<FilterIdInput>;
    fastbillId?: InputMaybe<FilterTextInput>;
    id?: InputMaybe<FilterIdInput>;
    initiallyFundedAt?: InputMaybe<FilterDateInput>;
    locale?: InputMaybe<Scalars['String']['input']>;
    nftId?: InputMaybe<FilterIdInput>;
    notificationToken?: InputMaybe<FilterTextInput>;
    rememberCreatedAt?: InputMaybe<FilterDateInput>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    resetPasswordSentAt?: InputMaybe<FilterDateInput>;
    resetPasswordToken?: InputMaybe<FilterTextInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    slug?: InputMaybe<FilterTextInput>;
    state?: InputMaybe<FilterTextInput>;
    status?: InputMaybe<UserStatusEnum>;
    tokens?: InputMaybe<FilterTextInput>;
    ugcReportsCount?: InputMaybe<FilterNumberInput>;
    uid?: InputMaybe<FilterTextInput>;
    unconfirmedEmail?: InputMaybe<FilterTextInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    usesHotwallet?: InputMaybe<Scalars['Boolean']['input']>;
    verified?: InputMaybe<Scalars['Boolean']['input']>;
    verifiedAt?: InputMaybe<FilterDateInput>;
    walletAddress?: InputMaybe<FilterTextInput>;
    website?: InputMaybe<FilterTextInput>;
    welcomedAt?: InputMaybe<FilterDateInput>;
    withReportStatus?: InputMaybe<Scalars['Boolean']['input']>;
};
export type UserFromLtidInput = {
    email: Scalars['String']['input'];
    encryptedWallet?: InputMaybe<Scalars['String']['input']>;
    phoneNumber: Scalars['String']['input'];
    walletAddress?: InputMaybe<Scalars['String']['input']>;
};
export type UserGiveaway = {
    __typename?: 'UserGiveaway';
    createdAt: Scalars['ISO8601DateTime']['output'];
    giveaway: Giveaway;
    giveawayEvent: GiveawayEvent;
    giveawayId: Scalars['ID']['output'];
    id: Scalars['ID']['output'];
    nft?: Maybe<Nft>;
    nftId?: Maybe<Scalars['ID']['output']>;
    tokens?: Maybe<Scalars['Int']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
};
export type UserGiveawayFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    events?: InputMaybe<Scalars['String']['input']>;
    giveawayId?: InputMaybe<FilterIdInput>;
    id?: InputMaybe<FilterIdInput>;
    nftId?: InputMaybe<FilterIdInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    tokens?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type UserGiveawayResolver = {
    __typename?: 'UserGiveawayResolver';
    total: Scalars['Int']['output'];
    userGiveaways: Array<UserGiveaway>;
};
export type UserGiveawaySortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    nftId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export type UserInput = {
    displayName?: InputMaybe<Scalars['String']['input']>;
    passedTutorials?: InputMaybe<Scalars['String']['input']>;
    reportStatus?: InputMaybe<ReportableStatusEnum>;
    status?: InputMaybe<UserStatusEnum>;
    ugcReportTypes?: InputMaybe<Array<Scalars['Int']['input']>>;
    verified?: InputMaybe<Scalars['Boolean']['input']>;
};
export declare enum UserMediaTypeEnum {
    Audio = "audio",
    ExternalMedia = "external_media",
    Image = "image",
    Video = "video"
}
export type UserMedium = {
    __typename?: 'UserMedium';
    createdAt: Scalars['ISO8601DateTime']['output'];
    fanGroupProfilesCount: Scalars['Int']['output'];
    fanGroupsCount: Scalars['Int']['output'];
    filename: Scalars['String']['output'];
    id: Scalars['ID']['output'];
    image?: Maybe<Scalars['String']['output']>;
    mediaType: UserMediaTypeEnum;
    original?: Maybe<Scalars['String']['output']>;
    resourcesCount: Scalars['Int']['output'];
    thumbnail?: Maybe<Scalars['String']['output']>;
    ugcsCount: Scalars['Int']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
};
export type UserMediumFilterInput = {
    mediaType?: InputMaybe<UserMediaTypeEnum>;
};
export type UserMediumResolver = {
    __typename?: 'UserMediumResolver';
    total: Scalars['Int']['output'];
    userMedia: Array<UserMedium>;
};
export type UserMediumSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
};
export type UserOrder = {
    __typename?: 'UserOrder';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    invoiceId?: Maybe<Scalars['String']['output']>;
    invoiceSentAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    nftCount?: Maybe<Scalars['Int']['output']>;
    nfts: Array<Nft>;
    orderFulfilledAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    orderId: Scalars['String']['output'];
    paymentProvider?: Maybe<Scalars['String']['output']>;
    paymentState?: Maybe<Scalars['String']['output']>;
    paymentTransactionId?: Maybe<Scalars['String']['output']>;
    payments: Array<Payment>;
    shopProduct: ShopProduct;
    shopProductId: Scalars['ID']['output'];
    status?: Maybe<UserOrderStatusEnum>;
    tokenAmount?: Maybe<Scalars['Int']['output']>;
    total?: Maybe<Scalars['Float']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userOrderNfts: Array<UserOrderNft>;
};
export type UserOrderFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    invoiceId?: InputMaybe<FilterTextInput>;
    invoiceSentAt?: InputMaybe<FilterDateInput>;
    orderFulfilledAt?: InputMaybe<FilterDateInput>;
    orderId?: InputMaybe<FilterTextInput>;
    paymentProvider?: InputMaybe<FilterTextInput>;
    paymentState?: InputMaybe<FilterTextInput>;
    paymentTransactionId?: InputMaybe<FilterTextInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    shopProductId?: InputMaybe<Scalars['ID']['input']>;
    status?: InputMaybe<UserOrderStatusEnum>;
    tokenAmount?: InputMaybe<FilterNumberInput>;
    total?: InputMaybe<FilterNumberInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterIdInput>;
};
export type UserOrderInput = {
    invoiceId?: InputMaybe<Scalars['String']['input']>;
    invoiceSentAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    orderFulfilledAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    paymentProvider?: InputMaybe<Scalars['String']['input']>;
    paymentState?: InputMaybe<Scalars['String']['input']>;
    paymentTransactionId?: InputMaybe<Scalars['String']['input']>;
    shopProductId?: InputMaybe<Scalars['ID']['input']>;
    status?: InputMaybe<UserOrderStatusEnum>;
    tokenAmount?: InputMaybe<Scalars['Int']['input']>;
    total?: InputMaybe<Scalars['Float']['input']>;
    userId?: InputMaybe<Scalars['ID']['input']>;
};
export type UserOrderNft = {
    __typename?: 'UserOrderNft';
    amount: Scalars['Int']['output'];
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    nft: Nft;
    nftId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    userOrder: UserOrder;
    userOrderId: Scalars['ID']['output'];
};
export type UserOrderResolver = {
    __typename?: 'UserOrderResolver';
    total: Scalars['Int']['output'];
    userOrders: Array<UserOrder>;
};
export type UserOrderSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    invoiceId?: InputMaybe<SortEnum>;
    invoiceSentAt?: InputMaybe<SortEnum>;
    orderFulfilledAt?: InputMaybe<SortEnum>;
    orderId?: InputMaybe<SortEnum>;
    paymentProvider?: InputMaybe<SortEnum>;
    paymentState?: InputMaybe<SortEnum>;
    paymentTransactionId?: InputMaybe<SortEnum>;
    shopProductId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    tokenAmount?: InputMaybe<SortEnum>;
    total?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
};
export declare enum UserOrderStatusEnum {
    Authorized = "authorized",
    Cancel = "cancel",
    Complete = "complete",
    Payment = "payment",
    Refunded = "refunded"
}
export type UserProfileField = {
    __typename?: 'UserProfileField';
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    profileField: ProfileField;
    profileFieldId: Scalars['ID']['output'];
    updatedAt: Scalars['ISO8601DateTime']['output'];
    user: User;
    userId: Scalars['ID']['output'];
    userPubliclyVisible?: Maybe<Scalars['Boolean']['output']>;
    value?: Maybe<Scalars['String']['output']>;
    valueType: UserProfileFieldValueTypeEnum;
};
export type UserProfileFieldFilterInput = {
    createdAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    profileFieldId?: InputMaybe<FilterNumberInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    updatedAt?: InputMaybe<FilterDateInput>;
    userId?: InputMaybe<FilterNumberInput>;
    userPubliclyVisible?: InputMaybe<Scalars['Boolean']['input']>;
    value?: InputMaybe<FilterTextInput>;
    valueType?: InputMaybe<UserProfileFieldValueTypeEnum>;
};
export type UserProfileFieldResolver = {
    __typename?: 'UserProfileFieldResolver';
    total: Scalars['Int']['output'];
    userProfileFields: Array<UserProfileField>;
};
export type UserProfileFieldSortInput = {
    createdAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    profileFieldId?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    userId?: InputMaybe<SortEnum>;
    userPubliclyVisible?: InputMaybe<SortEnum>;
    value?: InputMaybe<SortEnum>;
    valueType?: InputMaybe<SortEnum>;
};
export declare enum UserProfileFieldValueTypeEnum {
    Date = "date",
    Number = "number",
    ProfileFieldOption = "profile_field_option",
    Switch = "switch",
    Text = "text",
    Url = "url"
}
export type UserResolver = {
    __typename?: 'UserResolver';
    total: Scalars['Int']['output'];
    users: Array<User>;
};
export type UserSortInput = {
    allowPasswordChange?: InputMaybe<SortEnum>;
    biography?: InputMaybe<SortEnum>;
    birthdate?: InputMaybe<SortEnum>;
    city?: InputMaybe<SortEnum>;
    confirmationSentAt?: InputMaybe<SortEnum>;
    confirmationToken?: InputMaybe<SortEnum>;
    confirmedAt?: InputMaybe<SortEnum>;
    country?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    displayName?: InputMaybe<SortEnum>;
    email?: InputMaybe<SortEnum>;
    fastbillId?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    initiallyFundedAt?: InputMaybe<SortEnum>;
    lastDayActive?: InputMaybe<SortEnum>;
    locale?: InputMaybe<SortEnum>;
    notificationToken?: InputMaybe<SortEnum>;
    passedTutorials?: InputMaybe<SortEnum>;
    provider?: InputMaybe<SortEnum>;
    rememberCreatedAt?: InputMaybe<SortEnum>;
    reportStatus?: InputMaybe<SortEnumWithDefault>;
    resetPasswordSentAt?: InputMaybe<SortEnum>;
    resetPasswordToken?: InputMaybe<SortEnum>;
    slug?: InputMaybe<SortEnum>;
    state?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    timezone?: InputMaybe<SortEnum>;
    tokens?: InputMaybe<SortEnum>;
    ugcReportsCount?: InputMaybe<SortEnum>;
    uid?: InputMaybe<SortEnum>;
    unconfirmedEmail?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    verifiedAt?: InputMaybe<SortEnum>;
    walletAddress?: InputMaybe<SortEnum>;
    website?: InputMaybe<SortEnum>;
    welcomedAt?: InputMaybe<SortEnum>;
};
export declare enum UserStatusEnum {
    Banned = "banned",
    Locked = "locked",
    Removed = "removed",
    Unlocked = "unlocked"
}
export declare enum VaultTypeEnum {
    Monthly = "monthly",
    Weekly = "weekly",
    Yearly = "yearly"
}
export type Voting = {
    __typename?: 'Voting';
    availabilities?: Maybe<Array<Availability>>;
    availabilityType: AvailabilityTypeEnum;
    availableFors: Array<Scalars['String']['output']>;
    comments: Array<Comment>;
    commentsCount?: Maybe<Scalars['Int']['output']>;
    contentCategory?: Maybe<ContentCategory>;
    contentCategoryId?: Maybe<Scalars['ID']['output']>;
    contractAddress?: Maybe<Scalars['String']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    creatorShare?: Maybe<Scalars['Int']['output']>;
    depositShare?: Maybe<Scalars['Int']['output']>;
    distributedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    endsAt: Scalars['ISO8601DateTime']['output'];
    fanvaultShare?: Maybe<Scalars['Int']['output']>;
    heroMedium?: Maybe<ContentMedium>;
    heroMediumId?: Maybe<Scalars['ID']['output']>;
    id: Scalars['ID']['output'];
    notifiedEndsSoonAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    onlyForAvailables?: Maybe<Scalars['Boolean']['output']>;
    operatorShare?: Maybe<Scalars['Int']['output']>;
    pageViews: Scalars['Int']['output'];
    pinToTop: Scalars['Boolean']['output'];
    previewToken?: Maybe<Scalars['String']['output']>;
    previewUrl?: Maybe<Scalars['String']['output']>;
    previewUrls: Array<PreviewUrl>;
    publishedAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    requiredNfts?: Maybe<Array<Nft>>;
    requiredSubscriptions?: Maybe<Array<ShopProduct>>;
    sponsor?: Maybe<Sponsor>;
    sponsorId?: Maybe<Scalars['ID']['output']>;
    status: VotingStatusEnum;
    tokenFixedAmount?: Maybe<Scalars['Int']['output']>;
    tokenMax?: Maybe<Scalars['Int']['output']>;
    tokenMin?: Maybe<Scalars['Int']['output']>;
    transferredDepositsAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    translations: Array<VotingTranslation>;
    unlocksTokensAt?: Maybe<Scalars['ISO8601DateTime']['output']>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    votingOptions?: Maybe<Array<VotingOption>>;
    votingType?: Maybe<VotingTypeEnum>;
    willBePinned: Scalars['Boolean']['output'];
};
export type VotingFilterInput = {
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    availableFor?: InputMaybe<Array<AvailabilityAvailableForEnum>>;
    commentsCount?: InputMaybe<FilterNumberInput>;
    content?: InputMaybe<FilterTextInput>;
    contentCategory?: InputMaybe<FilterIdInput>;
    contractAddress?: InputMaybe<FilterTextInput>;
    createdAt?: InputMaybe<FilterDateInput>;
    distributedAt?: InputMaybe<FilterDateInput>;
    endsAt?: InputMaybe<FilterDateInput>;
    id?: InputMaybe<FilterIdInput>;
    notifiedEndsSoonAt?: InputMaybe<FilterDateInput>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pageViews?: InputMaybe<FilterNumberInput>;
    publishedAt?: InputMaybe<FilterDateInput>;
    search?: InputMaybe<Scalars['String']['input']>;
    sponsorId?: InputMaybe<FilterIdInput>;
    status?: InputMaybe<VotingStatusEnum>;
    title?: InputMaybe<FilterTextInput>;
    tokenFixedAmount?: InputMaybe<FilterNumberInput>;
    tokenMax?: InputMaybe<FilterNumberInput>;
    tokenMin?: InputMaybe<FilterNumberInput>;
    transferredDepositsAt?: InputMaybe<FilterDateInput>;
    unlocksTokensAt?: InputMaybe<FilterDateInput>;
    updatedAt?: InputMaybe<FilterDateInput>;
    votingType?: InputMaybe<VotingTypeEnum>;
};
export type VotingInput = {
    availabilities?: InputMaybe<Array<AvailabilityInput>>;
    availabilityType?: InputMaybe<AvailabilityTypeEnum>;
    contentCategoryId?: InputMaybe<Scalars['ID']['input']>;
    endsAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    heroMediumId?: InputMaybe<Scalars['ID']['input']>;
    onlyForAvailables?: InputMaybe<Scalars['Boolean']['input']>;
    pinToTop?: InputMaybe<Scalars['Boolean']['input']>;
    publishedAt?: InputMaybe<Scalars['ISO8601DateTime']['input']>;
    sponsorId?: InputMaybe<Scalars['ID']['input']>;
    tokenFixedAmount?: InputMaybe<Scalars['Int']['input']>;
    tokenMax?: InputMaybe<Scalars['Int']['input']>;
    tokenMin?: InputMaybe<Scalars['Int']['input']>;
    translations?: InputMaybe<Array<VotingTranslationInput>>;
    votingOptions?: InputMaybe<Array<VotingOptionInput>>;
    votingType?: InputMaybe<VotingTypeEnum>;
};
export type VotingOption = {
    __typename?: 'VotingOption';
    boostsAmountCache?: Maybe<Scalars['Int']['output']>;
    createdAt: Scalars['ISO8601DateTime']['output'];
    id: Scalars['ID']['output'];
    translations: Array<VotingOptionTranslation>;
    updatedAt: Scalars['ISO8601DateTime']['output'];
    votedTokensCount: Scalars['Int']['output'];
    votedUsersCount: Scalars['Int']['output'];
    votesCount: Scalars['Int']['output'];
    votingId: Scalars['ID']['output'];
};
export type VotingOptionInput = {
    _destroy?: InputMaybe<Scalars['Boolean']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    translations?: InputMaybe<Array<VotingOptionTranslationInput>>;
    votingId?: InputMaybe<Scalars['ID']['input']>;
};
export type VotingOptionTranslation = {
    __typename?: 'VotingOptionTranslation';
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    title: Scalars['String']['output'];
};
export type VotingOptionTranslationInput = {
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export type VotingResolver = {
    __typename?: 'VotingResolver';
    total: Scalars['Int']['output'];
    votings: Array<Voting>;
};
export type VotingSortInput = {
    availabilityType?: InputMaybe<SortEnum>;
    commentsCount?: InputMaybe<SortEnum>;
    content?: InputMaybe<LocalizedSorterInput>;
    contentCategory?: InputMaybe<SortEnum>;
    contractAddress?: InputMaybe<SortEnum>;
    createdAt?: InputMaybe<SortEnum>;
    distributedAt?: InputMaybe<SortEnum>;
    endsAt?: InputMaybe<SortEnum>;
    id?: InputMaybe<SortEnum>;
    notifiedEndsSoonAt?: InputMaybe<SortEnum>;
    onlyForAvailables?: InputMaybe<SortEnum>;
    pageViews?: InputMaybe<SortEnum>;
    publishedAt?: InputMaybe<SortEnum>;
    sponsorId?: InputMaybe<SortEnum>;
    status?: InputMaybe<SortEnum>;
    title?: InputMaybe<LocalizedSorterInput>;
    tokenFixedAmount?: InputMaybe<SortEnum>;
    tokenMax?: InputMaybe<SortEnum>;
    tokenMin?: InputMaybe<SortEnum>;
    transferredDepositsAt?: InputMaybe<SortEnum>;
    unlocksTokensAt?: InputMaybe<SortEnum>;
    updatedAt?: InputMaybe<SortEnum>;
    votingType?: InputMaybe<SortEnum>;
};
export declare enum VotingStatusEnum {
    Archived = "archived",
    Deploying = "deploying",
    Draft = "draft",
    Published = "published",
    Scheduled = "scheduled"
}
export type VotingTranslation = {
    __typename?: 'VotingTranslation';
    content?: Maybe<Scalars['String']['output']>;
    id: Scalars['ID']['output'];
    locale: Scalars['String']['output'];
    title?: Maybe<Scalars['String']['output']>;
};
export type VotingTranslationInput = {
    content?: InputMaybe<Scalars['String']['input']>;
    id?: InputMaybe<Scalars['ID']['input']>;
    locale?: InputMaybe<Scalars['String']['input']>;
    title?: InputMaybe<Scalars['String']['input']>;
};
export declare enum VotingTypeEnum {
    TokenbasedFixed = "tokenbased_fixed",
    TokenbasedVariable = "tokenbased_variable",
    Tokenless = "tokenless"
}
export type ActivityNotificationFragment = {
    __typename?: 'ActivityNotification';
    id: string;
    createdAt: string;
    updatedAt: string;
    openedAt?: string | undefined;
    notifiableId: string;
    notifiableType?: NotifiableTypeEnum | undefined;
    target: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type GetActivityNotificationsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ActivityNotificationFilterInput> | ActivityNotificationFilterInput>;
    sort?: InputMaybe<ActivityNotificationSortInput>;
}>;
export type GetActivityNotificationsQuery = {
    __typename?: 'Query';
    activityNotifications: {
        __typename?: 'ActivityNotificationResolver';
        total: number;
        activityNotifications: Array<{
            __typename?: 'ActivityNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            openedAt?: string | undefined;
            notifiableId: string;
            notifiableType?: NotifiableTypeEnum | undefined;
            target: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
    };
};
export type AdminUserFragment = {
    __typename?: 'AdminUser';
    id: string;
    uid?: string | undefined;
    createdAt: string;
    updatedAt: string;
    email: string;
    unconfirmedEmail?: string | undefined;
    authorizations: any;
    confirmedAt?: string | undefined;
    confirmationToken?: string | undefined;
    confirmationSentAt?: string | undefined;
    otpRequiredForLogin?: boolean | undefined;
    rememberCreatedAt?: string | undefined;
    resetPasswordToken?: string | undefined;
    resetPasswordSentAt?: string | undefined;
    provider?: string | undefined;
    role?: AdminUserRoleEnum | undefined;
    useAbsoluteDates: boolean;
    receiveDailySummary: boolean;
};
export type CreateAdminUserMutationVariables = Exact<{
    params: AdminUserInput;
}>;
export type CreateAdminUserMutation = {
    __typename?: 'Mutation';
    createAdminUser?: {
        __typename?: 'AddAdminUserMutationPayload';
        adminUser: {
            __typename?: 'AdminUser';
            id: string;
            uid?: string | undefined;
            createdAt: string;
            updatedAt: string;
            email: string;
            unconfirmedEmail?: string | undefined;
            authorizations: any;
            confirmedAt?: string | undefined;
            confirmationToken?: string | undefined;
            confirmationSentAt?: string | undefined;
            otpRequiredForLogin?: boolean | undefined;
            rememberCreatedAt?: string | undefined;
            resetPasswordToken?: string | undefined;
            resetPasswordSentAt?: string | undefined;
            provider?: string | undefined;
            role?: AdminUserRoleEnum | undefined;
            useAbsoluteDates: boolean;
            receiveDailySummary: boolean;
        };
    } | undefined;
};
export type DeleteAdminUserMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DeleteAdminUserMutation = {
    __typename?: 'Mutation';
    deleteAdminUser?: {
        __typename?: 'DeleteAdminUserMutationPayload';
        adminUser: {
            __typename?: 'AdminUser';
            id: string;
            uid?: string | undefined;
            createdAt: string;
            updatedAt: string;
            email: string;
            unconfirmedEmail?: string | undefined;
            authorizations: any;
            confirmedAt?: string | undefined;
            confirmationToken?: string | undefined;
            confirmationSentAt?: string | undefined;
            otpRequiredForLogin?: boolean | undefined;
            rememberCreatedAt?: string | undefined;
            resetPasswordToken?: string | undefined;
            resetPasswordSentAt?: string | undefined;
            provider?: string | undefined;
            role?: AdminUserRoleEnum | undefined;
            useAbsoluteDates: boolean;
            receiveDailySummary: boolean;
        };
    } | undefined;
};
export type UpdateAdminUserMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: AdminUserInput;
}>;
export type UpdateAdminUserMutation = {
    __typename?: 'Mutation';
    updateAdminUser?: {
        __typename?: 'UpdateAdminUserMutationPayload';
        adminUser: {
            __typename?: 'AdminUser';
            id: string;
            uid?: string | undefined;
            createdAt: string;
            updatedAt: string;
            email: string;
            unconfirmedEmail?: string | undefined;
            authorizations: any;
            confirmedAt?: string | undefined;
            confirmationToken?: string | undefined;
            confirmationSentAt?: string | undefined;
            otpRequiredForLogin?: boolean | undefined;
            rememberCreatedAt?: string | undefined;
            resetPasswordToken?: string | undefined;
            resetPasswordSentAt?: string | undefined;
            provider?: string | undefined;
            role?: AdminUserRoleEnum | undefined;
            useAbsoluteDates: boolean;
            receiveDailySummary: boolean;
        };
    } | undefined;
};
export type GetAdminUserQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetAdminUserQuery = {
    __typename?: 'Query';
    adminUser: {
        __typename?: 'AdminUser';
        id: string;
        uid?: string | undefined;
        createdAt: string;
        updatedAt: string;
        email: string;
        unconfirmedEmail?: string | undefined;
        authorizations: any;
        confirmedAt?: string | undefined;
        confirmationToken?: string | undefined;
        confirmationSentAt?: string | undefined;
        otpRequiredForLogin?: boolean | undefined;
        rememberCreatedAt?: string | undefined;
        resetPasswordToken?: string | undefined;
        resetPasswordSentAt?: string | undefined;
        provider?: string | undefined;
        role?: AdminUserRoleEnum | undefined;
        useAbsoluteDates: boolean;
        receiveDailySummary: boolean;
    };
};
export type GetAdminUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<AdminUserFilterInput> | AdminUserFilterInput>;
    sort?: InputMaybe<AdminUserSortInput>;
}>;
export type GetAdminUsersQuery = {
    __typename?: 'Query';
    adminUsers: {
        __typename?: 'AdminUserResolver';
        total: number;
        adminUsers: Array<{
            __typename?: 'AdminUser';
            id: string;
            uid?: string | undefined;
            createdAt: string;
            updatedAt: string;
            email: string;
            unconfirmedEmail?: string | undefined;
            authorizations: any;
            confirmedAt?: string | undefined;
            confirmationToken?: string | undefined;
            confirmationSentAt?: string | undefined;
            otpRequiredForLogin?: boolean | undefined;
            rememberCreatedAt?: string | undefined;
            resetPasswordToken?: string | undefined;
            resetPasswordSentAt?: string | undefined;
            provider?: string | undefined;
            role?: AdminUserRoleEnum | undefined;
            useAbsoluteDates: boolean;
            receiveDailySummary: boolean;
        }>;
    };
};
export type AnnouncementTranslationFragment = {
    __typename?: 'AnnouncementTranslation';
    id: string;
    locale: string;
    title: string;
    content: string;
};
export type AnnouncementFragment = {
    __typename?: 'Announcement';
    id: string;
    createdAt: string;
    updatedAt: string;
    announceableId: string;
    announceableType?: string | undefined;
    translations: Array<{
        __typename?: 'AnnouncementTranslation';
        id: string;
        locale: string;
        title: string;
        content: string;
    }>;
};
export type CreateAnnouncementMutationVariables = Exact<{
    params: AnnouncementInput;
}>;
export type CreateAnnouncementMutation = {
    __typename?: 'Mutation';
    createAnnouncement?: {
        __typename?: 'AddAnnouncementMutationPayload';
        announcement: {
            __typename?: 'Announcement';
            id: string;
            createdAt: string;
            updatedAt: string;
            announceableId: string;
            announceableType?: string | undefined;
            translations: Array<{
                __typename?: 'AnnouncementTranslation';
                id: string;
                locale: string;
                title: string;
                content: string;
            }>;
        };
    } | undefined;
};
export type DeleteAnnouncementsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteAnnouncementsMutation = {
    __typename?: 'Mutation';
    deleteAnnouncements?: {
        __typename?: 'DeleteAnnouncementsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type UpdateAnnouncementMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: AnnouncementInput;
}>;
export type UpdateAnnouncementMutation = {
    __typename?: 'Mutation';
    updateAnnouncement?: {
        __typename?: 'UpdateAnnouncementMutationPayload';
        announcement: {
            __typename?: 'Announcement';
            id: string;
            createdAt: string;
            updatedAt: string;
            announceableId: string;
            announceableType?: string | undefined;
            translations: Array<{
                __typename?: 'AnnouncementTranslation';
                id: string;
                locale: string;
                title: string;
                content: string;
            }>;
        };
    } | undefined;
};
export type GetAnnouncementQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetAnnouncementQuery = {
    __typename?: 'Query';
    announcement: {
        __typename?: 'Announcement';
        id: string;
        createdAt: string;
        updatedAt: string;
        announceableId: string;
        announceableType?: string | undefined;
        translations: Array<{
            __typename?: 'AnnouncementTranslation';
            id: string;
            locale: string;
            title: string;
            content: string;
        }>;
    };
};
export type AuditLightFragment = {
    __typename?: 'Audit';
    id: string;
    version?: number | undefined;
    createdAt: string;
    userId?: string | undefined;
    userType?: string | undefined;
};
export type AuditFragment = {
    __typename?: 'Audit';
    auditedChanges: any;
    auditableId: string;
    auditableType?: string | undefined;
    id: string;
    version?: number | undefined;
    createdAt: string;
    userId?: string | undefined;
    userType?: string | undefined;
};
export type LoginMutationVariables = Exact<{
    email: Scalars['String']['input'];
    password: Scalars['String']['input'];
}>;
export type LoginMutation = {
    __typename?: 'Mutation';
    adminUserLogin?: {
        __typename?: 'AdminUserLoginPayload';
        authenticatable: {
            __typename?: 'AdminUser';
            serviceToken?: string | undefined;
            id: string;
            uid?: string | undefined;
            createdAt: string;
            updatedAt: string;
            email: string;
            unconfirmedEmail?: string | undefined;
            authorizations: any;
            confirmedAt?: string | undefined;
            confirmationToken?: string | undefined;
            confirmationSentAt?: string | undefined;
            otpRequiredForLogin?: boolean | undefined;
            rememberCreatedAt?: string | undefined;
            resetPasswordToken?: string | undefined;
            resetPasswordSentAt?: string | undefined;
            provider?: string | undefined;
            role?: AdminUserRoleEnum | undefined;
            useAbsoluteDates: boolean;
            receiveDailySummary: boolean;
        };
        credentials: {
            __typename?: 'Credential';
            accessToken: string;
            client: string;
            expiry: number;
            tokenType: string;
            uid: string;
        };
    } | undefined;
};
export type BoosterDistributionFragment = {
    __typename?: 'BoosterDistribution';
    id: string;
    boosterAddress: string;
    boosterBalance?: number | undefined;
    boosterType: BoosterTypeEnum;
    createdAt: string;
    firstDayOfPeriod?: string | undefined;
    lastDayOfPeriod?: string | undefined;
    paidToUsers?: number | undefined;
    updatedAt: string;
};
export type FanVaultDistributionFragment = {
    __typename?: 'FanVaultDistribution';
    id: string;
    createdAt: string;
    firstDayOfPeriod: string;
    lastDayOfPeriod: string;
    paidToUsers: number;
    sharesToUsers: number;
    updatedAt: string;
    vaultAddress: string;
    vaultBalance?: number | undefined;
    vaultType: VaultTypeEnum;
};
export type GetBoosterDistributionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<BoosterDistributionFilterInput> | BoosterDistributionFilterInput>;
    sort?: InputMaybe<BoosterDistributionSortInput>;
}>;
export type GetBoosterDistributionsQuery = {
    __typename?: 'Query';
    boosterDistributions: {
        __typename?: 'BoosterDistributionResolver';
        total: number;
        boosterDistributions: Array<{
            __typename?: 'BoosterDistribution';
            id: string;
            boosterAddress: string;
            boosterBalance?: number | undefined;
            boosterType: BoosterTypeEnum;
            createdAt: string;
            firstDayOfPeriod?: string | undefined;
            lastDayOfPeriod?: string | undefined;
            paidToUsers?: number | undefined;
            updatedAt: string;
        }>;
    };
};
export type GetFanVaultDistributionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<FanVaultDistributionFilterInput> | FanVaultDistributionFilterInput>;
    sort?: InputMaybe<FanVaultDistributionSortInput>;
}>;
export type GetFanVaultDistributionsQuery = {
    __typename?: 'Query';
    fanVaultDistributions: {
        __typename?: 'FanVaultDistributionResolver';
        total: number;
        fanVaultDistributions: Array<{
            __typename?: 'FanVaultDistribution';
            id: string;
            createdAt: string;
            firstDayOfPeriod: string;
            lastDayOfPeriod: string;
            paidToUsers: number;
            sharesToUsers: number;
            updatedAt: string;
            vaultAddress: string;
            vaultBalance?: number | undefined;
            vaultType: VaultTypeEnum;
        }>;
    };
};
export type AvailabilityFragment = {
    __typename?: 'Availability';
    availableFor: AvailabilityAvailableForEnum;
    createdAt: string;
    id: string;
    resourceId: string;
    resourceType: string;
    updatedAt: string;
    availabilitiesResources?: Array<{
        __typename?: 'AvailabilitiesResource';
        availabilityId: string;
        id: string;
        createdAt: string;
        updatedAt: string;
        nftId?: string | undefined;
        shopProductId?: string | undefined;
    }> | undefined;
};
export type ContentCategoryFragment = {
    __typename?: 'ContentCategory';
    id: string;
    createdAt: string;
    updatedAt: string;
    contentsCount: number;
    eventsCount: number;
    votingsCount: number;
    ideationMissionsCount: number;
    amaSessionsCount: number;
    nftCollectionsCount: number;
    resourcesCount: number;
    translations: Array<{
        __typename?: 'ContentCategoryTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
};
export type ContentForSelectFragment = {
    __typename?: 'Content';
    id: string;
    translations: Array<{
        __typename?: 'ContentTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
    }>;
};
export type ContentLightFragment = {
    __typename?: 'Content';
    id: string;
    author?: string | undefined;
    status: ContentStatusEnum;
    commentsCount?: number | undefined;
    contentType?: ContentTypeEnum | undefined;
    likesCount?: number | undefined;
    createdAt: string;
    updatedAt: string;
    publishedAt?: string | undefined;
    heroMediumId?: string | undefined;
    boostsAmountCache?: number | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    translations: Array<{
        __typename?: 'ContentTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
    }>;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type ContentTranslationFragment = {
    __typename?: 'ContentTranslation';
    id: string;
    title?: string | undefined;
    preview?: string | undefined;
    content?: string | undefined;
    metaTitle?: string | undefined;
    metaDescription?: string | undefined;
    slug: string;
    locale: string;
    metaCanonicalUrl?: string | undefined;
    metaNoindex?: boolean | undefined;
    metaNofollow?: boolean | undefined;
};
export type ContentFragment = {
    __typename?: 'Content';
    depositShare?: number | undefined;
    contractAddress?: string | undefined;
    unlockerAddress?: string | undefined;
    unlockPrice?: number | undefined;
    fanvaultShare?: number | undefined;
    operatorShare?: number | undefined;
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    notifyOnPublished?: boolean | undefined;
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    author?: string | undefined;
    status: ContentStatusEnum;
    commentsCount?: number | undefined;
    contentType?: ContentTypeEnum | undefined;
    likesCount?: number | undefined;
    createdAt: string;
    updatedAt: string;
    publishedAt?: string | undefined;
    heroMediumId?: string | undefined;
    boostsAmountCache?: number | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    comments: Array<{
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    translations: Array<{
        __typename?: 'ContentTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
        preview?: string | undefined;
        content?: string | undefined;
        metaTitle?: string | undefined;
        metaDescription?: string | undefined;
        slug: string;
        metaCanonicalUrl?: string | undefined;
        metaNoindex?: boolean | undefined;
        metaNofollow?: boolean | undefined;
    }>;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type ArchiveContentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveContentMutation = {
    __typename?: 'Mutation';
    archiveContent?: {
        __typename?: 'ArchiveContentMutationPayload';
        content: {
            __typename?: 'Content';
            depositShare?: number | undefined;
            contractAddress?: string | undefined;
            unlockerAddress?: string | undefined;
            unlockPrice?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            notifyOnPublished?: boolean | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                preview?: string | undefined;
                content?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                slug: string;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type CreateContentCategoryMutationVariables = Exact<{
    params: ContentCategoryInput;
}>;
export type CreateContentCategoryMutation = {
    __typename?: 'Mutation';
    createContentCategory?: {
        __typename?: 'AddContentCategoryMutationPayload';
        contentCategory: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        };
    } | undefined;
};
export type CreateContentMutationVariables = Exact<{
    params: ContentInput;
}>;
export type CreateContentMutation = {
    __typename?: 'Mutation';
    createContent?: {
        __typename?: 'AddContentMutationPayload';
        content: {
            __typename?: 'Content';
            depositShare?: number | undefined;
            contractAddress?: string | undefined;
            unlockerAddress?: string | undefined;
            unlockPrice?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            notifyOnPublished?: boolean | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                preview?: string | undefined;
                content?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                slug: string;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DeleteContentCategoriesMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteContentCategoriesMutation = {
    __typename?: 'Mutation';
    deleteContentCategories?: {
        __typename?: 'DeleteContentCategoriesMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteContentsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteContentsMutation = {
    __typename?: 'Mutation';
    deleteContents?: {
        __typename?: 'DeleteContentsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DraftContentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftContentMutation = {
    __typename?: 'Mutation';
    draftContent?: {
        __typename?: 'DraftContentMutationPayload';
        content: {
            __typename?: 'Content';
            depositShare?: number | undefined;
            contractAddress?: string | undefined;
            unlockerAddress?: string | undefined;
            unlockPrice?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            notifyOnPublished?: boolean | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                preview?: string | undefined;
                content?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                slug: string;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishContentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishContentMutation = {
    __typename?: 'Mutation';
    publishContent?: {
        __typename?: 'PublishContentMutationPayload';
        content: {
            __typename?: 'Content';
            depositShare?: number | undefined;
            contractAddress?: string | undefined;
            unlockerAddress?: string | undefined;
            unlockPrice?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            notifyOnPublished?: boolean | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                preview?: string | undefined;
                content?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                slug: string;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateContentCategoryMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ContentCategoryInput;
}>;
export type UpdateContentCategoryMutation = {
    __typename?: 'Mutation';
    updateContentCategory?: {
        __typename?: 'UpdateContentCategoryMutationPayload';
        contentCategory: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        };
    } | undefined;
};
export type UpdateContentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ContentInput;
}>;
export type UpdateContentMutation = {
    __typename?: 'Mutation';
    updateContent?: {
        __typename?: 'UpdateContentMutationPayload';
        content: {
            __typename?: 'Content';
            depositShare?: number | undefined;
            contractAddress?: string | undefined;
            unlockerAddress?: string | undefined;
            unlockPrice?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            notifyOnPublished?: boolean | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                preview?: string | undefined;
                content?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                slug: string;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type GetContentCategoriesQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ContentCategoryFilterInput> | ContentCategoryFilterInput>;
    sort?: InputMaybe<ContentCategorySortInput>;
}>;
export type GetContentCategoriesQuery = {
    __typename?: 'Query';
    contentCategories: {
        __typename?: 'ContentCategoryResolver';
        total: number;
        contentCategories: Array<{
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }>;
    };
};
export type GetContentCategoryQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetContentCategoryQuery = {
    __typename?: 'Query';
    contentCategory: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    };
};
export type GetContentQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetContentQuery = {
    __typename?: 'Query';
    content: {
        __typename?: 'Content';
        depositShare?: number | undefined;
        contractAddress?: string | undefined;
        unlockerAddress?: string | undefined;
        unlockPrice?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorShare?: number | undefined;
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        notifyOnPublished?: boolean | undefined;
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        author?: string | undefined;
        status: ContentStatusEnum;
        commentsCount?: number | undefined;
        contentType?: ContentTypeEnum | undefined;
        likesCount?: number | undefined;
        createdAt: string;
        updatedAt: string;
        publishedAt?: string | undefined;
        heroMediumId?: string | undefined;
        boostsAmountCache?: number | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        translations: Array<{
            __typename?: 'ContentTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            preview?: string | undefined;
            content?: string | undefined;
            metaTitle?: string | undefined;
            metaDescription?: string | undefined;
            slug: string;
            metaCanonicalUrl?: string | undefined;
            metaNoindex?: boolean | undefined;
            metaNofollow?: boolean | undefined;
        }>;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetContentsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<ContentSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetContentsForSelectQuery = {
    __typename?: 'Query';
    contents: {
        __typename?: 'ContentResolver';
        total: number;
        contents: Array<{
            __typename?: 'Content';
            id: string;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
            }>;
        }>;
    };
    selectedContents: {
        __typename?: 'ContentResolver';
        total: number;
        contents: Array<{
            __typename?: 'Content';
            id: string;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
            }>;
        }>;
    };
};
export type GetContentsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ContentFilterInput> | ContentFilterInput>;
    sort?: InputMaybe<ContentSortInput>;
}>;
export type GetContentsQuery = {
    __typename?: 'Query';
    contents: {
        __typename?: 'ContentResolver';
        total: number;
        contents: Array<{
            __typename?: 'Content';
            id: string;
            author?: string | undefined;
            status: ContentStatusEnum;
            commentsCount?: number | undefined;
            contentType?: ContentTypeEnum | undefined;
            likesCount?: number | undefined;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            heroMediumId?: string | undefined;
            boostsAmountCache?: number | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'ContentTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
            }>;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type CustomNotificationLightFragment = {
    __typename?: 'CustomNotification';
    id: string;
    createdAt: string;
    updatedAt: string;
    sentAt?: string | undefined;
    promptDialog?: boolean | undefined;
    status: CustomNotificationStatusEnum;
    heroMediumId?: string | undefined;
    sponsorId?: string | undefined;
    notificationsCount: number;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'CustomNotificationTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type CustomNotificationTranslationFragment = {
    __typename?: 'CustomNotificationTranslation';
    id: string;
    locale: string;
    title: string;
    message?: string | undefined;
    content?: string | undefined;
    externalLink?: string | undefined;
    ctaText?: string | undefined;
};
export type CustomNotificationFragment = {
    __typename?: 'CustomNotification';
    id: string;
    createdAt: string;
    updatedAt: string;
    sentAt?: string | undefined;
    promptDialog?: boolean | undefined;
    status: CustomNotificationStatusEnum;
    heroMediumId?: string | undefined;
    sponsorId?: string | undefined;
    notificationsCount: number;
    translations: Array<{
        __typename?: 'CustomNotificationTranslation';
        id: string;
        locale: string;
        title: string;
        message?: string | undefined;
        content?: string | undefined;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
    userFilter?: Array<{
        __typename?: 'UserFilter';
        locale?: string | undefined;
        reportStatus?: ReportableStatusEnum | undefined;
        search?: string | undefined;
        status?: UserStatusEnum | undefined;
        withReportStatus?: boolean | undefined;
        verified?: boolean | undefined;
        allowPasswordChange?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        biography?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        birthdate?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        city?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmationSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        confirmationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        country?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        createdAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        displayName?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        email?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        fastbillId?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        id?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        initiallyFundedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        notificationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        nftId?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        rememberCreatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        slug?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        state?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        tokens?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        ugcReportsCount?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        uid?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        unconfirmedEmail?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        updatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        walletAddress?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        website?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        welcomedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        verifiedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type CreateCustomNotificationMutationVariables = Exact<{
    params: CustomNotificationInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type CreateCustomNotificationMutation = {
    __typename?: 'Mutation';
    createCustomNotification?: {
        __typename?: 'AddCustomNotificationMutationPayload';
        customNotification: {
            __typename?: 'CustomNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            sentAt?: string | undefined;
            promptDialog?: boolean | undefined;
            status: CustomNotificationStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            notificationsCount: number;
            translations: Array<{
                __typename?: 'CustomNotificationTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DeleteCustomNotificationsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteCustomNotificationsMutation = {
    __typename?: 'Mutation';
    deleteCustomNotifications?: {
        __typename?: 'DeleteCustomNotificationsMutationPayload';
        status: number;
        deletedIds: Array<string>;
    } | undefined;
};
export type DraftCustomNotificationMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftCustomNotificationMutation = {
    __typename?: 'Mutation';
    draftCustomNotification?: {
        __typename?: 'DraftCustomNotificationMutationPayload';
        customNotification: {
            __typename?: 'CustomNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            sentAt?: string | undefined;
            promptDialog?: boolean | undefined;
            status: CustomNotificationStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            notificationsCount: number;
            translations: Array<{
                __typename?: 'CustomNotificationTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishCustomNotificationMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishCustomNotificationMutation = {
    __typename?: 'Mutation';
    publishCustomNotification?: {
        __typename?: 'PublishCustomNotificationMutationPayload';
        customNotification: {
            __typename?: 'CustomNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            sentAt?: string | undefined;
            promptDialog?: boolean | undefined;
            status: CustomNotificationStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            notificationsCount: number;
            translations: Array<{
                __typename?: 'CustomNotificationTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateCustomNotificationMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: CustomNotificationInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type UpdateCustomNotificationMutation = {
    __typename?: 'Mutation';
    updateCustomNotification?: {
        __typename?: 'UpdateCustomNotificationMutationPayload';
        customNotification: {
            __typename?: 'CustomNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            sentAt?: string | undefined;
            promptDialog?: boolean | undefined;
            status: CustomNotificationStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            notificationsCount: number;
            translations: Array<{
                __typename?: 'CustomNotificationTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type GetCustomNotificationQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetCustomNotificationQuery = {
    __typename?: 'Query';
    customNotification: {
        __typename?: 'CustomNotification';
        id: string;
        createdAt: string;
        updatedAt: string;
        sentAt?: string | undefined;
        promptDialog?: boolean | undefined;
        status: CustomNotificationStatusEnum;
        heroMediumId?: string | undefined;
        sponsorId?: string | undefined;
        notificationsCount: number;
        translations: Array<{
            __typename?: 'CustomNotificationTranslation';
            id: string;
            locale: string;
            title: string;
            message?: string | undefined;
            content?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
        userFilter?: Array<{
            __typename?: 'UserFilter';
            locale?: string | undefined;
            reportStatus?: ReportableStatusEnum | undefined;
            search?: string | undefined;
            status?: UserStatusEnum | undefined;
            withReportStatus?: boolean | undefined;
            verified?: boolean | undefined;
            allowPasswordChange?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            biography?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            birthdate?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            city?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmationSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            confirmationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            country?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            createdAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            displayName?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            email?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            fastbillId?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            id?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            initiallyFundedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            notificationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            nftId?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            rememberCreatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            slug?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            state?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            tokens?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            ugcReportsCount?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            uid?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            unconfirmedEmail?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            updatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            walletAddress?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            website?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            welcomedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            verifiedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
        }> | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetCustomNotificationsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<CustomNotificationFilterInput> | CustomNotificationFilterInput>;
    sort?: InputMaybe<CustomNotificationSortInput>;
}>;
export type GetCustomNotificationsQuery = {
    __typename?: 'Query';
    customNotifications: {
        __typename?: 'CustomNotificationResolver';
        total: number;
        customNotifications: Array<{
            __typename?: 'CustomNotification';
            id: string;
            createdAt: string;
            updatedAt: string;
            sentAt?: string | undefined;
            promptDialog?: boolean | undefined;
            status: CustomNotificationStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            notificationsCount: number;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'CustomNotificationTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type EventRegistrationFragment = {
    __typename?: 'EventRegistration';
    id: string;
    createdAt: string;
    event: {
        __typename?: 'Event';
        id: string;
        translations: Array<{
            __typename?: 'EventTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    };
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
    };
};
export type GetEventRegistrationsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<EventRegistrationFilterInput> | EventRegistrationFilterInput>;
    sort?: InputMaybe<EventRegistrationSortInput>;
}>;
export type GetEventRegistrationsQuery = {
    __typename?: 'Query';
    eventRegistrations: {
        __typename?: 'EventRegistrationResolver';
        total: number;
        eventRegistrations: Array<{
            __typename?: 'EventRegistration';
            id: string;
            createdAt: string;
            event: {
                __typename?: 'Event';
                id: string;
                translations: Array<{
                    __typename?: 'EventTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
            };
        }>;
    };
};
export type EventForSelectFragment = {
    __typename?: 'Event';
    id: string;
    translations: Array<{
        __typename?: 'EventTranslation';
        id: string;
        title: string;
    }>;
};
export type EventLightFragment = {
    __typename?: 'Event';
    id: string;
    createdAt: string;
    updatedAt: string;
    startsAt: string;
    endsAt?: string | undefined;
    publishedAt?: string | undefined;
    registrationsLimit?: number | undefined;
    registrationsCount?: number | undefined;
    sponsorId?: string | undefined;
    status: EventStatusEnum;
    pageViews: number;
    commentsCount?: number | undefined;
    contentCategoryId?: string | undefined;
    heroMedium: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    };
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    translations: Array<{
        __typename?: 'EventTranslation';
        id: string;
        locale: string;
        title: string;
        locationName?: string | undefined;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
};
export type EventFragment = {
    __typename?: 'Event';
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    startsAt: string;
    endsAt?: string | undefined;
    publishedAt?: string | undefined;
    registrationsLimit?: number | undefined;
    registrationsCount?: number | undefined;
    sponsorId?: string | undefined;
    status: EventStatusEnum;
    pageViews: number;
    commentsCount?: number | undefined;
    contentCategoryId?: string | undefined;
    comments: Array<{
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    translations: Array<{
        __typename?: 'EventTranslation';
        id: string;
        locale: string;
        title: string;
        description: string;
        slug: string;
        locationName?: string | undefined;
        locationAddress?: string | undefined;
        url?: string | undefined;
        metaTitle?: string | undefined;
        metaDescription?: string | undefined;
        metaCanonicalUrl?: string | undefined;
        metaNoindex?: boolean | undefined;
        metaNofollow?: boolean | undefined;
    }>;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    heroMedium: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    };
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
};
export type ArchiveEventMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveEventMutation = {
    __typename?: 'Mutation';
    archiveEvent?: {
        __typename?: 'ArchiveEventMutationPayload';
        event: {
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type CreateEventMutationVariables = Exact<{
    params: EventInput;
}>;
export type CreateEventMutation = {
    __typename?: 'Mutation';
    createEvent?: {
        __typename?: 'AddEventMutationPayload';
        event: {
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type DeleteEventsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteEventsMutation = {
    __typename?: 'Mutation';
    deleteEvents?: {
        __typename?: 'DeleteEventsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DraftEventMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftEventMutation = {
    __typename?: 'Mutation';
    draftEvent?: {
        __typename?: 'DraftEventMutationPayload';
        event: {
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type PublishEventMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishEventMutation = {
    __typename?: 'Mutation';
    publishEvent?: {
        __typename?: 'PublishEventMutationPayload';
        event: {
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type UpdateEventMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: EventInput;
}>;
export type UpdateEventMutation = {
    __typename?: 'Mutation';
    updateEvent?: {
        __typename?: 'UpdateEventMutationPayload';
        event: {
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type GetEventQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetEventQuery = {
    __typename?: 'Query';
    event: {
        __typename?: 'Event';
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        startsAt: string;
        endsAt?: string | undefined;
        publishedAt?: string | undefined;
        registrationsLimit?: number | undefined;
        registrationsCount?: number | undefined;
        sponsorId?: string | undefined;
        status: EventStatusEnum;
        pageViews: number;
        commentsCount?: number | undefined;
        contentCategoryId?: string | undefined;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        translations: Array<{
            __typename?: 'EventTranslation';
            id: string;
            locale: string;
            title: string;
            description: string;
            slug: string;
            locationName?: string | undefined;
            locationAddress?: string | undefined;
            url?: string | undefined;
            metaTitle?: string | undefined;
            metaDescription?: string | undefined;
            metaCanonicalUrl?: string | undefined;
            metaNoindex?: boolean | undefined;
            metaNofollow?: boolean | undefined;
        }>;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        heroMedium: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        };
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
    };
};
export type GetEventsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<EventSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetEventsForSelectQuery = {
    __typename?: 'Query';
    events: {
        __typename?: 'EventResolver';
        total: number;
        events: Array<{
            __typename?: 'Event';
            id: string;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                title: string;
            }>;
        }>;
    };
    selectedEvents: {
        __typename?: 'EventResolver';
        total: number;
        events: Array<{
            __typename?: 'Event';
            id: string;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                title: string;
            }>;
        }>;
    };
};
export type GetEventsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<EventFilterInput> | EventFilterInput>;
    sort?: InputMaybe<EventSortInput>;
}>;
export type GetEventsQuery = {
    __typename?: 'Query';
    events: {
        __typename?: 'EventResolver';
        total: number;
        events: Array<{
            __typename?: 'Event';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            startsAt: string;
            endsAt?: string | undefined;
            publishedAt?: string | undefined;
            registrationsLimit?: number | undefined;
            registrationsCount?: number | undefined;
            sponsorId?: string | undefined;
            status: EventStatusEnum;
            pageViews: number;
            commentsCount?: number | undefined;
            contentCategoryId?: string | undefined;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'EventTranslation';
                id: string;
                locale: string;
                title: string;
                description: string;
                slug: string;
                locationName?: string | undefined;
                locationAddress?: string | undefined;
                url?: string | undefined;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                metaCanonicalUrl?: string | undefined;
                metaNoindex?: boolean | undefined;
                metaNofollow?: boolean | undefined;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            };
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        }>;
    };
};
export type FeedPinFragment = {
    __typename?: 'FeedPin';
    id: string;
    createdAt: string;
    isActive?: boolean | undefined;
    pinnableId: string;
    updatedAt: string;
    pinnableTitle: string;
    pinnableType: PinnableTypeEnum;
};
export type GetPinnedItemQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetPinnedItemQuery = {
    __typename?: 'Query';
    pinnedItem?: {
        __typename?: 'FeedPin';
        id: string;
        createdAt: string;
        isActive?: boolean | undefined;
        pinnableId: string;
        updatedAt: string;
        pinnableTitle: string;
        pinnableType: PinnableTypeEnum;
    } | undefined;
};
export type GiveawayEventFragment = {
    __typename?: 'GiveawayEvent';
    id: string;
    availableFor: GiveawayEventAvailableForEnum;
    eventType: TriggerEventTypeEnum;
    spentTokensThreshold?: number | undefined;
    qrCodeUuid?: string | undefined;
    nfcUuid?: string | undefined;
    apiUuid?: string | undefined;
    giveawayEventResources: Array<{
        __typename?: 'GiveawayEventResource';
        id: string;
        triggerableId: string;
        triggerableType: GiveawayEventResourceTypeEnum;
    }>;
};
export type GiveawayLightFragment = {
    __typename?: 'Giveaway';
    id: string;
    createdAt: string;
    updatedAt: string;
    activeFrom: string;
    activeUntil?: string | undefined;
    expires?: boolean | undefined;
    sponsorId?: string | undefined;
    heroMediumId?: string | undefined;
    status: GiveawayStatusEnum;
    userLimitNumber?: number | undefined;
    userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
    dropRate?: number | undefined;
    nftIds: Array<string>;
    mandatory?: boolean | undefined;
    maxTimesTriggered?: number | undefined;
    maxTokenAmount?: number | undefined;
    tokenAmount?: number | undefined;
    giveawayType: GiveawayTypeEnum;
    intervalType: GiveawayIntervalTypeEnum;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'GiveawayTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        sponsorId?: string | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    }>;
    giveawayEvents: Array<{
        __typename?: 'GiveawayEvent';
        id: string;
        eventType: TriggerEventTypeEnum;
    }>;
    intervalOptions?: {
        __typename?: 'GiveawayIntervalOptions';
        weekly?: {
            __typename?: 'GiveawayWeeklyInterval';
            monday?: boolean | undefined;
            tuesday?: boolean | undefined;
            wednesday?: boolean | undefined;
            thursday?: boolean | undefined;
            friday?: boolean | undefined;
            saturday?: boolean | undefined;
            sunday?: boolean | undefined;
        } | undefined;
        monthly?: {
            __typename?: 'GiveawayMonthlyInterval';
            january?: boolean | undefined;
            february?: boolean | undefined;
            march?: boolean | undefined;
            april?: boolean | undefined;
            may?: boolean | undefined;
            june?: boolean | undefined;
            july?: boolean | undefined;
            august?: boolean | undefined;
            september?: boolean | undefined;
            october?: boolean | undefined;
            november?: boolean | undefined;
            december?: boolean | undefined;
        } | undefined;
    } | undefined;
};
export type GiveawayFragment = {
    __typename?: 'Giveaway';
    activeAndPublishedNft: boolean;
    forceGiveaway?: boolean | undefined;
    promptDialog?: boolean | undefined;
    skipNotification?: boolean | undefined;
    id: string;
    createdAt: string;
    updatedAt: string;
    activeFrom: string;
    activeUntil?: string | undefined;
    expires?: boolean | undefined;
    sponsorId?: string | undefined;
    heroMediumId?: string | undefined;
    status: GiveawayStatusEnum;
    userLimitNumber?: number | undefined;
    userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
    dropRate?: number | undefined;
    nftIds: Array<string>;
    mandatory?: boolean | undefined;
    maxTimesTriggered?: number | undefined;
    maxTokenAmount?: number | undefined;
    tokenAmount?: number | undefined;
    giveawayType: GiveawayTypeEnum;
    intervalType: GiveawayIntervalTypeEnum;
    translations: Array<{
        __typename?: 'GiveawayTranslation';
        id: string;
        locale: string;
        title: string;
        content?: string | undefined;
        message: string;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
    giveawayEvents: Array<{
        __typename?: 'GiveawayEvent';
        id: string;
        eventType: TriggerEventTypeEnum;
        availableFor: GiveawayEventAvailableForEnum;
        spentTokensThreshold?: number | undefined;
        qrCodeUuid?: string | undefined;
        nfcUuid?: string | undefined;
        apiUuid?: string | undefined;
        giveawayEventResources: Array<{
            __typename?: 'GiveawayEventResource';
            id: string;
            triggerableId: string;
            triggerableType: GiveawayEventResourceTypeEnum;
        }>;
    }>;
    nftStatistics?: {
        __typename?: 'GiveawayStats';
        active?: boolean | undefined;
        amount?: number | undefined;
        countTrigger?: boolean | undefined;
        events?: Array<string> | undefined;
        numberOfUsers?: number | undefined;
        times?: number | undefined;
        wasActive?: boolean | undefined;
    } | undefined;
    tokenStatistics?: {
        __typename?: 'GiveawayStats';
        active?: boolean | undefined;
        amount?: number | undefined;
        countTrigger?: boolean | undefined;
        events?: Array<string> | undefined;
        numberOfUsers?: number | undefined;
        times?: number | undefined;
        wasActive?: boolean | undefined;
    } | undefined;
    statistics?: {
        __typename?: 'GiveawayStats';
        active?: boolean | undefined;
        countTrigger?: boolean | undefined;
        events?: Array<string> | undefined;
        numberOfUsers?: number | undefined;
        times?: number | undefined;
        wasActive?: boolean | undefined;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        sponsorId?: string | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    }>;
    intervalOptions?: {
        __typename?: 'GiveawayIntervalOptions';
        weekly?: {
            __typename?: 'GiveawayWeeklyInterval';
            monday?: boolean | undefined;
            tuesday?: boolean | undefined;
            wednesday?: boolean | undefined;
            thursday?: boolean | undefined;
            friday?: boolean | undefined;
            saturday?: boolean | undefined;
            sunday?: boolean | undefined;
        } | undefined;
        monthly?: {
            __typename?: 'GiveawayMonthlyInterval';
            january?: boolean | undefined;
            february?: boolean | undefined;
            march?: boolean | undefined;
            april?: boolean | undefined;
            may?: boolean | undefined;
            june?: boolean | undefined;
            july?: boolean | undefined;
            august?: boolean | undefined;
            september?: boolean | undefined;
            october?: boolean | undefined;
            november?: boolean | undefined;
            december?: boolean | undefined;
        } | undefined;
    } | undefined;
};
export type ArchiveGiveawayMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveGiveawayMutation = {
    __typename?: 'Mutation';
    archiveGiveaway?: {
        __typename?: 'ArchiveGiveawayMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type CreateGiveawayMutationVariables = Exact<{
    params: GiveawayInput;
}>;
export type CreateGiveawayMutation = {
    __typename?: 'Mutation';
    createGiveaway?: {
        __typename?: 'AddGiveawayMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type DeleteGiveawaysMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteGiveawaysMutation = {
    __typename?: 'Mutation';
    deleteGiveaways?: {
        __typename?: 'DeleteGiveawaysMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DraftGiveawayMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftGiveawayMutation = {
    __typename?: 'Mutation';
    draftGiveaway?: {
        __typename?: 'DraftGiveawayMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type PublishGiveawayMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishGiveawayMutation = {
    __typename?: 'Mutation';
    publishGiveaway?: {
        __typename?: 'PublishGiveawayMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type TriggerGiveawayEventMutationVariables = Exact<{
    apiUuid: Scalars['ID']['input'];
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type TriggerGiveawayEventMutation = {
    __typename?: 'Mutation';
    triggerGiveawayEvent?: {
        __typename?: 'TriggerGiveawayEventMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type UpdateGiveawayMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: GiveawayInput;
}>;
export type UpdateGiveawayMutation = {
    __typename?: 'Mutation';
    updateGiveaway?: {
        __typename?: 'UpdateGiveawayMutationPayload';
        giveaway: {
            __typename?: 'Giveaway';
            activeAndPublishedNft: boolean;
            forceGiveaway?: boolean | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
                content?: string | undefined;
                message: string;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
                availableFor: GiveawayEventAvailableForEnum;
                spentTokensThreshold?: number | undefined;
                qrCodeUuid?: string | undefined;
                nfcUuid?: string | undefined;
                apiUuid?: string | undefined;
                giveawayEventResources: Array<{
                    __typename?: 'GiveawayEventResource';
                    id: string;
                    triggerableId: string;
                    triggerableType: GiveawayEventResourceTypeEnum;
                }>;
            }>;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
    } | undefined;
};
export type GetActiveAndPublishedNftGiveawaysQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetActiveAndPublishedNftGiveawaysQuery = {
    __typename?: 'Query';
    giveaways: {
        __typename?: 'GiveawayResolver';
        total: number;
    };
};
export type GetGiveawayQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetGiveawayQuery = {
    __typename?: 'Query';
    giveaway: {
        __typename?: 'Giveaway';
        activeAndPublishedNft: boolean;
        forceGiveaway?: boolean | undefined;
        promptDialog?: boolean | undefined;
        skipNotification?: boolean | undefined;
        id: string;
        createdAt: string;
        updatedAt: string;
        activeFrom: string;
        activeUntil?: string | undefined;
        expires?: boolean | undefined;
        sponsorId?: string | undefined;
        heroMediumId?: string | undefined;
        status: GiveawayStatusEnum;
        userLimitNumber?: number | undefined;
        userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
        dropRate?: number | undefined;
        nftIds: Array<string>;
        mandatory?: boolean | undefined;
        maxTimesTriggered?: number | undefined;
        maxTokenAmount?: number | undefined;
        tokenAmount?: number | undefined;
        giveawayType: GiveawayTypeEnum;
        intervalType: GiveawayIntervalTypeEnum;
        translations: Array<{
            __typename?: 'GiveawayTranslation';
            id: string;
            locale: string;
            title: string;
            content?: string | undefined;
            message: string;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
        giveawayEvents: Array<{
            __typename?: 'GiveawayEvent';
            id: string;
            eventType: TriggerEventTypeEnum;
            availableFor: GiveawayEventAvailableForEnum;
            spentTokensThreshold?: number | undefined;
            qrCodeUuid?: string | undefined;
            nfcUuid?: string | undefined;
            apiUuid?: string | undefined;
            giveawayEventResources: Array<{
                __typename?: 'GiveawayEventResource';
                id: string;
                triggerableId: string;
                triggerableType: GiveawayEventResourceTypeEnum;
            }>;
        }>;
        nftStatistics?: {
            __typename?: 'GiveawayStats';
            active?: boolean | undefined;
            amount?: number | undefined;
            countTrigger?: boolean | undefined;
            events?: Array<string> | undefined;
            numberOfUsers?: number | undefined;
            times?: number | undefined;
            wasActive?: boolean | undefined;
        } | undefined;
        tokenStatistics?: {
            __typename?: 'GiveawayStats';
            active?: boolean | undefined;
            amount?: number | undefined;
            countTrigger?: boolean | undefined;
            events?: Array<string> | undefined;
            numberOfUsers?: number | undefined;
            times?: number | undefined;
            wasActive?: boolean | undefined;
        } | undefined;
        statistics?: {
            __typename?: 'GiveawayStats';
            active?: boolean | undefined;
            countTrigger?: boolean | undefined;
            events?: Array<string> | undefined;
            numberOfUsers?: number | undefined;
            times?: number | undefined;
            wasActive?: boolean | undefined;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            sponsorId?: string | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
        intervalOptions?: {
            __typename?: 'GiveawayIntervalOptions';
            weekly?: {
                __typename?: 'GiveawayWeeklyInterval';
                monday?: boolean | undefined;
                tuesday?: boolean | undefined;
                wednesday?: boolean | undefined;
                thursday?: boolean | undefined;
                friday?: boolean | undefined;
                saturday?: boolean | undefined;
                sunday?: boolean | undefined;
            } | undefined;
            monthly?: {
                __typename?: 'GiveawayMonthlyInterval';
                january?: boolean | undefined;
                february?: boolean | undefined;
                march?: boolean | undefined;
                april?: boolean | undefined;
                may?: boolean | undefined;
                june?: boolean | undefined;
                july?: boolean | undefined;
                august?: boolean | undefined;
                september?: boolean | undefined;
                october?: boolean | undefined;
                november?: boolean | undefined;
                december?: boolean | undefined;
            } | undefined;
        } | undefined;
    };
};
export type GetGiveawaysWithStatsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<GiveawayFilterInput> | GiveawayFilterInput>;
    sort?: InputMaybe<GiveawaySortInput>;
}>;
export type GetGiveawaysWithStatsQuery = {
    __typename?: 'Query';
    giveaways: {
        __typename?: 'GiveawayResolver';
        total: number;
        giveaways: Array<{
            __typename?: 'Giveaway';
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            nftStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            tokenStatistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            statistics?: {
                __typename?: 'GiveawayStats';
                active?: boolean | undefined;
                countTrigger?: boolean | undefined;
                events?: Array<string> | undefined;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
                wasActive?: boolean | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        }>;
    };
};
export type GetGiveawaysQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<GiveawayFilterInput> | GiveawayFilterInput>;
    sort?: InputMaybe<GiveawaySortInput>;
}>;
export type GetGiveawaysQuery = {
    __typename?: 'Query';
    giveaways: {
        __typename?: 'GiveawayResolver';
        total: number;
        giveaways: Array<{
            __typename?: 'Giveaway';
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        }>;
    };
};
export type GetMeQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetMeQuery = {
    __typename?: 'Query';
    me: {
        __typename?: 'AdminUser';
        id: string;
        uid?: string | undefined;
        createdAt: string;
        updatedAt: string;
        email: string;
        unconfirmedEmail?: string | undefined;
        authorizations: any;
        confirmedAt?: string | undefined;
        confirmationToken?: string | undefined;
        confirmationSentAt?: string | undefined;
        otpRequiredForLogin?: boolean | undefined;
        rememberCreatedAt?: string | undefined;
        resetPasswordToken?: string | undefined;
        resetPasswordSentAt?: string | undefined;
        provider?: string | undefined;
        role?: AdminUserRoleEnum | undefined;
        useAbsoluteDates: boolean;
        receiveDailySummary: boolean;
    };
};
export type ContentMediumFragment = {
    __typename?: 'ContentMedium';
    id: string;
    createdAt: string;
    updatedAt: string;
    mediaType: ContentMediaTypeEnum;
    image?: string | undefined;
    original?: string | undefined;
    thumbnail?: string | undefined;
    externalSrc?: string | undefined;
    mediaSrc?: string | undefined;
    freeTokenTriggersCount: number;
    resourcesCount: number;
    contentsCount: number;
    votingsCount: number;
    menuItemsCount: number;
    ideationMissionsCount: number;
    amaSessionsCount: number;
    nftCollectionsCount: number;
    tokenHandoutsCount: number;
    shopProductsCount: number;
    customNotificationsCount: number;
    eventsCount: number;
    aspectRatio: MediaAspectRatioEnum;
    dimensions?: any | undefined;
    threeqDimensions?: any | undefined;
    oembedData?: {
        __typename?: 'OembedLink';
        version?: string | undefined;
        title?: string | undefined;
        authorName?: string | undefined;
        authorUrl?: string | undefined;
        providerName?: string | undefined;
        providerUrl?: string | undefined;
        thumbnailUrl?: string | undefined;
        thumbnailWidth?: string | undefined;
        thumbnailHeight?: string | undefined;
        type: string;
    } | {
        __typename?: 'OembedPhoto';
        version?: string | undefined;
        title?: string | undefined;
        authorName?: string | undefined;
        authorUrl?: string | undefined;
        providerName?: string | undefined;
        providerUrl?: string | undefined;
        thumbnailUrl?: string | undefined;
        thumbnailWidth?: string | undefined;
        thumbnailHeight?: string | undefined;
        type: string;
        url: string;
        width?: number | undefined;
        height?: number | undefined;
    } | {
        __typename?: 'OembedRich';
        version?: string | undefined;
        title?: string | undefined;
        authorName?: string | undefined;
        authorUrl?: string | undefined;
        providerName?: string | undefined;
        providerUrl?: string | undefined;
        thumbnailUrl?: string | undefined;
        thumbnailWidth?: string | undefined;
        thumbnailHeight?: string | undefined;
        type: string;
        html: string;
        width?: number | undefined;
        height?: number | undefined;
    } | {
        __typename?: 'OembedVideo';
        version?: string | undefined;
        title?: string | undefined;
        authorName?: string | undefined;
        authorUrl?: string | undefined;
        providerName?: string | undefined;
        providerUrl?: string | undefined;
        thumbnailUrl?: string | undefined;
        thumbnailWidth?: string | undefined;
        thumbnailHeight?: string | undefined;
        type: string;
        html: string;
        width?: number | undefined;
        height?: number | undefined;
    } | undefined;
    translations: Array<{
        __typename?: 'ContentMediumTranslation';
        id: string;
        locale: string;
        title: string;
        subtitle?: string | undefined;
    }>;
};
export type OembedLinkFragment = {
    __typename?: 'OembedLink';
    version?: string | undefined;
    title?: string | undefined;
    authorName?: string | undefined;
    authorUrl?: string | undefined;
    providerName?: string | undefined;
    providerUrl?: string | undefined;
    thumbnailUrl?: string | undefined;
    thumbnailWidth?: string | undefined;
    thumbnailHeight?: string | undefined;
    type: string;
};
export type OembedPhotoFragment = {
    __typename?: 'OembedPhoto';
    version?: string | undefined;
    title?: string | undefined;
    authorName?: string | undefined;
    authorUrl?: string | undefined;
    providerName?: string | undefined;
    providerUrl?: string | undefined;
    thumbnailUrl?: string | undefined;
    thumbnailWidth?: string | undefined;
    thumbnailHeight?: string | undefined;
    type: string;
    url: string;
    width?: number | undefined;
    height?: number | undefined;
};
export type OembedRichFragment = {
    __typename?: 'OembedRich';
    version?: string | undefined;
    title?: string | undefined;
    authorName?: string | undefined;
    authorUrl?: string | undefined;
    providerName?: string | undefined;
    providerUrl?: string | undefined;
    thumbnailUrl?: string | undefined;
    thumbnailWidth?: string | undefined;
    thumbnailHeight?: string | undefined;
    type: string;
    html: string;
    width?: number | undefined;
    height?: number | undefined;
};
export type OembedVideoFragment = {
    __typename?: 'OembedVideo';
    version?: string | undefined;
    title?: string | undefined;
    authorName?: string | undefined;
    authorUrl?: string | undefined;
    providerName?: string | undefined;
    providerUrl?: string | undefined;
    thumbnailUrl?: string | undefined;
    thumbnailWidth?: string | undefined;
    thumbnailHeight?: string | undefined;
    type: string;
    html: string;
    width?: number | undefined;
    height?: number | undefined;
};
export type CreateContentMediumMutationVariables = Exact<{
    params: ContentMediumInput;
}>;
export type CreateContentMediumMutation = {
    __typename?: 'Mutation';
    createContentMedium?: {
        __typename?: 'AddContentMediumMutationPayload';
        contentMedium: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        };
    } | undefined;
};
export type DeleteContentMediaMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteContentMediaMutation = {
    __typename?: 'Mutation';
    deleteContentMedia?: {
        __typename?: 'DeleteContentMediaMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type RefreshOembedDataMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type RefreshOembedDataMutation = {
    __typename?: 'Mutation';
    refreshOembedData?: {
        __typename?: 'RefreshOembedDataMutationPayload';
        contentMedium: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        };
    } | undefined;
};
export type UpdateContentMediumMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ContentMediumInput;
}>;
export type UpdateContentMediumMutation = {
    __typename?: 'Mutation';
    updateContentMedium?: {
        __typename?: 'UpdateContentMediumMutationPayload';
        contentMedium: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        };
    } | undefined;
};
export type GetMediaUploadUrlMutationVariables = Exact<{
    fileName: Scalars['String']['input'];
    fileExt: Scalars['String']['input'];
    mediumId?: InputMaybe<Scalars['ID']['input']>;
}>;
export type GetMediaUploadUrlMutation = {
    __typename?: 'Mutation';
    getMediaUploadUrl?: {
        __typename?: 'GetMediaUploadUrlMutationPayload';
        url: string;
    } | undefined;
};
export type GetContentMediaQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ContentMediumFilterInput> | ContentMediumFilterInput>;
    sort?: InputMaybe<ContentMediumSortInput>;
}>;
export type GetContentMediaQuery = {
    __typename?: 'Query';
    contentMedia: {
        __typename?: 'ContentMediumResolver';
        total: number;
        contentMedia: Array<{
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        }>;
    };
};
export type GetContentMediumQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetContentMediumQuery = {
    __typename?: 'Query';
    contentMedium: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    };
};
export type MenuItemBasicFragment = {
    __typename?: 'MenuItem';
    id: string;
    createdAt: string;
    updatedAt: string;
    heroMediumId?: string | undefined;
    iconUrl?: string | undefined;
    menuPosition: MenuPositionMenuTypeEnum;
    menuType: MenuItemMenuTypeEnum;
    menuResource?: MenuItemMenuResourceEnum | undefined;
    order: number;
    staticPageId?: string | undefined;
    appName?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    staticPage?: {
        __typename?: 'StaticPage';
        id: string;
        status: StaticPageStatusEnum;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'StaticPageTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            slug: string;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'MenuItemTranslation';
        id: string;
        locale: string;
        slug?: string | undefined;
        externalUrl?: string | undefined;
        headerTitle?: string | undefined;
        navbarTitle?: string | undefined;
    }>;
};
export type MenuItemChildFragment = {
    __typename?: 'MenuItem';
    menuItemId?: string | undefined;
    id: string;
    createdAt: string;
    updatedAt: string;
    heroMediumId?: string | undefined;
    iconUrl?: string | undefined;
    menuPosition: MenuPositionMenuTypeEnum;
    menuType: MenuItemMenuTypeEnum;
    menuResource?: MenuItemMenuResourceEnum | undefined;
    order: number;
    staticPageId?: string | undefined;
    appName?: string | undefined;
    menuItem?: {
        __typename?: 'MenuItem';
        id: string;
        createdAt: string;
        updatedAt: string;
        heroMediumId?: string | undefined;
        iconUrl?: string | undefined;
        menuPosition: MenuPositionMenuTypeEnum;
        menuType: MenuItemMenuTypeEnum;
        menuResource?: MenuItemMenuResourceEnum | undefined;
        order: number;
        staticPageId?: string | undefined;
        appName?: string | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        staticPage?: {
            __typename?: 'StaticPage';
            id: string;
            status: StaticPageStatusEnum;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'MenuItemTranslation';
            id: string;
            locale: string;
            slug?: string | undefined;
            externalUrl?: string | undefined;
            headerTitle?: string | undefined;
            navbarTitle?: string | undefined;
        }>;
    } | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    staticPage?: {
        __typename?: 'StaticPage';
        id: string;
        status: StaticPageStatusEnum;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'StaticPageTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            slug: string;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'MenuItemTranslation';
        id: string;
        locale: string;
        slug?: string | undefined;
        externalUrl?: string | undefined;
        headerTitle?: string | undefined;
        navbarTitle?: string | undefined;
    }>;
};
export type MenuItemParentFragment = {
    __typename?: 'MenuItem';
    id: string;
    createdAt: string;
    updatedAt: string;
    heroMediumId?: string | undefined;
    iconUrl?: string | undefined;
    menuPosition: MenuPositionMenuTypeEnum;
    menuType: MenuItemMenuTypeEnum;
    menuResource?: MenuItemMenuResourceEnum | undefined;
    order: number;
    staticPageId?: string | undefined;
    appName?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    staticPage?: {
        __typename?: 'StaticPage';
        id: string;
        status: StaticPageStatusEnum;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'StaticPageTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            slug: string;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'MenuItemTranslation';
        id: string;
        locale: string;
        slug?: string | undefined;
        externalUrl?: string | undefined;
        headerTitle?: string | undefined;
        navbarTitle?: string | undefined;
    }>;
};
export type MenuItemTranslationFragment = {
    __typename?: 'MenuItemTranslation';
    id: string;
    locale: string;
    slug?: string | undefined;
    externalUrl?: string | undefined;
    headerTitle?: string | undefined;
    navbarTitle?: string | undefined;
};
export type MenuItemFragment = {
    __typename?: 'MenuItem';
    menuItemId?: string | undefined;
    id: string;
    createdAt: string;
    updatedAt: string;
    heroMediumId?: string | undefined;
    iconUrl?: string | undefined;
    menuPosition: MenuPositionMenuTypeEnum;
    menuType: MenuItemMenuTypeEnum;
    menuResource?: MenuItemMenuResourceEnum | undefined;
    order: number;
    staticPageId?: string | undefined;
    appName?: string | undefined;
    menuItem?: {
        __typename?: 'MenuItem';
        id: string;
        createdAt: string;
        updatedAt: string;
        heroMediumId?: string | undefined;
        iconUrl?: string | undefined;
        menuPosition: MenuPositionMenuTypeEnum;
        menuType: MenuItemMenuTypeEnum;
        menuResource?: MenuItemMenuResourceEnum | undefined;
        order: number;
        staticPageId?: string | undefined;
        appName?: string | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        staticPage?: {
            __typename?: 'StaticPage';
            id: string;
            status: StaticPageStatusEnum;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'MenuItemTranslation';
            id: string;
            locale: string;
            slug?: string | undefined;
            externalUrl?: string | undefined;
            headerTitle?: string | undefined;
            navbarTitle?: string | undefined;
        }>;
    } | undefined;
    menuItems?: Array<{
        __typename?: 'MenuItem';
        menuItemId?: string | undefined;
        id: string;
        createdAt: string;
        updatedAt: string;
        heroMediumId?: string | undefined;
        iconUrl?: string | undefined;
        menuPosition: MenuPositionMenuTypeEnum;
        menuType: MenuItemMenuTypeEnum;
        menuResource?: MenuItemMenuResourceEnum | undefined;
        order: number;
        staticPageId?: string | undefined;
        appName?: string | undefined;
        menuItem?: {
            __typename?: 'MenuItem';
            id: string;
            createdAt: string;
            updatedAt: string;
            heroMediumId?: string | undefined;
            iconUrl?: string | undefined;
            menuPosition: MenuPositionMenuTypeEnum;
            menuType: MenuItemMenuTypeEnum;
            menuResource?: MenuItemMenuResourceEnum | undefined;
            order: number;
            staticPageId?: string | undefined;
            appName?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            staticPage?: {
                __typename?: 'StaticPage';
                id: string;
                status: StaticPageStatusEnum;
                previewUrls: Array<{
                    __typename?: 'PreviewUrl';
                    url: string;
                    locale: string;
                }>;
                translations: Array<{
                    __typename?: 'StaticPageTranslation';
                    id: string;
                    locale: string;
                    title?: string | undefined;
                    slug: string;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'MenuItemTranslation';
                id: string;
                locale: string;
                slug?: string | undefined;
                externalUrl?: string | undefined;
                headerTitle?: string | undefined;
                navbarTitle?: string | undefined;
            }>;
        } | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        staticPage?: {
            __typename?: 'StaticPage';
            id: string;
            status: StaticPageStatusEnum;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'MenuItemTranslation';
            id: string;
            locale: string;
            slug?: string | undefined;
            externalUrl?: string | undefined;
            headerTitle?: string | undefined;
            navbarTitle?: string | undefined;
        }>;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    staticPage?: {
        __typename?: 'StaticPage';
        id: string;
        status: StaticPageStatusEnum;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'StaticPageTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            slug: string;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'MenuItemTranslation';
        id: string;
        locale: string;
        slug?: string | undefined;
        externalUrl?: string | undefined;
        headerTitle?: string | undefined;
        navbarTitle?: string | undefined;
    }>;
};
export type CreateMenuItemMutationVariables = Exact<{
    params: MenuItemInput;
}>;
export type CreateMenuItemMutation = {
    __typename?: 'Mutation';
    createMenuItem?: {
        __typename?: 'AddMenuItemMutationPayload';
        menuItem: {
            __typename?: 'MenuItem';
            menuItemId?: string | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            heroMediumId?: string | undefined;
            iconUrl?: string | undefined;
            menuPosition: MenuPositionMenuTypeEnum;
            menuType: MenuItemMenuTypeEnum;
            menuResource?: MenuItemMenuResourceEnum | undefined;
            order: number;
            staticPageId?: string | undefined;
            appName?: string | undefined;
            menuItem?: {
                __typename?: 'MenuItem';
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            } | undefined;
            menuItems?: Array<{
                __typename?: 'MenuItem';
                menuItemId?: string | undefined;
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                menuItem?: {
                    __typename?: 'MenuItem';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    heroMediumId?: string | undefined;
                    iconUrl?: string | undefined;
                    menuPosition: MenuPositionMenuTypeEnum;
                    menuType: MenuItemMenuTypeEnum;
                    menuResource?: MenuItemMenuResourceEnum | undefined;
                    order: number;
                    staticPageId?: string | undefined;
                    appName?: string | undefined;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    staticPage?: {
                        __typename?: 'StaticPage';
                        id: string;
                        status: StaticPageStatusEnum;
                        previewUrls: Array<{
                            __typename?: 'PreviewUrl';
                            url: string;
                            locale: string;
                        }>;
                        translations: Array<{
                            __typename?: 'StaticPageTranslation';
                            id: string;
                            locale: string;
                            title?: string | undefined;
                            slug: string;
                        }>;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'MenuItemTranslation';
                        id: string;
                        locale: string;
                        slug?: string | undefined;
                        externalUrl?: string | undefined;
                        headerTitle?: string | undefined;
                        navbarTitle?: string | undefined;
                    }>;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            staticPage?: {
                __typename?: 'StaticPage';
                id: string;
                status: StaticPageStatusEnum;
                previewUrls: Array<{
                    __typename?: 'PreviewUrl';
                    url: string;
                    locale: string;
                }>;
                translations: Array<{
                    __typename?: 'StaticPageTranslation';
                    id: string;
                    locale: string;
                    title?: string | undefined;
                    slug: string;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'MenuItemTranslation';
                id: string;
                locale: string;
                slug?: string | undefined;
                externalUrl?: string | undefined;
                headerTitle?: string | undefined;
                navbarTitle?: string | undefined;
            }>;
        };
    } | undefined;
};
export type DeleteMenuItemsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteMenuItemsMutation = {
    __typename?: 'Mutation';
    deleteMenuItems?: {
        __typename?: 'DeleteMenuItemsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type UpdateMenuItemMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: MenuItemInput;
}>;
export type UpdateMenuItemMutation = {
    __typename?: 'Mutation';
    updateMenuItem?: {
        __typename?: 'UpdateMenuItemMutationPayload';
        menuItem: {
            __typename?: 'MenuItem';
            menuItemId?: string | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            heroMediumId?: string | undefined;
            iconUrl?: string | undefined;
            menuPosition: MenuPositionMenuTypeEnum;
            menuType: MenuItemMenuTypeEnum;
            menuResource?: MenuItemMenuResourceEnum | undefined;
            order: number;
            staticPageId?: string | undefined;
            appName?: string | undefined;
            menuItem?: {
                __typename?: 'MenuItem';
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            } | undefined;
            menuItems?: Array<{
                __typename?: 'MenuItem';
                menuItemId?: string | undefined;
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                menuItem?: {
                    __typename?: 'MenuItem';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    heroMediumId?: string | undefined;
                    iconUrl?: string | undefined;
                    menuPosition: MenuPositionMenuTypeEnum;
                    menuType: MenuItemMenuTypeEnum;
                    menuResource?: MenuItemMenuResourceEnum | undefined;
                    order: number;
                    staticPageId?: string | undefined;
                    appName?: string | undefined;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    staticPage?: {
                        __typename?: 'StaticPage';
                        id: string;
                        status: StaticPageStatusEnum;
                        previewUrls: Array<{
                            __typename?: 'PreviewUrl';
                            url: string;
                            locale: string;
                        }>;
                        translations: Array<{
                            __typename?: 'StaticPageTranslation';
                            id: string;
                            locale: string;
                            title?: string | undefined;
                            slug: string;
                        }>;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'MenuItemTranslation';
                        id: string;
                        locale: string;
                        slug?: string | undefined;
                        externalUrl?: string | undefined;
                        headerTitle?: string | undefined;
                        navbarTitle?: string | undefined;
                    }>;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            staticPage?: {
                __typename?: 'StaticPage';
                id: string;
                status: StaticPageStatusEnum;
                previewUrls: Array<{
                    __typename?: 'PreviewUrl';
                    url: string;
                    locale: string;
                }>;
                translations: Array<{
                    __typename?: 'StaticPageTranslation';
                    id: string;
                    locale: string;
                    title?: string | undefined;
                    slug: string;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'MenuItemTranslation';
                id: string;
                locale: string;
                slug?: string | undefined;
                externalUrl?: string | undefined;
                headerTitle?: string | undefined;
                navbarTitle?: string | undefined;
            }>;
        };
    } | undefined;
};
export type UpdateMenuItemsMutationVariables = Exact<{
    params: Array<MenuItemInput> | MenuItemInput;
}>;
export type UpdateMenuItemsMutation = {
    __typename?: 'Mutation';
    updateMenuItems?: {
        __typename?: 'UpdateMenuItemsMutationPayload';
        menuItems: Array<{
            __typename?: 'MenuItem';
            menuItemId?: string | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            heroMediumId?: string | undefined;
            iconUrl?: string | undefined;
            menuPosition: MenuPositionMenuTypeEnum;
            menuType: MenuItemMenuTypeEnum;
            menuResource?: MenuItemMenuResourceEnum | undefined;
            order: number;
            staticPageId?: string | undefined;
            appName?: string | undefined;
            menuItem?: {
                __typename?: 'MenuItem';
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            } | undefined;
            menuItems?: Array<{
                __typename?: 'MenuItem';
                menuItemId?: string | undefined;
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                menuItem?: {
                    __typename?: 'MenuItem';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    heroMediumId?: string | undefined;
                    iconUrl?: string | undefined;
                    menuPosition: MenuPositionMenuTypeEnum;
                    menuType: MenuItemMenuTypeEnum;
                    menuResource?: MenuItemMenuResourceEnum | undefined;
                    order: number;
                    staticPageId?: string | undefined;
                    appName?: string | undefined;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    staticPage?: {
                        __typename?: 'StaticPage';
                        id: string;
                        status: StaticPageStatusEnum;
                        previewUrls: Array<{
                            __typename?: 'PreviewUrl';
                            url: string;
                            locale: string;
                        }>;
                        translations: Array<{
                            __typename?: 'StaticPageTranslation';
                            id: string;
                            locale: string;
                            title?: string | undefined;
                            slug: string;
                        }>;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'MenuItemTranslation';
                        id: string;
                        locale: string;
                        slug?: string | undefined;
                        externalUrl?: string | undefined;
                        headerTitle?: string | undefined;
                        navbarTitle?: string | undefined;
                    }>;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            staticPage?: {
                __typename?: 'StaticPage';
                id: string;
                status: StaticPageStatusEnum;
                previewUrls: Array<{
                    __typename?: 'PreviewUrl';
                    url: string;
                    locale: string;
                }>;
                translations: Array<{
                    __typename?: 'StaticPageTranslation';
                    id: string;
                    locale: string;
                    title?: string | undefined;
                    slug: string;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'MenuItemTranslation';
                id: string;
                locale: string;
                slug?: string | undefined;
                externalUrl?: string | undefined;
                headerTitle?: string | undefined;
                navbarTitle?: string | undefined;
            }>;
        }>;
    } | undefined;
};
export type GetMenuItemsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<MenuItemFilterInput> | MenuItemFilterInput>;
}>;
export type GetMenuItemsQuery = {
    __typename?: 'Query';
    menuItems: {
        __typename?: 'MenuItemResolver';
        total: number;
        menuItems: Array<{
            __typename?: 'MenuItem';
            menuItemId?: string | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            heroMediumId?: string | undefined;
            iconUrl?: string | undefined;
            menuPosition: MenuPositionMenuTypeEnum;
            menuType: MenuItemMenuTypeEnum;
            menuResource?: MenuItemMenuResourceEnum | undefined;
            order: number;
            staticPageId?: string | undefined;
            appName?: string | undefined;
            menuItem?: {
                __typename?: 'MenuItem';
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            } | undefined;
            menuItems?: Array<{
                __typename?: 'MenuItem';
                menuItemId?: string | undefined;
                id: string;
                createdAt: string;
                updatedAt: string;
                heroMediumId?: string | undefined;
                iconUrl?: string | undefined;
                menuPosition: MenuPositionMenuTypeEnum;
                menuType: MenuItemMenuTypeEnum;
                menuResource?: MenuItemMenuResourceEnum | undefined;
                order: number;
                staticPageId?: string | undefined;
                appName?: string | undefined;
                menuItem?: {
                    __typename?: 'MenuItem';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    heroMediumId?: string | undefined;
                    iconUrl?: string | undefined;
                    menuPosition: MenuPositionMenuTypeEnum;
                    menuType: MenuItemMenuTypeEnum;
                    menuResource?: MenuItemMenuResourceEnum | undefined;
                    order: number;
                    staticPageId?: string | undefined;
                    appName?: string | undefined;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    staticPage?: {
                        __typename?: 'StaticPage';
                        id: string;
                        status: StaticPageStatusEnum;
                        previewUrls: Array<{
                            __typename?: 'PreviewUrl';
                            url: string;
                            locale: string;
                        }>;
                        translations: Array<{
                            __typename?: 'StaticPageTranslation';
                            id: string;
                            locale: string;
                            title?: string | undefined;
                            slug: string;
                        }>;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'MenuItemTranslation';
                        id: string;
                        locale: string;
                        slug?: string | undefined;
                        externalUrl?: string | undefined;
                        headerTitle?: string | undefined;
                        navbarTitle?: string | undefined;
                    }>;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                staticPage?: {
                    __typename?: 'StaticPage';
                    id: string;
                    status: StaticPageStatusEnum;
                    previewUrls: Array<{
                        __typename?: 'PreviewUrl';
                        url: string;
                        locale: string;
                    }>;
                    translations: Array<{
                        __typename?: 'StaticPageTranslation';
                        id: string;
                        locale: string;
                        title?: string | undefined;
                        slug: string;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'MenuItemTranslation';
                    id: string;
                    locale: string;
                    slug?: string | undefined;
                    externalUrl?: string | undefined;
                    headerTitle?: string | undefined;
                    navbarTitle?: string | undefined;
                }>;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            staticPage?: {
                __typename?: 'StaticPage';
                id: string;
                status: StaticPageStatusEnum;
                previewUrls: Array<{
                    __typename?: 'PreviewUrl';
                    url: string;
                    locale: string;
                }>;
                translations: Array<{
                    __typename?: 'StaticPageTranslation';
                    id: string;
                    locale: string;
                    title?: string | undefined;
                    slug: string;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'MenuItemTranslation';
                id: string;
                locale: string;
                slug?: string | undefined;
                externalUrl?: string | undefined;
                headerTitle?: string | undefined;
                navbarTitle?: string | undefined;
            }>;
        }>;
    };
};
export type AmaQuestionLightFragment = {
    __typename?: 'AmaQuestion';
    boostsAmountCache?: number | undefined;
    commentsCount?: number | undefined;
    likesCount?: number | undefined;
    content?: string | undefined;
    createdAt: string;
    customTag1?: boolean | undefined;
    customTag2?: boolean | undefined;
    customTag3?: boolean | undefined;
    customTag4?: boolean | undefined;
    customTag5?: boolean | undefined;
    id: string;
    amaSessionId: string;
    isAnswered?: boolean | undefined;
    title: string;
    updatedAt: string;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed: boolean;
    amaSession: {
        __typename?: 'AmaSession';
        id: string;
        translations: Array<{
            __typename?: 'AmaSessionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
    };
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    }>;
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type AmaQuestionFragment = {
    __typename?: 'AmaQuestion';
    previewUrl?: string | undefined;
    boostsAmountCache?: number | undefined;
    commentsCount?: number | undefined;
    likesCount?: number | undefined;
    content?: string | undefined;
    createdAt: string;
    customTag1?: boolean | undefined;
    customTag2?: boolean | undefined;
    customTag3?: boolean | undefined;
    customTag4?: boolean | undefined;
    customTag5?: boolean | undefined;
    id: string;
    amaSessionId: string;
    isAnswered?: boolean | undefined;
    title: string;
    updatedAt: string;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed: boolean;
    comments: Array<{
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    amaSession: {
        __typename?: 'AmaSession';
        id: string;
        createdAt: string;
        updatedAt: string;
        endsAt: string;
        heroMediumId?: string | undefined;
        amaQuestionsCount?: number | undefined;
        status: AmaSessionStatusEnum;
        publishedAt?: string | undefined;
        distributedAt?: string | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        translations: Array<{
            __typename?: 'AmaSessionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type CommentLightFragment = {
    __typename?: 'Comment';
    id: string;
    title?: string | undefined;
    content?: string | undefined;
    createdAt: string;
    updatedAt: string;
    muted?: boolean | undefined;
    commentableId: string;
    commentableTitle?: string | undefined;
    commentableType?: CommentableTypeEnum | undefined;
    commentsCount?: number | undefined;
    boostsAmountCache?: number | undefined;
    likesCount?: number | undefined;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed?: boolean | undefined;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    }>;
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type CommentFragment = {
    __typename?: 'Comment';
    contractAddress?: string | undefined;
    creatorShare?: number | undefined;
    fanvaultShare?: number | undefined;
    operatorAddress?: string | undefined;
    operatorShare?: number | undefined;
    previewUrl?: string | undefined;
    id: string;
    title?: string | undefined;
    content?: string | undefined;
    createdAt: string;
    updatedAt: string;
    muted?: boolean | undefined;
    commentableId: string;
    commentableTitle?: string | undefined;
    commentableType?: CommentableTypeEnum | undefined;
    commentsCount?: number | undefined;
    boostsAmountCache?: number | undefined;
    likesCount?: number | undefined;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed?: boolean | undefined;
    comments: Array<{
        __typename?: 'Comment';
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        }>;
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type FanGroupForSelectFragment = {
    __typename?: 'FanGroup';
    id: string;
    name: string;
};
export type FanGroupLightFragment = {
    __typename?: 'FanGroup';
    id: string;
    name: string;
    city?: string | undefined;
    state?: string | undefined;
    country?: string | undefined;
    createdAt: string;
    updatedAt: string;
    groupPurpose?: string | undefined;
    groupAdminId: string;
    isVerified?: boolean | undefined;
    archived?: boolean | undefined;
    acceptanceStatus: FanGroupAcceptanceStatusEnum;
    heroMediumId?: string | undefined;
    groupProfileMediumId?: string | undefined;
    reportStatus: ReportableStatusEnum;
    ugcReportsCount: number;
    activeFanGroupUsersCount: number;
    pendingFanGroupUsersCount: number;
    accessType: FanGroupAccessTypeEnum;
    postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
    visibilityType: FanGroupVisibilityTypeEnum;
    pageViews: number;
    groupAdmin: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    heroMedium?: {
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    } | undefined;
    groupProfileMedium?: {
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    } | undefined;
};
export type FanGroupUserFragment = {
    __typename?: 'FanGroupUser';
    id: string;
    createdAt: string;
    updatedAt: string;
    leftAt?: string | undefined;
    blockedAt?: string | undefined;
    rejectedAt?: string | undefined;
    canceledAt?: string | undefined;
    activatedAt?: string | undefined;
    status: FanGroupUserStatusEnum;
    role: FanGroupUserRoleEnum;
    userId: string;
    fanGroupId: string;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type FanGroupFragment = {
    __typename?: 'FanGroup';
    description?: string | undefined;
    previewUrl: string;
    showInFeed: boolean;
    shownInFeedAt?: string | undefined;
    willBePinned: boolean;
    pinToTop: boolean;
    id: string;
    name: string;
    city?: string | undefined;
    state?: string | undefined;
    country?: string | undefined;
    createdAt: string;
    updatedAt: string;
    groupPurpose?: string | undefined;
    groupAdminId: string;
    isVerified?: boolean | undefined;
    archived?: boolean | undefined;
    acceptanceStatus: FanGroupAcceptanceStatusEnum;
    heroMediumId?: string | undefined;
    groupProfileMediumId?: string | undefined;
    reportStatus: ReportableStatusEnum;
    ugcReportsCount: number;
    activeFanGroupUsersCount: number;
    pendingFanGroupUsersCount: number;
    accessType: FanGroupAccessTypeEnum;
    postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
    visibilityType: FanGroupVisibilityTypeEnum;
    pageViews: number;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    groupAdmin: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    heroMedium?: {
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    } | undefined;
    groupProfileMedium?: {
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    } | undefined;
};
export type GroupPostLightFragment = {
    __typename?: 'GroupPost';
    id: string;
    createdAt: string;
    updatedAt: string;
    boostsAmountCache?: number | undefined;
    likesCount?: number | undefined;
    userId: string;
    content?: string | undefined;
    contractAddress?: string | undefined;
    creatorShare?: number | undefined;
    fanGroupId: string;
    fanvaultShare?: number | undefined;
    operatorAddress?: string | undefined;
    operatorShare?: number | undefined;
    reportStatus: ReportableStatusEnum;
    title: string;
    ugcReportsCount: number;
    removed: boolean;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    fanGroup: {
        __typename?: 'FanGroup';
        id: string;
        name: string;
    };
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    }>;
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type GroupPostFragment = {
    __typename?: 'GroupPost';
    previewUrl?: string | undefined;
    commentsCount?: number | undefined;
    id: string;
    createdAt: string;
    updatedAt: string;
    boostsAmountCache?: number | undefined;
    likesCount?: number | undefined;
    userId: string;
    content?: string | undefined;
    contractAddress?: string | undefined;
    creatorShare?: number | undefined;
    fanGroupId: string;
    fanvaultShare?: number | undefined;
    operatorAddress?: string | undefined;
    operatorShare?: number | undefined;
    reportStatus: ReportableStatusEnum;
    title: string;
    ugcReportsCount: number;
    removed: boolean;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    comments: Array<{
        __typename?: 'Comment';
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        }>;
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    fanGroup: {
        __typename?: 'FanGroup';
        id: string;
        name: string;
    };
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type IdeaLightFragment = {
    __typename?: 'Idea';
    boostsAmountCache?: number | undefined;
    commentsCount?: number | undefined;
    likesCount?: number | undefined;
    content?: string | undefined;
    createdAt: string;
    customTag1?: boolean | undefined;
    customTag2?: boolean | undefined;
    customTag3?: boolean | undefined;
    customTag4?: boolean | undefined;
    customTag5?: boolean | undefined;
    id: string;
    ideationMissionId: string;
    isClubFav?: boolean | undefined;
    isImplemented?: boolean | undefined;
    isSelected?: boolean | undefined;
    title: string;
    updatedAt: string;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed: boolean;
    ideationMission: {
        __typename?: 'IdeationMission';
        id: string;
        translations: Array<{
            __typename?: 'IdeationMissionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
    };
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    }>;
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type IdeaFragment = {
    __typename?: 'Idea';
    previewUrl?: string | undefined;
    boostsAmountCache?: number | undefined;
    commentsCount?: number | undefined;
    likesCount?: number | undefined;
    content?: string | undefined;
    createdAt: string;
    customTag1?: boolean | undefined;
    customTag2?: boolean | undefined;
    customTag3?: boolean | undefined;
    customTag4?: boolean | undefined;
    customTag5?: boolean | undefined;
    id: string;
    ideationMissionId: string;
    isClubFav?: boolean | undefined;
    isImplemented?: boolean | undefined;
    isSelected?: boolean | undefined;
    title: string;
    updatedAt: string;
    ugcReportsCount: number;
    reportStatus: ReportableStatusEnum;
    removed: boolean;
    comments: Array<{
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    ideationMission: {
        __typename?: 'IdeationMission';
        id: string;
        createdAt: string;
        updatedAt: string;
        endsAt: string;
        heroMediumId?: string | undefined;
        ideasCount?: number | undefined;
        status: IdeationMissionStatusEnum;
        publishedAt?: string | undefined;
        distributedAt?: string | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        translations: Array<{
            __typename?: 'IdeationMissionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    userMedia: Array<{
        __typename?: 'UserMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: UserMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        filename: string;
    }>;
};
export type UgcReportFragment = {
    __typename?: 'UgcReport';
    id: string;
    createdAt: string;
    updatedAt: string;
    reportableId: string;
    reportableType?: UgcReportableTypeEnum | undefined;
    reportableTitle?: string | undefined;
    status: UgcReportStatusEnum;
    ugcReportTypes: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
};
export type UpdateAmaQuestionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: AmaQuestionInput;
}>;
export type UpdateAmaQuestionMutation = {
    __typename?: 'Mutation';
    updateAmaQuestion?: {
        __typename?: 'UpdateAmaQuestionMutationPayload';
        amaQuestion: {
            __typename?: 'AmaQuestion';
            previewUrl?: string | undefined;
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            amaSessionId: string;
            isAnswered?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            amaSession: {
                __typename?: 'AmaSession';
                id: string;
                createdAt: string;
                updatedAt: string;
                endsAt: string;
                heroMediumId?: string | undefined;
                amaQuestionsCount?: number | undefined;
                status: AmaSessionStatusEnum;
                publishedAt?: string | undefined;
                distributedAt?: string | undefined;
                pageViews: number;
                contentCategoryId?: string | undefined;
                sponsorId?: string | undefined;
                translations: Array<{
                    __typename?: 'AmaSessionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                contentCategory?: {
                    __typename?: 'ContentCategory';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    contentsCount: number;
                    eventsCount: number;
                    votingsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    resourcesCount: number;
                    translations: Array<{
                        __typename?: 'ContentCategoryTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            };
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        };
    } | undefined;
};
export type UpdateCommentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: CommentInput;
}>;
export type UpdateCommentMutation = {
    __typename?: 'Mutation';
    updateComment?: {
        __typename?: 'UpdateCommentMutationPayload';
        comment: {
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        };
    } | undefined;
};
export type UpdateFanGroupMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: FanGroupInput;
}>;
export type UpdateFanGroupMutation = {
    __typename?: 'Mutation';
    updateFanGroup?: {
        __typename?: 'UpdateFanGroupMutationPayload';
        fanGroup: {
            __typename?: 'FanGroup';
            description?: string | undefined;
            previewUrl: string;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            willBePinned: boolean;
            pinToTop: boolean;
            id: string;
            name: string;
            city?: string | undefined;
            state?: string | undefined;
            country?: string | undefined;
            createdAt: string;
            updatedAt: string;
            groupPurpose?: string | undefined;
            groupAdminId: string;
            isVerified?: boolean | undefined;
            archived?: boolean | undefined;
            acceptanceStatus: FanGroupAcceptanceStatusEnum;
            heroMediumId?: string | undefined;
            groupProfileMediumId?: string | undefined;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            activeFanGroupUsersCount: number;
            pendingFanGroupUsersCount: number;
            accessType: FanGroupAccessTypeEnum;
            postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
            visibilityType: FanGroupVisibilityTypeEnum;
            pageViews: number;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            groupAdmin: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            heroMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
            groupProfileMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateGroupPostMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: GroupPostInput;
}>;
export type UpdateGroupPostMutation = {
    __typename?: 'Mutation';
    updateGroupPost?: {
        __typename?: 'UpdateGroupPostMutationPayload';
        groupPost: {
            __typename?: 'GroupPost';
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            userId: string;
            content?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanGroupId: string;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            reportStatus: ReportableStatusEnum;
            title: string;
            ugcReportsCount: number;
            removed: boolean;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            fanGroup: {
                __typename?: 'FanGroup';
                id: string;
                name: string;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        };
    } | undefined;
};
export type UpdateIdeaMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: IdeaInput;
}>;
export type UpdateIdeaMutation = {
    __typename?: 'Mutation';
    updateIdea?: {
        __typename?: 'UpdateIdeaMutationPayload';
        idea: {
            __typename?: 'Idea';
            previewUrl?: string | undefined;
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            ideationMissionId: string;
            isClubFav?: boolean | undefined;
            isImplemented?: boolean | undefined;
            isSelected?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ideationMission: {
                __typename?: 'IdeationMission';
                id: string;
                createdAt: string;
                updatedAt: string;
                endsAt: string;
                heroMediumId?: string | undefined;
                ideasCount?: number | undefined;
                status: IdeationMissionStatusEnum;
                publishedAt?: string | undefined;
                distributedAt?: string | undefined;
                pageViews: number;
                contentCategoryId?: string | undefined;
                sponsorId?: string | undefined;
                translations: Array<{
                    __typename?: 'IdeationMissionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                contentCategory?: {
                    __typename?: 'ContentCategory';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    contentsCount: number;
                    eventsCount: number;
                    votingsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    resourcesCount: number;
                    translations: Array<{
                        __typename?: 'ContentCategoryTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            };
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        };
    } | undefined;
};
export type GetAmaQuestionQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetAmaQuestionQuery = {
    __typename?: 'Query';
    amaQuestion: {
        __typename?: 'AmaQuestion';
        previewUrl?: string | undefined;
        boostsAmountCache?: number | undefined;
        commentsCount?: number | undefined;
        likesCount?: number | undefined;
        content?: string | undefined;
        createdAt: string;
        customTag1?: boolean | undefined;
        customTag2?: boolean | undefined;
        customTag3?: boolean | undefined;
        customTag4?: boolean | undefined;
        customTag5?: boolean | undefined;
        id: string;
        amaSessionId: string;
        isAnswered?: boolean | undefined;
        title: string;
        updatedAt: string;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed: boolean;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        amaSession: {
            __typename?: 'AmaSession';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    };
};
export type GetAmaQuestionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<AmaQuestionFilterInput> | AmaQuestionFilterInput>;
    sort?: InputMaybe<AmaQuestionSortInput>;
}>;
export type GetAmaQuestionsQuery = {
    __typename?: 'Query';
    amaQuestions: {
        __typename?: 'AmaQuestionResolver';
        total: number;
        amaQuestions: Array<{
            __typename?: 'AmaQuestion';
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            amaSessionId: string;
            isAnswered?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            amaSession: {
                __typename?: 'AmaSession';
                id: string;
                translations: Array<{
                    __typename?: 'AmaSessionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
            };
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
    };
};
export type GetCommentQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetCommentQuery = {
    __typename?: 'Query';
    comment: {
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    };
};
export type GetCommentsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<CommentFilterInput> | CommentFilterInput>;
    sort?: InputMaybe<CommentSortInput>;
}>;
export type GetCommentsQuery = {
    __typename?: 'Query';
    comments: {
        __typename?: 'CommentResolver';
        total: number;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
    };
};
export type GetFanGroupUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<FanGroupUserFilterInput> | FanGroupUserFilterInput>;
    sort?: InputMaybe<FanGroupUserSortInput>;
}>;
export type GetFanGroupUsersQuery = {
    __typename?: 'Query';
    fanGroupUsers: {
        __typename?: 'FanGroupUserResolver';
        total: number;
        fanGroupUsers: Array<{
            __typename?: 'FanGroupUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            leftAt?: string | undefined;
            blockedAt?: string | undefined;
            rejectedAt?: string | undefined;
            canceledAt?: string | undefined;
            activatedAt?: string | undefined;
            status: FanGroupUserStatusEnum;
            role: FanGroupUserRoleEnum;
            userId: string;
            fanGroupId: string;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
    };
};
export type GetFanGroupQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetFanGroupQuery = {
    __typename?: 'Query';
    fanGroup: {
        __typename?: 'FanGroup';
        description?: string | undefined;
        previewUrl: string;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        willBePinned: boolean;
        pinToTop: boolean;
        id: string;
        name: string;
        city?: string | undefined;
        state?: string | undefined;
        country?: string | undefined;
        createdAt: string;
        updatedAt: string;
        groupPurpose?: string | undefined;
        groupAdminId: string;
        isVerified?: boolean | undefined;
        archived?: boolean | undefined;
        acceptanceStatus: FanGroupAcceptanceStatusEnum;
        heroMediumId?: string | undefined;
        groupProfileMediumId?: string | undefined;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        activeFanGroupUsersCount: number;
        pendingFanGroupUsersCount: number;
        accessType: FanGroupAccessTypeEnum;
        postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
        visibilityType: FanGroupVisibilityTypeEnum;
        pageViews: number;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        groupAdmin: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        heroMedium?: {
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        } | undefined;
        groupProfileMedium?: {
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        } | undefined;
    };
};
export type GetFanGroupsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<FanGroupSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetFanGroupsForSelectQuery = {
    __typename?: 'Query';
    fanGroups: {
        __typename?: 'FanGroupResolver';
        total: number;
        fanGroups: Array<{
            __typename?: 'FanGroup';
            id: string;
            name: string;
        }>;
    };
    selectedFanGroups: {
        __typename?: 'FanGroupResolver';
        total: number;
        fanGroups: Array<{
            __typename?: 'FanGroup';
            id: string;
            name: string;
        }>;
    };
};
export type GetFanGroupsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<FanGroupFilterInput> | FanGroupFilterInput>;
    sort?: InputMaybe<FanGroupSortInput>;
}>;
export type GetFanGroupsQuery = {
    __typename?: 'Query';
    fanGroups: {
        __typename?: 'FanGroupResolver';
        total: number;
        fanGroups: Array<{
            __typename?: 'FanGroup';
            id: string;
            name: string;
            city?: string | undefined;
            state?: string | undefined;
            country?: string | undefined;
            createdAt: string;
            updatedAt: string;
            groupPurpose?: string | undefined;
            groupAdminId: string;
            isVerified?: boolean | undefined;
            archived?: boolean | undefined;
            acceptanceStatus: FanGroupAcceptanceStatusEnum;
            heroMediumId?: string | undefined;
            groupProfileMediumId?: string | undefined;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            activeFanGroupUsersCount: number;
            pendingFanGroupUsersCount: number;
            accessType: FanGroupAccessTypeEnum;
            postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
            visibilityType: FanGroupVisibilityTypeEnum;
            pageViews: number;
            groupAdmin: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            heroMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
            groupProfileMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
        }>;
    };
};
export type GetGroupPostQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetGroupPostQuery = {
    __typename?: 'Query';
    groupPost: {
        __typename?: 'GroupPost';
        previewUrl?: string | undefined;
        commentsCount?: number | undefined;
        id: string;
        createdAt: string;
        updatedAt: string;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        userId: string;
        content?: string | undefined;
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanGroupId: string;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        reportStatus: ReportableStatusEnum;
        title: string;
        ugcReportsCount: number;
        removed: boolean;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        fanGroup: {
            __typename?: 'FanGroup';
            id: string;
            name: string;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    };
};
export type GetGroupPostsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<GroupPostFilterInput> | GroupPostFilterInput>;
    sort?: InputMaybe<GroupPostSortInput>;
}>;
export type GetGroupPostsQuery = {
    __typename?: 'Query';
    groupPosts: {
        __typename?: 'GroupPostResolver';
        total: number;
        groupPosts: Array<{
            __typename?: 'GroupPost';
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            id: string;
            createdAt: string;
            updatedAt: string;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            userId: string;
            content?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanGroupId: string;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            reportStatus: ReportableStatusEnum;
            title: string;
            ugcReportsCount: number;
            removed: boolean;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            fanGroup: {
                __typename?: 'FanGroup';
                id: string;
                name: string;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
    };
};
export type GetIdeaQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetIdeaQuery = {
    __typename?: 'Query';
    idea: {
        __typename?: 'Idea';
        previewUrl?: string | undefined;
        boostsAmountCache?: number | undefined;
        commentsCount?: number | undefined;
        likesCount?: number | undefined;
        content?: string | undefined;
        createdAt: string;
        customTag1?: boolean | undefined;
        customTag2?: boolean | undefined;
        customTag3?: boolean | undefined;
        customTag4?: boolean | undefined;
        customTag5?: boolean | undefined;
        id: string;
        ideationMissionId: string;
        isClubFav?: boolean | undefined;
        isImplemented?: boolean | undefined;
        isSelected?: boolean | undefined;
        title: string;
        updatedAt: string;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed: boolean;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ideationMission: {
            __typename?: 'IdeationMission';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    };
};
export type GetIdeasQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<IdeaFilterInput> | IdeaFilterInput>;
    sort?: InputMaybe<IdeaSortInput>;
}>;
export type GetIdeasQuery = {
    __typename?: 'Query';
    ideas: {
        __typename?: 'IdeaResolver';
        total: number;
        ideas: Array<{
            __typename?: 'Idea';
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            ideationMissionId: string;
            isClubFav?: boolean | undefined;
            isImplemented?: boolean | undefined;
            isSelected?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            ideationMission: {
                __typename?: 'IdeationMission';
                id: string;
                translations: Array<{
                    __typename?: 'IdeationMissionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
            };
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
    };
};
export type GetUgcReportMetasQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetUgcReportMetasQuery = {
    __typename?: 'Query';
    commentsReported: {
        __typename?: 'CommentResolver';
        total: number;
    };
    commentsUnderReview: {
        __typename?: 'CommentResolver';
        total: number;
    };
    amaQuestionsReported: {
        __typename?: 'AmaQuestionResolver';
        total: number;
    };
    amaQuestionsUnderReview: {
        __typename?: 'AmaQuestionResolver';
        total: number;
    };
    ideasReported: {
        __typename?: 'IdeaResolver';
        total: number;
    };
    ideasUnderReview: {
        __typename?: 'IdeaResolver';
        total: number;
    };
    fanGroupsReported: {
        __typename?: 'FanGroupResolver';
        total: number;
    };
    fanGroupsUnderReview: {
        __typename?: 'FanGroupResolver';
        total: number;
    };
    fanGroupsSubmitted: {
        __typename?: 'FanGroupResolver';
        total: number;
    };
    groupPostsReported: {
        __typename?: 'GroupPostResolver';
        total: number;
    };
    groupPostsUnderReview: {
        __typename?: 'GroupPostResolver';
        total: number;
    };
    usersReported: {
        __typename?: 'UserResolver';
        total: number;
    };
    usersUnderReview: {
        __typename?: 'UserResolver';
        total: number;
    };
};
export type GetUgcReportQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetUgcReportQuery = {
    __typename?: 'Query';
    ugcReport: {
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    };
};
export type GetUgcReportsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<UgcReportFilterInput> | UgcReportFilterInput>;
    sort?: InputMaybe<UgcReportSortInput>;
}>;
export type GetUgcReportsQuery = {
    __typename?: 'Query';
    ugcReports: {
        __typename?: 'UgcReportResolver';
        total: number;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
    };
};
export type NftBenefitRedemptionFragment = {
    __typename?: 'NftBenefitRedemption';
    id: string;
    createdAt: string;
    updatedAt: string;
    userId: string;
    nftBenefit: {
        __typename?: 'NftBenefit';
        id: string;
        nft: {
            __typename?: 'Nft';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        };
    };
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type GetNftBenefitRedemptionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftBenefitRedemptionFilterInput> | NftBenefitRedemptionFilterInput>;
    sort?: InputMaybe<NftBenefitRedemptionSortInput>;
}>;
export type GetNftBenefitRedemptionsQuery = {
    __typename?: 'Query';
    nftBenefitRedemptions: {
        __typename?: 'NftBenefitRedemptionResolver';
        total: number;
        nftBenefitRedemptions: Array<{
            __typename?: 'NftBenefitRedemption';
            id: string;
            createdAt: string;
            updatedAt: string;
            userId: string;
            nftBenefit: {
                __typename?: 'NftBenefit';
                id: string;
                nft: {
                    __typename?: 'Nft';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    name: string;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                };
            };
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
    };
};
export type NftHandoutLightFragment = {
    __typename?: 'NftHandout';
    id: string;
    createdAt: string;
    updatedAt: string;
    handoutAt?: string | undefined;
    promptDialog?: boolean | undefined;
    skipNotification?: boolean | undefined;
    status: NftHandoutStatusEnum;
    nftId: string;
    sponsorId?: string | undefined;
    nftHandoutUsersCount: number;
    translations: Array<{
        __typename?: 'NftHandoutTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    nft: {
        __typename?: 'Nft';
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        name: string;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    };
};
export type NftHandoutTranslationFragment = {
    __typename?: 'NftHandoutTranslation';
    id: string;
    locale: string;
    title: string;
    message?: string | undefined;
    content?: string | undefined;
    externalLink?: string | undefined;
    ctaText?: string | undefined;
};
export type NftHandoutUserFragment = {
    __typename?: 'NftHandoutUser';
    id: string;
    createdAt: string;
    updatedAt: string;
    userId: string;
    nftHandoutId: string;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type NftHandoutFragment = {
    __typename?: 'NftHandout';
    id: string;
    createdAt: string;
    updatedAt: string;
    handoutAt?: string | undefined;
    promptDialog?: boolean | undefined;
    skipNotification?: boolean | undefined;
    status: NftHandoutStatusEnum;
    nftId: string;
    sponsorId?: string | undefined;
    nftHandoutUsersCount: number;
    translations: Array<{
        __typename?: 'NftHandoutTranslation';
        id: string;
        locale: string;
        title: string;
        message?: string | undefined;
        content?: string | undefined;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
    userFilter?: Array<{
        __typename?: 'UserFilter';
        locale?: string | undefined;
        reportStatus?: ReportableStatusEnum | undefined;
        search?: string | undefined;
        status?: UserStatusEnum | undefined;
        withReportStatus?: boolean | undefined;
        verified?: boolean | undefined;
        allowPasswordChange?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        biography?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        birthdate?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        city?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmationSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        confirmationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        country?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        createdAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        displayName?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        email?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        fastbillId?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        id?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        initiallyFundedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        notificationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        nftId?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        rememberCreatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        slug?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        state?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        tokens?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        ugcReportsCount?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        uid?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        unconfirmedEmail?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        updatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        walletAddress?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        website?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        welcomedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        verifiedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
    }> | undefined;
    statistics?: {
        __typename?: 'NftHandoutStats';
        amount?: number | undefined;
        countTrigger?: boolean | undefined;
        id: string;
        numberOfUsers?: number | undefined;
        times?: number | undefined;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    nft: {
        __typename?: 'Nft';
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        name: string;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    };
};
export type CreateNftHandoutMutationVariables = Exact<{
    params: NftHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type CreateNftHandoutMutation = {
    __typename?: 'Mutation';
    createNftHandout?: {
        __typename?: 'AddNftHandoutMutationPayload';
        nftHandout: {
            __typename?: 'NftHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            status: NftHandoutStatusEnum;
            nftId: string;
            sponsorId?: string | undefined;
            nftHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'NftHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'NftHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        };
    } | undefined;
};
export type DeleteNftHandoutsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteNftHandoutsMutation = {
    __typename?: 'Mutation';
    deleteNftHandouts?: {
        __typename?: 'DeleteNftHandoutsMutationPayload';
        status: number;
        deletedIds: Array<string>;
    } | undefined;
};
export type DraftNftHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftNftHandoutMutation = {
    __typename?: 'Mutation';
    draftNftHandout?: {
        __typename?: 'DraftNftHandoutMutationPayload';
        nftHandout: {
            __typename?: 'NftHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            status: NftHandoutStatusEnum;
            nftId: string;
            sponsorId?: string | undefined;
            nftHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'NftHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'NftHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        };
    } | undefined;
};
export type PublishNftHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishNftHandoutMutation = {
    __typename?: 'Mutation';
    publishNftHandout?: {
        __typename?: 'PublishNftHandoutMutationPayload';
        nftHandout: {
            __typename?: 'NftHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            status: NftHandoutStatusEnum;
            nftId: string;
            sponsorId?: string | undefined;
            nftHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'NftHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'NftHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        };
    } | undefined;
};
export type UpdateNftHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type UpdateNftHandoutMutation = {
    __typename?: 'Mutation';
    updateNftHandout?: {
        __typename?: 'UpdateNftHandoutMutationPayload';
        nftHandout: {
            __typename?: 'NftHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            status: NftHandoutStatusEnum;
            nftId: string;
            sponsorId?: string | undefined;
            nftHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'NftHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'NftHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        };
    } | undefined;
};
export type GetNftHandoutUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftHandoutUserFilterInput> | NftHandoutUserFilterInput>;
    sort?: InputMaybe<NftHandoutUserSortInput>;
}>;
export type GetNftHandoutUsersQuery = {
    __typename?: 'Query';
    nftHandoutUsers: {
        __typename?: 'NftHandoutUserResolver';
        total: number;
        nftHandoutUsers: Array<{
            __typename?: 'NftHandoutUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            userId: string;
            nftHandoutId: string;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
    };
};
export type GetNftHandoutQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetNftHandoutQuery = {
    __typename?: 'Query';
    nftHandout: {
        __typename?: 'NftHandout';
        id: string;
        createdAt: string;
        updatedAt: string;
        handoutAt?: string | undefined;
        promptDialog?: boolean | undefined;
        skipNotification?: boolean | undefined;
        status: NftHandoutStatusEnum;
        nftId: string;
        sponsorId?: string | undefined;
        nftHandoutUsersCount: number;
        translations: Array<{
            __typename?: 'NftHandoutTranslation';
            id: string;
            locale: string;
            title: string;
            message?: string | undefined;
            content?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
        userFilter?: Array<{
            __typename?: 'UserFilter';
            locale?: string | undefined;
            reportStatus?: ReportableStatusEnum | undefined;
            search?: string | undefined;
            status?: UserStatusEnum | undefined;
            withReportStatus?: boolean | undefined;
            verified?: boolean | undefined;
            allowPasswordChange?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            biography?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            birthdate?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            city?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmationSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            confirmationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            country?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            createdAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            displayName?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            email?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            fastbillId?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            id?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            initiallyFundedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            notificationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            nftId?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            rememberCreatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            slug?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            state?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            tokens?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            ugcReportsCount?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            uid?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            unconfirmedEmail?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            updatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            walletAddress?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            website?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            welcomedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            verifiedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
        }> | undefined;
        statistics?: {
            __typename?: 'NftHandoutStats';
            amount?: number | undefined;
            countTrigger?: boolean | undefined;
            id: string;
            numberOfUsers?: number | undefined;
            times?: number | undefined;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        nft: {
            __typename?: 'Nft';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        };
    };
};
export type GetNftHandoutsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftHandoutFilterInput> | NftHandoutFilterInput>;
    sort?: InputMaybe<NftHandoutSortInput>;
}>;
export type GetNftHandoutsQuery = {
    __typename?: 'Query';
    nftHandouts: {
        __typename?: 'NftHandoutResolver';
        total: number;
        nftHandouts: Array<{
            __typename?: 'NftHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            promptDialog?: boolean | undefined;
            skipNotification?: boolean | undefined;
            status: NftHandoutStatusEnum;
            nftId: string;
            sponsorId?: string | undefined;
            nftHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'NftHandoutTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        }>;
    };
};
export type NftTransferNetworkFragment = {
    __typename?: 'NftTransferNetwork';
    id: string;
    name: string;
    chainId: number;
    blockchainUrl: string;
    walletBlockchainUrl?: string | undefined;
    blockExplorerUrl?: string | undefined;
    nativeCurrencyParams?: any | undefined;
    active: boolean;
    createdAt: string;
    updatedAt: string;
};
export type CreateNftTransferNetworkMutationVariables = Exact<{
    params: NftTransferNetworkInput;
}>;
export type CreateNftTransferNetworkMutation = {
    __typename?: 'Mutation';
    createNftTransferNetwork?: {
        __typename?: 'AddNftTransferNetworkMutationPayload';
        nftTransferNetwork: {
            __typename?: 'NftTransferNetwork';
            id: string;
            name: string;
            chainId: number;
            blockchainUrl: string;
            walletBlockchainUrl?: string | undefined;
            blockExplorerUrl?: string | undefined;
            nativeCurrencyParams?: any | undefined;
            active: boolean;
            createdAt: string;
            updatedAt: string;
        };
    } | undefined;
};
export type UpdateNftTransferNetworkMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftTransferNetworkInput;
}>;
export type UpdateNftTransferNetworkMutation = {
    __typename?: 'Mutation';
    updateNftTransferNetwork?: {
        __typename?: 'UpdateNftTransferNetworkMutationPayload';
        nftTransferNetwork: {
            __typename?: 'NftTransferNetwork';
            id: string;
            name: string;
            chainId: number;
            blockchainUrl: string;
            walletBlockchainUrl?: string | undefined;
            blockExplorerUrl?: string | undefined;
            nativeCurrencyParams?: any | undefined;
            active: boolean;
            createdAt: string;
            updatedAt: string;
        };
    } | undefined;
};
export type GetNftTransferNetworkQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetNftTransferNetworkQuery = {
    __typename?: 'Query';
    nftTransferNetwork: {
        __typename?: 'NftTransferNetwork';
        id: string;
        name: string;
        chainId: number;
        blockchainUrl: string;
        walletBlockchainUrl?: string | undefined;
        blockExplorerUrl?: string | undefined;
        nativeCurrencyParams?: any | undefined;
        active: boolean;
        createdAt: string;
        updatedAt: string;
    };
};
export type GetNftTransferNetworksQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftTransferNetworkFilterInput> | NftTransferNetworkFilterInput>;
    sort?: InputMaybe<NftTransferNetworkSortInput>;
}>;
export type GetNftTransferNetworksQuery = {
    __typename?: 'Query';
    nftTransferNetworks: {
        __typename?: 'NftTransferNetworkResolver';
        total: number;
        nftTransferNetworks: Array<{
            __typename?: 'NftTransferNetwork';
            id: string;
            name: string;
            chainId: number;
            blockchainUrl: string;
            walletBlockchainUrl?: string | undefined;
            blockExplorerUrl?: string | undefined;
            nativeCurrencyParams?: any | undefined;
            active: boolean;
            createdAt: string;
            updatedAt: string;
        }>;
    };
};
export type NftUserFragment = {
    __typename?: 'NftUser';
    amount: number;
    amountFrozen: number;
    amountBurnt: number;
    createdAt: string;
    id: string;
    nftId: string;
    publiclyVisible?: boolean | undefined;
    userId: string;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
};
export type GetNftUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftUserFilterInput> | NftUserFilterInput>;
    sort?: InputMaybe<NftUserSortInput>;
}>;
export type GetNftUsersQuery = {
    __typename?: 'Query';
    nftUsers: {
        __typename?: 'NftUserResolver';
        total: number;
        nftUsers: Array<{
            __typename?: 'NftUser';
            amount: number;
            amountFrozen: number;
            amountBurnt: number;
            createdAt: string;
            id: string;
            nftId: string;
            publiclyVisible?: boolean | undefined;
            userId: string;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
    };
};
export type NftBenefitFragment = {
    __typename?: 'NftBenefit';
    id: string;
    allowedRedemptionsAmount: number;
    timeOutMinutes: number;
    translations: Array<{
        __typename?: 'NftBenefitTranslation';
        id: string;
        locale: string;
        title: string;
        description?: string | undefined;
        successMessage?: string | undefined;
    }>;
};
export type NftCollectionDeploymentFragment = {
    __typename?: 'NftCollectionDeployment';
    id: string;
    contractAddress: string;
    nftCollectionId: string;
    nftTransferNetworkId: string;
    deployed: boolean;
    active: boolean;
    createdAt: string;
    updatedAt: string;
    nftTransferNetwork: {
        __typename?: 'NftTransferNetwork';
        id: string;
        name: string;
        chainId: number;
        blockchainUrl: string;
        walletBlockchainUrl?: string | undefined;
        blockExplorerUrl?: string | undefined;
        nativeCurrencyParams?: any | undefined;
        active: boolean;
        createdAt: string;
        updatedAt: string;
    };
};
export type NftCollectionForSelectFragment = {
    __typename?: 'NftCollection';
    id: string;
    sponsorId?: string | undefined;
    translations: Array<{
        __typename?: 'NftCollectionTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        name: string;
    }>;
};
export type NftCollectionFragment = {
    __typename?: 'NftCollection';
    id: string;
    contractAddress?: string | undefined;
    createdAt: string;
    nftIds: Array<string>;
    nftsCount?: number | undefined;
    heroMediumId?: string | undefined;
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    publishedAt?: string | undefined;
    status: NftCollectionStatusEnum;
    tokenBaseUri?: string | undefined;
    updatedAt: string;
    pageViews: number;
    sponsorId?: string | undefined;
    pinToTop: boolean;
    willBePinned: boolean;
    sellerFeeBasisPoints?: number | undefined;
    feeRecipient?: string | undefined;
    contentCategoryId?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    translations: Array<{
        __typename?: 'NftCollectionTranslation';
        id: string;
        locale: string;
        title: string;
        slug: string;
        description: string;
        preview?: string | undefined;
    }>;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
};
export type NftCollectionTranslationFragment = {
    __typename?: 'NftCollectionTranslation';
    id: string;
    locale: string;
    title: string;
    slug: string;
    description: string;
    preview?: string | undefined;
};
export type NftForSelectFragment = {
    __typename?: 'Nft';
    id: string;
    name: string;
    sponsorId?: string | undefined;
    collectionSponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type NftLightFragment = {
    __typename?: 'Nft';
    id: string;
    createdAt: string;
    updatedAt: string;
    amount: number;
    amountLeft?: number | undefined;
    nftMediumId: string;
    mintedAt?: string | undefined;
    name: string;
    description: string;
    rarity: NftRarityEnum;
    nftCollectionId?: string | undefined;
    sponsorId?: string | undefined;
    visibleInShowroom: boolean;
    showInFeed: boolean;
    shownInFeedAt?: string | undefined;
    nftCollectionOrder?: number | undefined;
    pageViews: number;
    nftMedium: {
        __typename?: 'NftMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: NftMediaTypeEnum;
        mediaSrc?: string | undefined;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        nftsCount: number;
        fileName: string;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
    };
    nftCollection?: {
        __typename?: 'NftCollection';
        id: string;
        translations: Array<{
            __typename?: 'NftCollectionTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    collectionSponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    translations: Array<{
        __typename?: 'NftTranslation';
        id: string;
        locale: string;
        extendedInfo?: string | undefined;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
};
export type NftMediumFragment = {
    __typename?: 'NftMedium';
    id: string;
    createdAt: string;
    updatedAt: string;
    mediaType: NftMediaTypeEnum;
    mediaSrc?: string | undefined;
    image?: string | undefined;
    original?: string | undefined;
    thumbnail?: string | undefined;
    nftsCount: number;
    fileName: string;
    aspectRatio: MediaAspectRatioEnum;
    dimensions?: any | undefined;
    threeqDimensions?: any | undefined;
};
export type NftRarityFragment = {
    __typename?: 'NftRarity';
    maxAmount: number;
    minAmount: number;
    rarity: NftRarityEnum;
    rarityFactor: number;
};
export type NftFragment = {
    __typename?: 'Nft';
    videoAutoplay: boolean;
    videoLoop: boolean;
    videoShowControls: boolean;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    amount: number;
    amountLeft?: number | undefined;
    nftMediumId: string;
    mintedAt?: string | undefined;
    name: string;
    description: string;
    rarity: NftRarityEnum;
    nftCollectionId?: string | undefined;
    sponsorId?: string | undefined;
    visibleInShowroom: boolean;
    showInFeed: boolean;
    shownInFeedAt?: string | undefined;
    nftCollectionOrder?: number | undefined;
    pageViews: number;
    nftBuckets: Array<{
        __typename?: 'NftBucket';
        id: string;
        name?: string | undefined;
        shopProduct: {
            __typename?: 'ShopProduct';
            id: string;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        };
    }>;
    giveaways: Array<{
        __typename?: 'Giveaway';
        id: string;
        createdAt: string;
        updatedAt: string;
        activeFrom: string;
        activeUntil?: string | undefined;
        expires?: boolean | undefined;
        sponsorId?: string | undefined;
        heroMediumId?: string | undefined;
        status: GiveawayStatusEnum;
        userLimitNumber?: number | undefined;
        userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
        dropRate?: number | undefined;
        nftIds: Array<string>;
        mandatory?: boolean | undefined;
        maxTimesTriggered?: number | undefined;
        maxTokenAmount?: number | undefined;
        tokenAmount?: number | undefined;
        giveawayType: GiveawayTypeEnum;
        intervalType: GiveawayIntervalTypeEnum;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'GiveawayTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            sponsorId?: string | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
        giveawayEvents: Array<{
            __typename?: 'GiveawayEvent';
            id: string;
            eventType: TriggerEventTypeEnum;
        }>;
        intervalOptions?: {
            __typename?: 'GiveawayIntervalOptions';
            weekly?: {
                __typename?: 'GiveawayWeeklyInterval';
                monday?: boolean | undefined;
                tuesday?: boolean | undefined;
                wednesday?: boolean | undefined;
                thursday?: boolean | undefined;
                friday?: boolean | undefined;
                saturday?: boolean | undefined;
                sunday?: boolean | undefined;
            } | undefined;
            monthly?: {
                __typename?: 'GiveawayMonthlyInterval';
                january?: boolean | undefined;
                february?: boolean | undefined;
                march?: boolean | undefined;
                april?: boolean | undefined;
                may?: boolean | undefined;
                june?: boolean | undefined;
                july?: boolean | undefined;
                august?: boolean | undefined;
                september?: boolean | undefined;
                october?: boolean | undefined;
                november?: boolean | undefined;
                december?: boolean | undefined;
            } | undefined;
        } | undefined;
    }>;
    nftFixedPriceShopProducts: Array<{
        __typename?: 'ShopProduct';
        id: string;
        createdAt: string;
        updatedAt: string;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        webSku?: string | undefined;
        androidSku?: string | undefined;
        iosSku?: string | undefined;
        tokenPrice?: number | undefined;
        tokens?: number | undefined;
        tokensBonus?: number | undefined;
        amountSold: number;
        userOrdersCount: number;
        webTargetVisible?: boolean | undefined;
        androidTargetVisible?: boolean | undefined;
        iosTargetVisible?: boolean | undefined;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        productMediumId?: string | undefined;
        nftId?: string | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
        }>;
        bucketsCapacity: Array<{
            __typename?: 'NftBucketCapacity';
            id: string;
            capacity: number;
        }>;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        } | undefined;
    }>;
    nftBenefits: Array<{
        __typename?: 'NftBenefit';
        id: string;
        allowedRedemptionsAmount: number;
        timeOutMinutes: number;
        translations: Array<{
            __typename?: 'NftBenefitTranslation';
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
            successMessage?: string | undefined;
        }>;
    }>;
    nftMedium: {
        __typename?: 'NftMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: NftMediaTypeEnum;
        mediaSrc?: string | undefined;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        nftsCount: number;
        fileName: string;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
    };
    nftCollection?: {
        __typename?: 'NftCollection';
        id: string;
        translations: Array<{
            __typename?: 'NftCollectionTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    collectionSponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
    translations: Array<{
        __typename?: 'NftTranslation';
        id: string;
        locale: string;
        extendedInfo?: string | undefined;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
};
export type AddNftsToCollectionMutationVariables = Exact<{
    collectionId: Scalars['ID']['input'];
    nftFilter?: InputMaybe<Array<NftFilterInput> | NftFilterInput>;
}>;
export type AddNftsToCollectionMutation = {
    __typename?: 'Mutation';
    addNftsToCollection?: {
        __typename?: 'AddNftsToCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type ArchiveNftCollectionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveNftCollectionMutation = {
    __typename?: 'Mutation';
    archiveNftCollection?: {
        __typename?: 'ArchiveNftCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type CreateNftCollectionDeploymentMutationVariables = Exact<{
    params: NftCollectionDeploymentInput;
}>;
export type CreateNftCollectionDeploymentMutation = {
    __typename?: 'Mutation';
    createNftCollectionDeployment?: {
        __typename?: 'AddNftCollectionDeploymentMutationPayload';
        nftCollectionDeployment: {
            __typename?: 'NftCollectionDeployment';
            id: string;
            contractAddress: string;
            nftCollectionId: string;
            nftTransferNetworkId: string;
            deployed: boolean;
            active: boolean;
            createdAt: string;
            updatedAt: string;
            nftTransferNetwork: {
                __typename?: 'NftTransferNetwork';
                id: string;
                name: string;
                chainId: number;
                blockchainUrl: string;
                walletBlockchainUrl?: string | undefined;
                blockExplorerUrl?: string | undefined;
                nativeCurrencyParams?: any | undefined;
                active: boolean;
                createdAt: string;
                updatedAt: string;
            };
        };
    } | undefined;
};
export type CreateNftCollectionMutationVariables = Exact<{
    params: NftCollectionInput;
}>;
export type CreateNftCollectionMutation = {
    __typename?: 'Mutation';
    createNftCollection?: {
        __typename?: 'AddNftCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type CreateNftMediumMutationVariables = Exact<{
    params: NftMediumInput;
}>;
export type CreateNftMediumMutation = {
    __typename?: 'Mutation';
    createNftMedium?: {
        __typename?: 'AddNftMediumMutationPayload';
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    } | undefined;
};
export type CreateNftMutationVariables = Exact<{
    params: NftInput;
}>;
export type CreateNftMutation = {
    __typename?: 'Mutation';
    createNft?: {
        __typename?: 'AddNftMutationPayload';
        nft: {
            __typename?: 'Nft';
            videoAutoplay: boolean;
            videoLoop: boolean;
            videoShowControls: boolean;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                name?: string | undefined;
                shopProduct: {
                    __typename?: 'ShopProduct';
                    id: string;
                    isWeb: boolean;
                    isAndroid: boolean;
                    isIos: boolean;
                    webPrice?: number | undefined;
                    androidPrice?: number | undefined;
                    iosPrice?: number | undefined;
                    productType: ShopProductProductTypeEnum;
                    translations: Array<{
                        __typename?: 'ShopProductTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                };
            }>;
            giveaways: Array<{
                __typename?: 'Giveaway';
                id: string;
                createdAt: string;
                updatedAt: string;
                activeFrom: string;
                activeUntil?: string | undefined;
                expires?: boolean | undefined;
                sponsorId?: string | undefined;
                heroMediumId?: string | undefined;
                status: GiveawayStatusEnum;
                userLimitNumber?: number | undefined;
                userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
                dropRate?: number | undefined;
                nftIds: Array<string>;
                mandatory?: boolean | undefined;
                maxTimesTriggered?: number | undefined;
                maxTokenAmount?: number | undefined;
                tokenAmount?: number | undefined;
                giveawayType: GiveawayTypeEnum;
                intervalType: GiveawayIntervalTypeEnum;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'GiveawayTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    sponsorId?: string | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                }>;
                giveawayEvents: Array<{
                    __typename?: 'GiveawayEvent';
                    id: string;
                    eventType: TriggerEventTypeEnum;
                }>;
                intervalOptions?: {
                    __typename?: 'GiveawayIntervalOptions';
                    weekly?: {
                        __typename?: 'GiveawayWeeklyInterval';
                        monday?: boolean | undefined;
                        tuesday?: boolean | undefined;
                        wednesday?: boolean | undefined;
                        thursday?: boolean | undefined;
                        friday?: boolean | undefined;
                        saturday?: boolean | undefined;
                        sunday?: boolean | undefined;
                    } | undefined;
                    monthly?: {
                        __typename?: 'GiveawayMonthlyInterval';
                        january?: boolean | undefined;
                        february?: boolean | undefined;
                        march?: boolean | undefined;
                        april?: boolean | undefined;
                        may?: boolean | undefined;
                        june?: boolean | undefined;
                        july?: boolean | undefined;
                        august?: boolean | undefined;
                        september?: boolean | undefined;
                        october?: boolean | undefined;
                        november?: boolean | undefined;
                        december?: boolean | undefined;
                    } | undefined;
                } | undefined;
            }>;
            nftFixedPriceShopProducts: Array<{
                __typename?: 'ShopProduct';
                id: string;
                createdAt: string;
                updatedAt: string;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                webSku?: string | undefined;
                androidSku?: string | undefined;
                iosSku?: string | undefined;
                tokenPrice?: number | undefined;
                tokens?: number | undefined;
                tokensBonus?: number | undefined;
                amountSold: number;
                userOrdersCount: number;
                webTargetVisible?: boolean | undefined;
                androidTargetVisible?: boolean | undefined;
                iosTargetVisible?: boolean | undefined;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                productMediumId?: string | undefined;
                nftId?: string | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                }>;
                bucketsCapacity: Array<{
                    __typename?: 'NftBucketCapacity';
                    id: string;
                    capacity: number;
                }>;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
            }>;
            nftBenefits: Array<{
                __typename?: 'NftBenefit';
                id: string;
                allowedRedemptionsAmount: number;
                timeOutMinutes: number;
                translations: Array<{
                    __typename?: 'NftBenefitTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                    successMessage?: string | undefined;
                }>;
            }>;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        };
    } | undefined;
};
export type DeleteNftCollectionsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteNftCollectionsMutation = {
    __typename?: 'Mutation';
    deleteNftCollections?: {
        __typename?: 'DeleteNftCollectionsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteNftMediaMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteNftMediaMutation = {
    __typename?: 'Mutation';
    deleteNftMedia?: {
        __typename?: 'DeleteNftMediaMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteNftsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteNftsMutation = {
    __typename?: 'Mutation';
    deleteNfts?: {
        __typename?: 'DeleteNftsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type MintNftCollectionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type MintNftCollectionMutation = {
    __typename?: 'Mutation';
    mintNftCollection?: {
        __typename?: 'MintNftCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type MintNftMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type MintNftMutation = {
    __typename?: 'Mutation';
    mintNft?: {
        __typename?: 'MintNftMutationPayload';
        nft: {
            __typename?: 'Nft';
            videoAutoplay: boolean;
            videoLoop: boolean;
            videoShowControls: boolean;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                name?: string | undefined;
                shopProduct: {
                    __typename?: 'ShopProduct';
                    id: string;
                    isWeb: boolean;
                    isAndroid: boolean;
                    isIos: boolean;
                    webPrice?: number | undefined;
                    androidPrice?: number | undefined;
                    iosPrice?: number | undefined;
                    productType: ShopProductProductTypeEnum;
                    translations: Array<{
                        __typename?: 'ShopProductTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                };
            }>;
            giveaways: Array<{
                __typename?: 'Giveaway';
                id: string;
                createdAt: string;
                updatedAt: string;
                activeFrom: string;
                activeUntil?: string | undefined;
                expires?: boolean | undefined;
                sponsorId?: string | undefined;
                heroMediumId?: string | undefined;
                status: GiveawayStatusEnum;
                userLimitNumber?: number | undefined;
                userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
                dropRate?: number | undefined;
                nftIds: Array<string>;
                mandatory?: boolean | undefined;
                maxTimesTriggered?: number | undefined;
                maxTokenAmount?: number | undefined;
                tokenAmount?: number | undefined;
                giveawayType: GiveawayTypeEnum;
                intervalType: GiveawayIntervalTypeEnum;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'GiveawayTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    sponsorId?: string | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                }>;
                giveawayEvents: Array<{
                    __typename?: 'GiveawayEvent';
                    id: string;
                    eventType: TriggerEventTypeEnum;
                }>;
                intervalOptions?: {
                    __typename?: 'GiveawayIntervalOptions';
                    weekly?: {
                        __typename?: 'GiveawayWeeklyInterval';
                        monday?: boolean | undefined;
                        tuesday?: boolean | undefined;
                        wednesday?: boolean | undefined;
                        thursday?: boolean | undefined;
                        friday?: boolean | undefined;
                        saturday?: boolean | undefined;
                        sunday?: boolean | undefined;
                    } | undefined;
                    monthly?: {
                        __typename?: 'GiveawayMonthlyInterval';
                        january?: boolean | undefined;
                        february?: boolean | undefined;
                        march?: boolean | undefined;
                        april?: boolean | undefined;
                        may?: boolean | undefined;
                        june?: boolean | undefined;
                        july?: boolean | undefined;
                        august?: boolean | undefined;
                        september?: boolean | undefined;
                        october?: boolean | undefined;
                        november?: boolean | undefined;
                        december?: boolean | undefined;
                    } | undefined;
                } | undefined;
            }>;
            nftFixedPriceShopProducts: Array<{
                __typename?: 'ShopProduct';
                id: string;
                createdAt: string;
                updatedAt: string;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                webSku?: string | undefined;
                androidSku?: string | undefined;
                iosSku?: string | undefined;
                tokenPrice?: number | undefined;
                tokens?: number | undefined;
                tokensBonus?: number | undefined;
                amountSold: number;
                userOrdersCount: number;
                webTargetVisible?: boolean | undefined;
                androidTargetVisible?: boolean | undefined;
                iosTargetVisible?: boolean | undefined;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                productMediumId?: string | undefined;
                nftId?: string | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                }>;
                bucketsCapacity: Array<{
                    __typename?: 'NftBucketCapacity';
                    id: string;
                    capacity: number;
                }>;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
            }>;
            nftBenefits: Array<{
                __typename?: 'NftBenefit';
                id: string;
                allowedRedemptionsAmount: number;
                timeOutMinutes: number;
                translations: Array<{
                    __typename?: 'NftBenefitTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                    successMessage?: string | undefined;
                }>;
            }>;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        };
    } | undefined;
};
export type PublishNftCollectionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishNftCollectionMutation = {
    __typename?: 'Mutation';
    publishNftCollection?: {
        __typename?: 'PublishNftCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type RequestNftCollectionMetadataUriMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type RequestNftCollectionMetadataUriMutation = {
    __typename?: 'Mutation';
    requestNftCollectionMetadataUri?: {
        __typename?: 'RequestNftCollectionMetadataUriMutationPayload';
        metadataUri: string;
    } | undefined;
};
export type UpdateNftCollectionDeploymentMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftCollectionDeploymentInput;
}>;
export type UpdateNftCollectionDeploymentMutation = {
    __typename?: 'Mutation';
    updateNftCollectionDeployment?: {
        __typename?: 'UpdateNftCollectionDeploymentMutationPayload';
        nftCollectionDeployment: {
            __typename?: 'NftCollectionDeployment';
            id: string;
            contractAddress: string;
            nftCollectionId: string;
            nftTransferNetworkId: string;
            deployed: boolean;
            active: boolean;
            createdAt: string;
            updatedAt: string;
            nftTransferNetwork: {
                __typename?: 'NftTransferNetwork';
                id: string;
                name: string;
                chainId: number;
                blockchainUrl: string;
                walletBlockchainUrl?: string | undefined;
                blockExplorerUrl?: string | undefined;
                nativeCurrencyParams?: any | undefined;
                active: boolean;
                createdAt: string;
                updatedAt: string;
            };
        };
    } | undefined;
};
export type UpdateNftCollectionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftCollectionInput;
}>;
export type UpdateNftCollectionMutation = {
    __typename?: 'Mutation';
    updateNftCollection?: {
        __typename?: 'UpdateNftCollectionMutationPayload';
        nftCollection: {
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type UpdateNftMediumMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftMediumInput;
}>;
export type UpdateNftMediumMutation = {
    __typename?: 'Mutation';
    updateNftMedium?: {
        __typename?: 'UpdateNftMediumMutationPayload';
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    } | undefined;
};
export type UpdateNftMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: NftInput;
}>;
export type UpdateNftMutation = {
    __typename?: 'Mutation';
    updateNft?: {
        __typename?: 'UpdateNftMutationPayload';
        nft: {
            __typename?: 'Nft';
            videoAutoplay: boolean;
            videoLoop: boolean;
            videoShowControls: boolean;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                name?: string | undefined;
                shopProduct: {
                    __typename?: 'ShopProduct';
                    id: string;
                    isWeb: boolean;
                    isAndroid: boolean;
                    isIos: boolean;
                    webPrice?: number | undefined;
                    androidPrice?: number | undefined;
                    iosPrice?: number | undefined;
                    productType: ShopProductProductTypeEnum;
                    translations: Array<{
                        __typename?: 'ShopProductTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                };
            }>;
            giveaways: Array<{
                __typename?: 'Giveaway';
                id: string;
                createdAt: string;
                updatedAt: string;
                activeFrom: string;
                activeUntil?: string | undefined;
                expires?: boolean | undefined;
                sponsorId?: string | undefined;
                heroMediumId?: string | undefined;
                status: GiveawayStatusEnum;
                userLimitNumber?: number | undefined;
                userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
                dropRate?: number | undefined;
                nftIds: Array<string>;
                mandatory?: boolean | undefined;
                maxTimesTriggered?: number | undefined;
                maxTokenAmount?: number | undefined;
                tokenAmount?: number | undefined;
                giveawayType: GiveawayTypeEnum;
                intervalType: GiveawayIntervalTypeEnum;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'GiveawayTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    sponsorId?: string | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                }>;
                giveawayEvents: Array<{
                    __typename?: 'GiveawayEvent';
                    id: string;
                    eventType: TriggerEventTypeEnum;
                }>;
                intervalOptions?: {
                    __typename?: 'GiveawayIntervalOptions';
                    weekly?: {
                        __typename?: 'GiveawayWeeklyInterval';
                        monday?: boolean | undefined;
                        tuesday?: boolean | undefined;
                        wednesday?: boolean | undefined;
                        thursday?: boolean | undefined;
                        friday?: boolean | undefined;
                        saturday?: boolean | undefined;
                        sunday?: boolean | undefined;
                    } | undefined;
                    monthly?: {
                        __typename?: 'GiveawayMonthlyInterval';
                        january?: boolean | undefined;
                        february?: boolean | undefined;
                        march?: boolean | undefined;
                        april?: boolean | undefined;
                        may?: boolean | undefined;
                        june?: boolean | undefined;
                        july?: boolean | undefined;
                        august?: boolean | undefined;
                        september?: boolean | undefined;
                        october?: boolean | undefined;
                        november?: boolean | undefined;
                        december?: boolean | undefined;
                    } | undefined;
                } | undefined;
            }>;
            nftFixedPriceShopProducts: Array<{
                __typename?: 'ShopProduct';
                id: string;
                createdAt: string;
                updatedAt: string;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                webSku?: string | undefined;
                androidSku?: string | undefined;
                iosSku?: string | undefined;
                tokenPrice?: number | undefined;
                tokens?: number | undefined;
                tokensBonus?: number | undefined;
                amountSold: number;
                userOrdersCount: number;
                webTargetVisible?: boolean | undefined;
                androidTargetVisible?: boolean | undefined;
                iosTargetVisible?: boolean | undefined;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                productMediumId?: string | undefined;
                nftId?: string | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                }>;
                bucketsCapacity: Array<{
                    __typename?: 'NftBucketCapacity';
                    id: string;
                    capacity: number;
                }>;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
            }>;
            nftBenefits: Array<{
                __typename?: 'NftBenefit';
                id: string;
                allowedRedemptionsAmount: number;
                timeOutMinutes: number;
                translations: Array<{
                    __typename?: 'NftBenefitTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                    successMessage?: string | undefined;
                }>;
            }>;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        };
    } | undefined;
};
export type UpdateNftsVisibilityMutationVariables = Exact<{
    visible: Scalars['Boolean']['input'];
    nftFilter?: InputMaybe<Array<NftFilterInput> | NftFilterInput>;
}>;
export type UpdateNftsVisibilityMutation = {
    __typename?: 'Mutation';
    updateNftsVisibility?: {
        __typename?: 'UpdateNftsVisibilityMutationPayload';
        updatedIds: Array<string>;
        status: number;
    } | undefined;
};
export type GetNftCollectionQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetNftCollectionQuery = {
    __typename?: 'Query';
    nftCollection: {
        __typename?: 'NftCollection';
        id: string;
        contractAddress?: string | undefined;
        createdAt: string;
        nftIds: Array<string>;
        nftsCount?: number | undefined;
        heroMediumId?: string | undefined;
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        publishedAt?: string | undefined;
        status: NftCollectionStatusEnum;
        tokenBaseUri?: string | undefined;
        updatedAt: string;
        pageViews: number;
        sponsorId?: string | undefined;
        pinToTop: boolean;
        willBePinned: boolean;
        sellerFeeBasisPoints?: number | undefined;
        feeRecipient?: string | undefined;
        contentCategoryId?: string | undefined;
        deployments: Array<{
            __typename?: 'NftCollectionDeployment';
            id: string;
            contractAddress: string;
            nftCollectionId: string;
            nftTransferNetworkId: string;
            deployed: boolean;
            active: boolean;
            createdAt: string;
            updatedAt: string;
            nftTransferNetwork: {
                __typename?: 'NftTransferNetwork';
                id: string;
                name: string;
                chainId: number;
                blockchainUrl: string;
                walletBlockchainUrl?: string | undefined;
                blockExplorerUrl?: string | undefined;
                nativeCurrencyParams?: any | undefined;
                active: boolean;
                createdAt: string;
                updatedAt: string;
            };
        }>;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'NftCollectionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            description: string;
            preview?: string | undefined;
        }>;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
    };
};
export type GetNftCollectionsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<NftCollectionSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetNftCollectionsForSelectQuery = {
    __typename?: 'Query';
    nftCollections: {
        __typename?: 'NftCollectionResolver';
        total: number;
        nftCollections: Array<{
            __typename?: 'NftCollection';
            id: string;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
            }>;
        }>;
    };
    selectedNftCollections: {
        __typename?: 'NftCollectionResolver';
        total: number;
        nftCollections: Array<{
            __typename?: 'NftCollection';
            id: string;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
            }>;
        }>;
    };
};
export type GetNftCollectionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftCollectionFilterInput> | NftCollectionFilterInput>;
    sort?: InputMaybe<NftCollectionSortInput>;
}>;
export type GetNftCollectionsQuery = {
    __typename?: 'Query';
    nftCollections: {
        __typename?: 'NftCollectionResolver';
        total: number;
        nftCollections: Array<{
            __typename?: 'NftCollection';
            id: string;
            contractAddress?: string | undefined;
            createdAt: string;
            nftIds: Array<string>;
            nftsCount?: number | undefined;
            heroMediumId?: string | undefined;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            publishedAt?: string | undefined;
            status: NftCollectionStatusEnum;
            tokenBaseUri?: string | undefined;
            updatedAt: string;
            pageViews: number;
            sponsorId?: string | undefined;
            pinToTop: boolean;
            willBePinned: boolean;
            sellerFeeBasisPoints?: number | undefined;
            feeRecipient?: string | undefined;
            contentCategoryId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                description: string;
                preview?: string | undefined;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
        }>;
    };
};
export type GetNftMediaQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftMediumFilterInput> | NftMediumFilterInput>;
    sort?: InputMaybe<NftMediumSortInput>;
}>;
export type GetNftMediaQuery = {
    __typename?: 'Query';
    nftMedia: {
        __typename?: 'NftMediumResolver';
        total: number;
        nftMedia: Array<{
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        }>;
    };
};
export type GetNftMediumQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetNftMediumQuery = {
    __typename?: 'Query';
    nftMedium: {
        __typename?: 'NftMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: NftMediaTypeEnum;
        mediaSrc?: string | undefined;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        nftsCount: number;
        fileName: string;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
    };
};
export type GetNftCalculatedRaritiesQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetNftCalculatedRaritiesQuery = {
    __typename?: 'Query';
    nftCalculatedRarities: Array<{
        __typename?: 'NftRarity';
        maxAmount: number;
        minAmount: number;
        rarity: NftRarityEnum;
        rarityFactor: number;
    }>;
};
export type GetNftQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetNftQuery = {
    __typename?: 'Query';
    nft: {
        __typename?: 'Nft';
        videoAutoplay: boolean;
        videoLoop: boolean;
        videoShowControls: boolean;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        name: string;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftBuckets: Array<{
            __typename?: 'NftBucket';
            id: string;
            name?: string | undefined;
            shopProduct: {
                __typename?: 'ShopProduct';
                id: string;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
        }>;
        giveaways: Array<{
            __typename?: 'Giveaway';
            id: string;
            createdAt: string;
            updatedAt: string;
            activeFrom: string;
            activeUntil?: string | undefined;
            expires?: boolean | undefined;
            sponsorId?: string | undefined;
            heroMediumId?: string | undefined;
            status: GiveawayStatusEnum;
            userLimitNumber?: number | undefined;
            userLimitPeriod?: GiveawayUserLimitPeriodEnum | undefined;
            dropRate?: number | undefined;
            nftIds: Array<string>;
            mandatory?: boolean | undefined;
            maxTimesTriggered?: number | undefined;
            maxTokenAmount?: number | undefined;
            tokenAmount?: number | undefined;
            giveawayType: GiveawayTypeEnum;
            intervalType: GiveawayIntervalTypeEnum;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'GiveawayTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                sponsorId?: string | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            }>;
            giveawayEvents: Array<{
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
            }>;
            intervalOptions?: {
                __typename?: 'GiveawayIntervalOptions';
                weekly?: {
                    __typename?: 'GiveawayWeeklyInterval';
                    monday?: boolean | undefined;
                    tuesday?: boolean | undefined;
                    wednesday?: boolean | undefined;
                    thursday?: boolean | undefined;
                    friday?: boolean | undefined;
                    saturday?: boolean | undefined;
                    sunday?: boolean | undefined;
                } | undefined;
                monthly?: {
                    __typename?: 'GiveawayMonthlyInterval';
                    january?: boolean | undefined;
                    february?: boolean | undefined;
                    march?: boolean | undefined;
                    april?: boolean | undefined;
                    may?: boolean | undefined;
                    june?: boolean | undefined;
                    july?: boolean | undefined;
                    august?: boolean | undefined;
                    september?: boolean | undefined;
                    october?: boolean | undefined;
                    november?: boolean | undefined;
                    december?: boolean | undefined;
                } | undefined;
            } | undefined;
        }>;
        nftFixedPriceShopProducts: Array<{
            __typename?: 'ShopProduct';
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftId?: string | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
        }>;
        nftBenefits: Array<{
            __typename?: 'NftBenefit';
            id: string;
            allowedRedemptionsAmount: number;
            timeOutMinutes: number;
            translations: Array<{
                __typename?: 'NftBenefitTranslation';
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
                successMessage?: string | undefined;
            }>;
        }>;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    };
};
export type GetNftsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftFilterInput> | NftFilterInput>;
    sort?: InputMaybe<NftSortInput>;
}>;
export type GetNftsForSelectQuery = {
    __typename?: 'Query';
    nfts: {
        __typename?: 'NftResolver';
        total: number;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            sponsorId?: string | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type GetNftsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<NftFilterInput> | NftFilterInput>;
    sort?: InputMaybe<NftSortInput>;
}>;
export type GetNftsQuery = {
    __typename?: 'Query';
    nfts: {
        __typename?: 'NftResolver';
        total: number;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
    };
};
export type AmaSessionForSelectFragment = {
    __typename?: 'AmaSession';
    id: string;
    translations: Array<{
        __typename?: 'AmaSessionTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
};
export type AmaSessionLightFragment = {
    __typename?: 'AmaSession';
    id: string;
    createdAt: string;
    updatedAt: string;
    endsAt: string;
    heroMediumId?: string | undefined;
    amaQuestionsCount?: number | undefined;
    status: AmaSessionStatusEnum;
    publishedAt?: string | undefined;
    distributedAt?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'AmaSessionTranslation';
        id: string;
        locale: string;
        title: string;
        slug: string;
        preview?: string | undefined;
        description: string;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type AmaSessionTranslationFragment = {
    __typename?: 'AmaSessionTranslation';
    id: string;
    locale: string;
    title: string;
    slug: string;
    preview?: string | undefined;
    description: string;
};
export type AmaSessionFragment = {
    __typename?: 'AmaSession';
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    operatorShare?: number | undefined;
    creatorShare?: number | undefined;
    fanvaultShare?: number | undefined;
    contractAddress?: string | undefined;
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    endsAt: string;
    heroMediumId?: string | undefined;
    amaQuestionsCount?: number | undefined;
    status: AmaSessionStatusEnum;
    publishedAt?: string | undefined;
    distributedAt?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    amaQuestions: Array<{
        __typename?: 'AmaQuestion';
        previewUrl?: string | undefined;
        boostsAmountCache?: number | undefined;
        commentsCount?: number | undefined;
        likesCount?: number | undefined;
        content?: string | undefined;
        createdAt: string;
        customTag1?: boolean | undefined;
        customTag2?: boolean | undefined;
        customTag3?: boolean | undefined;
        customTag4?: boolean | undefined;
        customTag5?: boolean | undefined;
        id: string;
        amaSessionId: string;
        isAnswered?: boolean | undefined;
        title: string;
        updatedAt: string;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed: boolean;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        amaSession: {
            __typename?: 'AmaSession';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    announcements: Array<{
        __typename?: 'Announcement';
        id: string;
        createdAt: string;
        updatedAt: string;
        announceableId: string;
        announceableType?: string | undefined;
        translations: Array<{
            __typename?: 'AnnouncementTranslation';
            id: string;
            locale: string;
            title: string;
            content: string;
        }>;
    }>;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'AmaSessionTranslation';
        id: string;
        locale: string;
        title: string;
        slug: string;
        preview?: string | undefined;
        description: string;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type IdeationMissionForSelectFragment = {
    __typename?: 'IdeationMission';
    id: string;
    translations: Array<{
        __typename?: 'IdeationMissionTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
};
export type IdeationMissionLightFragment = {
    __typename?: 'IdeationMission';
    id: string;
    createdAt: string;
    updatedAt: string;
    endsAt: string;
    heroMediumId?: string | undefined;
    ideasCount?: number | undefined;
    status: IdeationMissionStatusEnum;
    publishedAt?: string | undefined;
    distributedAt?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'IdeationMissionTranslation';
        id: string;
        locale: string;
        title: string;
        slug: string;
        preview?: string | undefined;
        description: string;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type IdeationMissionTranslationFragment = {
    __typename?: 'IdeationMissionTranslation';
    id: string;
    locale: string;
    title: string;
    slug: string;
    preview?: string | undefined;
    description: string;
};
export type IdeationMissionFragment = {
    __typename?: 'IdeationMission';
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    operatorShare?: number | undefined;
    creatorShare?: number | undefined;
    fanvaultShare?: number | undefined;
    contractAddress?: string | undefined;
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    endsAt: string;
    heroMediumId?: string | undefined;
    ideasCount?: number | undefined;
    status: IdeationMissionStatusEnum;
    publishedAt?: string | undefined;
    distributedAt?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    ideas: Array<{
        __typename?: 'Idea';
        previewUrl?: string | undefined;
        boostsAmountCache?: number | undefined;
        commentsCount?: number | undefined;
        likesCount?: number | undefined;
        content?: string | undefined;
        createdAt: string;
        customTag1?: boolean | undefined;
        customTag2?: boolean | undefined;
        customTag3?: boolean | undefined;
        customTag4?: boolean | undefined;
        customTag5?: boolean | undefined;
        id: string;
        ideationMissionId: string;
        isClubFav?: boolean | undefined;
        isImplemented?: boolean | undefined;
        isSelected?: boolean | undefined;
        title: string;
        updatedAt: string;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed: boolean;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ideationMission: {
            __typename?: 'IdeationMission';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    announcements: Array<{
        __typename?: 'Announcement';
        id: string;
        createdAt: string;
        updatedAt: string;
        announceableId: string;
        announceableType?: string | undefined;
        translations: Array<{
            __typename?: 'AnnouncementTranslation';
            id: string;
            locale: string;
            title: string;
            content: string;
        }>;
    }>;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'IdeationMissionTranslation';
        id: string;
        locale: string;
        title: string;
        slug: string;
        preview?: string | undefined;
        description: string;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type VotingForSelectFragment = {
    __typename?: 'Voting';
    id: string;
    translations: Array<{
        __typename?: 'VotingTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
    }>;
};
export type VotingLightFragment = {
    __typename?: 'Voting';
    id: string;
    createdAt: string;
    updatedAt: string;
    publishedAt?: string | undefined;
    commentsCount?: number | undefined;
    votingType?: VotingTypeEnum | undefined;
    status: VotingStatusEnum;
    endsAt: string;
    heroMediumId?: string | undefined;
    contractAddress?: string | undefined;
    creatorShare?: number | undefined;
    depositShare?: number | undefined;
    distributedAt?: string | undefined;
    unlocksTokensAt?: string | undefined;
    fanvaultShare?: number | undefined;
    operatorShare?: number | undefined;
    notifiedEndsSoonAt?: string | undefined;
    transferredDepositsAt?: string | undefined;
    tokenFixedAmount?: number | undefined;
    tokenMax?: number | undefined;
    tokenMin?: number | undefined;
    previewUrl?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'VotingTranslation';
        id: string;
        locale: string;
        content?: string | undefined;
        title?: string | undefined;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type VotingTranslationFragment = {
    __typename?: 'VotingTranslation';
    id: string;
    locale: string;
    content?: string | undefined;
    title?: string | undefined;
};
export type VotingOptionFragment = {
    __typename?: 'VotingOption';
    id: string;
    createdAt: string;
    updatedAt: string;
    votesCount: number;
    votedTokensCount: number;
    votedUsersCount: number;
    votingId: string;
    translations: Array<{
        __typename?: 'VotingOptionTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
};
export type VotingOptionTranslationFragment = {
    __typename?: 'VotingOptionTranslation';
    id: string;
    locale: string;
    title: string;
};
export type VotingFragment = {
    __typename?: 'Voting';
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    pinToTop: boolean;
    willBePinned: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    publishedAt?: string | undefined;
    commentsCount?: number | undefined;
    votingType?: VotingTypeEnum | undefined;
    status: VotingStatusEnum;
    endsAt: string;
    heroMediumId?: string | undefined;
    contractAddress?: string | undefined;
    creatorShare?: number | undefined;
    depositShare?: number | undefined;
    distributedAt?: string | undefined;
    unlocksTokensAt?: string | undefined;
    fanvaultShare?: number | undefined;
    operatorShare?: number | undefined;
    notifiedEndsSoonAt?: string | undefined;
    transferredDepositsAt?: string | undefined;
    tokenFixedAmount?: number | undefined;
    tokenMax?: number | undefined;
    tokenMin?: number | undefined;
    previewUrl?: string | undefined;
    pageViews: number;
    contentCategoryId?: string | undefined;
    sponsorId?: string | undefined;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    comments: Array<{
        __typename?: 'Comment';
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        operatorAddress?: string | undefined;
        operatorShare?: number | undefined;
        previewUrl?: string | undefined;
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    votingOptions?: Array<{
        __typename?: 'VotingOption';
        id: string;
        createdAt: string;
        updatedAt: string;
        votesCount: number;
        votedTokensCount: number;
        votedUsersCount: number;
        votingId: string;
        translations: Array<{
            __typename?: 'VotingOptionTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    }> | undefined;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'VotingTranslation';
        id: string;
        locale: string;
        content?: string | undefined;
        title?: string | undefined;
    }>;
    contentCategory?: {
        __typename?: 'ContentCategory';
        id: string;
        createdAt: string;
        updatedAt: string;
        contentsCount: number;
        eventsCount: number;
        votingsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        resourcesCount: number;
        translations: Array<{
            __typename?: 'ContentCategoryTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type ArchiveAmaSessionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveAmaSessionMutation = {
    __typename?: 'Mutation';
    archiveAmaSession?: {
        __typename?: 'ArchiveAmaSessionMutationPayload';
        amaSession: {
            __typename?: 'AmaSession';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            amaQuestions: Array<{
                __typename?: 'AmaQuestion';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                amaSessionId: string;
                isAnswered?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                amaSession: {
                    __typename?: 'AmaSession';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    amaQuestionsCount?: number | undefined;
                    status: AmaSessionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'AmaSessionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type ArchiveIdeationMissionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveIdeationMissionMutation = {
    __typename?: 'Mutation';
    archiveIdeationMission?: {
        __typename?: 'ArchiveIdeationMissionMutationPayload';
        ideationMission: {
            __typename?: 'IdeationMission';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            ideas: Array<{
                __typename?: 'Idea';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                ideationMissionId: string;
                isClubFav?: boolean | undefined;
                isImplemented?: boolean | undefined;
                isSelected?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ideationMission: {
                    __typename?: 'IdeationMission';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    ideasCount?: number | undefined;
                    status: IdeationMissionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'IdeationMissionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type ArchiveVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveVotingMutation = {
    __typename?: 'Mutation';
    archiveVoting?: {
        __typename?: 'ArchiveVotingMutationPayload';
        voting: {
            __typename?: 'Voting';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            votingOptions?: Array<{
                __typename?: 'VotingOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                votesCount: number;
                votedTokensCount: number;
                votedUsersCount: number;
                votingId: string;
                translations: Array<{
                    __typename?: 'VotingOptionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            }> | undefined;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type CreateAmaSessionMutationVariables = Exact<{
    params: AmaSessionInput;
}>;
export type CreateAmaSessionMutation = {
    __typename?: 'Mutation';
    createAmaSession?: {
        __typename?: 'AddAmaSessionMutationPayload';
        amaSession: {
            __typename?: 'AmaSession';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            amaQuestions: Array<{
                __typename?: 'AmaQuestion';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                amaSessionId: string;
                isAnswered?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                amaSession: {
                    __typename?: 'AmaSession';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    amaQuestionsCount?: number | undefined;
                    status: AmaSessionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'AmaSessionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type CreateIdeationMissionMutationVariables = Exact<{
    params: IdeationMissionInput;
}>;
export type CreateIdeationMissionMutation = {
    __typename?: 'Mutation';
    createIdeationMission?: {
        __typename?: 'AddIdeationMissionMutationPayload';
        ideationMission: {
            __typename?: 'IdeationMission';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            ideas: Array<{
                __typename?: 'Idea';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                ideationMissionId: string;
                isClubFav?: boolean | undefined;
                isImplemented?: boolean | undefined;
                isSelected?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ideationMission: {
                    __typename?: 'IdeationMission';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    ideasCount?: number | undefined;
                    status: IdeationMissionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'IdeationMissionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type CreateVotingMutationVariables = Exact<{
    params: VotingInput;
}>;
export type CreateVotingMutation = {
    __typename?: 'Mutation';
    createVoting?: {
        __typename?: 'AddVotingMutationPayload';
        voting: {
            __typename?: 'Voting';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            votingOptions?: Array<{
                __typename?: 'VotingOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                votesCount: number;
                votedTokensCount: number;
                votedUsersCount: number;
                votingId: string;
                translations: Array<{
                    __typename?: 'VotingOptionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            }> | undefined;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DeleteAmaSessionsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteAmaSessionsMutation = {
    __typename?: 'Mutation';
    deleteAmaSessions?: {
        __typename?: 'DeleteAmaSessionsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteIdeationMissionsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteIdeationMissionsMutation = {
    __typename?: 'Mutation';
    deleteIdeationMissions?: {
        __typename?: 'DeleteIdeationMissionsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteVotingsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteVotingsMutation = {
    __typename?: 'Mutation';
    deleteVotings?: {
        __typename?: 'DeleteVotingsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DistributeVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DistributeVotingMutation = {
    __typename?: 'Mutation';
    distributeVoting?: {
        __typename?: 'DistributeVotingMutationPayload';
        message: string;
        status: number;
    } | undefined;
};
export type DraftAmaSessionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftAmaSessionMutation = {
    __typename?: 'Mutation';
    draftAmaSession?: {
        __typename?: 'DraftAmaSessionMutationPayload';
        amaSession: {
            __typename?: 'AmaSession';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            amaQuestions: Array<{
                __typename?: 'AmaQuestion';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                amaSessionId: string;
                isAnswered?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                amaSession: {
                    __typename?: 'AmaSession';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    amaQuestionsCount?: number | undefined;
                    status: AmaSessionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'AmaSessionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DraftIdeationMissionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftIdeationMissionMutation = {
    __typename?: 'Mutation';
    draftIdeationMission?: {
        __typename?: 'DraftIdeationMissionMutationPayload';
        ideationMission: {
            __typename?: 'IdeationMission';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            ideas: Array<{
                __typename?: 'Idea';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                ideationMissionId: string;
                isClubFav?: boolean | undefined;
                isImplemented?: boolean | undefined;
                isSelected?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ideationMission: {
                    __typename?: 'IdeationMission';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    ideasCount?: number | undefined;
                    status: IdeationMissionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'IdeationMissionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DraftVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftVotingMutation = {
    __typename?: 'Mutation';
    draftVoting?: {
        __typename?: 'DraftVotingMutationPayload';
        voting: {
            __typename?: 'Voting';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            votingOptions?: Array<{
                __typename?: 'VotingOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                votesCount: number;
                votedTokensCount: number;
                votedUsersCount: number;
                votingId: string;
                translations: Array<{
                    __typename?: 'VotingOptionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            }> | undefined;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishAmaSessionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishAmaSessionMutation = {
    __typename?: 'Mutation';
    publishAmaSession?: {
        __typename?: 'PublishAmaSessionMutationPayload';
        amaSession: {
            __typename?: 'AmaSession';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            amaQuestions: Array<{
                __typename?: 'AmaQuestion';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                amaSessionId: string;
                isAnswered?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                amaSession: {
                    __typename?: 'AmaSession';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    amaQuestionsCount?: number | undefined;
                    status: AmaSessionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'AmaSessionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishIdeationMissionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishIdeationMissionMutation = {
    __typename?: 'Mutation';
    publishIdeationMission?: {
        __typename?: 'PublishIdeationMissionMutationPayload';
        ideationMission: {
            __typename?: 'IdeationMission';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            ideas: Array<{
                __typename?: 'Idea';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                ideationMissionId: string;
                isClubFav?: boolean | undefined;
                isImplemented?: boolean | undefined;
                isSelected?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ideationMission: {
                    __typename?: 'IdeationMission';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    ideasCount?: number | undefined;
                    status: IdeationMissionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'IdeationMissionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishVotingMutation = {
    __typename?: 'Mutation';
    publishVoting?: {
        __typename?: 'PublishVotingMutationPayload';
        voting: {
            __typename?: 'Voting';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            votingOptions?: Array<{
                __typename?: 'VotingOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                votesCount: number;
                votedTokensCount: number;
                votedUsersCount: number;
                votingId: string;
                translations: Array<{
                    __typename?: 'VotingOptionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            }> | undefined;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type RefundVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type RefundVotingMutation = {
    __typename?: 'Mutation';
    refundVoting?: {
        __typename?: 'RefundVotingMutationPayload';
        message: string;
        status: number;
    } | undefined;
};
export type UpdateAmaSessionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: AmaSessionInput;
}>;
export type UpdateAmaSessionMutation = {
    __typename?: 'Mutation';
    updateAmaSession?: {
        __typename?: 'UpdateAmaSessionMutationPayload';
        amaSession: {
            __typename?: 'AmaSession';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            amaQuestions: Array<{
                __typename?: 'AmaQuestion';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                amaSessionId: string;
                isAnswered?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                amaSession: {
                    __typename?: 'AmaSession';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    amaQuestionsCount?: number | undefined;
                    status: AmaSessionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'AmaSessionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateIdeationMissionMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: IdeationMissionInput;
}>;
export type UpdateIdeationMissionMutation = {
    __typename?: 'Mutation';
    updateIdeationMission?: {
        __typename?: 'UpdateIdeationMissionMutationPayload';
        ideationMission: {
            __typename?: 'IdeationMission';
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            operatorShare?: number | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            contractAddress?: string | undefined;
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            ideas: Array<{
                __typename?: 'Idea';
                previewUrl?: string | undefined;
                boostsAmountCache?: number | undefined;
                commentsCount?: number | undefined;
                likesCount?: number | undefined;
                content?: string | undefined;
                createdAt: string;
                customTag1?: boolean | undefined;
                customTag2?: boolean | undefined;
                customTag3?: boolean | undefined;
                customTag4?: boolean | undefined;
                customTag5?: boolean | undefined;
                id: string;
                ideationMissionId: string;
                isClubFav?: boolean | undefined;
                isImplemented?: boolean | undefined;
                isSelected?: boolean | undefined;
                title: string;
                updatedAt: string;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed: boolean;
                comments: Array<{
                    __typename?: 'Comment';
                    contractAddress?: string | undefined;
                    creatorShare?: number | undefined;
                    fanvaultShare?: number | undefined;
                    operatorAddress?: string | undefined;
                    operatorShare?: number | undefined;
                    previewUrl?: string | undefined;
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    comments: Array<{
                        __typename?: 'Comment';
                        id: string;
                        title?: string | undefined;
                        content?: string | undefined;
                        createdAt: string;
                        updatedAt: string;
                        muted?: boolean | undefined;
                        commentableId: string;
                        commentableTitle?: string | undefined;
                        commentableType?: CommentableTypeEnum | undefined;
                        commentsCount?: number | undefined;
                        boostsAmountCache?: number | undefined;
                        likesCount?: number | undefined;
                        ugcReportsCount: number;
                        reportStatus: ReportableStatusEnum;
                        removed?: boolean | undefined;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                        nfts: Array<{
                            __typename?: 'Nft';
                            id: string;
                            name: string;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                        }>;
                        userMedia: Array<{
                            __typename?: 'UserMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: UserMediaTypeEnum;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            filename: string;
                        }>;
                    }>;
                    ugcReportTypes?: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }> | undefined;
                    ugcReports: Array<{
                        __typename?: 'UgcReport';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        reportableId: string;
                        reportableType?: UgcReportableTypeEnum | undefined;
                        reportableTitle?: string | undefined;
                        status: UgcReportStatusEnum;
                        ugcReportTypes: Array<{
                            __typename?: 'UgcReportTyp';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            hidingTolerance?: number | undefined;
                            order?: number | undefined;
                            translations: Array<{
                                __typename?: 'UgcReportTypeTranslation';
                                text?: string | undefined;
                                title: string;
                                locale: string;
                                id: string;
                            }>;
                        }>;
                        user: {
                            __typename?: 'User';
                            id: string;
                            displayName: string;
                            verified: boolean;
                        };
                    }>;
                    audits: Array<{
                        __typename?: 'Audit';
                        auditedChanges: any;
                        auditableId: string;
                        auditableType?: string | undefined;
                        id: string;
                        version?: number | undefined;
                        createdAt: string;
                        userId?: string | undefined;
                        userType?: string | undefined;
                    }>;
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ideationMission: {
                    __typename?: 'IdeationMission';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    endsAt: string;
                    heroMediumId?: string | undefined;
                    ideasCount?: number | undefined;
                    status: IdeationMissionStatusEnum;
                    publishedAt?: string | undefined;
                    distributedAt?: string | undefined;
                    pageViews: number;
                    contentCategoryId?: string | undefined;
                    sponsorId?: string | undefined;
                    translations: Array<{
                        __typename?: 'IdeationMissionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        slug: string;
                        preview?: string | undefined;
                        description: string;
                    }>;
                    heroMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    contentCategory?: {
                        __typename?: 'ContentCategory';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        contentsCount: number;
                        eventsCount: number;
                        votingsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        resourcesCount: number;
                        translations: Array<{
                            __typename?: 'ContentCategoryTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                };
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            announcements: Array<{
                __typename?: 'Announcement';
                id: string;
                createdAt: string;
                updatedAt: string;
                announceableId: string;
                announceableType?: string | undefined;
                translations: Array<{
                    __typename?: 'AnnouncementTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    content: string;
                }>;
            }>;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateVotingMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: VotingInput;
}>;
export type UpdateVotingMutation = {
    __typename?: 'Mutation';
    updateVoting?: {
        __typename?: 'UpdateVotingMutationPayload';
        voting: {
            __typename?: 'Voting';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            pinToTop: boolean;
            willBePinned: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            votingOptions?: Array<{
                __typename?: 'VotingOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                votesCount: number;
                votedTokensCount: number;
                votedUsersCount: number;
                votingId: string;
                translations: Array<{
                    __typename?: 'VotingOptionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            }> | undefined;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type GetAmaSessionQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetAmaSessionQuery = {
    __typename?: 'Query';
    amaSession: {
        __typename?: 'AmaSession';
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        operatorShare?: number | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        contractAddress?: string | undefined;
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        endsAt: string;
        heroMediumId?: string | undefined;
        amaQuestionsCount?: number | undefined;
        status: AmaSessionStatusEnum;
        publishedAt?: string | undefined;
        distributedAt?: string | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        amaQuestions: Array<{
            __typename?: 'AmaQuestion';
            previewUrl?: string | undefined;
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            amaSessionId: string;
            isAnswered?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            amaSession: {
                __typename?: 'AmaSession';
                id: string;
                createdAt: string;
                updatedAt: string;
                endsAt: string;
                heroMediumId?: string | undefined;
                amaQuestionsCount?: number | undefined;
                status: AmaSessionStatusEnum;
                publishedAt?: string | undefined;
                distributedAt?: string | undefined;
                pageViews: number;
                contentCategoryId?: string | undefined;
                sponsorId?: string | undefined;
                translations: Array<{
                    __typename?: 'AmaSessionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                contentCategory?: {
                    __typename?: 'ContentCategory';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    contentsCount: number;
                    eventsCount: number;
                    votingsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    resourcesCount: number;
                    translations: Array<{
                        __typename?: 'ContentCategoryTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            };
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        announcements: Array<{
            __typename?: 'Announcement';
            id: string;
            createdAt: string;
            updatedAt: string;
            announceableId: string;
            announceableType?: string | undefined;
            translations: Array<{
                __typename?: 'AnnouncementTranslation';
                id: string;
                locale: string;
                title: string;
                content: string;
            }>;
        }>;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'AmaSessionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetAmaSessionsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<AmaSessionSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetAmaSessionsForSelectQuery = {
    __typename?: 'Query';
    amaSessions: {
        __typename?: 'AmaSessionResolver';
        total: number;
        amaSessions: Array<{
            __typename?: 'AmaSession';
            id: string;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }>;
    };
    selectedAmaSessions: {
        __typename?: 'AmaSessionResolver';
        total: number;
        amaSessions: Array<{
            __typename?: 'AmaSession';
            id: string;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }>;
    };
};
export type GetAmaSessionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<AmaSessionFilterInput> | AmaSessionFilterInput>;
    sort?: InputMaybe<AmaSessionSortInput>;
}>;
export type GetAmaSessionsQuery = {
    __typename?: 'Query';
    amaSessions: {
        __typename?: 'AmaSessionResolver';
        total: number;
        amaSessions: Array<{
            __typename?: 'AmaSession';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            amaQuestionsCount?: number | undefined;
            status: AmaSessionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'AmaSessionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type GetIdeationMissionQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetIdeationMissionQuery = {
    __typename?: 'Query';
    ideationMission: {
        __typename?: 'IdeationMission';
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        operatorShare?: number | undefined;
        creatorShare?: number | undefined;
        fanvaultShare?: number | undefined;
        contractAddress?: string | undefined;
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        endsAt: string;
        heroMediumId?: string | undefined;
        ideasCount?: number | undefined;
        status: IdeationMissionStatusEnum;
        publishedAt?: string | undefined;
        distributedAt?: string | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        ideas: Array<{
            __typename?: 'Idea';
            previewUrl?: string | undefined;
            boostsAmountCache?: number | undefined;
            commentsCount?: number | undefined;
            likesCount?: number | undefined;
            content?: string | undefined;
            createdAt: string;
            customTag1?: boolean | undefined;
            customTag2?: boolean | undefined;
            customTag3?: boolean | undefined;
            customTag4?: boolean | undefined;
            customTag5?: boolean | undefined;
            id: string;
            ideationMissionId: string;
            isClubFav?: boolean | undefined;
            isImplemented?: boolean | undefined;
            isSelected?: boolean | undefined;
            title: string;
            updatedAt: string;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed: boolean;
            comments: Array<{
                __typename?: 'Comment';
                contractAddress?: string | undefined;
                creatorShare?: number | undefined;
                fanvaultShare?: number | undefined;
                operatorAddress?: string | undefined;
                operatorShare?: number | undefined;
                previewUrl?: string | undefined;
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                comments: Array<{
                    __typename?: 'Comment';
                    id: string;
                    title?: string | undefined;
                    content?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    muted?: boolean | undefined;
                    commentableId: string;
                    commentableTitle?: string | undefined;
                    commentableType?: CommentableTypeEnum | undefined;
                    commentsCount?: number | undefined;
                    boostsAmountCache?: number | undefined;
                    likesCount?: number | undefined;
                    ugcReportsCount: number;
                    reportStatus: ReportableStatusEnum;
                    removed?: boolean | undefined;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                    nfts: Array<{
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    }>;
                    userMedia: Array<{
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    }>;
                }>;
                ugcReportTypes?: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }> | undefined;
                ugcReports: Array<{
                    __typename?: 'UgcReport';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    reportableId: string;
                    reportableType?: UgcReportableTypeEnum | undefined;
                    reportableTitle?: string | undefined;
                    status: UgcReportStatusEnum;
                    ugcReportTypes: Array<{
                        __typename?: 'UgcReportTyp';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        hidingTolerance?: number | undefined;
                        order?: number | undefined;
                        translations: Array<{
                            __typename?: 'UgcReportTypeTranslation';
                            text?: string | undefined;
                            title: string;
                            locale: string;
                            id: string;
                        }>;
                    }>;
                    user: {
                        __typename?: 'User';
                        id: string;
                        displayName: string;
                        verified: boolean;
                    };
                }>;
                audits: Array<{
                    __typename?: 'Audit';
                    auditedChanges: any;
                    auditableId: string;
                    auditableType?: string | undefined;
                    id: string;
                    version?: number | undefined;
                    createdAt: string;
                    userId?: string | undefined;
                    userType?: string | undefined;
                }>;
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ideationMission: {
                __typename?: 'IdeationMission';
                id: string;
                createdAt: string;
                updatedAt: string;
                endsAt: string;
                heroMediumId?: string | undefined;
                ideasCount?: number | undefined;
                status: IdeationMissionStatusEnum;
                publishedAt?: string | undefined;
                distributedAt?: string | undefined;
                pageViews: number;
                contentCategoryId?: string | undefined;
                sponsorId?: string | undefined;
                translations: Array<{
                    __typename?: 'IdeationMissionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    slug: string;
                    preview?: string | undefined;
                    description: string;
                }>;
                heroMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                contentCategory?: {
                    __typename?: 'ContentCategory';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    contentsCount: number;
                    eventsCount: number;
                    votingsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    resourcesCount: number;
                    translations: Array<{
                        __typename?: 'ContentCategoryTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
            };
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        announcements: Array<{
            __typename?: 'Announcement';
            id: string;
            createdAt: string;
            updatedAt: string;
            announceableId: string;
            announceableType?: string | undefined;
            translations: Array<{
                __typename?: 'AnnouncementTranslation';
                id: string;
                locale: string;
                title: string;
                content: string;
            }>;
        }>;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'IdeationMissionTranslation';
            id: string;
            locale: string;
            title: string;
            slug: string;
            preview?: string | undefined;
            description: string;
        }>;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetIdeationMissionsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<IdeationMissionSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetIdeationMissionsForSelectQuery = {
    __typename?: 'Query';
    ideationMissions: {
        __typename?: 'IdeationMissionResolver';
        total: number;
        ideationMissions: Array<{
            __typename?: 'IdeationMission';
            id: string;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }>;
    };
    selectedIdeationMissions: {
        __typename?: 'IdeationMissionResolver';
        total: number;
        ideationMissions: Array<{
            __typename?: 'IdeationMission';
            id: string;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }>;
    };
};
export type GetIdeationMissionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<IdeationMissionFilterInput> | IdeationMissionFilterInput>;
    sort?: InputMaybe<IdeationMissionSortInput>;
}>;
export type GetIdeationMissionsQuery = {
    __typename?: 'Query';
    ideationMissions: {
        __typename?: 'IdeationMissionResolver';
        total: number;
        ideationMissions: Array<{
            __typename?: 'IdeationMission';
            id: string;
            createdAt: string;
            updatedAt: string;
            endsAt: string;
            heroMediumId?: string | undefined;
            ideasCount?: number | undefined;
            status: IdeationMissionStatusEnum;
            publishedAt?: string | undefined;
            distributedAt?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'IdeationMissionTranslation';
                id: string;
                locale: string;
                title: string;
                slug: string;
                preview?: string | undefined;
                description: string;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type GetVotingQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetVotingQuery = {
    __typename?: 'Query';
    voting: {
        __typename?: 'Voting';
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        pinToTop: boolean;
        willBePinned: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        publishedAt?: string | undefined;
        commentsCount?: number | undefined;
        votingType?: VotingTypeEnum | undefined;
        status: VotingStatusEnum;
        endsAt: string;
        heroMediumId?: string | undefined;
        contractAddress?: string | undefined;
        creatorShare?: number | undefined;
        depositShare?: number | undefined;
        distributedAt?: string | undefined;
        unlocksTokensAt?: string | undefined;
        fanvaultShare?: number | undefined;
        operatorShare?: number | undefined;
        notifiedEndsSoonAt?: string | undefined;
        transferredDepositsAt?: string | undefined;
        tokenFixedAmount?: number | undefined;
        tokenMax?: number | undefined;
        tokenMin?: number | undefined;
        previewUrl?: string | undefined;
        pageViews: number;
        contentCategoryId?: string | undefined;
        sponsorId?: string | undefined;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        comments: Array<{
            __typename?: 'Comment';
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            fanvaultShare?: number | undefined;
            operatorAddress?: string | undefined;
            operatorShare?: number | undefined;
            previewUrl?: string | undefined;
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        votingOptions?: Array<{
            __typename?: 'VotingOption';
            id: string;
            createdAt: string;
            updatedAt: string;
            votesCount: number;
            votedTokensCount: number;
            votedUsersCount: number;
            votingId: string;
            translations: Array<{
                __typename?: 'VotingOptionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        }> | undefined;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'VotingTranslation';
            id: string;
            locale: string;
            content?: string | undefined;
            title?: string | undefined;
        }>;
        contentCategory?: {
            __typename?: 'ContentCategory';
            id: string;
            createdAt: string;
            updatedAt: string;
            contentsCount: number;
            eventsCount: number;
            votingsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            resourcesCount: number;
            translations: Array<{
                __typename?: 'ContentCategoryTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetVotingsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filterTitle?: InputMaybe<FilterTextInput>;
    sort?: InputMaybe<VotingSortInput>;
    selectedIds: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type GetVotingsForSelectQuery = {
    __typename?: 'Query';
    votings: {
        __typename?: 'VotingResolver';
        total: number;
        votings: Array<{
            __typename?: 'Voting';
            id: string;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
            }>;
        }>;
    };
    selectedVotings: {
        __typename?: 'VotingResolver';
        total: number;
        votings: Array<{
            __typename?: 'Voting';
            id: string;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
            }>;
        }>;
    };
};
export type GetVotingsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<VotingFilterInput> | VotingFilterInput>;
    sort?: InputMaybe<VotingSortInput>;
}>;
export type GetVotingsQuery = {
    __typename?: 'Query';
    votings: {
        __typename?: 'VotingResolver';
        total: number;
        votings: Array<{
            __typename?: 'Voting';
            id: string;
            createdAt: string;
            updatedAt: string;
            publishedAt?: string | undefined;
            commentsCount?: number | undefined;
            votingType?: VotingTypeEnum | undefined;
            status: VotingStatusEnum;
            endsAt: string;
            heroMediumId?: string | undefined;
            contractAddress?: string | undefined;
            creatorShare?: number | undefined;
            depositShare?: number | undefined;
            distributedAt?: string | undefined;
            unlocksTokensAt?: string | undefined;
            fanvaultShare?: number | undefined;
            operatorShare?: number | undefined;
            notifiedEndsSoonAt?: string | undefined;
            transferredDepositsAt?: string | undefined;
            tokenFixedAmount?: number | undefined;
            tokenMax?: number | undefined;
            tokenMin?: number | undefined;
            previewUrl?: string | undefined;
            pageViews: number;
            contentCategoryId?: string | undefined;
            sponsorId?: string | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'VotingTranslation';
                id: string;
                locale: string;
                content?: string | undefined;
                title?: string | undefined;
            }>;
            contentCategory?: {
                __typename?: 'ContentCategory';
                id: string;
                createdAt: string;
                updatedAt: string;
                contentsCount: number;
                eventsCount: number;
                votingsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                resourcesCount: number;
                translations: Array<{
                    __typename?: 'ContentCategoryTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type PreviewUrlFragment = {
    __typename?: 'PreviewUrl';
    url: string;
    locale: string;
};
export type UgcReportTypeFragment = {
    __typename?: 'UgcReportTyp';
    id: string;
    createdAt: string;
    updatedAt: string;
    hidingTolerance?: number | undefined;
    order?: number | undefined;
    translations: Array<{
        __typename?: 'UgcReportTypeTranslation';
        text?: string | undefined;
        title: string;
        locale: string;
        id: string;
    }>;
};
export type CreateUgcReportTypeMutationVariables = Exact<{
    params: UgcReportTypeInput;
}>;
export type CreateUgcReportTypeMutation = {
    __typename?: 'Mutation';
    createUgcReportType?: {
        __typename?: 'AddUgcReportTypeMutationPayload';
        ugcReportType: {
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        };
    } | undefined;
};
export type UpdateUgcReportTypeMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: UgcReportTypeInput;
}>;
export type UpdateUgcReportTypeMutation = {
    __typename?: 'Mutation';
    updateUgcReportType?: {
        __typename?: 'UpdateUgcReportTypeMutationPayload';
        ugcReportType: {
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        };
    } | undefined;
};
export type GetUgcReportTypeQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetUgcReportTypeQuery = {
    __typename?: 'Query';
    ugcReportType: {
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    };
};
export type GetUgcReportTypesQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<UgcReportTypeFilterInput> | UgcReportTypeFilterInput>;
    sort?: InputMaybe<UgcReportTypeSortInput>;
}>;
export type GetUgcReportTypesQuery = {
    __typename?: 'Query';
    ugcReportTypes: {
        __typename?: 'UgcReportTypeResolver';
        total: number;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
    };
};
export type RestrictionsFragment = {
    __typename?: 'Restrictions';
    allowAppStore: boolean;
    allowBrandControl: boolean;
    allowConnectAnalytics: boolean;
    allowCustomDomain: boolean;
    allowMultiLanguage: boolean;
    allowNativeApp: boolean;
    allowPayments: boolean;
    allowRightsManagement: boolean;
    maxRegisteredUsers?: number | undefined;
};
export type GetRestrictionsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetRestrictionsQuery = {
    __typename?: 'Query';
    restrictions: {
        __typename?: 'Restrictions';
        allowAppStore: boolean;
        allowBrandControl: boolean;
        allowConnectAnalytics: boolean;
        allowCustomDomain: boolean;
        allowMultiLanguage: boolean;
        allowNativeApp: boolean;
        allowPayments: boolean;
        allowRightsManagement: boolean;
        maxRegisteredUsers?: number | undefined;
    };
};
export type SalesStatisticFragment = {
    __typename?: 'SalesStatistic';
    ordersNum: number;
    ordersValue: number;
};
export type GetSalesStatisticsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetSalesStatisticsQuery = {
    __typename?: 'Query';
    salesStatistics: {
        __typename?: 'SalesStatisticResolver';
        monthly: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
        weekly: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
        yearly: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
        mtd: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
        wtd: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
        ytd: {
            __typename?: 'SalesStatistic';
            ordersNum: number;
            ordersValue: number;
        };
    };
};
export type BalanceFragment = {
    __typename?: 'Balance';
    currency: string;
    value: string;
    var: string;
};
export type SystemSettingFragment = {
    __typename?: 'SystemSetting';
    var: string;
    value: string;
};
export type SystemSettingsGroupFragment = {
    __typename?: 'SystemSettingsGroup';
    balances: Array<{
        __typename?: 'Balance';
        currency: string;
        value: string;
        var: string;
    }>;
    settings: Array<{
        __typename?: 'SystemSetting';
        var: string;
        value: string;
    }>;
};
export type DeployCommentBoosterMutationVariables = Exact<{
    [key: string]: never;
}>;
export type DeployCommentBoosterMutation = {
    __typename?: 'Mutation';
    deployCommentBoosterContract?: {
        __typename?: 'DeployCommentBoosterMutationPayload';
        systemSetting: {
            __typename?: 'SystemSetting';
            var: string;
            value: string;
        };
    } | undefined;
};
export type DeployContentBoosterMutationVariables = Exact<{
    [key: string]: never;
}>;
export type DeployContentBoosterMutation = {
    __typename?: 'Mutation';
    deployContentBoosterContract?: {
        __typename?: 'DeployContentBoosterMutationPayload';
        systemSetting: {
            __typename?: 'SystemSetting';
            var: string;
            value: string;
        };
    } | undefined;
};
export type DistributeCommentBoosterMutationVariables = Exact<{
    [key: string]: never;
}>;
export type DistributeCommentBoosterMutation = {
    __typename?: 'Mutation';
    distributeCommentBoosterContract?: {
        __typename?: 'DistributeCommentBoosterMutationPayload';
        message: string;
        status: number;
    } | undefined;
};
export type DistributeContentBoosterMutationVariables = Exact<{
    [key: string]: never;
}>;
export type DistributeContentBoosterMutation = {
    __typename?: 'Mutation';
    distributeContentBoosterContract?: {
        __typename?: 'DistributeContentBoosterMutationPayload';
        message: string;
        status: number;
    } | undefined;
};
export type FundFanVaultsMutationVariables = Exact<{
    fanVault: FanVaultTypeEnum;
}>;
export type FundFanVaultsMutation = {
    __typename?: 'Mutation';
    fundFanVaults?: {
        __typename?: 'FundFanVaultsMutationPayload';
        message: string;
        status: number;
    } | undefined;
};
export type UpsertSystemSettingsMutationVariables = Exact<{
    params: Array<SystemSettingInput> | SystemSettingInput;
}>;
export type UpsertSystemSettingsMutation = {
    __typename?: 'Mutation';
    upsertSystemSettings?: {
        __typename?: 'UpsertSystemSettingsMutationPayload';
        systemSettings: Array<{
            __typename?: 'SystemSetting';
            var: string;
            value: string;
        }>;
    } | undefined;
};
export type GetCommunityChestSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetCommunityChestSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        apDistributionSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        fanVaultSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetFanGroupSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetFanGroupSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        fanGroupSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetGeneralSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetGeneralSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        generalSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        contactAddressSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetNfcSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetNfcSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        nfcSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetShopSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetShopSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        shopSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetTokenContractSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTokenContractSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        tokenContractSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type GetTokenDistributionSettingsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTokenDistributionSettingsQuery = {
    __typename?: 'Query';
    systemSettings: {
        __typename?: 'SystemSettingsResolver';
        commentBoosterSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        contentBoosterSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        contentUnlockerSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        votingBoosterSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        amaSessionSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        ideationMissionSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
        groupPostBoosterSettings: {
            __typename?: 'SystemSettingsGroup';
            balances: Array<{
                __typename?: 'Balance';
                currency: string;
                value: string;
                var: string;
            }>;
            settings: Array<{
                __typename?: 'SystemSetting';
                var: string;
                value: string;
            }>;
        };
    };
};
export type UserOrderLightFragment = {
    __typename?: 'UserOrder';
    id: string;
    orderId: string;
    createdAt: string;
    updatedAt: string;
    invoiceId?: string | undefined;
    invoiceSentAt?: string | undefined;
    orderFulfilledAt?: string | undefined;
    paymentProvider?: string | undefined;
    status?: UserOrderStatusEnum | undefined;
    tokenAmount?: number | undefined;
    nftCount?: number | undefined;
    total?: number | undefined;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
    shopProduct: {
        __typename?: 'ShopProduct';
        id: string;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        } | undefined;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    };
};
export type UserOrderFragment = {
    __typename?: 'UserOrder';
    id: string;
    orderId: string;
    createdAt: string;
    updatedAt: string;
    invoiceId?: string | undefined;
    invoiceSentAt?: string | undefined;
    orderFulfilledAt?: string | undefined;
    paymentProvider?: string | undefined;
    status?: UserOrderStatusEnum | undefined;
    tokenAmount?: number | undefined;
    nftCount?: number | undefined;
    total?: number | undefined;
    payments: Array<{
        __typename?: 'Payment';
        id: string;
        userOrderId: string;
        provider?: string | undefined;
        transactionId?: string | undefined;
        amount?: number | undefined;
        status?: string | undefined;
    }>;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        name: string;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
        verified: boolean;
    };
    shopProduct: {
        __typename?: 'ShopProduct';
        id: string;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        } | undefined;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    };
};
export type PaymentFragment = {
    __typename?: 'Payment';
    id: string;
    userOrderId: string;
    provider?: string | undefined;
    transactionId?: string | undefined;
    amount?: number | undefined;
    status?: string | undefined;
};
export type ShopProductLightFragment = {
    __typename?: 'ShopProduct';
    id: string;
    createdAt: string;
    updatedAt: string;
    webPrice?: number | undefined;
    androidPrice?: number | undefined;
    iosPrice?: number | undefined;
    productType: ShopProductProductTypeEnum;
    webSku?: string | undefined;
    androidSku?: string | undefined;
    iosSku?: string | undefined;
    tokenPrice?: number | undefined;
    tokens?: number | undefined;
    tokensBonus?: number | undefined;
    amountSold: number;
    userOrdersCount: number;
    webTargetVisible?: boolean | undefined;
    androidTargetVisible?: boolean | undefined;
    iosTargetVisible?: boolean | undefined;
    isWeb: boolean;
    isAndroid: boolean;
    isIos: boolean;
    productMediumId?: string | undefined;
    nftId?: string | undefined;
    translations: Array<{
        __typename?: 'ShopProductTranslation';
        id: string;
        locale: string;
        title: string;
        description?: string | undefined;
    }>;
    bucketsCapacity: Array<{
        __typename?: 'NftBucketCapacity';
        id: string;
        capacity: number;
    }>;
    productMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    nft?: {
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    } | undefined;
};
export type ShopProductTranslationFragment = {
    __typename?: 'ShopProductTranslation';
    id: string;
    locale: string;
    title: string;
    description?: string | undefined;
};
export type ShopProductMinimumFragment = {
    __typename?: 'ShopProduct';
    id: string;
    isWeb: boolean;
    isAndroid: boolean;
    isIos: boolean;
    webPrice?: number | undefined;
    androidPrice?: number | undefined;
    iosPrice?: number | undefined;
    productType: ShopProductProductTypeEnum;
    translations: Array<{
        __typename?: 'ShopProductTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
};
export type ShopProductFragment = {
    __typename?: 'ShopProduct';
    nftId?: string | undefined;
    amountSoldInTokens: number;
    amountSoldInFiat: number;
    nftOutOfStock: boolean;
    maxSellable?: number | undefined;
    webPriceTierId?: string | undefined;
    androidPriceTierId?: string | undefined;
    iosPriceTierId?: string | undefined;
    maxPerDay?: number | undefined;
    maxPerDayReached: boolean;
    id: string;
    createdAt: string;
    updatedAt: string;
    webPrice?: number | undefined;
    androidPrice?: number | undefined;
    iosPrice?: number | undefined;
    productType: ShopProductProductTypeEnum;
    webSku?: string | undefined;
    androidSku?: string | undefined;
    iosSku?: string | undefined;
    tokenPrice?: number | undefined;
    tokens?: number | undefined;
    tokensBonus?: number | undefined;
    amountSold: number;
    userOrdersCount: number;
    webTargetVisible?: boolean | undefined;
    androidTargetVisible?: boolean | undefined;
    iosTargetVisible?: boolean | undefined;
    isWeb: boolean;
    isAndroid: boolean;
    isIos: boolean;
    productMediumId?: string | undefined;
    nftBuckets: Array<{
        __typename?: 'NftBucket';
        id: string;
        amount: number;
        name?: string | undefined;
        bucketCapacity: number;
        createdAt: string;
        updatedAt: string;
        nftBucketNfts: Array<{
            __typename?: 'NftBucketNft';
            id: string;
            amountLimit?: number | undefined;
            nftId: string;
            nft: {
                __typename?: 'Nft';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                name: string;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            };
        }>;
    }>;
    nft?: {
        __typename?: 'Nft';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    } | undefined;
    webPriceTier?: {
        __typename?: 'ShopProductTier';
        id: string;
        createdAt: string;
        updatedAt: string;
        name: string;
        price: number;
        sku?: string | undefined;
        targetShop?: ShopProductTargetShopEnum | undefined;
        shopProductsCount: number;
    } | undefined;
    androidPriceTier?: {
        __typename?: 'ShopProductTier';
        id: string;
        createdAt: string;
        updatedAt: string;
        name: string;
        price: number;
        sku?: string | undefined;
        targetShop?: ShopProductTargetShopEnum | undefined;
        shopProductsCount: number;
    } | undefined;
    iosPriceTier?: {
        __typename?: 'ShopProductTier';
        id: string;
        createdAt: string;
        updatedAt: string;
        name: string;
        price: number;
        sku?: string | undefined;
        targetShop?: ShopProductTargetShopEnum | undefined;
        shopProductsCount: number;
    } | undefined;
    translations: Array<{
        __typename?: 'ShopProductTranslation';
        content?: string | undefined;
        successMessage?: string | undefined;
        id: string;
        locale: string;
        title: string;
        description?: string | undefined;
    }>;
    bucketsCapacity: Array<{
        __typename?: 'NftBucketCapacity';
        id: string;
        capacity: number;
    }>;
    productMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
};
export type ShopProductTierFragment = {
    __typename?: 'ShopProductTier';
    id: string;
    createdAt: string;
    updatedAt: string;
    name: string;
    price: number;
    sku?: string | undefined;
    targetShop?: ShopProductTargetShopEnum | undefined;
    shopProductsCount: number;
};
export type CreateShopProductMutationVariables = Exact<{
    params: ShopProductInput;
}>;
export type CreateShopProductMutation = {
    __typename?: 'Mutation';
    createShopProduct?: {
        __typename?: 'AddShopProductMutationPayload';
        shopProduct: {
            __typename?: 'ShopProduct';
            nftId?: string | undefined;
            amountSoldInTokens: number;
            amountSoldInFiat: number;
            nftOutOfStock: boolean;
            maxSellable?: number | undefined;
            webPriceTierId?: string | undefined;
            androidPriceTierId?: string | undefined;
            iosPriceTierId?: string | undefined;
            maxPerDay?: number | undefined;
            maxPerDayReached: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                amount: number;
                name?: string | undefined;
                bucketCapacity: number;
                createdAt: string;
                updatedAt: string;
                nftBucketNfts: Array<{
                    __typename?: 'NftBucketNft';
                    id: string;
                    amountLimit?: number | undefined;
                    nftId: string;
                    nft: {
                        __typename?: 'Nft';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        name: string;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    };
                }>;
            }>;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            } | undefined;
            webPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            androidPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            iosPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                content?: string | undefined;
                successMessage?: string | undefined;
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type CreateShopProductTierMutationVariables = Exact<{
    params: ShopProductTierInput;
}>;
export type CreateShopProductTierMutation = {
    __typename?: 'Mutation';
    createShopProductTier?: {
        __typename?: 'AddShopProductTierMutationPayload';
        shopProductTier: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        };
    } | undefined;
};
export type DeleteShopProductsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteShopProductsMutation = {
    __typename?: 'Mutation';
    deleteShopProducts?: {
        __typename?: 'DeleteShopProductsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteShopProductTiersMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteShopProductTiersMutation = {
    __typename?: 'Mutation';
    deleteShopProductTiers?: {
        __typename?: 'DeleteShopProductTiersMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type UpdateShopProductMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ShopProductInput;
}>;
export type UpdateShopProductMutation = {
    __typename?: 'Mutation';
    updateShopProduct?: {
        __typename?: 'UpdateShopProductMutationPayload';
        shopProduct: {
            __typename?: 'ShopProduct';
            nftId?: string | undefined;
            amountSoldInTokens: number;
            amountSoldInFiat: number;
            nftOutOfStock: boolean;
            maxSellable?: number | undefined;
            webPriceTierId?: string | undefined;
            androidPriceTierId?: string | undefined;
            iosPriceTierId?: string | undefined;
            maxPerDay?: number | undefined;
            maxPerDayReached: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                amount: number;
                name?: string | undefined;
                bucketCapacity: number;
                createdAt: string;
                updatedAt: string;
                nftBucketNfts: Array<{
                    __typename?: 'NftBucketNft';
                    id: string;
                    amountLimit?: number | undefined;
                    nftId: string;
                    nft: {
                        __typename?: 'Nft';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        name: string;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    };
                }>;
            }>;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            } | undefined;
            webPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            androidPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            iosPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                content?: string | undefined;
                successMessage?: string | undefined;
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
        };
    } | undefined;
};
export type UpdateShopProductTierMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ShopProductTierInput;
}>;
export type UpdateShopProductTierMutation = {
    __typename?: 'Mutation';
    updateShopProductTier?: {
        __typename?: 'UpdateShopProductTierMutationPayload';
        shopProductTier: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        };
    } | undefined;
};
export type GetLowNftBucketsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetLowNftBucketsQuery = {
    __typename?: 'Query';
    shopProducts: {
        __typename?: 'ShopProductResolver';
        total: number;
        shopProducts: Array<{
            __typename?: 'ShopProduct';
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
        }>;
    };
};
export type GetUserOrderQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetUserOrderQuery = {
    __typename?: 'Query';
    userOrder: {
        __typename?: 'UserOrder';
        id: string;
        orderId: string;
        createdAt: string;
        updatedAt: string;
        invoiceId?: string | undefined;
        invoiceSentAt?: string | undefined;
        orderFulfilledAt?: string | undefined;
        paymentProvider?: string | undefined;
        status?: UserOrderStatusEnum | undefined;
        tokenAmount?: number | undefined;
        nftCount?: number | undefined;
        total?: number | undefined;
        payments: Array<{
            __typename?: 'Payment';
            id: string;
            userOrderId: string;
            provider?: string | undefined;
            transactionId?: string | undefined;
            amount?: number | undefined;
            status?: string | undefined;
        }>;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        shopProduct: {
            __typename?: 'ShopProduct';
            id: string;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        };
    };
};
export type GetUserOrdersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<UserOrderFilterInput> | UserOrderFilterInput>;
    sort?: InputMaybe<UserOrderSortInput>;
}>;
export type GetUserOrdersQuery = {
    __typename?: 'Query';
    userOrders: {
        __typename?: 'UserOrderResolver';
        total: number;
        userOrders: Array<{
            __typename?: 'UserOrder';
            id: string;
            orderId: string;
            createdAt: string;
            updatedAt: string;
            invoiceId?: string | undefined;
            invoiceSentAt?: string | undefined;
            orderFulfilledAt?: string | undefined;
            paymentProvider?: string | undefined;
            status?: UserOrderStatusEnum | undefined;
            tokenAmount?: number | undefined;
            nftCount?: number | undefined;
            total?: number | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            shopProduct: {
                __typename?: 'ShopProduct';
                id: string;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
        }>;
    };
};
export type GetShopProductQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetShopProductQuery = {
    __typename?: 'Query';
    shopProduct: {
        __typename?: 'ShopProduct';
        nftId?: string | undefined;
        amountSoldInTokens: number;
        amountSoldInFiat: number;
        nftOutOfStock: boolean;
        maxSellable?: number | undefined;
        webPriceTierId?: string | undefined;
        androidPriceTierId?: string | undefined;
        iosPriceTierId?: string | undefined;
        maxPerDay?: number | undefined;
        maxPerDayReached: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        webSku?: string | undefined;
        androidSku?: string | undefined;
        iosSku?: string | undefined;
        tokenPrice?: number | undefined;
        tokens?: number | undefined;
        tokensBonus?: number | undefined;
        amountSold: number;
        userOrdersCount: number;
        webTargetVisible?: boolean | undefined;
        androidTargetVisible?: boolean | undefined;
        iosTargetVisible?: boolean | undefined;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        productMediumId?: string | undefined;
        nftBuckets: Array<{
            __typename?: 'NftBucket';
            id: string;
            amount: number;
            name?: string | undefined;
            bucketCapacity: number;
            createdAt: string;
            updatedAt: string;
            nftBucketNfts: Array<{
                __typename?: 'NftBucketNft';
                id: string;
                amountLimit?: number | undefined;
                nftId: string;
                nft: {
                    __typename?: 'Nft';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    name: string;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                };
            }>;
        }>;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        } | undefined;
        webPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        androidPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        iosPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            content?: string | undefined;
            successMessage?: string | undefined;
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
        }>;
        bucketsCapacity: Array<{
            __typename?: 'NftBucketCapacity';
            id: string;
            capacity: number;
        }>;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
    };
};
export type GetShopProductsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ShopProductFilterInput> | ShopProductFilterInput>;
    sort?: InputMaybe<ShopProductSortInput>;
}>;
export type GetShopProductsQuery = {
    __typename?: 'Query';
    shopProducts: {
        __typename?: 'ShopProductResolver';
        total: number;
        shopProducts: Array<{
            __typename?: 'ShopProduct';
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftId?: string | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
        }>;
    };
};
export type GetShopProductTierQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetShopProductTierQuery = {
    __typename?: 'Query';
    shopProductTier: {
        __typename?: 'ShopProductTier';
        id: string;
        createdAt: string;
        updatedAt: string;
        name: string;
        price: number;
        sku?: string | undefined;
        targetShop?: ShopProductTargetShopEnum | undefined;
        shopProductsCount: number;
    };
};
export type GetShopProductTiersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ShopProductTierFilterInput> | ShopProductTierFilterInput>;
    sort?: InputMaybe<ShopProductTierSortInput>;
}>;
export type GetShopProductTiersQuery = {
    __typename?: 'Query';
    shopProductTiers: {
        __typename?: 'ShopProductTierResolver';
        total: number;
        shopProductTiers: Array<{
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        }>;
    };
};
export type GetVisibleProductsWithNftBucketsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetVisibleProductsWithNftBucketsQuery = {
    __typename?: 'Query';
    shopProducts: {
        __typename?: 'ShopProductResolver';
        total: number;
    };
};
export type SponsorForSelectFragment = {
    __typename?: 'Sponsor';
    id: string;
    name: string;
};
export type SponsorLightFragment = {
    __typename?: 'Sponsor';
    id: string;
    name: string;
    createdAt: string;
    updatedAt: string;
    textColor?: string | undefined;
    bgColor?: string | undefined;
    showBorder: boolean;
    url?: string | undefined;
    sponsorMediumId?: string | undefined;
    sponsorMedium?: {
        __typename?: 'SponsorMedium';
        id: string;
        original?: string | undefined;
        originalTiny?: string | undefined;
        fileName: string;
        dimensions?: any | undefined;
    } | undefined;
    tokenGiveawaysStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftGiveawaysStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    tokenHandoutsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftHandoutsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    customNotificationsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    eventsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    contentsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    votingsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    amaSessionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    ideationMissionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftCollectionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
};
export type SponsorMediumFragment = {
    __typename?: 'SponsorMedium';
    id: string;
    original?: string | undefined;
    originalTiny?: string | undefined;
    fileName: string;
    dimensions?: any | undefined;
};
export type SponsorStatsFragment = {
    __typename?: 'SponsorStats';
    totalActive?: number | undefined;
    totalAmount: number;
    totalCount: number;
    totalTimes: number;
    uniqueSponsorUsers?: number | undefined;
};
export type SponsorFragment = {
    __typename?: 'Sponsor';
    id: string;
    name: string;
    createdAt: string;
    updatedAt: string;
    textColor?: string | undefined;
    bgColor?: string | undefined;
    showBorder: boolean;
    url?: string | undefined;
    sponsorMediumId?: string | undefined;
    sponsorMedium?: {
        __typename?: 'SponsorMedium';
        id: string;
        original?: string | undefined;
        originalTiny?: string | undefined;
        fileName: string;
        dimensions?: any | undefined;
    } | undefined;
    tokenGiveawaysStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftGiveawaysStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    tokenHandoutsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftHandoutsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    customNotificationsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    eventsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    contentsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    votingsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    amaSessionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    ideationMissionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
    nftCollectionsStatistics?: {
        __typename?: 'SponsorStats';
        totalActive?: number | undefined;
        totalAmount: number;
        totalCount: number;
        totalTimes: number;
        uniqueSponsorUsers?: number | undefined;
    } | undefined;
};
export type CreateSponsorMediumMutationVariables = Exact<{
    params: SponsorMediumInput;
}>;
export type CreateSponsorMediumMutation = {
    __typename?: 'Mutation';
    createSponsorMedium?: {
        __typename?: 'AddSponsorMediumMutationPayload';
        sponsorMedium: {
            __typename?: 'SponsorMedium';
            id: string;
            original?: string | undefined;
            originalTiny?: string | undefined;
            fileName: string;
            dimensions?: any | undefined;
        };
    } | undefined;
};
export type CreateSponsorMutationVariables = Exact<{
    params: SponsorInput;
}>;
export type CreateSponsorMutation = {
    __typename?: 'Mutation';
    createSponsor?: {
        __typename?: 'AddSponsorMutationPayload';
        sponsor: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            textColor?: string | undefined;
            bgColor?: string | undefined;
            showBorder: boolean;
            url?: string | undefined;
            sponsorMediumId?: string | undefined;
            sponsorMedium?: {
                __typename?: 'SponsorMedium';
                id: string;
                original?: string | undefined;
                originalTiny?: string | undefined;
                fileName: string;
                dimensions?: any | undefined;
            } | undefined;
            tokenGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            tokenHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            customNotificationsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            eventsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            contentsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            votingsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            amaSessionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            ideationMissionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftCollectionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
        };
    } | undefined;
};
export type DeleteSponsorMediaMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteSponsorMediaMutation = {
    __typename?: 'Mutation';
    deleteSponsorMedia?: {
        __typename?: 'DeleteSponsorMediaMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DeleteSponsorsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteSponsorsMutation = {
    __typename?: 'Mutation';
    deleteSponsors?: {
        __typename?: 'DeleteSponsorsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type UpdateSponsorMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: SponsorInput;
}>;
export type UpdateSponsorMutation = {
    __typename?: 'Mutation';
    updateSponsor?: {
        __typename?: 'UpdateSponsorMutationPayload';
        sponsor: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            textColor?: string | undefined;
            bgColor?: string | undefined;
            showBorder: boolean;
            url?: string | undefined;
            sponsorMediumId?: string | undefined;
            sponsorMedium?: {
                __typename?: 'SponsorMedium';
                id: string;
                original?: string | undefined;
                originalTiny?: string | undefined;
                fileName: string;
                dimensions?: any | undefined;
            } | undefined;
            tokenGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            tokenHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            customNotificationsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            eventsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            contentsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            votingsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            amaSessionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            ideationMissionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftCollectionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
        };
    } | undefined;
};
export type GetSponsorStatisticsQueryVariables = Exact<{
    id: Scalars['ID']['input'];
    filter?: InputMaybe<SponsorStatisticsFilterInput>;
}>;
export type GetSponsorStatisticsQuery = {
    __typename?: 'Query';
    sponsorStatistics: {
        __typename?: 'SponsorStatsCollection';
        nftGiveawaysStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        tokenGiveawaysStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        tokenHandoutsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        nftHandoutsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        customNotificationsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        eventsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        contentsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        votingsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        amaSessionsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        ideationMissionsStatistics: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        };
        nftsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        nftCollectionsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
    };
};
export type GetSponsorQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetSponsorQuery = {
    __typename?: 'Query';
    sponsor: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
        createdAt: string;
        updatedAt: string;
        textColor?: string | undefined;
        bgColor?: string | undefined;
        showBorder: boolean;
        url?: string | undefined;
        sponsorMediumId?: string | undefined;
        sponsorMedium?: {
            __typename?: 'SponsorMedium';
            id: string;
            original?: string | undefined;
            originalTiny?: string | undefined;
            fileName: string;
            dimensions?: any | undefined;
        } | undefined;
        tokenGiveawaysStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        nftGiveawaysStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        tokenHandoutsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        nftHandoutsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        customNotificationsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        eventsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        contentsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        votingsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        amaSessionsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        ideationMissionsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        nftsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
        nftCollectionsStatistics?: {
            __typename?: 'SponsorStats';
            totalActive?: number | undefined;
            totalAmount: number;
            totalCount: number;
            totalTimes: number;
            uniqueSponsorUsers?: number | undefined;
        } | undefined;
    };
};
export type GetSponsorsForSelectQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<SponsorFilterInput> | SponsorFilterInput>;
    sort?: InputMaybe<SponsorSortInput>;
}>;
export type GetSponsorsForSelectQuery = {
    __typename?: 'Query';
    sponsors: {
        __typename?: 'SponsorResolver';
        total: number;
        sponsors: Array<{
            __typename?: 'Sponsor';
            id: string;
            name: string;
        }>;
    };
};
export type GetSponsorsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<SponsorFilterInput> | SponsorFilterInput>;
    sort?: InputMaybe<SponsorSortInput>;
}>;
export type GetSponsorsQuery = {
    __typename?: 'Query';
    sponsors: {
        __typename?: 'SponsorResolver';
        total: number;
        sponsors: Array<{
            __typename?: 'Sponsor';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            textColor?: string | undefined;
            bgColor?: string | undefined;
            showBorder: boolean;
            url?: string | undefined;
            sponsorMediumId?: string | undefined;
            sponsorMedium?: {
                __typename?: 'SponsorMedium';
                id: string;
                original?: string | undefined;
                originalTiny?: string | undefined;
                fileName: string;
                dimensions?: any | undefined;
            } | undefined;
            tokenGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftGiveawaysStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            tokenHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftHandoutsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            customNotificationsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            eventsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            contentsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            votingsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            amaSessionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            ideationMissionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
            nftCollectionsStatistics?: {
                __typename?: 'SponsorStats';
                totalActive?: number | undefined;
                totalAmount: number;
                totalCount: number;
                totalTimes: number;
                uniqueSponsorUsers?: number | undefined;
            } | undefined;
        }>;
    };
};
export type StaticPageLightFragment = {
    __typename?: 'StaticPage';
    id: string;
    createdAt: string;
    updatedAt: string;
    status: StaticPageStatusEnum;
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    commentsCount?: number | undefined;
    isCommentable: boolean;
    pageViews: number;
    lockedSlug: boolean;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    translations: Array<{
        __typename?: 'StaticPageTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
        slug: string;
        metaTitle?: string | undefined;
        metaDescription?: string | undefined;
        body?: string | undefined;
    }>;
};
export type StaticPageTranslationFragment = {
    __typename?: 'StaticPageTranslation';
    id: string;
    locale: string;
    title?: string | undefined;
    slug: string;
    metaTitle?: string | undefined;
    metaDescription?: string | undefined;
    body?: string | undefined;
};
export type StaticPageFragment = {
    __typename?: 'StaticPage';
    onlyForAvailables?: boolean | undefined;
    availabilityType: AvailabilityTypeEnum;
    id: string;
    createdAt: string;
    updatedAt: string;
    status: StaticPageStatusEnum;
    previewToken?: string | undefined;
    previewUrl?: string | undefined;
    commentsCount?: number | undefined;
    isCommentable: boolean;
    pageViews: number;
    lockedSlug: boolean;
    comments: Array<{
        __typename?: 'Comment';
        id: string;
        title?: string | undefined;
        content?: string | undefined;
        createdAt: string;
        updatedAt: string;
        muted?: boolean | undefined;
        commentableId: string;
        commentableTitle?: string | undefined;
        commentableType?: CommentableTypeEnum | undefined;
        commentsCount?: number | undefined;
        boostsAmountCache?: number | undefined;
        likesCount?: number | undefined;
        ugcReportsCount: number;
        reportStatus: ReportableStatusEnum;
        removed?: boolean | undefined;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        }>;
        userMedia: Array<{
            __typename?: 'UserMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: UserMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            filename: string;
        }>;
    }>;
    availabilities?: Array<{
        __typename?: 'Availability';
        availableFor: AvailabilityAvailableForEnum;
        createdAt: string;
        id: string;
        resourceId: string;
        resourceType: string;
        updatedAt: string;
        availabilitiesResources?: Array<{
            __typename?: 'AvailabilitiesResource';
            availabilityId: string;
            id: string;
            createdAt: string;
            updatedAt: string;
            nftId?: string | undefined;
            shopProductId?: string | undefined;
        }> | undefined;
    }> | undefined;
    previewUrls: Array<{
        __typename?: 'PreviewUrl';
        url: string;
        locale: string;
    }>;
    translations: Array<{
        __typename?: 'StaticPageTranslation';
        id: string;
        locale: string;
        title?: string | undefined;
        slug: string;
        metaTitle?: string | undefined;
        metaDescription?: string | undefined;
        body?: string | undefined;
    }>;
};
export type ArchiveStaticPageMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveStaticPageMutation = {
    __typename?: 'Mutation';
    archiveStaticPage?: {
        __typename?: 'ArchiveStaticPageMutationPayload';
        staticPage: {
            __typename?: 'StaticPage';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            id: string;
            createdAt: string;
            updatedAt: string;
            status: StaticPageStatusEnum;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            isCommentable: boolean;
            pageViews: number;
            lockedSlug: boolean;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                body?: string | undefined;
            }>;
        };
    } | undefined;
};
export type CreateStaticPageMutationVariables = Exact<{
    params: StaticPageInput;
}>;
export type CreateStaticPageMutation = {
    __typename?: 'Mutation';
    createStaticPage?: {
        __typename?: 'AddStaticPageMutationPayload';
        staticPage: {
            __typename?: 'StaticPage';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            id: string;
            createdAt: string;
            updatedAt: string;
            status: StaticPageStatusEnum;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            isCommentable: boolean;
            pageViews: number;
            lockedSlug: boolean;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                body?: string | undefined;
            }>;
        };
    } | undefined;
};
export type DeleteStaticPagesMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteStaticPagesMutation = {
    __typename?: 'Mutation';
    deleteStaticPages?: {
        __typename?: 'DeleteStaticPagesMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type PublishStaticPageMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishStaticPageMutation = {
    __typename?: 'Mutation';
    publishStaticPage?: {
        __typename?: 'PublishStaticPageMutationPayload';
        staticPage: {
            __typename?: 'StaticPage';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            id: string;
            createdAt: string;
            updatedAt: string;
            status: StaticPageStatusEnum;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            isCommentable: boolean;
            pageViews: number;
            lockedSlug: boolean;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                body?: string | undefined;
            }>;
        };
    } | undefined;
};
export type UpdateStaticPageMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: StaticPageInput;
}>;
export type UpdateStaticPageMutation = {
    __typename?: 'Mutation';
    updateStaticPage?: {
        __typename?: 'UpdateStaticPageMutationPayload';
        staticPage: {
            __typename?: 'StaticPage';
            onlyForAvailables?: boolean | undefined;
            availabilityType: AvailabilityTypeEnum;
            id: string;
            createdAt: string;
            updatedAt: string;
            status: StaticPageStatusEnum;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            isCommentable: boolean;
            pageViews: number;
            lockedSlug: boolean;
            comments: Array<{
                __typename?: 'Comment';
                id: string;
                title?: string | undefined;
                content?: string | undefined;
                createdAt: string;
                updatedAt: string;
                muted?: boolean | undefined;
                commentableId: string;
                commentableTitle?: string | undefined;
                commentableType?: CommentableTypeEnum | undefined;
                commentsCount?: number | undefined;
                boostsAmountCache?: number | undefined;
                likesCount?: number | undefined;
                ugcReportsCount: number;
                reportStatus: ReportableStatusEnum;
                removed?: boolean | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                nfts: Array<{
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                }>;
                userMedia: Array<{
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                }>;
            }>;
            availabilities?: Array<{
                __typename?: 'Availability';
                availableFor: AvailabilityAvailableForEnum;
                createdAt: string;
                id: string;
                resourceId: string;
                resourceType: string;
                updatedAt: string;
                availabilitiesResources?: Array<{
                    __typename?: 'AvailabilitiesResource';
                    availabilityId: string;
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    nftId?: string | undefined;
                    shopProductId?: string | undefined;
                }> | undefined;
            }> | undefined;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                body?: string | undefined;
            }>;
        };
    } | undefined;
};
export type GetStaticPageQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetStaticPageQuery = {
    __typename?: 'Query';
    staticPage: {
        __typename?: 'StaticPage';
        onlyForAvailables?: boolean | undefined;
        availabilityType: AvailabilityTypeEnum;
        id: string;
        createdAt: string;
        updatedAt: string;
        status: StaticPageStatusEnum;
        previewToken?: string | undefined;
        previewUrl?: string | undefined;
        commentsCount?: number | undefined;
        isCommentable: boolean;
        pageViews: number;
        lockedSlug: boolean;
        comments: Array<{
            __typename?: 'Comment';
            id: string;
            title?: string | undefined;
            content?: string | undefined;
            createdAt: string;
            updatedAt: string;
            muted?: boolean | undefined;
            commentableId: string;
            commentableTitle?: string | undefined;
            commentableType?: CommentableTypeEnum | undefined;
            commentsCount?: number | undefined;
            boostsAmountCache?: number | undefined;
            likesCount?: number | undefined;
            ugcReportsCount: number;
            reportStatus: ReportableStatusEnum;
            removed?: boolean | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            nfts: Array<{
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            }>;
            userMedia: Array<{
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            }>;
        }>;
        availabilities?: Array<{
            __typename?: 'Availability';
            availableFor: AvailabilityAvailableForEnum;
            createdAt: string;
            id: string;
            resourceId: string;
            resourceType: string;
            updatedAt: string;
            availabilitiesResources?: Array<{
                __typename?: 'AvailabilitiesResource';
                availabilityId: string;
                id: string;
                createdAt: string;
                updatedAt: string;
                nftId?: string | undefined;
                shopProductId?: string | undefined;
            }> | undefined;
        }> | undefined;
        previewUrls: Array<{
            __typename?: 'PreviewUrl';
            url: string;
            locale: string;
        }>;
        translations: Array<{
            __typename?: 'StaticPageTranslation';
            id: string;
            locale: string;
            title?: string | undefined;
            slug: string;
            metaTitle?: string | undefined;
            metaDescription?: string | undefined;
            body?: string | undefined;
        }>;
    };
};
export type GetStaticPagesQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<StaticPageFilterInput> | StaticPageFilterInput>;
    sort?: InputMaybe<StaticPageSortInput>;
}>;
export type GetStaticPagesQuery = {
    __typename?: 'Query';
    staticPages: {
        __typename?: 'StaticPageResolver';
        total: number;
        staticPages: Array<{
            __typename?: 'StaticPage';
            id: string;
            createdAt: string;
            updatedAt: string;
            status: StaticPageStatusEnum;
            previewToken?: string | undefined;
            previewUrl?: string | undefined;
            commentsCount?: number | undefined;
            isCommentable: boolean;
            pageViews: number;
            lockedSlug: boolean;
            previewUrls: Array<{
                __typename?: 'PreviewUrl';
                url: string;
                locale: string;
            }>;
            translations: Array<{
                __typename?: 'StaticPageTranslation';
                id: string;
                locale: string;
                title?: string | undefined;
                slug: string;
                metaTitle?: string | undefined;
                metaDescription?: string | undefined;
                body?: string | undefined;
            }>;
        }>;
    };
};
export type TokenHandoutLightFragment = {
    __typename?: 'TokenHandout';
    id: string;
    createdAt: string;
    updatedAt: string;
    handoutAt?: string | undefined;
    skipNotification?: boolean | undefined;
    promptDialog?: boolean | undefined;
    tokenAmount?: number | undefined;
    status: TokenHandoutStatusEnum;
    heroMediumId?: string | undefined;
    sponsorId?: string | undefined;
    tokenHandoutUsersCount: number;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    translations: Array<{
        __typename?: 'TokenHandoutTranslation';
        id: string;
        locale: string;
        title: string;
    }>;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type TokenHandoutTranslationFragment = {
    __typename?: 'TokenHandoutTranslation';
    id: string;
    locale: string;
    title: string;
    message?: string | undefined;
    content?: string | undefined;
    externalLink?: string | undefined;
    ctaText?: string | undefined;
};
export type TokenHandoutUserFragment = {
    __typename?: 'TokenHandoutUser';
    id: string;
    createdAt: string;
    updatedAt: string;
    userId: string;
    tokenHandoutId: string;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type TokenHandoutFragment = {
    __typename?: 'TokenHandout';
    id: string;
    createdAt: string;
    updatedAt: string;
    handoutAt?: string | undefined;
    skipNotification?: boolean | undefined;
    promptDialog?: boolean | undefined;
    tokenAmount?: number | undefined;
    status: TokenHandoutStatusEnum;
    heroMediumId?: string | undefined;
    sponsorId?: string | undefined;
    tokenHandoutUsersCount: number;
    translations: Array<{
        __typename?: 'TokenHandoutTranslation';
        id: string;
        locale: string;
        title: string;
        message?: string | undefined;
        content?: string | undefined;
        externalLink?: string | undefined;
        ctaText?: string | undefined;
    }>;
    userFilter?: Array<{
        __typename?: 'UserFilter';
        locale?: string | undefined;
        reportStatus?: ReportableStatusEnum | undefined;
        search?: string | undefined;
        status?: UserStatusEnum | undefined;
        withReportStatus?: boolean | undefined;
        verified?: boolean | undefined;
        allowPasswordChange?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        biography?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        birthdate?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        city?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmationSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        confirmationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        confirmedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        country?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        createdAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        displayName?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        email?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        fastbillId?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        id?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        initiallyFundedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        notificationToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        nftId?: {
            __typename?: 'FilterId';
            eq?: string | undefined;
            gt?: string | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: string | undefined;
            notEq?: string | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        rememberCreatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordSentAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        resetPasswordToken?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        slug?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        state?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        tokens?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        ugcReportsCount?: {
            __typename?: 'FilterNumber';
            eq?: number | undefined;
            gt?: number | undefined;
            in?: Array<string> | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            lt?: number | undefined;
            notEq?: number | undefined;
            notIn?: Array<string> | undefined;
        } | undefined;
        uid?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        unconfirmedEmail?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        updatedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        walletAddress?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        website?: {
            __typename?: 'FilterText';
            eq?: string | undefined;
            ilike?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            like?: string | undefined;
            notLike?: string | undefined;
            notIlike?: string | undefined;
        } | undefined;
        welcomedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
        verifiedAt?: {
            __typename?: 'FilterDate';
            from?: string | undefined;
            isNotNull?: boolean | undefined;
            isNull?: boolean | undefined;
            until?: string | undefined;
        } | undefined;
    }> | undefined;
    statistics?: {
        __typename?: 'TokenHandoutStats';
        amount?: number | undefined;
        countTrigger?: boolean | undefined;
        id: string;
        numberOfUsers?: number | undefined;
        times?: number | undefined;
    } | undefined;
    heroMedium?: {
        __typename?: 'ContentMedium';
        id: string;
        createdAt: string;
        updatedAt: string;
        mediaType: ContentMediaTypeEnum;
        image?: string | undefined;
        original?: string | undefined;
        thumbnail?: string | undefined;
        externalSrc?: string | undefined;
        mediaSrc?: string | undefined;
        freeTokenTriggersCount: number;
        resourcesCount: number;
        contentsCount: number;
        votingsCount: number;
        menuItemsCount: number;
        ideationMissionsCount: number;
        amaSessionsCount: number;
        nftCollectionsCount: number;
        tokenHandoutsCount: number;
        shopProductsCount: number;
        customNotificationsCount: number;
        eventsCount: number;
        aspectRatio: MediaAspectRatioEnum;
        dimensions?: any | undefined;
        threeqDimensions?: any | undefined;
        oembedData?: {
            __typename?: 'OembedLink';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
        } | {
            __typename?: 'OembedPhoto';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            url: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedRich';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | {
            __typename?: 'OembedVideo';
            version?: string | undefined;
            title?: string | undefined;
            authorName?: string | undefined;
            authorUrl?: string | undefined;
            providerName?: string | undefined;
            providerUrl?: string | undefined;
            thumbnailUrl?: string | undefined;
            thumbnailWidth?: string | undefined;
            thumbnailHeight?: string | undefined;
            type: string;
            html: string;
            width?: number | undefined;
            height?: number | undefined;
        } | undefined;
        translations: Array<{
            __typename?: 'ContentMediumTranslation';
            id: string;
            locale: string;
            title: string;
            subtitle?: string | undefined;
        }>;
    } | undefined;
    sponsor?: {
        __typename?: 'Sponsor';
        id: string;
        name: string;
    } | undefined;
};
export type CreateTokenHandoutMutationVariables = Exact<{
    params: TokenHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type CreateTokenHandoutMutation = {
    __typename?: 'Mutation';
    createTokenHandout?: {
        __typename?: 'AddTokenHandoutMutationPayload';
        tokenHandout: {
            __typename?: 'TokenHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            skipNotification?: boolean | undefined;
            promptDialog?: boolean | undefined;
            tokenAmount?: number | undefined;
            status: TokenHandoutStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            tokenHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'TokenHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'TokenHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type DeleteTokenHandoutsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteTokenHandoutsMutation = {
    __typename?: 'Mutation';
    deleteTokenHandouts?: {
        __typename?: 'DeleteTokenHandoutsMutationPayload';
        status: number;
        deletedIds: Array<string>;
    } | undefined;
};
export type DraftTokenHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftTokenHandoutMutation = {
    __typename?: 'Mutation';
    draftTokenHandout?: {
        __typename?: 'DraftTokenHandoutMutationPayload';
        tokenHandout: {
            __typename?: 'TokenHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            skipNotification?: boolean | undefined;
            promptDialog?: boolean | undefined;
            tokenAmount?: number | undefined;
            status: TokenHandoutStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            tokenHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'TokenHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'TokenHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type PublishTokenHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishTokenHandoutMutation = {
    __typename?: 'Mutation';
    publishTokenHandout?: {
        __typename?: 'PublishTokenHandoutMutationPayload';
        tokenHandout: {
            __typename?: 'TokenHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            skipNotification?: boolean | undefined;
            promptDialog?: boolean | undefined;
            tokenAmount?: number | undefined;
            status: TokenHandoutStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            tokenHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'TokenHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'TokenHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type UpdateTokenHandoutMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: TokenHandoutInput;
    userFilter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
}>;
export type UpdateTokenHandoutMutation = {
    __typename?: 'Mutation';
    updateTokenHandout?: {
        __typename?: 'UpdateTokenHandoutMutationPayload';
        tokenHandout: {
            __typename?: 'TokenHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            skipNotification?: boolean | undefined;
            promptDialog?: boolean | undefined;
            tokenAmount?: number | undefined;
            status: TokenHandoutStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            tokenHandoutUsersCount: number;
            translations: Array<{
                __typename?: 'TokenHandoutTranslation';
                id: string;
                locale: string;
                title: string;
                message?: string | undefined;
                content?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
            userFilter?: Array<{
                __typename?: 'UserFilter';
                locale?: string | undefined;
                reportStatus?: ReportableStatusEnum | undefined;
                search?: string | undefined;
                status?: UserStatusEnum | undefined;
                withReportStatus?: boolean | undefined;
                verified?: boolean | undefined;
                allowPasswordChange?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                biography?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                birthdate?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                city?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmationSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                confirmationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                confirmedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                country?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                createdAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                displayName?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                email?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                fastbillId?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                id?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                initiallyFundedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                notificationToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                nftId?: {
                    __typename?: 'FilterId';
                    eq?: string | undefined;
                    gt?: string | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: string | undefined;
                    notEq?: string | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                rememberCreatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordSentAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                resetPasswordToken?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                slug?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                state?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                tokens?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                ugcReportsCount?: {
                    __typename?: 'FilterNumber';
                    eq?: number | undefined;
                    gt?: number | undefined;
                    in?: Array<string> | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    lt?: number | undefined;
                    notEq?: number | undefined;
                    notIn?: Array<string> | undefined;
                } | undefined;
                uid?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                unconfirmedEmail?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                updatedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                walletAddress?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                website?: {
                    __typename?: 'FilterText';
                    eq?: string | undefined;
                    ilike?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    like?: string | undefined;
                    notLike?: string | undefined;
                    notIlike?: string | undefined;
                } | undefined;
                welcomedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
                verifiedAt?: {
                    __typename?: 'FilterDate';
                    from?: string | undefined;
                    isNotNull?: boolean | undefined;
                    isNull?: boolean | undefined;
                    until?: string | undefined;
                } | undefined;
            }> | undefined;
            statistics?: {
                __typename?: 'TokenHandoutStats';
                amount?: number | undefined;
                countTrigger?: boolean | undefined;
                id: string;
                numberOfUsers?: number | undefined;
                times?: number | undefined;
            } | undefined;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        };
    } | undefined;
};
export type GetTokenHandoutUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<TokenHandoutUserFilterInput> | TokenHandoutUserFilterInput>;
    sort?: InputMaybe<TokenHandoutUserSortInput>;
}>;
export type GetTokenHandoutUsersQuery = {
    __typename?: 'Query';
    tokenHandoutUsers: {
        __typename?: 'TokenHandoutUserResolver';
        total: number;
        tokenHandoutUsers: Array<{
            __typename?: 'TokenHandoutUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            userId: string;
            tokenHandoutId: string;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
    };
};
export type GetTokenHandoutQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetTokenHandoutQuery = {
    __typename?: 'Query';
    tokenHandout: {
        __typename?: 'TokenHandout';
        id: string;
        createdAt: string;
        updatedAt: string;
        handoutAt?: string | undefined;
        skipNotification?: boolean | undefined;
        promptDialog?: boolean | undefined;
        tokenAmount?: number | undefined;
        status: TokenHandoutStatusEnum;
        heroMediumId?: string | undefined;
        sponsorId?: string | undefined;
        tokenHandoutUsersCount: number;
        translations: Array<{
            __typename?: 'TokenHandoutTranslation';
            id: string;
            locale: string;
            title: string;
            message?: string | undefined;
            content?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
        userFilter?: Array<{
            __typename?: 'UserFilter';
            locale?: string | undefined;
            reportStatus?: ReportableStatusEnum | undefined;
            search?: string | undefined;
            status?: UserStatusEnum | undefined;
            withReportStatus?: boolean | undefined;
            verified?: boolean | undefined;
            allowPasswordChange?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            biography?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            birthdate?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            city?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmationSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            confirmationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            confirmedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            country?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            createdAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            displayName?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            email?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            fastbillId?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            id?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            initiallyFundedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            notificationToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            nftId?: {
                __typename?: 'FilterId';
                eq?: string | undefined;
                gt?: string | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: string | undefined;
                notEq?: string | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            rememberCreatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordSentAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            resetPasswordToken?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            slug?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            state?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            tokens?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            ugcReportsCount?: {
                __typename?: 'FilterNumber';
                eq?: number | undefined;
                gt?: number | undefined;
                in?: Array<string> | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                lt?: number | undefined;
                notEq?: number | undefined;
                notIn?: Array<string> | undefined;
            } | undefined;
            uid?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            unconfirmedEmail?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            updatedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            walletAddress?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            website?: {
                __typename?: 'FilterText';
                eq?: string | undefined;
                ilike?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                like?: string | undefined;
                notLike?: string | undefined;
                notIlike?: string | undefined;
            } | undefined;
            welcomedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
            verifiedAt?: {
                __typename?: 'FilterDate';
                from?: string | undefined;
                isNotNull?: boolean | undefined;
                isNull?: boolean | undefined;
                until?: string | undefined;
            } | undefined;
        }> | undefined;
        statistics?: {
            __typename?: 'TokenHandoutStats';
            amount?: number | undefined;
            countTrigger?: boolean | undefined;
            id: string;
            numberOfUsers?: number | undefined;
            times?: number | undefined;
        } | undefined;
        heroMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
    };
};
export type GetTokenHandoutsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<TokenHandoutFilterInput> | TokenHandoutFilterInput>;
    sort?: InputMaybe<TokenHandoutSortInput>;
}>;
export type GetTokenHandoutsQuery = {
    __typename?: 'Query';
    tokenHandouts: {
        __typename?: 'TokenHandoutResolver';
        total: number;
        tokenHandouts: Array<{
            __typename?: 'TokenHandout';
            id: string;
            createdAt: string;
            updatedAt: string;
            handoutAt?: string | undefined;
            skipNotification?: boolean | undefined;
            promptDialog?: boolean | undefined;
            tokenAmount?: number | undefined;
            status: TokenHandoutStatusEnum;
            heroMediumId?: string | undefined;
            sponsorId?: string | undefined;
            tokenHandoutUsersCount: number;
            heroMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'TokenHandoutTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
        }>;
    };
};
export type TokenStatisticFragment = {
    __typename?: 'TokenStatistic';
    month: number;
    year: number;
    tokenBalance: number;
    tokenUsed: number;
    tokenIncluded: number;
    transactionCount: number;
};
export type GetTokenStatisticsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTokenStatisticsQuery = {
    __typename?: 'Query';
    tokenStatistics: Array<{
        __typename?: 'TokenStatistic';
        month: number;
        year: number;
        tokenBalance: number;
        tokenUsed: number;
        tokenIncluded: number;
        transactionCount: number;
    }>;
};
export type TransactionLightFragment = {
    __typename?: 'Transaction';
    id: string;
    amount?: number | undefined;
    eventName?: string | undefined;
    info?: any | undefined;
    createdAt: string;
    updatedAt: string;
    userId: string;
    txStatus: TransactionStatusEnum;
    transactableType?: string | undefined;
    nftCount: number;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    transactable?: {
        __typename?: 'AmaQuestion';
    } | {
        __typename?: 'AmaSession';
    } | {
        __typename?: 'Comment';
    } | {
        __typename?: 'Content';
    } | {
        __typename?: 'FanVaultDistribution';
    } | {
        __typename?: 'FreeTokenTrigger';
    } | {
        __typename?: 'Giveaway';
    } | {
        __typename?: 'GroupPost';
    } | {
        __typename?: 'Idea';
    } | {
        __typename?: 'IdeationMission';
    } | {
        __typename?: 'Nft';
    } | {
        __typename?: 'NftHandout';
    } | {
        __typename?: 'ShopProduct';
        id: string;
        createdAt: string;
        updatedAt: string;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        webSku?: string | undefined;
        androidSku?: string | undefined;
        iosSku?: string | undefined;
        tokenPrice?: number | undefined;
        tokens?: number | undefined;
        tokensBonus?: number | undefined;
        amountSold: number;
        userOrdersCount: number;
        webTargetVisible?: boolean | undefined;
        androidTargetVisible?: boolean | undefined;
        iosTargetVisible?: boolean | undefined;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        productMediumId?: string | undefined;
        nftId?: string | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
        }>;
        bucketsCapacity: Array<{
            __typename?: 'NftBucketCapacity';
            id: string;
            capacity: number;
        }>;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        } | undefined;
    } | {
        __typename?: 'TokenHandout';
    } | {
        __typename?: 'Voting';
    } | {
        __typename?: 'VotingOption';
    } | undefined;
};
export type TransactionFragment = {
    __typename?: 'Transaction';
    id: string;
    amount?: number | undefined;
    eventName?: string | undefined;
    info?: any | undefined;
    createdAt: string;
    updatedAt: string;
    userId: string;
    txStatus: TransactionStatusEnum;
    transactableType?: string | undefined;
    nftCount: number;
    nfts: Array<{
        __typename?: 'Nft';
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountLeft?: number | undefined;
        nftMediumId: string;
        mintedAt?: string | undefined;
        name: string;
        description: string;
        rarity: NftRarityEnum;
        nftCollectionId?: string | undefined;
        sponsorId?: string | undefined;
        visibleInShowroom: boolean;
        showInFeed: boolean;
        shownInFeedAt?: string | undefined;
        nftCollectionOrder?: number | undefined;
        pageViews: number;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
        nftCollection?: {
            __typename?: 'NftCollection';
            id: string;
            translations: Array<{
                __typename?: 'NftCollectionTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        } | undefined;
        collectionSponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        sponsor?: {
            __typename?: 'Sponsor';
            id: string;
            name: string;
        } | undefined;
        translations: Array<{
            __typename?: 'NftTranslation';
            id: string;
            locale: string;
            extendedInfo?: string | undefined;
            externalLink?: string | undefined;
            ctaText?: string | undefined;
        }>;
    }>;
    user: {
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
    transactable?: {
        __typename?: 'AmaQuestion';
    } | {
        __typename?: 'AmaSession';
    } | {
        __typename?: 'Comment';
    } | {
        __typename?: 'Content';
    } | {
        __typename?: 'FanVaultDistribution';
    } | {
        __typename?: 'FreeTokenTrigger';
    } | {
        __typename?: 'Giveaway';
    } | {
        __typename?: 'GroupPost';
    } | {
        __typename?: 'Idea';
    } | {
        __typename?: 'IdeationMission';
    } | {
        __typename?: 'Nft';
    } | {
        __typename?: 'NftHandout';
    } | {
        __typename?: 'ShopProduct';
        id: string;
        createdAt: string;
        updatedAt: string;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        webSku?: string | undefined;
        androidSku?: string | undefined;
        iosSku?: string | undefined;
        tokenPrice?: number | undefined;
        tokens?: number | undefined;
        tokensBonus?: number | undefined;
        amountSold: number;
        userOrdersCount: number;
        webTargetVisible?: boolean | undefined;
        androidTargetVisible?: boolean | undefined;
        iosTargetVisible?: boolean | undefined;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        productMediumId?: string | undefined;
        nftId?: string | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
        }>;
        bucketsCapacity: Array<{
            __typename?: 'NftBucketCapacity';
            id: string;
            capacity: number;
        }>;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
        } | undefined;
    } | {
        __typename?: 'TokenHandout';
    } | {
        __typename?: 'Voting';
    } | {
        __typename?: 'VotingOption';
    } | undefined;
};
export type GetTransactionQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetTransactionQuery = {
    __typename?: 'Query';
    transaction: {
        __typename?: 'Transaction';
        id: string;
        amount?: number | undefined;
        eventName?: string | undefined;
        info?: any | undefined;
        createdAt: string;
        updatedAt: string;
        userId: string;
        txStatus: TransactionStatusEnum;
        transactableType?: string | undefined;
        nftCount: number;
        nfts: Array<{
            __typename?: 'Nft';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            name: string;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
        transactable?: {
            __typename?: 'AmaQuestion';
        } | {
            __typename?: 'AmaSession';
        } | {
            __typename?: 'Comment';
        } | {
            __typename?: 'Content';
        } | {
            __typename?: 'FanVaultDistribution';
        } | {
            __typename?: 'FreeTokenTrigger';
        } | {
            __typename?: 'Giveaway';
        } | {
            __typename?: 'GroupPost';
        } | {
            __typename?: 'Idea';
        } | {
            __typename?: 'IdeationMission';
        } | {
            __typename?: 'Nft';
        } | {
            __typename?: 'NftHandout';
        } | {
            __typename?: 'ShopProduct';
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftId?: string | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
        } | {
            __typename?: 'TokenHandout';
        } | {
            __typename?: 'Voting';
        } | {
            __typename?: 'VotingOption';
        } | undefined;
    };
};
export type GetTransactionsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<TransactionFilterInput> | TransactionFilterInput>;
    sort?: InputMaybe<TransactionSortInput>;
}>;
export type GetTransactionsQuery = {
    __typename?: 'Query';
    transactions: {
        __typename?: 'TransactionResolver';
        total: number;
        transactions: Array<{
            __typename?: 'Transaction';
            id: string;
            amount?: number | undefined;
            eventName?: string | undefined;
            info?: any | undefined;
            createdAt: string;
            updatedAt: string;
            userId: string;
            txStatus: TransactionStatusEnum;
            transactableType?: string | undefined;
            nftCount: number;
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            transactable?: {
                __typename?: 'AmaQuestion';
            } | {
                __typename?: 'AmaSession';
            } | {
                __typename?: 'Comment';
            } | {
                __typename?: 'Content';
            } | {
                __typename?: 'FanVaultDistribution';
            } | {
                __typename?: 'FreeTokenTrigger';
            } | {
                __typename?: 'Giveaway';
            } | {
                __typename?: 'GroupPost';
            } | {
                __typename?: 'Idea';
            } | {
                __typename?: 'IdeationMission';
            } | {
                __typename?: 'Nft';
            } | {
                __typename?: 'NftHandout';
            } | {
                __typename?: 'ShopProduct';
                id: string;
                createdAt: string;
                updatedAt: string;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                webSku?: string | undefined;
                androidSku?: string | undefined;
                iosSku?: string | undefined;
                tokenPrice?: number | undefined;
                tokens?: number | undefined;
                tokensBonus?: number | undefined;
                amountSold: number;
                userOrdersCount: number;
                webTargetVisible?: boolean | undefined;
                androidTargetVisible?: boolean | undefined;
                iosTargetVisible?: boolean | undefined;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                productMediumId?: string | undefined;
                nftId?: string | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                }>;
                bucketsCapacity: Array<{
                    __typename?: 'NftBucketCapacity';
                    id: string;
                    capacity: number;
                }>;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
            } | {
                __typename?: 'TokenHandout';
            } | {
                __typename?: 'Voting';
            } | {
                __typename?: 'VotingOption';
            } | undefined;
        }>;
    };
};
export type TriggerEventFragment = {
    __typename?: 'TriggerEvent';
    forResource?: GiveawayEventResourceTypeEnum | undefined;
    name: TriggerEventTypeEnum;
    supportsThreshold: boolean;
    supportsUserLimit: boolean;
    forceGiveaway?: boolean | undefined;
    priority?: string | undefined;
};
export type GetTriggerEventsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetTriggerEventsQuery = {
    __typename?: 'Query';
    triggerEvents: Array<{
        __typename?: 'TriggerEvent';
        forResource?: GiveawayEventResourceTypeEnum | undefined;
        name: TriggerEventTypeEnum;
        supportsThreshold: boolean;
        supportsUserLimit: boolean;
        forceGiveaway?: boolean | undefined;
        priority?: string | undefined;
    }>;
};
export type UserGiveawayFragment = {
    __typename?: 'UserGiveaway';
    id: string;
    createdAt: string;
    tokens?: number | undefined;
    giveaway: {
        __typename?: 'Giveaway';
        id: string;
        giveawayType: GiveawayTypeEnum;
        translations: Array<{
            __typename?: 'GiveawayTranslation';
            id: string;
            locale: string;
            title: string;
        }>;
    };
    nft?: {
        __typename?: 'Nft';
        id: string;
        name: string;
        nftMedium: {
            __typename?: 'NftMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: NftMediaTypeEnum;
            mediaSrc?: string | undefined;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            nftsCount: number;
            fileName: string;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
        };
    } | undefined;
    user: {
        __typename?: 'User';
        id: string;
        displayName: string;
    };
    giveawayEvent: {
        __typename?: 'GiveawayEvent';
        id: string;
        eventType: TriggerEventTypeEnum;
    };
};
export type GetUserGiveawaysQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<UserGiveawayFilterInput> | UserGiveawayFilterInput>;
    sort?: InputMaybe<UserGiveawaySortInput>;
}>;
export type GetUserGiveawaysQuery = {
    __typename?: 'Query';
    userGiveaways: {
        __typename?: 'UserGiveawayResolver';
        total: number;
        userGiveaways: Array<{
            __typename?: 'UserGiveaway';
            id: string;
            createdAt: string;
            tokens?: number | undefined;
            giveaway: {
                __typename?: 'Giveaway';
                id: string;
                giveawayType: GiveawayTypeEnum;
                translations: Array<{
                    __typename?: 'GiveawayTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
            };
            giveawayEvent: {
                __typename?: 'GiveawayEvent';
                id: string;
                eventType: TriggerEventTypeEnum;
            };
        }>;
    };
};
export type UserMediumFragment = {
    __typename?: 'UserMedium';
    id: string;
    createdAt: string;
    updatedAt: string;
    mediaType: UserMediaTypeEnum;
    image?: string | undefined;
    original?: string | undefined;
    thumbnail?: string | undefined;
    filename: string;
};
export type FilterDateFragment = {
    __typename?: 'FilterDate';
    from?: string | undefined;
    isNotNull?: boolean | undefined;
    isNull?: boolean | undefined;
    until?: string | undefined;
};
export type FilterIdFragment = {
    __typename?: 'FilterId';
    eq?: string | undefined;
    gt?: string | undefined;
    in?: Array<string> | undefined;
    isNotNull?: boolean | undefined;
    isNull?: boolean | undefined;
    lt?: string | undefined;
    notEq?: string | undefined;
    notIn?: Array<string> | undefined;
};
export type FilterNumberFragment = {
    __typename?: 'FilterNumber';
    eq?: number | undefined;
    gt?: number | undefined;
    in?: Array<string> | undefined;
    isNotNull?: boolean | undefined;
    isNull?: boolean | undefined;
    lt?: number | undefined;
    notEq?: number | undefined;
    notIn?: Array<string> | undefined;
};
export type FilterTextFragment = {
    __typename?: 'FilterText';
    eq?: string | undefined;
    ilike?: string | undefined;
    isNotNull?: boolean | undefined;
    isNull?: boolean | undefined;
    like?: string | undefined;
    notLike?: string | undefined;
    notIlike?: string | undefined;
};
export type ProfileFieldOptionFragment = {
    __typename?: 'ProfileFieldOption';
    id: string;
    createdAt: string;
    updatedAt: string;
    order?: number | undefined;
    profileFieldId: string;
    translations: Array<{
        __typename?: 'ProfileFieldOptionTranslation';
        id: string;
        label: string;
        locale: string;
    }>;
};
export type ProfileFieldFragment = {
    __typename?: 'ProfileField';
    id: string;
    createdAt: string;
    updatedAt: string;
    inputType: ProfileFieldInputTypeEnum;
    isMulti: boolean;
    order?: number | undefined;
    publiclyVisible: boolean;
    status: ProfileFieldStatusEnum;
    formKey: string;
    profileFieldOptions: Array<{
        __typename?: 'ProfileFieldOption';
        id: string;
        createdAt: string;
        updatedAt: string;
        order?: number | undefined;
        profileFieldId: string;
        translations: Array<{
            __typename?: 'ProfileFieldOptionTranslation';
            id: string;
            label: string;
            locale: string;
        }>;
    }>;
    translations: Array<{
        __typename?: 'ProfileFieldTranslation';
        hint?: string | undefined;
        id: string;
        locale: string;
        name: string;
    }>;
};
export type UserFilterFragment = {
    __typename?: 'UserFilter';
    locale?: string | undefined;
    reportStatus?: ReportableStatusEnum | undefined;
    search?: string | undefined;
    status?: UserStatusEnum | undefined;
    withReportStatus?: boolean | undefined;
    verified?: boolean | undefined;
    allowPasswordChange?: {
        __typename?: 'FilterNumber';
        eq?: number | undefined;
        gt?: number | undefined;
        in?: Array<string> | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        lt?: number | undefined;
        notEq?: number | undefined;
        notIn?: Array<string> | undefined;
    } | undefined;
    biography?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    birthdate?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    city?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    confirmationSentAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    confirmationToken?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    confirmedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    country?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    createdAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    displayName?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    email?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    fastbillId?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    id?: {
        __typename?: 'FilterId';
        eq?: string | undefined;
        gt?: string | undefined;
        in?: Array<string> | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        lt?: string | undefined;
        notEq?: string | undefined;
        notIn?: Array<string> | undefined;
    } | undefined;
    initiallyFundedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    notificationToken?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    nftId?: {
        __typename?: 'FilterId';
        eq?: string | undefined;
        gt?: string | undefined;
        in?: Array<string> | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        lt?: string | undefined;
        notEq?: string | undefined;
        notIn?: Array<string> | undefined;
    } | undefined;
    rememberCreatedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    resetPasswordSentAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    resetPasswordToken?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    slug?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    state?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    tokens?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    ugcReportsCount?: {
        __typename?: 'FilterNumber';
        eq?: number | undefined;
        gt?: number | undefined;
        in?: Array<string> | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        lt?: number | undefined;
        notEq?: number | undefined;
        notIn?: Array<string> | undefined;
    } | undefined;
    uid?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    unconfirmedEmail?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    updatedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    walletAddress?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    website?: {
        __typename?: 'FilterText';
        eq?: string | undefined;
        ilike?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        like?: string | undefined;
        notLike?: string | undefined;
        notIlike?: string | undefined;
    } | undefined;
    welcomedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
    verifiedAt?: {
        __typename?: 'FilterDate';
        from?: string | undefined;
        isNotNull?: boolean | undefined;
        isNull?: boolean | undefined;
        until?: string | undefined;
    } | undefined;
};
export type UserLightFragment = {
    __typename?: 'User';
    id: string;
    uid: string;
    email: string;
    displayName: string;
    createdAt: string;
    updatedAt: string;
    lastDayActive?: string | undefined;
    subscriptionAutorenewalActive?: boolean | undefined;
    subscriptionValidUntil?: string | undefined;
    status: UserStatusEnum;
    slug: string;
    reportStatus: ReportableStatusEnum;
    ugcReportsCount: number;
    deviceTypes?: Array<string> | undefined;
    verified: boolean;
    avatar?: {
        __typename?: 'UserMedium';
        image?: string | undefined;
        thumbnail?: string | undefined;
    } | undefined;
};
export type UserProfileFieldFragment = {
    __typename?: 'UserProfileField';
    id: string;
    createdAt: string;
    updatedAt: string;
    profileFieldId: string;
    userPubliclyVisible?: boolean | undefined;
    value?: string | undefined;
    valueType: UserProfileFieldValueTypeEnum;
    profileField: {
        __typename?: 'ProfileField';
        id: string;
        createdAt: string;
        updatedAt: string;
        inputType: ProfileFieldInputTypeEnum;
        isMulti: boolean;
        order?: number | undefined;
        publiclyVisible: boolean;
        status: ProfileFieldStatusEnum;
        formKey: string;
        profileFieldOptions: Array<{
            __typename?: 'ProfileFieldOption';
            id: string;
            createdAt: string;
            updatedAt: string;
            order?: number | undefined;
            profileFieldId: string;
            translations: Array<{
                __typename?: 'ProfileFieldOptionTranslation';
                id: string;
                label: string;
                locale: string;
            }>;
        }>;
        translations: Array<{
            __typename?: 'ProfileFieldTranslation';
            hint?: string | undefined;
            id: string;
            locale: string;
            name: string;
        }>;
    };
};
export type UserFragment = {
    __typename?: 'User';
    unconfirmedEmail?: string | undefined;
    walletAddress?: string | undefined;
    confirmedAt?: string | undefined;
    locale: string;
    country?: string | undefined;
    city?: string | undefined;
    countryName?: string | undefined;
    state?: string | undefined;
    stateName?: string | undefined;
    biography?: string | undefined;
    website?: string | undefined;
    phoneNumber?: string | undefined;
    birthdate?: string | undefined;
    previewUrl: string;
    verified: boolean;
    verifiedAt?: string | undefined;
    timezone?: string | undefined;
    initiallyFundedAt?: string | undefined;
    id: string;
    uid: string;
    email: string;
    displayName: string;
    createdAt: string;
    updatedAt: string;
    lastDayActive?: string | undefined;
    subscriptionAutorenewalActive?: boolean | undefined;
    subscriptionValidUntil?: string | undefined;
    status: UserStatusEnum;
    slug: string;
    reportStatus: ReportableStatusEnum;
    ugcReportsCount: number;
    deviceTypes?: Array<string> | undefined;
    heroMedium?: {
        __typename?: 'UserMedium';
        image?: string | undefined;
        thumbnail?: string | undefined;
    } | undefined;
    blockedUsers: Array<{
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    }>;
    blockingUsers: Array<{
        __typename?: 'User';
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        verified: boolean;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    }>;
    currentBalance: {
        __typename?: 'Balance';
        currency: string;
        var: string;
        value: string;
    };
    currentEthBalance: {
        __typename?: 'Balance';
        currency: string;
        var: string;
        value: string;
    };
    subscriptionCurrentUserOrder?: {
        __typename?: 'UserOrder';
        id: string;
        orderId: string;
        createdAt: string;
        updatedAt: string;
        invoiceId?: string | undefined;
        invoiceSentAt?: string | undefined;
        orderFulfilledAt?: string | undefined;
        paymentProvider?: string | undefined;
        status?: UserOrderStatusEnum | undefined;
        tokenAmount?: number | undefined;
        nftCount?: number | undefined;
        total?: number | undefined;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
        shopProduct: {
            __typename?: 'ShopProduct';
            id: string;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
            } | undefined;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                id: string;
                locale: string;
                title: string;
            }>;
        };
    } | undefined;
    subscriptionProduct?: {
        __typename?: 'ShopProduct';
        nftId?: string | undefined;
        amountSoldInTokens: number;
        amountSoldInFiat: number;
        nftOutOfStock: boolean;
        maxSellable?: number | undefined;
        webPriceTierId?: string | undefined;
        androidPriceTierId?: string | undefined;
        iosPriceTierId?: string | undefined;
        maxPerDay?: number | undefined;
        maxPerDayReached: boolean;
        id: string;
        createdAt: string;
        updatedAt: string;
        webPrice?: number | undefined;
        androidPrice?: number | undefined;
        iosPrice?: number | undefined;
        productType: ShopProductProductTypeEnum;
        webSku?: string | undefined;
        androidSku?: string | undefined;
        iosSku?: string | undefined;
        tokenPrice?: number | undefined;
        tokens?: number | undefined;
        tokensBonus?: number | undefined;
        amountSold: number;
        userOrdersCount: number;
        webTargetVisible?: boolean | undefined;
        androidTargetVisible?: boolean | undefined;
        iosTargetVisible?: boolean | undefined;
        isWeb: boolean;
        isAndroid: boolean;
        isIos: boolean;
        productMediumId?: string | undefined;
        nftBuckets: Array<{
            __typename?: 'NftBucket';
            id: string;
            amount: number;
            name?: string | undefined;
            bucketCapacity: number;
            createdAt: string;
            updatedAt: string;
            nftBucketNfts: Array<{
                __typename?: 'NftBucketNft';
                id: string;
                amountLimit?: number | undefined;
                nftId: string;
                nft: {
                    __typename?: 'Nft';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    name: string;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                };
            }>;
        }>;
        nft?: {
            __typename?: 'Nft';
            id: string;
            name: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountLeft?: number | undefined;
            nftMediumId: string;
            mintedAt?: string | undefined;
            description: string;
            rarity: NftRarityEnum;
            nftCollectionId?: string | undefined;
            sponsorId?: string | undefined;
            visibleInShowroom: boolean;
            showInFeed: boolean;
            shownInFeedAt?: string | undefined;
            nftCollectionOrder?: number | undefined;
            pageViews: number;
            nftMedium: {
                __typename?: 'NftMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: NftMediaTypeEnum;
                mediaSrc?: string | undefined;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                nftsCount: number;
                fileName: string;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
            };
            nftCollection?: {
                __typename?: 'NftCollection';
                id: string;
                translations: Array<{
                    __typename?: 'NftCollectionTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            } | undefined;
            collectionSponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            sponsor?: {
                __typename?: 'Sponsor';
                id: string;
                name: string;
            } | undefined;
            translations: Array<{
                __typename?: 'NftTranslation';
                id: string;
                locale: string;
                extendedInfo?: string | undefined;
                externalLink?: string | undefined;
                ctaText?: string | undefined;
            }>;
        } | undefined;
        webPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        androidPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        iosPriceTier?: {
            __typename?: 'ShopProductTier';
            id: string;
            createdAt: string;
            updatedAt: string;
            name: string;
            price: number;
            sku?: string | undefined;
            targetShop?: ShopProductTargetShopEnum | undefined;
            shopProductsCount: number;
        } | undefined;
        translations: Array<{
            __typename?: 'ShopProductTranslation';
            content?: string | undefined;
            successMessage?: string | undefined;
            id: string;
            locale: string;
            title: string;
            description?: string | undefined;
        }>;
        bucketsCapacity: Array<{
            __typename?: 'NftBucketCapacity';
            id: string;
            capacity: number;
        }>;
        productMedium?: {
            __typename?: 'ContentMedium';
            id: string;
            createdAt: string;
            updatedAt: string;
            mediaType: ContentMediaTypeEnum;
            image?: string | undefined;
            original?: string | undefined;
            thumbnail?: string | undefined;
            externalSrc?: string | undefined;
            mediaSrc?: string | undefined;
            freeTokenTriggersCount: number;
            resourcesCount: number;
            contentsCount: number;
            votingsCount: number;
            menuItemsCount: number;
            ideationMissionsCount: number;
            amaSessionsCount: number;
            nftCollectionsCount: number;
            tokenHandoutsCount: number;
            shopProductsCount: number;
            customNotificationsCount: number;
            eventsCount: number;
            aspectRatio: MediaAspectRatioEnum;
            dimensions?: any | undefined;
            threeqDimensions?: any | undefined;
            oembedData?: {
                __typename?: 'OembedLink';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
            } | {
                __typename?: 'OembedPhoto';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                url: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedRich';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | {
                __typename?: 'OembedVideo';
                version?: string | undefined;
                title?: string | undefined;
                authorName?: string | undefined;
                authorUrl?: string | undefined;
                providerName?: string | undefined;
                providerUrl?: string | undefined;
                thumbnailUrl?: string | undefined;
                thumbnailWidth?: string | undefined;
                thumbnailHeight?: string | undefined;
                type: string;
                html: string;
                width?: number | undefined;
                height?: number | undefined;
            } | undefined;
            translations: Array<{
                __typename?: 'ContentMediumTranslation';
                id: string;
                locale: string;
                title: string;
                subtitle?: string | undefined;
            }>;
        } | undefined;
    } | undefined;
    audits: Array<{
        __typename?: 'Audit';
        auditedChanges: any;
        auditableId: string;
        auditableType?: string | undefined;
        id: string;
        version?: number | undefined;
        createdAt: string;
        userId?: string | undefined;
        userType?: string | undefined;
    }>;
    ugcReportTypes?: Array<{
        __typename?: 'UgcReportTyp';
        id: string;
        createdAt: string;
        updatedAt: string;
        hidingTolerance?: number | undefined;
        order?: number | undefined;
        translations: Array<{
            __typename?: 'UgcReportTypeTranslation';
            text?: string | undefined;
            title: string;
            locale: string;
            id: string;
        }>;
    }> | undefined;
    ugcReports: Array<{
        __typename?: 'UgcReport';
        id: string;
        createdAt: string;
        updatedAt: string;
        reportableId: string;
        reportableType?: UgcReportableTypeEnum | undefined;
        reportableTitle?: string | undefined;
        status: UgcReportStatusEnum;
        ugcReportTypes: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }>;
        user: {
            __typename?: 'User';
            id: string;
            displayName: string;
            verified: boolean;
        };
    }>;
    nftUsers: Array<{
        __typename?: 'NftUser';
        id: string;
        createdAt: string;
        updatedAt: string;
        amount: number;
        amountFrozen: number;
        amountBurnt: number;
        nftId: string;
        publiclyVisible?: boolean | undefined;
        nft: {
            __typename?: 'Nft';
            id: string;
            name: string;
        };
    }>;
    userProfileFields: Array<{
        __typename?: 'UserProfileField';
        id: string;
        createdAt: string;
        updatedAt: string;
        profileFieldId: string;
        userPubliclyVisible?: boolean | undefined;
        value?: string | undefined;
        valueType: UserProfileFieldValueTypeEnum;
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    }>;
    fanGroupUsers: Array<{
        __typename?: 'FanGroupUser';
        id: string;
        createdAt: string;
        updatedAt: string;
        leftAt?: string | undefined;
        blockedAt?: string | undefined;
        rejectedAt?: string | undefined;
        canceledAt?: string | undefined;
        activatedAt?: string | undefined;
        status: FanGroupUserStatusEnum;
        role: FanGroupUserRoleEnum;
        userId: string;
        fanGroupId: string;
        fanGroup: {
            __typename?: 'FanGroup';
            id: string;
            name: string;
            city?: string | undefined;
            state?: string | undefined;
            country?: string | undefined;
            createdAt: string;
            updatedAt: string;
            groupPurpose?: string | undefined;
            groupAdminId: string;
            isVerified?: boolean | undefined;
            archived?: boolean | undefined;
            acceptanceStatus: FanGroupAcceptanceStatusEnum;
            heroMediumId?: string | undefined;
            groupProfileMediumId?: string | undefined;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            activeFanGroupUsersCount: number;
            pendingFanGroupUsersCount: number;
            accessType: FanGroupAccessTypeEnum;
            postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
            visibilityType: FanGroupVisibilityTypeEnum;
            pageViews: number;
            groupAdmin: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
            heroMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
            groupProfileMedium?: {
                __typename?: 'UserMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: UserMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                filename: string;
            } | undefined;
        };
        user: {
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
    }>;
    avatar?: {
        __typename?: 'UserMedium';
        image?: string | undefined;
        thumbnail?: string | undefined;
    } | undefined;
};
export type ArchiveProfileFieldMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type ArchiveProfileFieldMutation = {
    __typename?: 'Mutation';
    archiveProfileField?: {
        __typename?: 'ArchiveProfileFieldMutationPayload';
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    } | undefined;
};
export type CreateProfileFieldMutationVariables = Exact<{
    params: ProfileFieldInput;
}>;
export type CreateProfileFieldMutation = {
    __typename?: 'Mutation';
    createProfileField?: {
        __typename?: 'AddProfileFieldMutationPayload';
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    } | undefined;
};
export type DeleteProfileFieldsMutationVariables = Exact<{
    ids: Array<Scalars['ID']['input']> | Scalars['ID']['input'];
}>;
export type DeleteProfileFieldsMutation = {
    __typename?: 'Mutation';
    deleteProfileFields?: {
        __typename?: 'DeleteProfileFieldsMutationPayload';
        deletedIds: Array<string>;
        status: number;
    } | undefined;
};
export type DraftProfileFieldMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type DraftProfileFieldMutation = {
    __typename?: 'Mutation';
    draftProfileField?: {
        __typename?: 'DraftProfileFieldMutationPayload';
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    } | undefined;
};
export type InviteUserMutationVariables = Exact<{
    inviterId: Scalars['ID']['input'];
    emailAddress: Scalars['String']['input'];
}>;
export type InviteUserMutation = {
    __typename?: 'Mutation';
    inviteUser?: {
        __typename?: 'InviteUserMutationPayload';
        ok: boolean;
    } | undefined;
};
export type PublishProfileFieldMutationVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type PublishProfileFieldMutation = {
    __typename?: 'Mutation';
    publishProfileField?: {
        __typename?: 'PublishProfileFieldMutationPayload';
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    } | undefined;
};
export type UpdateProfileFieldMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: ProfileFieldInput;
}>;
export type UpdateProfileFieldMutation = {
    __typename?: 'Mutation';
    updateProfileField?: {
        __typename?: 'UpdateProfileFieldMutationPayload';
        profileField: {
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        };
    } | undefined;
};
export type UpdateProfileFieldsMutationVariables = Exact<{
    params: Array<ProfileFieldInput> | ProfileFieldInput;
}>;
export type UpdateProfileFieldsMutation = {
    __typename?: 'Mutation';
    updateProfileFields?: {
        __typename?: 'UpdateProfileFieldsMutationPayload';
        profileFields: Array<{
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        }>;
    } | undefined;
};
export type UpdateUserMutationVariables = Exact<{
    id: Scalars['ID']['input'];
    params: UserInput;
}>;
export type UpdateUserMutation = {
    __typename?: 'Mutation';
    updateUser?: {
        __typename?: 'UpdateUserMutationPayload';
        user: {
            __typename?: 'User';
            unconfirmedEmail?: string | undefined;
            walletAddress?: string | undefined;
            confirmedAt?: string | undefined;
            locale: string;
            country?: string | undefined;
            city?: string | undefined;
            countryName?: string | undefined;
            state?: string | undefined;
            stateName?: string | undefined;
            biography?: string | undefined;
            website?: string | undefined;
            phoneNumber?: string | undefined;
            birthdate?: string | undefined;
            previewUrl: string;
            verified: boolean;
            verifiedAt?: string | undefined;
            timezone?: string | undefined;
            initiallyFundedAt?: string | undefined;
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            heroMedium?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
            blockedUsers: Array<{
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            }>;
            blockingUsers: Array<{
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            }>;
            currentBalance: {
                __typename?: 'Balance';
                currency: string;
                var: string;
                value: string;
            };
            currentEthBalance: {
                __typename?: 'Balance';
                currency: string;
                var: string;
                value: string;
            };
            subscriptionCurrentUserOrder?: {
                __typename?: 'UserOrder';
                id: string;
                orderId: string;
                createdAt: string;
                updatedAt: string;
                invoiceId?: string | undefined;
                invoiceSentAt?: string | undefined;
                orderFulfilledAt?: string | undefined;
                paymentProvider?: string | undefined;
                status?: UserOrderStatusEnum | undefined;
                tokenAmount?: number | undefined;
                nftCount?: number | undefined;
                total?: number | undefined;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
                shopProduct: {
                    __typename?: 'ShopProduct';
                    id: string;
                    isWeb: boolean;
                    isAndroid: boolean;
                    isIos: boolean;
                    webPrice?: number | undefined;
                    androidPrice?: number | undefined;
                    iosPrice?: number | undefined;
                    productType: ShopProductProductTypeEnum;
                    nft?: {
                        __typename?: 'Nft';
                        id: string;
                        name: string;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                    } | undefined;
                    productMedium?: {
                        __typename?: 'ContentMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: ContentMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        externalSrc?: string | undefined;
                        mediaSrc?: string | undefined;
                        freeTokenTriggersCount: number;
                        resourcesCount: number;
                        contentsCount: number;
                        votingsCount: number;
                        menuItemsCount: number;
                        ideationMissionsCount: number;
                        amaSessionsCount: number;
                        nftCollectionsCount: number;
                        tokenHandoutsCount: number;
                        shopProductsCount: number;
                        customNotificationsCount: number;
                        eventsCount: number;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                        oembedData?: {
                            __typename?: 'OembedLink';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                        } | {
                            __typename?: 'OembedPhoto';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            url: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedRich';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | {
                            __typename?: 'OembedVideo';
                            version?: string | undefined;
                            title?: string | undefined;
                            authorName?: string | undefined;
                            authorUrl?: string | undefined;
                            providerName?: string | undefined;
                            providerUrl?: string | undefined;
                            thumbnailUrl?: string | undefined;
                            thumbnailWidth?: string | undefined;
                            thumbnailHeight?: string | undefined;
                            type: string;
                            html: string;
                            width?: number | undefined;
                            height?: number | undefined;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'ContentMediumTranslation';
                            id: string;
                            locale: string;
                            title: string;
                            subtitle?: string | undefined;
                        }>;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ShopProductTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                };
            } | undefined;
            subscriptionProduct?: {
                __typename?: 'ShopProduct';
                nftId?: string | undefined;
                amountSoldInTokens: number;
                amountSoldInFiat: number;
                nftOutOfStock: boolean;
                maxSellable?: number | undefined;
                webPriceTierId?: string | undefined;
                androidPriceTierId?: string | undefined;
                iosPriceTierId?: string | undefined;
                maxPerDay?: number | undefined;
                maxPerDayReached: boolean;
                id: string;
                createdAt: string;
                updatedAt: string;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                webSku?: string | undefined;
                androidSku?: string | undefined;
                iosSku?: string | undefined;
                tokenPrice?: number | undefined;
                tokens?: number | undefined;
                tokensBonus?: number | undefined;
                amountSold: number;
                userOrdersCount: number;
                webTargetVisible?: boolean | undefined;
                androidTargetVisible?: boolean | undefined;
                iosTargetVisible?: boolean | undefined;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                productMediumId?: string | undefined;
                nftBuckets: Array<{
                    __typename?: 'NftBucket';
                    id: string;
                    amount: number;
                    name?: string | undefined;
                    bucketCapacity: number;
                    createdAt: string;
                    updatedAt: string;
                    nftBucketNfts: Array<{
                        __typename?: 'NftBucketNft';
                        id: string;
                        amountLimit?: number | undefined;
                        nftId: string;
                        nft: {
                            __typename?: 'Nft';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            amount: number;
                            amountLeft?: number | undefined;
                            nftMediumId: string;
                            mintedAt?: string | undefined;
                            name: string;
                            description: string;
                            rarity: NftRarityEnum;
                            nftCollectionId?: string | undefined;
                            sponsorId?: string | undefined;
                            visibleInShowroom: boolean;
                            showInFeed: boolean;
                            shownInFeedAt?: string | undefined;
                            nftCollectionOrder?: number | undefined;
                            pageViews: number;
                            nftMedium: {
                                __typename?: 'NftMedium';
                                id: string;
                                createdAt: string;
                                updatedAt: string;
                                mediaType: NftMediaTypeEnum;
                                mediaSrc?: string | undefined;
                                image?: string | undefined;
                                original?: string | undefined;
                                thumbnail?: string | undefined;
                                nftsCount: number;
                                fileName: string;
                                aspectRatio: MediaAspectRatioEnum;
                                dimensions?: any | undefined;
                                threeqDimensions?: any | undefined;
                            };
                            nftCollection?: {
                                __typename?: 'NftCollection';
                                id: string;
                                translations: Array<{
                                    __typename?: 'NftCollectionTranslation';
                                    id: string;
                                    locale: string;
                                    title: string;
                                }>;
                            } | undefined;
                            collectionSponsor?: {
                                __typename?: 'Sponsor';
                                id: string;
                                name: string;
                            } | undefined;
                            sponsor?: {
                                __typename?: 'Sponsor';
                                id: string;
                                name: string;
                            } | undefined;
                            translations: Array<{
                                __typename?: 'NftTranslation';
                                id: string;
                                locale: string;
                                extendedInfo?: string | undefined;
                                externalLink?: string | undefined;
                                ctaText?: string | undefined;
                            }>;
                        };
                    }>;
                }>;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    createdAt: string;
                    updatedAt: string;
                    amount: number;
                    amountLeft?: number | undefined;
                    nftMediumId: string;
                    mintedAt?: string | undefined;
                    description: string;
                    rarity: NftRarityEnum;
                    nftCollectionId?: string | undefined;
                    sponsorId?: string | undefined;
                    visibleInShowroom: boolean;
                    showInFeed: boolean;
                    shownInFeedAt?: string | undefined;
                    nftCollectionOrder?: number | undefined;
                    pageViews: number;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                    nftCollection?: {
                        __typename?: 'NftCollection';
                        id: string;
                        translations: Array<{
                            __typename?: 'NftCollectionTranslation';
                            id: string;
                            locale: string;
                            title: string;
                        }>;
                    } | undefined;
                    collectionSponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    sponsor?: {
                        __typename?: 'Sponsor';
                        id: string;
                        name: string;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'NftTranslation';
                        id: string;
                        locale: string;
                        extendedInfo?: string | undefined;
                        externalLink?: string | undefined;
                        ctaText?: string | undefined;
                    }>;
                } | undefined;
                webPriceTier?: {
                    __typename?: 'ShopProductTier';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    name: string;
                    price: number;
                    sku?: string | undefined;
                    targetShop?: ShopProductTargetShopEnum | undefined;
                    shopProductsCount: number;
                } | undefined;
                androidPriceTier?: {
                    __typename?: 'ShopProductTier';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    name: string;
                    price: number;
                    sku?: string | undefined;
                    targetShop?: ShopProductTargetShopEnum | undefined;
                    shopProductsCount: number;
                } | undefined;
                iosPriceTier?: {
                    __typename?: 'ShopProductTier';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    name: string;
                    price: number;
                    sku?: string | undefined;
                    targetShop?: ShopProductTargetShopEnum | undefined;
                    shopProductsCount: number;
                } | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    content?: string | undefined;
                    successMessage?: string | undefined;
                    id: string;
                    locale: string;
                    title: string;
                    description?: string | undefined;
                }>;
                bucketsCapacity: Array<{
                    __typename?: 'NftBucketCapacity';
                    id: string;
                    capacity: number;
                }>;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
            } | undefined;
            audits: Array<{
                __typename?: 'Audit';
                auditedChanges: any;
                auditableId: string;
                auditableType?: string | undefined;
                id: string;
                version?: number | undefined;
                createdAt: string;
                userId?: string | undefined;
                userType?: string | undefined;
            }>;
            ugcReportTypes?: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }> | undefined;
            ugcReports: Array<{
                __typename?: 'UgcReport';
                id: string;
                createdAt: string;
                updatedAt: string;
                reportableId: string;
                reportableType?: UgcReportableTypeEnum | undefined;
                reportableTitle?: string | undefined;
                status: UgcReportStatusEnum;
                ugcReportTypes: Array<{
                    __typename?: 'UgcReportTyp';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    hidingTolerance?: number | undefined;
                    order?: number | undefined;
                    translations: Array<{
                        __typename?: 'UgcReportTypeTranslation';
                        text?: string | undefined;
                        title: string;
                        locale: string;
                        id: string;
                    }>;
                }>;
                user: {
                    __typename?: 'User';
                    id: string;
                    displayName: string;
                    verified: boolean;
                };
            }>;
            nftUsers: Array<{
                __typename?: 'NftUser';
                id: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountFrozen: number;
                amountBurnt: number;
                nftId: string;
                publiclyVisible?: boolean | undefined;
                nft: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                };
            }>;
            userProfileFields: Array<{
                __typename?: 'UserProfileField';
                id: string;
                createdAt: string;
                updatedAt: string;
                profileFieldId: string;
                userPubliclyVisible?: boolean | undefined;
                value?: string | undefined;
                valueType: UserProfileFieldValueTypeEnum;
                profileField: {
                    __typename?: 'ProfileField';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    inputType: ProfileFieldInputTypeEnum;
                    isMulti: boolean;
                    order?: number | undefined;
                    publiclyVisible: boolean;
                    status: ProfileFieldStatusEnum;
                    formKey: string;
                    profileFieldOptions: Array<{
                        __typename?: 'ProfileFieldOption';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        order?: number | undefined;
                        profileFieldId: string;
                        translations: Array<{
                            __typename?: 'ProfileFieldOptionTranslation';
                            id: string;
                            label: string;
                            locale: string;
                        }>;
                    }>;
                    translations: Array<{
                        __typename?: 'ProfileFieldTranslation';
                        hint?: string | undefined;
                        id: string;
                        locale: string;
                        name: string;
                    }>;
                };
            }>;
            fanGroupUsers: Array<{
                __typename?: 'FanGroupUser';
                id: string;
                createdAt: string;
                updatedAt: string;
                leftAt?: string | undefined;
                blockedAt?: string | undefined;
                rejectedAt?: string | undefined;
                canceledAt?: string | undefined;
                activatedAt?: string | undefined;
                status: FanGroupUserStatusEnum;
                role: FanGroupUserRoleEnum;
                userId: string;
                fanGroupId: string;
                fanGroup: {
                    __typename?: 'FanGroup';
                    id: string;
                    name: string;
                    city?: string | undefined;
                    state?: string | undefined;
                    country?: string | undefined;
                    createdAt: string;
                    updatedAt: string;
                    groupPurpose?: string | undefined;
                    groupAdminId: string;
                    isVerified?: boolean | undefined;
                    archived?: boolean | undefined;
                    acceptanceStatus: FanGroupAcceptanceStatusEnum;
                    heroMediumId?: string | undefined;
                    groupProfileMediumId?: string | undefined;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    activeFanGroupUsersCount: number;
                    pendingFanGroupUsersCount: number;
                    accessType: FanGroupAccessTypeEnum;
                    postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
                    visibilityType: FanGroupVisibilityTypeEnum;
                    pageViews: number;
                    groupAdmin: {
                        __typename?: 'User';
                        id: string;
                        uid: string;
                        email: string;
                        displayName: string;
                        createdAt: string;
                        updatedAt: string;
                        lastDayActive?: string | undefined;
                        subscriptionAutorenewalActive?: boolean | undefined;
                        subscriptionValidUntil?: string | undefined;
                        status: UserStatusEnum;
                        slug: string;
                        reportStatus: ReportableStatusEnum;
                        ugcReportsCount: number;
                        deviceTypes?: Array<string> | undefined;
                        verified: boolean;
                        avatar?: {
                            __typename?: 'UserMedium';
                            image?: string | undefined;
                            thumbnail?: string | undefined;
                        } | undefined;
                    };
                    heroMedium?: {
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    } | undefined;
                    groupProfileMedium?: {
                        __typename?: 'UserMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: UserMediaTypeEnum;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        filename: string;
                    } | undefined;
                };
                user: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
            }>;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        };
    } | undefined;
};
export type GetProfileFieldQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetProfileFieldQuery = {
    __typename?: 'Query';
    profileField: {
        __typename?: 'ProfileField';
        id: string;
        createdAt: string;
        updatedAt: string;
        inputType: ProfileFieldInputTypeEnum;
        isMulti: boolean;
        order?: number | undefined;
        publiclyVisible: boolean;
        status: ProfileFieldStatusEnum;
        formKey: string;
        profileFieldOptions: Array<{
            __typename?: 'ProfileFieldOption';
            id: string;
            createdAt: string;
            updatedAt: string;
            order?: number | undefined;
            profileFieldId: string;
            translations: Array<{
                __typename?: 'ProfileFieldOptionTranslation';
                id: string;
                label: string;
                locale: string;
            }>;
        }>;
        translations: Array<{
            __typename?: 'ProfileFieldTranslation';
            hint?: string | undefined;
            id: string;
            locale: string;
            name: string;
        }>;
    };
};
export type GetProfileFieldsQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<ProfileFieldFilterInput> | ProfileFieldFilterInput>;
    sort?: InputMaybe<ProfileFieldSortInput>;
}>;
export type GetProfileFieldsQuery = {
    __typename?: 'Query';
    profileFields: {
        __typename?: 'ProfileFieldResolver';
        total: number;
        profileFields: Array<{
            __typename?: 'ProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            inputType: ProfileFieldInputTypeEnum;
            isMulti: boolean;
            order?: number | undefined;
            publiclyVisible: boolean;
            status: ProfileFieldStatusEnum;
            formKey: string;
            profileFieldOptions: Array<{
                __typename?: 'ProfileFieldOption';
                id: string;
                createdAt: string;
                updatedAt: string;
                order?: number | undefined;
                profileFieldId: string;
                translations: Array<{
                    __typename?: 'ProfileFieldOptionTranslation';
                    id: string;
                    label: string;
                    locale: string;
                }>;
            }>;
            translations: Array<{
                __typename?: 'ProfileFieldTranslation';
                hint?: string | undefined;
                id: string;
                locale: string;
                name: string;
            }>;
        }>;
    };
};
export type GetUserDeviceStatisticsQueryVariables = Exact<{
    [key: string]: never;
}>;
export type GetUserDeviceStatisticsQuery = {
    __typename?: 'Query';
    userDeviceStatistics: {
        __typename?: 'UserDeviceStatistics';
        iosUsers: number;
        androidUsers: number;
        pwaOrWebUsers: number;
        iosAndAndroidUsers: number;
        total: number;
    };
};
export type GetUserQueryVariables = Exact<{
    id: Scalars['ID']['input'];
}>;
export type GetUserQuery = {
    __typename?: 'Query';
    user: {
        __typename?: 'User';
        unconfirmedEmail?: string | undefined;
        walletAddress?: string | undefined;
        confirmedAt?: string | undefined;
        locale: string;
        country?: string | undefined;
        city?: string | undefined;
        countryName?: string | undefined;
        state?: string | undefined;
        stateName?: string | undefined;
        biography?: string | undefined;
        website?: string | undefined;
        phoneNumber?: string | undefined;
        birthdate?: string | undefined;
        previewUrl: string;
        verified: boolean;
        verifiedAt?: string | undefined;
        timezone?: string | undefined;
        initiallyFundedAt?: string | undefined;
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        heroMedium?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
        blockedUsers: Array<{
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        }>;
        blockingUsers: Array<{
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        }>;
        currentBalance: {
            __typename?: 'Balance';
            currency: string;
            var: string;
            value: string;
        };
        currentEthBalance: {
            __typename?: 'Balance';
            currency: string;
            var: string;
            value: string;
        };
        subscriptionCurrentUserOrder?: {
            __typename?: 'UserOrder';
            id: string;
            orderId: string;
            createdAt: string;
            updatedAt: string;
            invoiceId?: string | undefined;
            invoiceSentAt?: string | undefined;
            orderFulfilledAt?: string | undefined;
            paymentProvider?: string | undefined;
            status?: UserOrderStatusEnum | undefined;
            tokenAmount?: number | undefined;
            nftCount?: number | undefined;
            total?: number | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            shopProduct: {
                __typename?: 'ShopProduct';
                id: string;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
        } | undefined;
        subscriptionProduct?: {
            __typename?: 'ShopProduct';
            nftId?: string | undefined;
            amountSoldInTokens: number;
            amountSoldInFiat: number;
            nftOutOfStock: boolean;
            maxSellable?: number | undefined;
            webPriceTierId?: string | undefined;
            androidPriceTierId?: string | undefined;
            iosPriceTierId?: string | undefined;
            maxPerDay?: number | undefined;
            maxPerDayReached: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                amount: number;
                name?: string | undefined;
                bucketCapacity: number;
                createdAt: string;
                updatedAt: string;
                nftBucketNfts: Array<{
                    __typename?: 'NftBucketNft';
                    id: string;
                    amountLimit?: number | undefined;
                    nftId: string;
                    nft: {
                        __typename?: 'Nft';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        name: string;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    };
                }>;
            }>;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            } | undefined;
            webPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            androidPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            iosPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                content?: string | undefined;
                successMessage?: string | undefined;
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
        } | undefined;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        nftUsers: Array<{
            __typename?: 'NftUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountFrozen: number;
            amountBurnt: number;
            nftId: string;
            publiclyVisible?: boolean | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                name: string;
            };
        }>;
        userProfileFields: Array<{
            __typename?: 'UserProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            profileFieldId: string;
            userPubliclyVisible?: boolean | undefined;
            value?: string | undefined;
            valueType: UserProfileFieldValueTypeEnum;
            profileField: {
                __typename?: 'ProfileField';
                id: string;
                createdAt: string;
                updatedAt: string;
                inputType: ProfileFieldInputTypeEnum;
                isMulti: boolean;
                order?: number | undefined;
                publiclyVisible: boolean;
                status: ProfileFieldStatusEnum;
                formKey: string;
                profileFieldOptions: Array<{
                    __typename?: 'ProfileFieldOption';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    order?: number | undefined;
                    profileFieldId: string;
                    translations: Array<{
                        __typename?: 'ProfileFieldOptionTranslation';
                        id: string;
                        label: string;
                        locale: string;
                    }>;
                }>;
                translations: Array<{
                    __typename?: 'ProfileFieldTranslation';
                    hint?: string | undefined;
                    id: string;
                    locale: string;
                    name: string;
                }>;
            };
        }>;
        fanGroupUsers: Array<{
            __typename?: 'FanGroupUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            leftAt?: string | undefined;
            blockedAt?: string | undefined;
            rejectedAt?: string | undefined;
            canceledAt?: string | undefined;
            activatedAt?: string | undefined;
            status: FanGroupUserStatusEnum;
            role: FanGroupUserRoleEnum;
            userId: string;
            fanGroupId: string;
            fanGroup: {
                __typename?: 'FanGroup';
                id: string;
                name: string;
                city?: string | undefined;
                state?: string | undefined;
                country?: string | undefined;
                createdAt: string;
                updatedAt: string;
                groupPurpose?: string | undefined;
                groupAdminId: string;
                isVerified?: boolean | undefined;
                archived?: boolean | undefined;
                acceptanceStatus: FanGroupAcceptanceStatusEnum;
                heroMediumId?: string | undefined;
                groupProfileMediumId?: string | undefined;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                activeFanGroupUsersCount: number;
                pendingFanGroupUsersCount: number;
                accessType: FanGroupAccessTypeEnum;
                postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
                visibilityType: FanGroupVisibilityTypeEnum;
                pageViews: number;
                groupAdmin: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                heroMedium?: {
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                } | undefined;
                groupProfileMedium?: {
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                } | undefined;
            };
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type GetUserByUidQueryVariables = Exact<{
    uid: Scalars['ID']['input'];
    provider: Scalars['String']['input'];
}>;
export type GetUserByUidQuery = {
    __typename?: 'Query';
    userByUid: {
        __typename?: 'User';
        unconfirmedEmail?: string | undefined;
        walletAddress?: string | undefined;
        confirmedAt?: string | undefined;
        locale: string;
        country?: string | undefined;
        city?: string | undefined;
        countryName?: string | undefined;
        state?: string | undefined;
        stateName?: string | undefined;
        biography?: string | undefined;
        website?: string | undefined;
        phoneNumber?: string | undefined;
        birthdate?: string | undefined;
        previewUrl: string;
        verified: boolean;
        verifiedAt?: string | undefined;
        timezone?: string | undefined;
        initiallyFundedAt?: string | undefined;
        id: string;
        uid: string;
        email: string;
        displayName: string;
        createdAt: string;
        updatedAt: string;
        lastDayActive?: string | undefined;
        subscriptionAutorenewalActive?: boolean | undefined;
        subscriptionValidUntil?: string | undefined;
        status: UserStatusEnum;
        slug: string;
        reportStatus: ReportableStatusEnum;
        ugcReportsCount: number;
        deviceTypes?: Array<string> | undefined;
        heroMedium?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
        blockedUsers: Array<{
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        }>;
        blockingUsers: Array<{
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        }>;
        currentBalance: {
            __typename?: 'Balance';
            currency: string;
            var: string;
            value: string;
        };
        currentEthBalance: {
            __typename?: 'Balance';
            currency: string;
            var: string;
            value: string;
        };
        subscriptionCurrentUserOrder?: {
            __typename?: 'UserOrder';
            id: string;
            orderId: string;
            createdAt: string;
            updatedAt: string;
            invoiceId?: string | undefined;
            invoiceSentAt?: string | undefined;
            orderFulfilledAt?: string | undefined;
            paymentProvider?: string | undefined;
            status?: UserOrderStatusEnum | undefined;
            tokenAmount?: number | undefined;
            nftCount?: number | undefined;
            total?: number | undefined;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
            shopProduct: {
                __typename?: 'ShopProduct';
                id: string;
                isWeb: boolean;
                isAndroid: boolean;
                isIos: boolean;
                webPrice?: number | undefined;
                androidPrice?: number | undefined;
                iosPrice?: number | undefined;
                productType: ShopProductProductTypeEnum;
                nft?: {
                    __typename?: 'Nft';
                    id: string;
                    name: string;
                    nftMedium: {
                        __typename?: 'NftMedium';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        mediaType: NftMediaTypeEnum;
                        mediaSrc?: string | undefined;
                        image?: string | undefined;
                        original?: string | undefined;
                        thumbnail?: string | undefined;
                        nftsCount: number;
                        fileName: string;
                        aspectRatio: MediaAspectRatioEnum;
                        dimensions?: any | undefined;
                        threeqDimensions?: any | undefined;
                    };
                } | undefined;
                productMedium?: {
                    __typename?: 'ContentMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: ContentMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    externalSrc?: string | undefined;
                    mediaSrc?: string | undefined;
                    freeTokenTriggersCount: number;
                    resourcesCount: number;
                    contentsCount: number;
                    votingsCount: number;
                    menuItemsCount: number;
                    ideationMissionsCount: number;
                    amaSessionsCount: number;
                    nftCollectionsCount: number;
                    tokenHandoutsCount: number;
                    shopProductsCount: number;
                    customNotificationsCount: number;
                    eventsCount: number;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                    oembedData?: {
                        __typename?: 'OembedLink';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                    } | {
                        __typename?: 'OembedPhoto';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        url: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedRich';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | {
                        __typename?: 'OembedVideo';
                        version?: string | undefined;
                        title?: string | undefined;
                        authorName?: string | undefined;
                        authorUrl?: string | undefined;
                        providerName?: string | undefined;
                        providerUrl?: string | undefined;
                        thumbnailUrl?: string | undefined;
                        thumbnailWidth?: string | undefined;
                        thumbnailHeight?: string | undefined;
                        type: string;
                        html: string;
                        width?: number | undefined;
                        height?: number | undefined;
                    } | undefined;
                    translations: Array<{
                        __typename?: 'ContentMediumTranslation';
                        id: string;
                        locale: string;
                        title: string;
                        subtitle?: string | undefined;
                    }>;
                } | undefined;
                translations: Array<{
                    __typename?: 'ShopProductTranslation';
                    id: string;
                    locale: string;
                    title: string;
                }>;
            };
        } | undefined;
        subscriptionProduct?: {
            __typename?: 'ShopProduct';
            nftId?: string | undefined;
            amountSoldInTokens: number;
            amountSoldInFiat: number;
            nftOutOfStock: boolean;
            maxSellable?: number | undefined;
            webPriceTierId?: string | undefined;
            androidPriceTierId?: string | undefined;
            iosPriceTierId?: string | undefined;
            maxPerDay?: number | undefined;
            maxPerDayReached: boolean;
            id: string;
            createdAt: string;
            updatedAt: string;
            webPrice?: number | undefined;
            androidPrice?: number | undefined;
            iosPrice?: number | undefined;
            productType: ShopProductProductTypeEnum;
            webSku?: string | undefined;
            androidSku?: string | undefined;
            iosSku?: string | undefined;
            tokenPrice?: number | undefined;
            tokens?: number | undefined;
            tokensBonus?: number | undefined;
            amountSold: number;
            userOrdersCount: number;
            webTargetVisible?: boolean | undefined;
            androidTargetVisible?: boolean | undefined;
            iosTargetVisible?: boolean | undefined;
            isWeb: boolean;
            isAndroid: boolean;
            isIos: boolean;
            productMediumId?: string | undefined;
            nftBuckets: Array<{
                __typename?: 'NftBucket';
                id: string;
                amount: number;
                name?: string | undefined;
                bucketCapacity: number;
                createdAt: string;
                updatedAt: string;
                nftBucketNfts: Array<{
                    __typename?: 'NftBucketNft';
                    id: string;
                    amountLimit?: number | undefined;
                    nftId: string;
                    nft: {
                        __typename?: 'Nft';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        amount: number;
                        amountLeft?: number | undefined;
                        nftMediumId: string;
                        mintedAt?: string | undefined;
                        name: string;
                        description: string;
                        rarity: NftRarityEnum;
                        nftCollectionId?: string | undefined;
                        sponsorId?: string | undefined;
                        visibleInShowroom: boolean;
                        showInFeed: boolean;
                        shownInFeedAt?: string | undefined;
                        nftCollectionOrder?: number | undefined;
                        pageViews: number;
                        nftMedium: {
                            __typename?: 'NftMedium';
                            id: string;
                            createdAt: string;
                            updatedAt: string;
                            mediaType: NftMediaTypeEnum;
                            mediaSrc?: string | undefined;
                            image?: string | undefined;
                            original?: string | undefined;
                            thumbnail?: string | undefined;
                            nftsCount: number;
                            fileName: string;
                            aspectRatio: MediaAspectRatioEnum;
                            dimensions?: any | undefined;
                            threeqDimensions?: any | undefined;
                        };
                        nftCollection?: {
                            __typename?: 'NftCollection';
                            id: string;
                            translations: Array<{
                                __typename?: 'NftCollectionTranslation';
                                id: string;
                                locale: string;
                                title: string;
                            }>;
                        } | undefined;
                        collectionSponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        sponsor?: {
                            __typename?: 'Sponsor';
                            id: string;
                            name: string;
                        } | undefined;
                        translations: Array<{
                            __typename?: 'NftTranslation';
                            id: string;
                            locale: string;
                            extendedInfo?: string | undefined;
                            externalLink?: string | undefined;
                            ctaText?: string | undefined;
                        }>;
                    };
                }>;
            }>;
            nft?: {
                __typename?: 'Nft';
                id: string;
                name: string;
                createdAt: string;
                updatedAt: string;
                amount: number;
                amountLeft?: number | undefined;
                nftMediumId: string;
                mintedAt?: string | undefined;
                description: string;
                rarity: NftRarityEnum;
                nftCollectionId?: string | undefined;
                sponsorId?: string | undefined;
                visibleInShowroom: boolean;
                showInFeed: boolean;
                shownInFeedAt?: string | undefined;
                nftCollectionOrder?: number | undefined;
                pageViews: number;
                nftMedium: {
                    __typename?: 'NftMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: NftMediaTypeEnum;
                    mediaSrc?: string | undefined;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    nftsCount: number;
                    fileName: string;
                    aspectRatio: MediaAspectRatioEnum;
                    dimensions?: any | undefined;
                    threeqDimensions?: any | undefined;
                };
                nftCollection?: {
                    __typename?: 'NftCollection';
                    id: string;
                    translations: Array<{
                        __typename?: 'NftCollectionTranslation';
                        id: string;
                        locale: string;
                        title: string;
                    }>;
                } | undefined;
                collectionSponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                sponsor?: {
                    __typename?: 'Sponsor';
                    id: string;
                    name: string;
                } | undefined;
                translations: Array<{
                    __typename?: 'NftTranslation';
                    id: string;
                    locale: string;
                    extendedInfo?: string | undefined;
                    externalLink?: string | undefined;
                    ctaText?: string | undefined;
                }>;
            } | undefined;
            webPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            androidPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            iosPriceTier?: {
                __typename?: 'ShopProductTier';
                id: string;
                createdAt: string;
                updatedAt: string;
                name: string;
                price: number;
                sku?: string | undefined;
                targetShop?: ShopProductTargetShopEnum | undefined;
                shopProductsCount: number;
            } | undefined;
            translations: Array<{
                __typename?: 'ShopProductTranslation';
                content?: string | undefined;
                successMessage?: string | undefined;
                id: string;
                locale: string;
                title: string;
                description?: string | undefined;
            }>;
            bucketsCapacity: Array<{
                __typename?: 'NftBucketCapacity';
                id: string;
                capacity: number;
            }>;
            productMedium?: {
                __typename?: 'ContentMedium';
                id: string;
                createdAt: string;
                updatedAt: string;
                mediaType: ContentMediaTypeEnum;
                image?: string | undefined;
                original?: string | undefined;
                thumbnail?: string | undefined;
                externalSrc?: string | undefined;
                mediaSrc?: string | undefined;
                freeTokenTriggersCount: number;
                resourcesCount: number;
                contentsCount: number;
                votingsCount: number;
                menuItemsCount: number;
                ideationMissionsCount: number;
                amaSessionsCount: number;
                nftCollectionsCount: number;
                tokenHandoutsCount: number;
                shopProductsCount: number;
                customNotificationsCount: number;
                eventsCount: number;
                aspectRatio: MediaAspectRatioEnum;
                dimensions?: any | undefined;
                threeqDimensions?: any | undefined;
                oembedData?: {
                    __typename?: 'OembedLink';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                } | {
                    __typename?: 'OembedPhoto';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    url: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedRich';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | {
                    __typename?: 'OembedVideo';
                    version?: string | undefined;
                    title?: string | undefined;
                    authorName?: string | undefined;
                    authorUrl?: string | undefined;
                    providerName?: string | undefined;
                    providerUrl?: string | undefined;
                    thumbnailUrl?: string | undefined;
                    thumbnailWidth?: string | undefined;
                    thumbnailHeight?: string | undefined;
                    type: string;
                    html: string;
                    width?: number | undefined;
                    height?: number | undefined;
                } | undefined;
                translations: Array<{
                    __typename?: 'ContentMediumTranslation';
                    id: string;
                    locale: string;
                    title: string;
                    subtitle?: string | undefined;
                }>;
            } | undefined;
        } | undefined;
        audits: Array<{
            __typename?: 'Audit';
            auditedChanges: any;
            auditableId: string;
            auditableType?: string | undefined;
            id: string;
            version?: number | undefined;
            createdAt: string;
            userId?: string | undefined;
            userType?: string | undefined;
        }>;
        ugcReportTypes?: Array<{
            __typename?: 'UgcReportTyp';
            id: string;
            createdAt: string;
            updatedAt: string;
            hidingTolerance?: number | undefined;
            order?: number | undefined;
            translations: Array<{
                __typename?: 'UgcReportTypeTranslation';
                text?: string | undefined;
                title: string;
                locale: string;
                id: string;
            }>;
        }> | undefined;
        ugcReports: Array<{
            __typename?: 'UgcReport';
            id: string;
            createdAt: string;
            updatedAt: string;
            reportableId: string;
            reportableType?: UgcReportableTypeEnum | undefined;
            reportableTitle?: string | undefined;
            status: UgcReportStatusEnum;
            ugcReportTypes: Array<{
                __typename?: 'UgcReportTyp';
                id: string;
                createdAt: string;
                updatedAt: string;
                hidingTolerance?: number | undefined;
                order?: number | undefined;
                translations: Array<{
                    __typename?: 'UgcReportTypeTranslation';
                    text?: string | undefined;
                    title: string;
                    locale: string;
                    id: string;
                }>;
            }>;
            user: {
                __typename?: 'User';
                id: string;
                displayName: string;
                verified: boolean;
            };
        }>;
        nftUsers: Array<{
            __typename?: 'NftUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            amount: number;
            amountFrozen: number;
            amountBurnt: number;
            nftId: string;
            publiclyVisible?: boolean | undefined;
            nft: {
                __typename?: 'Nft';
                id: string;
                name: string;
            };
        }>;
        userProfileFields: Array<{
            __typename?: 'UserProfileField';
            id: string;
            createdAt: string;
            updatedAt: string;
            profileFieldId: string;
            userPubliclyVisible?: boolean | undefined;
            value?: string | undefined;
            valueType: UserProfileFieldValueTypeEnum;
            profileField: {
                __typename?: 'ProfileField';
                id: string;
                createdAt: string;
                updatedAt: string;
                inputType: ProfileFieldInputTypeEnum;
                isMulti: boolean;
                order?: number | undefined;
                publiclyVisible: boolean;
                status: ProfileFieldStatusEnum;
                formKey: string;
                profileFieldOptions: Array<{
                    __typename?: 'ProfileFieldOption';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    order?: number | undefined;
                    profileFieldId: string;
                    translations: Array<{
                        __typename?: 'ProfileFieldOptionTranslation';
                        id: string;
                        label: string;
                        locale: string;
                    }>;
                }>;
                translations: Array<{
                    __typename?: 'ProfileFieldTranslation';
                    hint?: string | undefined;
                    id: string;
                    locale: string;
                    name: string;
                }>;
            };
        }>;
        fanGroupUsers: Array<{
            __typename?: 'FanGroupUser';
            id: string;
            createdAt: string;
            updatedAt: string;
            leftAt?: string | undefined;
            blockedAt?: string | undefined;
            rejectedAt?: string | undefined;
            canceledAt?: string | undefined;
            activatedAt?: string | undefined;
            status: FanGroupUserStatusEnum;
            role: FanGroupUserRoleEnum;
            userId: string;
            fanGroupId: string;
            fanGroup: {
                __typename?: 'FanGroup';
                id: string;
                name: string;
                city?: string | undefined;
                state?: string | undefined;
                country?: string | undefined;
                createdAt: string;
                updatedAt: string;
                groupPurpose?: string | undefined;
                groupAdminId: string;
                isVerified?: boolean | undefined;
                archived?: boolean | undefined;
                acceptanceStatus: FanGroupAcceptanceStatusEnum;
                heroMediumId?: string | undefined;
                groupProfileMediumId?: string | undefined;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                activeFanGroupUsersCount: number;
                pendingFanGroupUsersCount: number;
                accessType: FanGroupAccessTypeEnum;
                postsVisibilityType: FanGroupPostsVisibilityTypeEnum;
                visibilityType: FanGroupVisibilityTypeEnum;
                pageViews: number;
                groupAdmin: {
                    __typename?: 'User';
                    id: string;
                    uid: string;
                    email: string;
                    displayName: string;
                    createdAt: string;
                    updatedAt: string;
                    lastDayActive?: string | undefined;
                    subscriptionAutorenewalActive?: boolean | undefined;
                    subscriptionValidUntil?: string | undefined;
                    status: UserStatusEnum;
                    slug: string;
                    reportStatus: ReportableStatusEnum;
                    ugcReportsCount: number;
                    deviceTypes?: Array<string> | undefined;
                    verified: boolean;
                    avatar?: {
                        __typename?: 'UserMedium';
                        image?: string | undefined;
                        thumbnail?: string | undefined;
                    } | undefined;
                };
                heroMedium?: {
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                } | undefined;
                groupProfileMedium?: {
                    __typename?: 'UserMedium';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    mediaType: UserMediaTypeEnum;
                    image?: string | undefined;
                    original?: string | undefined;
                    thumbnail?: string | undefined;
                    filename: string;
                } | undefined;
            };
            user: {
                __typename?: 'User';
                id: string;
                uid: string;
                email: string;
                displayName: string;
                createdAt: string;
                updatedAt: string;
                lastDayActive?: string | undefined;
                subscriptionAutorenewalActive?: boolean | undefined;
                subscriptionValidUntil?: string | undefined;
                status: UserStatusEnum;
                slug: string;
                reportStatus: ReportableStatusEnum;
                ugcReportsCount: number;
                deviceTypes?: Array<string> | undefined;
                verified: boolean;
                avatar?: {
                    __typename?: 'UserMedium';
                    image?: string | undefined;
                    thumbnail?: string | undefined;
                } | undefined;
            };
        }>;
        avatar?: {
            __typename?: 'UserMedium';
            image?: string | undefined;
            thumbnail?: string | undefined;
        } | undefined;
    };
};
export type GetUsersQueryVariables = Exact<{
    limit?: InputMaybe<Scalars['Int']['input']>;
    offset?: InputMaybe<Scalars['Int']['input']>;
    filter?: InputMaybe<Array<UserFilterInput> | UserFilterInput>;
    sort?: InputMaybe<UserSortInput>;
    includeProfileFields?: InputMaybe<Scalars['Boolean']['input']>;
}>;
export type GetUsersQuery = {
    __typename?: 'Query';
    users: {
        __typename?: 'UserResolver';
        total: number;
        users: Array<{
            __typename?: 'User';
            id: string;
            uid: string;
            email: string;
            displayName: string;
            createdAt: string;
            updatedAt: string;
            lastDayActive?: string | undefined;
            subscriptionAutorenewalActive?: boolean | undefined;
            subscriptionValidUntil?: string | undefined;
            status: UserStatusEnum;
            slug: string;
            reportStatus: ReportableStatusEnum;
            ugcReportsCount: number;
            deviceTypes?: Array<string> | undefined;
            verified: boolean;
            userProfileFields?: Array<{
                __typename?: 'UserProfileField';
                id: string;
                createdAt: string;
                updatedAt: string;
                profileFieldId: string;
                userPubliclyVisible?: boolean | undefined;
                value?: string | undefined;
                valueType: UserProfileFieldValueTypeEnum;
                profileField: {
                    __typename?: 'ProfileField';
                    id: string;
                    createdAt: string;
                    updatedAt: string;
                    inputType: ProfileFieldInputTypeEnum;
                    isMulti: boolean;
                    order?: number | undefined;
                    publiclyVisible: boolean;
                    status: ProfileFieldStatusEnum;
                    formKey: string;
                    profileFieldOptions: Array<{
                        __typename?: 'ProfileFieldOption';
                        id: string;
                        createdAt: string;
                        updatedAt: string;
                        order?: number | undefined;
                        profileFieldId: string;
                        translations: Array<{
                            __typename?: 'ProfileFieldOptionTranslation';
                            id: string;
                            label: string;
                            locale: string;
                        }>;
                    }>;
                    translations: Array<{
                        __typename?: 'ProfileFieldTranslation';
                        hint?: string | undefined;
                        id: string;
                        locale: string;
                        name: string;
                    }>;
                };
            }>;
            avatar?: {
                __typename?: 'UserMedium';
                image?: string | undefined;
                thumbnail?: string | undefined;
            } | undefined;
        }>;
    };
};
export declare const UserLightFragmentDoc: DocumentNode;
export declare const ActivityNotificationFragmentDoc: DocumentNode;
export declare const AdminUserFragmentDoc: DocumentNode;
export declare const BoosterDistributionFragmentDoc: DocumentNode;
export declare const FanVaultDistributionFragmentDoc: DocumentNode;
export declare const ContentForSelectFragmentDoc: DocumentNode;
export declare const OembedPhotoFragmentDoc: DocumentNode;
export declare const OembedVideoFragmentDoc: DocumentNode;
export declare const OembedRichFragmentDoc: DocumentNode;
export declare const OembedLinkFragmentDoc: DocumentNode;
export declare const ContentMediumFragmentDoc: DocumentNode;
export declare const ContentCategoryFragmentDoc: DocumentNode;
export declare const SponsorForSelectFragmentDoc: DocumentNode;
export declare const ContentLightFragmentDoc: DocumentNode;
export declare const PreviewUrlFragmentDoc: DocumentNode;
export declare const NftMediumFragmentDoc: DocumentNode;
export declare const UserMediumFragmentDoc: DocumentNode;
export declare const CommentLightFragmentDoc: DocumentNode;
export declare const UgcReportTypeFragmentDoc: DocumentNode;
export declare const UgcReportFragmentDoc: DocumentNode;
export declare const AuditLightFragmentDoc: DocumentNode;
export declare const AuditFragmentDoc: DocumentNode;
export declare const NftLightFragmentDoc: DocumentNode;
export declare const CommentFragmentDoc: DocumentNode;
export declare const ContentTranslationFragmentDoc: DocumentNode;
export declare const AvailabilityFragmentDoc: DocumentNode;
export declare const ContentFragmentDoc: DocumentNode;
export declare const CustomNotificationLightFragmentDoc: DocumentNode;
export declare const CustomNotificationTranslationFragmentDoc: DocumentNode;
export declare const FilterNumberFragmentDoc: DocumentNode;
export declare const FilterTextFragmentDoc: DocumentNode;
export declare const FilterDateFragmentDoc: DocumentNode;
export declare const FilterIdFragmentDoc: DocumentNode;
export declare const UserFilterFragmentDoc: DocumentNode;
export declare const CustomNotificationFragmentDoc: DocumentNode;
export declare const EventRegistrationFragmentDoc: DocumentNode;
export declare const EventForSelectFragmentDoc: DocumentNode;
export declare const EventLightFragmentDoc: DocumentNode;
export declare const EventFragmentDoc: DocumentNode;
export declare const FeedPinFragmentDoc: DocumentNode;
export declare const GiveawayLightFragmentDoc: DocumentNode;
export declare const GiveawayEventFragmentDoc: DocumentNode;
export declare const GiveawayFragmentDoc: DocumentNode;
export declare const MenuItemTranslationFragmentDoc: DocumentNode;
export declare const MenuItemBasicFragmentDoc: DocumentNode;
export declare const MenuItemParentFragmentDoc: DocumentNode;
export declare const MenuItemChildFragmentDoc: DocumentNode;
export declare const MenuItemFragmentDoc: DocumentNode;
export declare const FanGroupForSelectFragmentDoc: DocumentNode;
export declare const FanGroupLightFragmentDoc: DocumentNode;
export declare const FanGroupFragmentDoc: DocumentNode;
export declare const GroupPostLightFragmentDoc: DocumentNode;
export declare const GroupPostFragmentDoc: DocumentNode;
export declare const NftBenefitRedemptionFragmentDoc: DocumentNode;
export declare const NftHandoutUserFragmentDoc: DocumentNode;
export declare const NftHandoutLightFragmentDoc: DocumentNode;
export declare const NftHandoutTranslationFragmentDoc: DocumentNode;
export declare const NftHandoutFragmentDoc: DocumentNode;
export declare const NftUserFragmentDoc: DocumentNode;
export declare const NftTransferNetworkFragmentDoc: DocumentNode;
export declare const NftCollectionDeploymentFragmentDoc: DocumentNode;
export declare const NftCollectionForSelectFragmentDoc: DocumentNode;
export declare const NftCollectionTranslationFragmentDoc: DocumentNode;
export declare const NftCollectionFragmentDoc: DocumentNode;
export declare const NftForSelectFragmentDoc: DocumentNode;
export declare const NftRarityFragmentDoc: DocumentNode;
export declare const ShopProductMinimumFragmentDoc: DocumentNode;
export declare const ShopProductTranslationFragmentDoc: DocumentNode;
export declare const ShopProductLightFragmentDoc: DocumentNode;
export declare const NftBenefitFragmentDoc: DocumentNode;
export declare const NftFragmentDoc: DocumentNode;
export declare const AmaSessionForSelectFragmentDoc: DocumentNode;
export declare const AmaSessionTranslationFragmentDoc: DocumentNode;
export declare const AmaSessionLightFragmentDoc: DocumentNode;
export declare const AmaQuestionLightFragmentDoc: DocumentNode;
export declare const AmaQuestionFragmentDoc: DocumentNode;
export declare const AnnouncementTranslationFragmentDoc: DocumentNode;
export declare const AnnouncementFragmentDoc: DocumentNode;
export declare const AmaSessionFragmentDoc: DocumentNode;
export declare const IdeationMissionForSelectFragmentDoc: DocumentNode;
export declare const IdeationMissionTranslationFragmentDoc: DocumentNode;
export declare const IdeationMissionLightFragmentDoc: DocumentNode;
export declare const IdeaLightFragmentDoc: DocumentNode;
export declare const IdeaFragmentDoc: DocumentNode;
export declare const IdeationMissionFragmentDoc: DocumentNode;
export declare const VotingForSelectFragmentDoc: DocumentNode;
export declare const VotingTranslationFragmentDoc: DocumentNode;
export declare const VotingLightFragmentDoc: DocumentNode;
export declare const VotingOptionTranslationFragmentDoc: DocumentNode;
export declare const VotingOptionFragmentDoc: DocumentNode;
export declare const VotingFragmentDoc: DocumentNode;
export declare const RestrictionsFragmentDoc: DocumentNode;
export declare const SalesStatisticFragmentDoc: DocumentNode;
export declare const BalanceFragmentDoc: DocumentNode;
export declare const SystemSettingFragmentDoc: DocumentNode;
export declare const SystemSettingsGroupFragmentDoc: DocumentNode;
export declare const UserOrderLightFragmentDoc: DocumentNode;
export declare const PaymentFragmentDoc: DocumentNode;
export declare const UserOrderFragmentDoc: DocumentNode;
export declare const SponsorMediumFragmentDoc: DocumentNode;
export declare const SponsorStatsFragmentDoc: DocumentNode;
export declare const SponsorLightFragmentDoc: DocumentNode;
export declare const SponsorFragmentDoc: DocumentNode;
export declare const StaticPageTranslationFragmentDoc: DocumentNode;
export declare const StaticPageLightFragmentDoc: DocumentNode;
export declare const StaticPageFragmentDoc: DocumentNode;
export declare const TokenHandoutUserFragmentDoc: DocumentNode;
export declare const TokenHandoutLightFragmentDoc: DocumentNode;
export declare const TokenHandoutTranslationFragmentDoc: DocumentNode;
export declare const TokenHandoutFragmentDoc: DocumentNode;
export declare const TokenStatisticFragmentDoc: DocumentNode;
export declare const TransactionLightFragmentDoc: DocumentNode;
export declare const TransactionFragmentDoc: DocumentNode;
export declare const TriggerEventFragmentDoc: DocumentNode;
export declare const UserGiveawayFragmentDoc: DocumentNode;
export declare const ShopProductTierFragmentDoc: DocumentNode;
export declare const ShopProductFragmentDoc: DocumentNode;
export declare const ProfileFieldOptionFragmentDoc: DocumentNode;
export declare const ProfileFieldFragmentDoc: DocumentNode;
export declare const UserProfileFieldFragmentDoc: DocumentNode;
export declare const FanGroupUserFragmentDoc: DocumentNode;
export declare const UserFragmentDoc: DocumentNode;
export declare const GetActivityNotificationsDocument: DocumentNode;
export declare const CreateAdminUserDocument: DocumentNode;
export declare const DeleteAdminUserDocument: DocumentNode;
export declare const UpdateAdminUserDocument: DocumentNode;
export declare const GetAdminUserDocument: DocumentNode;
export declare const GetAdminUsersDocument: DocumentNode;
export declare const CreateAnnouncementDocument: DocumentNode;
export declare const DeleteAnnouncementsDocument: DocumentNode;
export declare const UpdateAnnouncementDocument: DocumentNode;
export declare const GetAnnouncementDocument: DocumentNode;
export declare const LoginDocument: DocumentNode;
export declare const GetBoosterDistributionsDocument: DocumentNode;
export declare const GetFanVaultDistributionsDocument: DocumentNode;
export declare const ArchiveContentDocument: DocumentNode;
export declare const CreateContentCategoryDocument: DocumentNode;
export declare const CreateContentDocument: DocumentNode;
export declare const DeleteContentCategoriesDocument: DocumentNode;
export declare const DeleteContentsDocument: DocumentNode;
export declare const DraftContentDocument: DocumentNode;
export declare const PublishContentDocument: DocumentNode;
export declare const UpdateContentCategoryDocument: DocumentNode;
export declare const UpdateContentDocument: DocumentNode;
export declare const GetContentCategoriesDocument: DocumentNode;
export declare const GetContentCategoryDocument: DocumentNode;
export declare const GetContentDocument: DocumentNode;
export declare const GetContentsForSelectDocument: DocumentNode;
export declare const GetContentsDocument: DocumentNode;
export declare const CreateCustomNotificationDocument: DocumentNode;
export declare const DeleteCustomNotificationsDocument: DocumentNode;
export declare const DraftCustomNotificationDocument: DocumentNode;
export declare const PublishCustomNotificationDocument: DocumentNode;
export declare const UpdateCustomNotificationDocument: DocumentNode;
export declare const GetCustomNotificationDocument: DocumentNode;
export declare const GetCustomNotificationsDocument: DocumentNode;
export declare const GetEventRegistrationsDocument: DocumentNode;
export declare const ArchiveEventDocument: DocumentNode;
export declare const CreateEventDocument: DocumentNode;
export declare const DeleteEventsDocument: DocumentNode;
export declare const DraftEventDocument: DocumentNode;
export declare const PublishEventDocument: DocumentNode;
export declare const UpdateEventDocument: DocumentNode;
export declare const GetEventDocument: DocumentNode;
export declare const GetEventsForSelectDocument: DocumentNode;
export declare const GetEventsDocument: DocumentNode;
export declare const GetPinnedItemDocument: DocumentNode;
export declare const ArchiveGiveawayDocument: DocumentNode;
export declare const CreateGiveawayDocument: DocumentNode;
export declare const DeleteGiveawaysDocument: DocumentNode;
export declare const DraftGiveawayDocument: DocumentNode;
export declare const PublishGiveawayDocument: DocumentNode;
export declare const TriggerGiveawayEventDocument: DocumentNode;
export declare const UpdateGiveawayDocument: DocumentNode;
export declare const GetActiveAndPublishedNftGiveawaysDocument: DocumentNode;
export declare const GetGiveawayDocument: DocumentNode;
export declare const GetGiveawaysWithStatsDocument: DocumentNode;
export declare const GetGiveawaysDocument: DocumentNode;
export declare const GetMeDocument: DocumentNode;
export declare const CreateContentMediumDocument: DocumentNode;
export declare const DeleteContentMediaDocument: DocumentNode;
export declare const RefreshOembedDataDocument: DocumentNode;
export declare const UpdateContentMediumDocument: DocumentNode;
export declare const GetMediaUploadUrlDocument: DocumentNode;
export declare const GetContentMediaDocument: DocumentNode;
export declare const GetContentMediumDocument: DocumentNode;
export declare const CreateMenuItemDocument: DocumentNode;
export declare const DeleteMenuItemsDocument: DocumentNode;
export declare const UpdateMenuItemDocument: DocumentNode;
export declare const UpdateMenuItemsDocument: DocumentNode;
export declare const GetMenuItemsDocument: DocumentNode;
export declare const UpdateAmaQuestionDocument: DocumentNode;
export declare const UpdateCommentDocument: DocumentNode;
export declare const UpdateFanGroupDocument: DocumentNode;
export declare const UpdateGroupPostDocument: DocumentNode;
export declare const UpdateIdeaDocument: DocumentNode;
export declare const GetAmaQuestionDocument: DocumentNode;
export declare const GetAmaQuestionsDocument: DocumentNode;
export declare const GetCommentDocument: DocumentNode;
export declare const GetCommentsDocument: DocumentNode;
export declare const GetFanGroupUsersDocument: DocumentNode;
export declare const GetFanGroupDocument: DocumentNode;
export declare const GetFanGroupsForSelectDocument: DocumentNode;
export declare const GetFanGroupsDocument: DocumentNode;
export declare const GetGroupPostDocument: DocumentNode;
export declare const GetGroupPostsDocument: DocumentNode;
export declare const GetIdeaDocument: DocumentNode;
export declare const GetIdeasDocument: DocumentNode;
export declare const GetUgcReportMetasDocument: DocumentNode;
export declare const GetUgcReportDocument: DocumentNode;
export declare const GetUgcReportsDocument: DocumentNode;
export declare const GetNftBenefitRedemptionsDocument: DocumentNode;
export declare const CreateNftHandoutDocument: DocumentNode;
export declare const DeleteNftHandoutsDocument: DocumentNode;
export declare const DraftNftHandoutDocument: DocumentNode;
export declare const PublishNftHandoutDocument: DocumentNode;
export declare const UpdateNftHandoutDocument: DocumentNode;
export declare const GetNftHandoutUsersDocument: DocumentNode;
export declare const GetNftHandoutDocument: DocumentNode;
export declare const GetNftHandoutsDocument: DocumentNode;
export declare const CreateNftTransferNetworkDocument: DocumentNode;
export declare const UpdateNftTransferNetworkDocument: DocumentNode;
export declare const GetNftTransferNetworkDocument: DocumentNode;
export declare const GetNftTransferNetworksDocument: DocumentNode;
export declare const GetNftUsersDocument: DocumentNode;
export declare const AddNftsToCollectionDocument: DocumentNode;
export declare const ArchiveNftCollectionDocument: DocumentNode;
export declare const CreateNftCollectionDeploymentDocument: DocumentNode;
export declare const CreateNftCollectionDocument: DocumentNode;
export declare const CreateNftMediumDocument: DocumentNode;
export declare const CreateNftDocument: DocumentNode;
export declare const DeleteNftCollectionsDocument: DocumentNode;
export declare const DeleteNftMediaDocument: DocumentNode;
export declare const DeleteNftsDocument: DocumentNode;
export declare const MintNftCollectionDocument: DocumentNode;
export declare const MintNftDocument: DocumentNode;
export declare const PublishNftCollectionDocument: DocumentNode;
export declare const RequestNftCollectionMetadataUriDocument: DocumentNode;
export declare const UpdateNftCollectionDeploymentDocument: DocumentNode;
export declare const UpdateNftCollectionDocument: DocumentNode;
export declare const UpdateNftMediumDocument: DocumentNode;
export declare const UpdateNftDocument: DocumentNode;
export declare const UpdateNftsVisibilityDocument: DocumentNode;
export declare const GetNftCollectionDocument: DocumentNode;
export declare const GetNftCollectionsForSelectDocument: DocumentNode;
export declare const GetNftCollectionsDocument: DocumentNode;
export declare const GetNftMediaDocument: DocumentNode;
export declare const GetNftMediumDocument: DocumentNode;
export declare const GetNftCalculatedRaritiesDocument: DocumentNode;
export declare const GetNftDocument: DocumentNode;
export declare const GetNftsForSelectDocument: DocumentNode;
export declare const GetNftsDocument: DocumentNode;
export declare const ArchiveAmaSessionDocument: DocumentNode;
export declare const ArchiveIdeationMissionDocument: DocumentNode;
export declare const ArchiveVotingDocument: DocumentNode;
export declare const CreateAmaSessionDocument: DocumentNode;
export declare const CreateIdeationMissionDocument: DocumentNode;
export declare const CreateVotingDocument: DocumentNode;
export declare const DeleteAmaSessionsDocument: DocumentNode;
export declare const DeleteIdeationMissionsDocument: DocumentNode;
export declare const DeleteVotingsDocument: DocumentNode;
export declare const DistributeVotingDocument: DocumentNode;
export declare const DraftAmaSessionDocument: DocumentNode;
export declare const DraftIdeationMissionDocument: DocumentNode;
export declare const DraftVotingDocument: DocumentNode;
export declare const PublishAmaSessionDocument: DocumentNode;
export declare const PublishIdeationMissionDocument: DocumentNode;
export declare const PublishVotingDocument: DocumentNode;
export declare const RefundVotingDocument: DocumentNode;
export declare const UpdateAmaSessionDocument: DocumentNode;
export declare const UpdateIdeationMissionDocument: DocumentNode;
export declare const UpdateVotingDocument: DocumentNode;
export declare const GetAmaSessionDocument: DocumentNode;
export declare const GetAmaSessionsForSelectDocument: DocumentNode;
export declare const GetAmaSessionsDocument: DocumentNode;
export declare const GetIdeationMissionDocument: DocumentNode;
export declare const GetIdeationMissionsForSelectDocument: DocumentNode;
export declare const GetIdeationMissionsDocument: DocumentNode;
export declare const GetVotingDocument: DocumentNode;
export declare const GetVotingsForSelectDocument: DocumentNode;
export declare const GetVotingsDocument: DocumentNode;
export declare const CreateUgcReportTypeDocument: DocumentNode;
export declare const UpdateUgcReportTypeDocument: DocumentNode;
export declare const GetUgcReportTypeDocument: DocumentNode;
export declare const GetUgcReportTypesDocument: DocumentNode;
export declare const GetRestrictionsDocument: DocumentNode;
export declare const GetSalesStatisticsDocument: DocumentNode;
export declare const DeployCommentBoosterDocument: DocumentNode;
export declare const DeployContentBoosterDocument: DocumentNode;
export declare const DistributeCommentBoosterDocument: DocumentNode;
export declare const DistributeContentBoosterDocument: DocumentNode;
export declare const FundFanVaultsDocument: DocumentNode;
export declare const UpsertSystemSettingsDocument: DocumentNode;
export declare const GetCommunityChestSettingsDocument: DocumentNode;
export declare const GetFanGroupSettingsDocument: DocumentNode;
export declare const GetGeneralSettingsDocument: DocumentNode;
export declare const GetNfcSettingsDocument: DocumentNode;
export declare const GetShopSettingsDocument: DocumentNode;
export declare const GetTokenContractSettingsDocument: DocumentNode;
export declare const GetTokenDistributionSettingsDocument: DocumentNode;
export declare const CreateShopProductDocument: DocumentNode;
export declare const CreateShopProductTierDocument: DocumentNode;
export declare const DeleteShopProductsDocument: DocumentNode;
export declare const DeleteShopProductTiersDocument: DocumentNode;
export declare const UpdateShopProductDocument: DocumentNode;
export declare const UpdateShopProductTierDocument: DocumentNode;
export declare const GetLowNftBucketsDocument: DocumentNode;
export declare const GetUserOrderDocument: DocumentNode;
export declare const GetUserOrdersDocument: DocumentNode;
export declare const GetShopProductDocument: DocumentNode;
export declare const GetShopProductsDocument: DocumentNode;
export declare const GetShopProductTierDocument: DocumentNode;
export declare const GetShopProductTiersDocument: DocumentNode;
export declare const GetVisibleProductsWithNftBucketsDocument: DocumentNode;
export declare const CreateSponsorMediumDocument: DocumentNode;
export declare const CreateSponsorDocument: DocumentNode;
export declare const DeleteSponsorMediaDocument: DocumentNode;
export declare const DeleteSponsorsDocument: DocumentNode;
export declare const UpdateSponsorDocument: DocumentNode;
export declare const GetSponsorStatisticsDocument: DocumentNode;
export declare const GetSponsorDocument: DocumentNode;
export declare const GetSponsorsForSelectDocument: DocumentNode;
export declare const GetSponsorsDocument: DocumentNode;
export declare const ArchiveStaticPageDocument: DocumentNode;
export declare const CreateStaticPageDocument: DocumentNode;
export declare const DeleteStaticPagesDocument: DocumentNode;
export declare const PublishStaticPageDocument: DocumentNode;
export declare const UpdateStaticPageDocument: DocumentNode;
export declare const GetStaticPageDocument: DocumentNode;
export declare const GetStaticPagesDocument: DocumentNode;
export declare const CreateTokenHandoutDocument: DocumentNode;
export declare const DeleteTokenHandoutsDocument: DocumentNode;
export declare const DraftTokenHandoutDocument: DocumentNode;
export declare const PublishTokenHandoutDocument: DocumentNode;
export declare const UpdateTokenHandoutDocument: DocumentNode;
export declare const GetTokenHandoutUsersDocument: DocumentNode;
export declare const GetTokenHandoutDocument: DocumentNode;
export declare const GetTokenHandoutsDocument: DocumentNode;
export declare const GetTokenStatisticsDocument: DocumentNode;
export declare const GetTransactionDocument: DocumentNode;
export declare const GetTransactionsDocument: DocumentNode;
export declare const GetTriggerEventsDocument: DocumentNode;
export declare const GetUserGiveawaysDocument: DocumentNode;
export declare const ArchiveProfileFieldDocument: DocumentNode;
export declare const CreateProfileFieldDocument: DocumentNode;
export declare const DeleteProfileFieldsDocument: DocumentNode;
export declare const DraftProfileFieldDocument: DocumentNode;
export declare const InviteUserDocument: DocumentNode;
export declare const PublishProfileFieldDocument: DocumentNode;
export declare const UpdateProfileFieldDocument: DocumentNode;
export declare const UpdateProfileFieldsDocument: DocumentNode;
export declare const UpdateUserDocument: DocumentNode;
export declare const GetProfileFieldDocument: DocumentNode;
export declare const GetProfileFieldsDocument: DocumentNode;
export declare const GetUserDeviceStatisticsDocument: DocumentNode;
export declare const GetUserDocument: DocumentNode;
export declare const GetUserByUidDocument: DocumentNode;
export declare const GetUsersDocument: DocumentNode;
export type Requester<C = {}, E = unknown> = <R, V>(doc: DocumentNode, vars?: V, options?: C) => Promise<R> | AsyncIterable<R>;
export declare function getSdk<C, E>(requester: Requester<C, E>): {
    getActivityNotifications(variables?: GetActivityNotificationsQueryVariables, options?: C): Promise<GetActivityNotificationsQuery>;
    createAdminUser(variables: CreateAdminUserMutationVariables, options?: C): Promise<CreateAdminUserMutation>;
    deleteAdminUser(variables: DeleteAdminUserMutationVariables, options?: C): Promise<DeleteAdminUserMutation>;
    updateAdminUser(variables: UpdateAdminUserMutationVariables, options?: C): Promise<UpdateAdminUserMutation>;
    getAdminUser(variables: GetAdminUserQueryVariables, options?: C): Promise<GetAdminUserQuery>;
    getAdminUsers(variables?: GetAdminUsersQueryVariables, options?: C): Promise<GetAdminUsersQuery>;
    createAnnouncement(variables: CreateAnnouncementMutationVariables, options?: C): Promise<CreateAnnouncementMutation>;
    deleteAnnouncements(variables: DeleteAnnouncementsMutationVariables, options?: C): Promise<DeleteAnnouncementsMutation>;
    updateAnnouncement(variables: UpdateAnnouncementMutationVariables, options?: C): Promise<UpdateAnnouncementMutation>;
    getAnnouncement(variables: GetAnnouncementQueryVariables, options?: C): Promise<GetAnnouncementQuery>;
    login(variables: LoginMutationVariables, options?: C): Promise<LoginMutation>;
    getBoosterDistributions(variables?: GetBoosterDistributionsQueryVariables, options?: C): Promise<GetBoosterDistributionsQuery>;
    getFanVaultDistributions(variables?: GetFanVaultDistributionsQueryVariables, options?: C): Promise<GetFanVaultDistributionsQuery>;
    archiveContent(variables: ArchiveContentMutationVariables, options?: C): Promise<ArchiveContentMutation>;
    createContentCategory(variables: CreateContentCategoryMutationVariables, options?: C): Promise<CreateContentCategoryMutation>;
    createContent(variables: CreateContentMutationVariables, options?: C): Promise<CreateContentMutation>;
    deleteContentCategories(variables: DeleteContentCategoriesMutationVariables, options?: C): Promise<DeleteContentCategoriesMutation>;
    deleteContents(variables: DeleteContentsMutationVariables, options?: C): Promise<DeleteContentsMutation>;
    draftContent(variables: DraftContentMutationVariables, options?: C): Promise<DraftContentMutation>;
    publishContent(variables: PublishContentMutationVariables, options?: C): Promise<PublishContentMutation>;
    updateContentCategory(variables: UpdateContentCategoryMutationVariables, options?: C): Promise<UpdateContentCategoryMutation>;
    updateContent(variables: UpdateContentMutationVariables, options?: C): Promise<UpdateContentMutation>;
    getContentCategories(variables?: GetContentCategoriesQueryVariables, options?: C): Promise<GetContentCategoriesQuery>;
    getContentCategory(variables: GetContentCategoryQueryVariables, options?: C): Promise<GetContentCategoryQuery>;
    getContent(variables: GetContentQueryVariables, options?: C): Promise<GetContentQuery>;
    getContentsForSelect(variables: GetContentsForSelectQueryVariables, options?: C): Promise<GetContentsForSelectQuery>;
    getContents(variables?: GetContentsQueryVariables, options?: C): Promise<GetContentsQuery>;
    createCustomNotification(variables: CreateCustomNotificationMutationVariables, options?: C): Promise<CreateCustomNotificationMutation>;
    deleteCustomNotifications(variables: DeleteCustomNotificationsMutationVariables, options?: C): Promise<DeleteCustomNotificationsMutation>;
    draftCustomNotification(variables: DraftCustomNotificationMutationVariables, options?: C): Promise<DraftCustomNotificationMutation>;
    publishCustomNotification(variables: PublishCustomNotificationMutationVariables, options?: C): Promise<PublishCustomNotificationMutation>;
    updateCustomNotification(variables: UpdateCustomNotificationMutationVariables, options?: C): Promise<UpdateCustomNotificationMutation>;
    getCustomNotification(variables: GetCustomNotificationQueryVariables, options?: C): Promise<GetCustomNotificationQuery>;
    getCustomNotifications(variables?: GetCustomNotificationsQueryVariables, options?: C): Promise<GetCustomNotificationsQuery>;
    getEventRegistrations(variables?: GetEventRegistrationsQueryVariables, options?: C): Promise<GetEventRegistrationsQuery>;
    archiveEvent(variables: ArchiveEventMutationVariables, options?: C): Promise<ArchiveEventMutation>;
    createEvent(variables: CreateEventMutationVariables, options?: C): Promise<CreateEventMutation>;
    deleteEvents(variables: DeleteEventsMutationVariables, options?: C): Promise<DeleteEventsMutation>;
    draftEvent(variables: DraftEventMutationVariables, options?: C): Promise<DraftEventMutation>;
    publishEvent(variables: PublishEventMutationVariables, options?: C): Promise<PublishEventMutation>;
    updateEvent(variables: UpdateEventMutationVariables, options?: C): Promise<UpdateEventMutation>;
    getEvent(variables: GetEventQueryVariables, options?: C): Promise<GetEventQuery>;
    getEventsForSelect(variables: GetEventsForSelectQueryVariables, options?: C): Promise<GetEventsForSelectQuery>;
    getEvents(variables?: GetEventsQueryVariables, options?: C): Promise<GetEventsQuery>;
    getPinnedItem(variables?: GetPinnedItemQueryVariables, options?: C): Promise<GetPinnedItemQuery>;
    archiveGiveaway(variables: ArchiveGiveawayMutationVariables, options?: C): Promise<ArchiveGiveawayMutation>;
    createGiveaway(variables: CreateGiveawayMutationVariables, options?: C): Promise<CreateGiveawayMutation>;
    deleteGiveaways(variables: DeleteGiveawaysMutationVariables, options?: C): Promise<DeleteGiveawaysMutation>;
    draftGiveaway(variables: DraftGiveawayMutationVariables, options?: C): Promise<DraftGiveawayMutation>;
    publishGiveaway(variables: PublishGiveawayMutationVariables, options?: C): Promise<PublishGiveawayMutation>;
    triggerGiveawayEvent(variables: TriggerGiveawayEventMutationVariables, options?: C): Promise<TriggerGiveawayEventMutation>;
    updateGiveaway(variables: UpdateGiveawayMutationVariables, options?: C): Promise<UpdateGiveawayMutation>;
    getActiveAndPublishedNftGiveaways(variables?: GetActiveAndPublishedNftGiveawaysQueryVariables, options?: C): Promise<GetActiveAndPublishedNftGiveawaysQuery>;
    getGiveaway(variables: GetGiveawayQueryVariables, options?: C): Promise<GetGiveawayQuery>;
    getGiveawaysWithStats(variables?: GetGiveawaysWithStatsQueryVariables, options?: C): Promise<GetGiveawaysWithStatsQuery>;
    getGiveaways(variables?: GetGiveawaysQueryVariables, options?: C): Promise<GetGiveawaysQuery>;
    getMe(variables?: GetMeQueryVariables, options?: C): Promise<GetMeQuery>;
    createContentMedium(variables: CreateContentMediumMutationVariables, options?: C): Promise<CreateContentMediumMutation>;
    deleteContentMedia(variables: DeleteContentMediaMutationVariables, options?: C): Promise<DeleteContentMediaMutation>;
    refreshOembedData(variables: RefreshOembedDataMutationVariables, options?: C): Promise<RefreshOembedDataMutation>;
    updateContentMedium(variables: UpdateContentMediumMutationVariables, options?: C): Promise<UpdateContentMediumMutation>;
    getMediaUploadUrl(variables: GetMediaUploadUrlMutationVariables, options?: C): Promise<GetMediaUploadUrlMutation>;
    getContentMedia(variables?: GetContentMediaQueryVariables, options?: C): Promise<GetContentMediaQuery>;
    getContentMedium(variables: GetContentMediumQueryVariables, options?: C): Promise<GetContentMediumQuery>;
    createMenuItem(variables: CreateMenuItemMutationVariables, options?: C): Promise<CreateMenuItemMutation>;
    deleteMenuItems(variables: DeleteMenuItemsMutationVariables, options?: C): Promise<DeleteMenuItemsMutation>;
    updateMenuItem(variables: UpdateMenuItemMutationVariables, options?: C): Promise<UpdateMenuItemMutation>;
    updateMenuItems(variables: UpdateMenuItemsMutationVariables, options?: C): Promise<UpdateMenuItemsMutation>;
    getMenuItems(variables?: GetMenuItemsQueryVariables, options?: C): Promise<GetMenuItemsQuery>;
    updateAmaQuestion(variables: UpdateAmaQuestionMutationVariables, options?: C): Promise<UpdateAmaQuestionMutation>;
    updateComment(variables: UpdateCommentMutationVariables, options?: C): Promise<UpdateCommentMutation>;
    updateFanGroup(variables: UpdateFanGroupMutationVariables, options?: C): Promise<UpdateFanGroupMutation>;
    updateGroupPost(variables: UpdateGroupPostMutationVariables, options?: C): Promise<UpdateGroupPostMutation>;
    updateIdea(variables: UpdateIdeaMutationVariables, options?: C): Promise<UpdateIdeaMutation>;
    getAmaQuestion(variables: GetAmaQuestionQueryVariables, options?: C): Promise<GetAmaQuestionQuery>;
    getAmaQuestions(variables?: GetAmaQuestionsQueryVariables, options?: C): Promise<GetAmaQuestionsQuery>;
    getComment(variables: GetCommentQueryVariables, options?: C): Promise<GetCommentQuery>;
    getComments(variables?: GetCommentsQueryVariables, options?: C): Promise<GetCommentsQuery>;
    getFanGroupUsers(variables?: GetFanGroupUsersQueryVariables, options?: C): Promise<GetFanGroupUsersQuery>;
    getFanGroup(variables: GetFanGroupQueryVariables, options?: C): Promise<GetFanGroupQuery>;
    getFanGroupsForSelect(variables: GetFanGroupsForSelectQueryVariables, options?: C): Promise<GetFanGroupsForSelectQuery>;
    getFanGroups(variables?: GetFanGroupsQueryVariables, options?: C): Promise<GetFanGroupsQuery>;
    getGroupPost(variables: GetGroupPostQueryVariables, options?: C): Promise<GetGroupPostQuery>;
    getGroupPosts(variables?: GetGroupPostsQueryVariables, options?: C): Promise<GetGroupPostsQuery>;
    getIdea(variables: GetIdeaQueryVariables, options?: C): Promise<GetIdeaQuery>;
    getIdeas(variables?: GetIdeasQueryVariables, options?: C): Promise<GetIdeasQuery>;
    getUgcReportMetas(variables?: GetUgcReportMetasQueryVariables, options?: C): Promise<GetUgcReportMetasQuery>;
    getUgcReport(variables: GetUgcReportQueryVariables, options?: C): Promise<GetUgcReportQuery>;
    getUgcReports(variables?: GetUgcReportsQueryVariables, options?: C): Promise<GetUgcReportsQuery>;
    getNftBenefitRedemptions(variables?: GetNftBenefitRedemptionsQueryVariables, options?: C): Promise<GetNftBenefitRedemptionsQuery>;
    createNftHandout(variables: CreateNftHandoutMutationVariables, options?: C): Promise<CreateNftHandoutMutation>;
    deleteNftHandouts(variables: DeleteNftHandoutsMutationVariables, options?: C): Promise<DeleteNftHandoutsMutation>;
    draftNftHandout(variables: DraftNftHandoutMutationVariables, options?: C): Promise<DraftNftHandoutMutation>;
    publishNftHandout(variables: PublishNftHandoutMutationVariables, options?: C): Promise<PublishNftHandoutMutation>;
    updateNftHandout(variables: UpdateNftHandoutMutationVariables, options?: C): Promise<UpdateNftHandoutMutation>;
    getNftHandoutUsers(variables?: GetNftHandoutUsersQueryVariables, options?: C): Promise<GetNftHandoutUsersQuery>;
    getNftHandout(variables: GetNftHandoutQueryVariables, options?: C): Promise<GetNftHandoutQuery>;
    getNftHandouts(variables?: GetNftHandoutsQueryVariables, options?: C): Promise<GetNftHandoutsQuery>;
    createNftTransferNetwork(variables: CreateNftTransferNetworkMutationVariables, options?: C): Promise<CreateNftTransferNetworkMutation>;
    updateNftTransferNetwork(variables: UpdateNftTransferNetworkMutationVariables, options?: C): Promise<UpdateNftTransferNetworkMutation>;
    getNftTransferNetwork(variables: GetNftTransferNetworkQueryVariables, options?: C): Promise<GetNftTransferNetworkQuery>;
    getNftTransferNetworks(variables?: GetNftTransferNetworksQueryVariables, options?: C): Promise<GetNftTransferNetworksQuery>;
    getNftUsers(variables?: GetNftUsersQueryVariables, options?: C): Promise<GetNftUsersQuery>;
    addNftsToCollection(variables: AddNftsToCollectionMutationVariables, options?: C): Promise<AddNftsToCollectionMutation>;
    archiveNftCollection(variables: ArchiveNftCollectionMutationVariables, options?: C): Promise<ArchiveNftCollectionMutation>;
    createNftCollectionDeployment(variables: CreateNftCollectionDeploymentMutationVariables, options?: C): Promise<CreateNftCollectionDeploymentMutation>;
    createNftCollection(variables: CreateNftCollectionMutationVariables, options?: C): Promise<CreateNftCollectionMutation>;
    createNftMedium(variables: CreateNftMediumMutationVariables, options?: C): Promise<CreateNftMediumMutation>;
    createNft(variables: CreateNftMutationVariables, options?: C): Promise<CreateNftMutation>;
    deleteNftCollections(variables: DeleteNftCollectionsMutationVariables, options?: C): Promise<DeleteNftCollectionsMutation>;
    deleteNftMedia(variables: DeleteNftMediaMutationVariables, options?: C): Promise<DeleteNftMediaMutation>;
    deleteNfts(variables: DeleteNftsMutationVariables, options?: C): Promise<DeleteNftsMutation>;
    mintNftCollection(variables: MintNftCollectionMutationVariables, options?: C): Promise<MintNftCollectionMutation>;
    mintNft(variables: MintNftMutationVariables, options?: C): Promise<MintNftMutation>;
    publishNftCollection(variables: PublishNftCollectionMutationVariables, options?: C): Promise<PublishNftCollectionMutation>;
    requestNftCollectionMetadataUri(variables: RequestNftCollectionMetadataUriMutationVariables, options?: C): Promise<RequestNftCollectionMetadataUriMutation>;
    updateNftCollectionDeployment(variables: UpdateNftCollectionDeploymentMutationVariables, options?: C): Promise<UpdateNftCollectionDeploymentMutation>;
    updateNftCollection(variables: UpdateNftCollectionMutationVariables, options?: C): Promise<UpdateNftCollectionMutation>;
    updateNftMedium(variables: UpdateNftMediumMutationVariables, options?: C): Promise<UpdateNftMediumMutation>;
    updateNft(variables: UpdateNftMutationVariables, options?: C): Promise<UpdateNftMutation>;
    updateNftsVisibility(variables: UpdateNftsVisibilityMutationVariables, options?: C): Promise<UpdateNftsVisibilityMutation>;
    getNftCollection(variables: GetNftCollectionQueryVariables, options?: C): Promise<GetNftCollectionQuery>;
    getNftCollectionsForSelect(variables: GetNftCollectionsForSelectQueryVariables, options?: C): Promise<GetNftCollectionsForSelectQuery>;
    getNftCollections(variables?: GetNftCollectionsQueryVariables, options?: C): Promise<GetNftCollectionsQuery>;
    getNftMedia(variables?: GetNftMediaQueryVariables, options?: C): Promise<GetNftMediaQuery>;
    getNftMedium(variables: GetNftMediumQueryVariables, options?: C): Promise<GetNftMediumQuery>;
    getNftCalculatedRarities(variables?: GetNftCalculatedRaritiesQueryVariables, options?: C): Promise<GetNftCalculatedRaritiesQuery>;
    getNft(variables: GetNftQueryVariables, options?: C): Promise<GetNftQuery>;
    getNftsForSelect(variables?: GetNftsForSelectQueryVariables, options?: C): Promise<GetNftsForSelectQuery>;
    getNfts(variables?: GetNftsQueryVariables, options?: C): Promise<GetNftsQuery>;
    archiveAmaSession(variables: ArchiveAmaSessionMutationVariables, options?: C): Promise<ArchiveAmaSessionMutation>;
    archiveIdeationMission(variables: ArchiveIdeationMissionMutationVariables, options?: C): Promise<ArchiveIdeationMissionMutation>;
    archiveVoting(variables: ArchiveVotingMutationVariables, options?: C): Promise<ArchiveVotingMutation>;
    createAmaSession(variables: CreateAmaSessionMutationVariables, options?: C): Promise<CreateAmaSessionMutation>;
    createIdeationMission(variables: CreateIdeationMissionMutationVariables, options?: C): Promise<CreateIdeationMissionMutation>;
    createVoting(variables: CreateVotingMutationVariables, options?: C): Promise<CreateVotingMutation>;
    deleteAmaSessions(variables: DeleteAmaSessionsMutationVariables, options?: C): Promise<DeleteAmaSessionsMutation>;
    deleteIdeationMissions(variables: DeleteIdeationMissionsMutationVariables, options?: C): Promise<DeleteIdeationMissionsMutation>;
    deleteVotings(variables: DeleteVotingsMutationVariables, options?: C): Promise<DeleteVotingsMutation>;
    distributeVoting(variables: DistributeVotingMutationVariables, options?: C): Promise<DistributeVotingMutation>;
    draftAmaSession(variables: DraftAmaSessionMutationVariables, options?: C): Promise<DraftAmaSessionMutation>;
    draftIdeationMission(variables: DraftIdeationMissionMutationVariables, options?: C): Promise<DraftIdeationMissionMutation>;
    draftVoting(variables: DraftVotingMutationVariables, options?: C): Promise<DraftVotingMutation>;
    publishAmaSession(variables: PublishAmaSessionMutationVariables, options?: C): Promise<PublishAmaSessionMutation>;
    publishIdeationMission(variables: PublishIdeationMissionMutationVariables, options?: C): Promise<PublishIdeationMissionMutation>;
    publishVoting(variables: PublishVotingMutationVariables, options?: C): Promise<PublishVotingMutation>;
    refundVoting(variables: RefundVotingMutationVariables, options?: C): Promise<RefundVotingMutation>;
    updateAmaSession(variables: UpdateAmaSessionMutationVariables, options?: C): Promise<UpdateAmaSessionMutation>;
    updateIdeationMission(variables: UpdateIdeationMissionMutationVariables, options?: C): Promise<UpdateIdeationMissionMutation>;
    updateVoting(variables: UpdateVotingMutationVariables, options?: C): Promise<UpdateVotingMutation>;
    getAmaSession(variables: GetAmaSessionQueryVariables, options?: C): Promise<GetAmaSessionQuery>;
    getAmaSessionsForSelect(variables: GetAmaSessionsForSelectQueryVariables, options?: C): Promise<GetAmaSessionsForSelectQuery>;
    getAmaSessions(variables?: GetAmaSessionsQueryVariables, options?: C): Promise<GetAmaSessionsQuery>;
    getIdeationMission(variables: GetIdeationMissionQueryVariables, options?: C): Promise<GetIdeationMissionQuery>;
    getIdeationMissionsForSelect(variables: GetIdeationMissionsForSelectQueryVariables, options?: C): Promise<GetIdeationMissionsForSelectQuery>;
    getIdeationMissions(variables?: GetIdeationMissionsQueryVariables, options?: C): Promise<GetIdeationMissionsQuery>;
    getVoting(variables: GetVotingQueryVariables, options?: C): Promise<GetVotingQuery>;
    getVotingsForSelect(variables: GetVotingsForSelectQueryVariables, options?: C): Promise<GetVotingsForSelectQuery>;
    getVotings(variables?: GetVotingsQueryVariables, options?: C): Promise<GetVotingsQuery>;
    createUgcReportType(variables: CreateUgcReportTypeMutationVariables, options?: C): Promise<CreateUgcReportTypeMutation>;
    updateUgcReportType(variables: UpdateUgcReportTypeMutationVariables, options?: C): Promise<UpdateUgcReportTypeMutation>;
    getUgcReportType(variables: GetUgcReportTypeQueryVariables, options?: C): Promise<GetUgcReportTypeQuery>;
    getUgcReportTypes(variables?: GetUgcReportTypesQueryVariables, options?: C): Promise<GetUgcReportTypesQuery>;
    getRestrictions(variables?: GetRestrictionsQueryVariables, options?: C): Promise<GetRestrictionsQuery>;
    getSalesStatistics(variables?: GetSalesStatisticsQueryVariables, options?: C): Promise<GetSalesStatisticsQuery>;
    deployCommentBooster(variables?: DeployCommentBoosterMutationVariables, options?: C): Promise<DeployCommentBoosterMutation>;
    deployContentBooster(variables?: DeployContentBoosterMutationVariables, options?: C): Promise<DeployContentBoosterMutation>;
    distributeCommentBooster(variables?: DistributeCommentBoosterMutationVariables, options?: C): Promise<DistributeCommentBoosterMutation>;
    distributeContentBooster(variables?: DistributeContentBoosterMutationVariables, options?: C): Promise<DistributeContentBoosterMutation>;
    fundFanVaults(variables: FundFanVaultsMutationVariables, options?: C): Promise<FundFanVaultsMutation>;
    upsertSystemSettings(variables: UpsertSystemSettingsMutationVariables, options?: C): Promise<UpsertSystemSettingsMutation>;
    getCommunityChestSettings(variables?: GetCommunityChestSettingsQueryVariables, options?: C): Promise<GetCommunityChestSettingsQuery>;
    getFanGroupSettings(variables?: GetFanGroupSettingsQueryVariables, options?: C): Promise<GetFanGroupSettingsQuery>;
    getGeneralSettings(variables?: GetGeneralSettingsQueryVariables, options?: C): Promise<GetGeneralSettingsQuery>;
    getNfcSettings(variables?: GetNfcSettingsQueryVariables, options?: C): Promise<GetNfcSettingsQuery>;
    getShopSettings(variables?: GetShopSettingsQueryVariables, options?: C): Promise<GetShopSettingsQuery>;
    getTokenContractSettings(variables?: GetTokenContractSettingsQueryVariables, options?: C): Promise<GetTokenContractSettingsQuery>;
    getTokenDistributionSettings(variables?: GetTokenDistributionSettingsQueryVariables, options?: C): Promise<GetTokenDistributionSettingsQuery>;
    createShopProduct(variables: CreateShopProductMutationVariables, options?: C): Promise<CreateShopProductMutation>;
    createShopProductTier(variables: CreateShopProductTierMutationVariables, options?: C): Promise<CreateShopProductTierMutation>;
    deleteShopProducts(variables: DeleteShopProductsMutationVariables, options?: C): Promise<DeleteShopProductsMutation>;
    deleteShopProductTiers(variables: DeleteShopProductTiersMutationVariables, options?: C): Promise<DeleteShopProductTiersMutation>;
    updateShopProduct(variables: UpdateShopProductMutationVariables, options?: C): Promise<UpdateShopProductMutation>;
    updateShopProductTier(variables: UpdateShopProductTierMutationVariables, options?: C): Promise<UpdateShopProductTierMutation>;
    getLowNftBuckets(variables?: GetLowNftBucketsQueryVariables, options?: C): Promise<GetLowNftBucketsQuery>;
    getUserOrder(variables: GetUserOrderQueryVariables, options?: C): Promise<GetUserOrderQuery>;
    getUserOrders(variables?: GetUserOrdersQueryVariables, options?: C): Promise<GetUserOrdersQuery>;
    getShopProduct(variables: GetShopProductQueryVariables, options?: C): Promise<GetShopProductQuery>;
    getShopProducts(variables?: GetShopProductsQueryVariables, options?: C): Promise<GetShopProductsQuery>;
    getShopProductTier(variables: GetShopProductTierQueryVariables, options?: C): Promise<GetShopProductTierQuery>;
    getShopProductTiers(variables?: GetShopProductTiersQueryVariables, options?: C): Promise<GetShopProductTiersQuery>;
    getVisibleProductsWithNftBuckets(variables?: GetVisibleProductsWithNftBucketsQueryVariables, options?: C): Promise<GetVisibleProductsWithNftBucketsQuery>;
    createSponsorMedium(variables: CreateSponsorMediumMutationVariables, options?: C): Promise<CreateSponsorMediumMutation>;
    createSponsor(variables: CreateSponsorMutationVariables, options?: C): Promise<CreateSponsorMutation>;
    deleteSponsorMedia(variables: DeleteSponsorMediaMutationVariables, options?: C): Promise<DeleteSponsorMediaMutation>;
    deleteSponsors(variables: DeleteSponsorsMutationVariables, options?: C): Promise<DeleteSponsorsMutation>;
    updateSponsor(variables: UpdateSponsorMutationVariables, options?: C): Promise<UpdateSponsorMutation>;
    getSponsorStatistics(variables: GetSponsorStatisticsQueryVariables, options?: C): Promise<GetSponsorStatisticsQuery>;
    getSponsor(variables: GetSponsorQueryVariables, options?: C): Promise<GetSponsorQuery>;
    getSponsorsForSelect(variables?: GetSponsorsForSelectQueryVariables, options?: C): Promise<GetSponsorsForSelectQuery>;
    getSponsors(variables?: GetSponsorsQueryVariables, options?: C): Promise<GetSponsorsQuery>;
    archiveStaticPage(variables: ArchiveStaticPageMutationVariables, options?: C): Promise<ArchiveStaticPageMutation>;
    createStaticPage(variables: CreateStaticPageMutationVariables, options?: C): Promise<CreateStaticPageMutation>;
    deleteStaticPages(variables: DeleteStaticPagesMutationVariables, options?: C): Promise<DeleteStaticPagesMutation>;
    publishStaticPage(variables: PublishStaticPageMutationVariables, options?: C): Promise<PublishStaticPageMutation>;
    updateStaticPage(variables: UpdateStaticPageMutationVariables, options?: C): Promise<UpdateStaticPageMutation>;
    getStaticPage(variables: GetStaticPageQueryVariables, options?: C): Promise<GetStaticPageQuery>;
    getStaticPages(variables?: GetStaticPagesQueryVariables, options?: C): Promise<GetStaticPagesQuery>;
    createTokenHandout(variables: CreateTokenHandoutMutationVariables, options?: C): Promise<CreateTokenHandoutMutation>;
    deleteTokenHandouts(variables: DeleteTokenHandoutsMutationVariables, options?: C): Promise<DeleteTokenHandoutsMutation>;
    draftTokenHandout(variables: DraftTokenHandoutMutationVariables, options?: C): Promise<DraftTokenHandoutMutation>;
    publishTokenHandout(variables: PublishTokenHandoutMutationVariables, options?: C): Promise<PublishTokenHandoutMutation>;
    updateTokenHandout(variables: UpdateTokenHandoutMutationVariables, options?: C): Promise<UpdateTokenHandoutMutation>;
    getTokenHandoutUsers(variables?: GetTokenHandoutUsersQueryVariables, options?: C): Promise<GetTokenHandoutUsersQuery>;
    getTokenHandout(variables: GetTokenHandoutQueryVariables, options?: C): Promise<GetTokenHandoutQuery>;
    getTokenHandouts(variables?: GetTokenHandoutsQueryVariables, options?: C): Promise<GetTokenHandoutsQuery>;
    getTokenStatistics(variables?: GetTokenStatisticsQueryVariables, options?: C): Promise<GetTokenStatisticsQuery>;
    getTransaction(variables: GetTransactionQueryVariables, options?: C): Promise<GetTransactionQuery>;
    getTransactions(variables?: GetTransactionsQueryVariables, options?: C): Promise<GetTransactionsQuery>;
    getTriggerEvents(variables?: GetTriggerEventsQueryVariables, options?: C): Promise<GetTriggerEventsQuery>;
    getUserGiveaways(variables?: GetUserGiveawaysQueryVariables, options?: C): Promise<GetUserGiveawaysQuery>;
    archiveProfileField(variables: ArchiveProfileFieldMutationVariables, options?: C): Promise<ArchiveProfileFieldMutation>;
    createProfileField(variables: CreateProfileFieldMutationVariables, options?: C): Promise<CreateProfileFieldMutation>;
    deleteProfileFields(variables: DeleteProfileFieldsMutationVariables, options?: C): Promise<DeleteProfileFieldsMutation>;
    draftProfileField(variables: DraftProfileFieldMutationVariables, options?: C): Promise<DraftProfileFieldMutation>;
    inviteUser(variables: InviteUserMutationVariables, options?: C): Promise<InviteUserMutation>;
    publishProfileField(variables: PublishProfileFieldMutationVariables, options?: C): Promise<PublishProfileFieldMutation>;
    updateProfileField(variables: UpdateProfileFieldMutationVariables, options?: C): Promise<UpdateProfileFieldMutation>;
    updateProfileFields(variables: UpdateProfileFieldsMutationVariables, options?: C): Promise<UpdateProfileFieldsMutation>;
    updateUser(variables: UpdateUserMutationVariables, options?: C): Promise<UpdateUserMutation>;
    getProfileField(variables: GetProfileFieldQueryVariables, options?: C): Promise<GetProfileFieldQuery>;
    getProfileFields(variables?: GetProfileFieldsQueryVariables, options?: C): Promise<GetProfileFieldsQuery>;
    getUserDeviceStatistics(variables?: GetUserDeviceStatisticsQueryVariables, options?: C): Promise<GetUserDeviceStatisticsQuery>;
    getUser(variables: GetUserQueryVariables, options?: C): Promise<GetUserQuery>;
    getUserByUid(variables: GetUserByUidQueryVariables, options?: C): Promise<GetUserByUidQuery>;
    getUsers(variables?: GetUsersQueryVariables, options?: C): Promise<GetUsersQuery>;
};
export type Sdk = ReturnType<typeof getSdk>;
//# sourceMappingURL=api-types-and-hooks.d.ts.map